/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2023, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "gramparse.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node	   *limitOffset;
	Node	   *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool		distinct;
	List	   *list;
} GroupClause;

/* Private structs for the result of key_actions and key_action productions */
typedef struct KeyAction
{
	char		action;
	List	   *cols;
} KeyAction;

typedef struct KeyActions
{
	KeyAction *updateAction;
	KeyAction *deleteAction;
} KeyActions;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Node *v, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Float *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static RangeVar *makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
											   core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static PartitionStrategy parsePartitionStrategy(char *strategy);
static void preprocess_pubobj_list(List *pubobjspec_list,
								   core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 294 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    UIDENT = 259,
    FCONST = 260,
    SCONST = 261,
    USCONST = 262,
    BCONST = 263,
    XCONST = 264,
    Op = 265,
    ICONST = 266,
    PARAM = 267,
    TYPECAST = 268,
    DOT_DOT = 269,
    COLON_EQUALS = 270,
    EQUALS_GREATER = 271,
    LESS_EQUALS = 272,
    GREATER_EQUALS = 273,
    NOT_EQUALS = 274,
    ABORT_P = 275,
    ABSENT = 276,
    ABSOLUTE_P = 277,
    ACCESS = 278,
    ACTION = 279,
    ADD_P = 280,
    ADMIN = 281,
    AFTER = 282,
    AGGREGATE = 283,
    ALL = 284,
    ALSO = 285,
    ALTER = 286,
    ALWAYS = 287,
    ANALYSE = 288,
    ANALYZE = 289,
    AND = 290,
    ANY = 291,
    ARRAY = 292,
    AS = 293,
    ASC = 294,
    ASENSITIVE = 295,
    ASSERTION = 296,
    ASSIGNMENT = 297,
    ASYMMETRIC = 298,
    ATOMIC = 299,
    AT = 300,
    ATTACH = 301,
    ATTRIBUTE = 302,
    AUTHORIZATION = 303,
    BACKWARD = 304,
    BEFORE = 305,
    BEGIN_P = 306,
    BETWEEN = 307,
    BIGINT = 308,
    BINARY = 309,
    BIT = 310,
    BOOLEAN_P = 311,
    BOTH = 312,
    BREADTH = 313,
    BY = 314,
    CACHE = 315,
    CALL = 316,
    CALLED = 317,
    CASCADE = 318,
    CASCADED = 319,
    CASE = 320,
    CAST = 321,
    CATALOG_P = 322,
    CHAIN = 323,
    CHAR_P = 324,
    CHARACTER = 325,
    CHARACTERISTICS = 326,
    CHECK = 327,
    CHECKPOINT = 328,
    CLASS = 329,
    CLOSE = 330,
    CLUSTER = 331,
    COALESCE = 332,
    COLLATE = 333,
    COLLATION = 334,
    COLUMN = 335,
    COLUMNS = 336,
    COMMENT = 337,
    COMMENTS = 338,
    COMMIT = 339,
    COMMITTED = 340,
    COMPRESSION = 341,
    CONCURRENTLY = 342,
    CONFIGURATION = 343,
    CONFLICT = 344,
    CONNECTION = 345,
    CONSTRAINT = 346,
    CONSTRAINTS = 347,
    CONTENT_P = 348,
    CONTINUE_P = 349,
    CONVERSION_P = 350,
    COPY = 351,
    COST = 352,
    CREATE = 353,
    CROSS = 354,
    CSV = 355,
    CUBE = 356,
    CURRENT_P = 357,
    CURRENT_CATALOG = 358,
    CURRENT_DATE = 359,
    CURRENT_ROLE = 360,
    CURRENT_SCHEMA = 361,
    CURRENT_TIME = 362,
    CURRENT_TIMESTAMP = 363,
    CURRENT_USER = 364,
    CURSOR = 365,
    CYCLE = 366,
    DATA_P = 367,
    DATABASE = 368,
    DAY_P = 369,
    DEALLOCATE = 370,
    DEC = 371,
    DECIMAL_P = 372,
    DECLARE = 373,
    DEFAULT = 374,
    DEFAULTS = 375,
    DEFERRABLE = 376,
    DEFERRED = 377,
    DEFINER = 378,
    DELETE_P = 379,
    DELIMITER = 380,
    DELIMITERS = 381,
    DEPENDS = 382,
    DEPTH = 383,
    DESC = 384,
    DETACH = 385,
    DICTIONARY = 386,
    DISABLE_P = 387,
    DISCARD = 388,
    DISTINCT = 389,
    DO = 390,
    DOCUMENT_P = 391,
    DOMAIN_P = 392,
    DOUBLE_P = 393,
    DROP = 394,
    EACH = 395,
    ELSE = 396,
    ENABLE_P = 397,
    ENCODING = 398,
    ENCRYPTED = 399,
    END_P = 400,
    ENUM_P = 401,
    ESCAPE = 402,
    EVENT = 403,
    EXCEPT = 404,
    EXCLUDE = 405,
    EXCLUDING = 406,
    EXCLUSIVE = 407,
    EXECUTE = 408,
    EXISTS = 409,
    EXPLAIN = 410,
    EXPRESSION = 411,
    EXTENSION = 412,
    EXTERNAL = 413,
    EXTRACT = 414,
    FALSE_P = 415,
    FAMILY = 416,
    FETCH = 417,
    FILTER = 418,
    FINALIZE = 419,
    FIRST_P = 420,
    FLOAT_P = 421,
    FOLLOWING = 422,
    FOR = 423,
    FORCE = 424,
    FOREIGN = 425,
    FORMAT = 426,
    FORWARD = 427,
    FREEZE = 428,
    FROM = 429,
    FULL = 430,
    FUNCTION = 431,
    FUNCTIONS = 432,
    GENERATED = 433,
    GLOBAL = 434,
    GRANT = 435,
    GRANTED = 436,
    GREATEST = 437,
    GROUP_P = 438,
    GROUPING = 439,
    GROUPS = 440,
    HANDLER = 441,
    HAVING = 442,
    HEADER_P = 443,
    HOLD = 444,
    HOUR_P = 445,
    IDENTITY_P = 446,
    IF_P = 447,
    ILIKE = 448,
    IMMEDIATE = 449,
    IMMUTABLE = 450,
    IMPLICIT_P = 451,
    IMPORT_P = 452,
    IN_P = 453,
    INCLUDE = 454,
    INCLUDING = 455,
    INCREMENT = 456,
    INDENT = 457,
    INDEX = 458,
    INDEXES = 459,
    INHERIT = 460,
    INHERITS = 461,
    INITIALLY = 462,
    INLINE_P = 463,
    INNER_P = 464,
    INOUT = 465,
    INPUT_P = 466,
    INSENSITIVE = 467,
    INSERT = 468,
    INSTEAD = 469,
    INT_P = 470,
    INTEGER = 471,
    INTERSECT = 472,
    INTERVAL = 473,
    INTO = 474,
    INVOKER = 475,
    IS = 476,
    ISNULL = 477,
    ISOLATION = 478,
    JOIN = 479,
    JSON = 480,
    JSON_ARRAY = 481,
    JSON_ARRAYAGG = 482,
    JSON_OBJECT = 483,
    JSON_OBJECTAGG = 484,
    JSON_SCALAR = 485,
    JSON_SERIALIZE = 486,
    KEY = 487,
    KEYS = 488,
    LABEL = 489,
    LANGUAGE = 490,
    LARGE_P = 491,
    LAST_P = 492,
    LATERAL_P = 493,
    LEADING = 494,
    LEAKPROOF = 495,
    LEAST = 496,
    LEFT = 497,
    LEVEL = 498,
    LIKE = 499,
    LIMIT = 500,
    LISTEN = 501,
    LOAD = 502,
    LOCAL = 503,
    LOCALTIME = 504,
    LOCALTIMESTAMP = 505,
    LOCATION = 506,
    LOCK_P = 507,
    LOCKED = 508,
    LOGGED = 509,
    MAPPING = 510,
    MATCH = 511,
    MATCHED = 512,
    MATERIALIZED = 513,
    MAXVALUE = 514,
    MERGE = 515,
    METHOD = 516,
    MINUTE_P = 517,
    MINVALUE = 518,
    MODE = 519,
    MONTH_P = 520,
    MOVE = 521,
    NAME_P = 522,
    NAMES = 523,
    NATIONAL = 524,
    NATURAL = 525,
    NCHAR = 526,
    NEW = 527,
    NEXT = 528,
    NFC = 529,
    NFD = 530,
    NFKC = 531,
    NFKD = 532,
    NO = 533,
    NONE = 534,
    NORMALIZE = 535,
    NORMALIZED = 536,
    NOT = 537,
    NOTHING = 538,
    NOTIFY = 539,
    NOTNULL = 540,
    NOWAIT = 541,
    NULL_P = 542,
    NULLIF = 543,
    NULLS_P = 544,
    NUMERIC = 545,
    OBJECT_P = 546,
    OF = 547,
    OFF = 548,
    OFFSET = 549,
    OIDS = 550,
    OLD = 551,
    ON = 552,
    ONLY = 553,
    OPERATOR = 554,
    OPTION = 555,
    OPTIONS = 556,
    OR = 557,
    ORDER = 558,
    ORDINALITY = 559,
    OTHERS = 560,
    OUT_P = 561,
    OUTER_P = 562,
    OVER = 563,
    OVERLAPS = 564,
    OVERLAY = 565,
    OVERRIDING = 566,
    OWNED = 567,
    OWNER = 568,
    PARALLEL = 569,
    PARAMETER = 570,
    PARSER = 571,
    PARTIAL = 572,
    PARTITION = 573,
    PASSING = 574,
    PASSWORD = 575,
    PLACING = 576,
    PLANS = 577,
    POLICY = 578,
    POSITION = 579,
    PRECEDING = 580,
    PRECISION = 581,
    PRESERVE = 582,
    PREPARE = 583,
    PREPARED = 584,
    PRIMARY = 585,
    PRIOR = 586,
    PRIVILEGES = 587,
    PROCEDURAL = 588,
    PROCEDURE = 589,
    PROCEDURES = 590,
    PROGRAM = 591,
    PUBLICATION = 592,
    QUOTE = 593,
    RANGE = 594,
    READ = 595,
    REAL = 596,
    REASSIGN = 597,
    RECHECK = 598,
    RECURSIVE = 599,
    REF_P = 600,
    REFERENCES = 601,
    REFERENCING = 602,
    REFRESH = 603,
    REINDEX = 604,
    RELATIVE_P = 605,
    RELEASE = 606,
    RENAME = 607,
    REPEATABLE = 608,
    REPLACE = 609,
    REPLICA = 610,
    RESET = 611,
    RESTART = 612,
    RESTRICT = 613,
    RETURN = 614,
    RETURNING = 615,
    RETURNS = 616,
    REVOKE = 617,
    RIGHT = 618,
    ROLE = 619,
    ROLLBACK = 620,
    ROLLUP = 621,
    ROUTINE = 622,
    ROUTINES = 623,
    ROW = 624,
    ROWS = 625,
    RULE = 626,
    SAVEPOINT = 627,
    SCALAR = 628,
    SCHEMA = 629,
    SCHEMAS = 630,
    SCROLL = 631,
    SEARCH = 632,
    SECOND_P = 633,
    SECURITY = 634,
    SELECT = 635,
    SEQUENCE = 636,
    SEQUENCES = 637,
    SERIALIZABLE = 638,
    SERVER = 639,
    SESSION = 640,
    SESSION_USER = 641,
    SET = 642,
    SETS = 643,
    SETOF = 644,
    SHARE = 645,
    SHOW = 646,
    SIMILAR = 647,
    SIMPLE = 648,
    SKIP = 649,
    SMALLINT = 650,
    SNAPSHOT = 651,
    SOME = 652,
    SQL_P = 653,
    STABLE = 654,
    STANDALONE_P = 655,
    START = 656,
    STATEMENT = 657,
    STATISTICS = 658,
    STDIN = 659,
    STDOUT = 660,
    STORAGE = 661,
    STORED = 662,
    STRICT_P = 663,
    STRIP_P = 664,
    SUBSCRIPTION = 665,
    SUBSTRING = 666,
    SUPPORT = 667,
    SYMMETRIC = 668,
    SYSID = 669,
    SYSTEM_P = 670,
    SYSTEM_USER = 671,
    TABLE = 672,
    TABLES = 673,
    TABLESAMPLE = 674,
    TABLESPACE = 675,
    TEMP = 676,
    TEMPLATE = 677,
    TEMPORARY = 678,
    TEXT_P = 679,
    THEN = 680,
    TIES = 681,
    TIME = 682,
    TIMESTAMP = 683,
    TO = 684,
    TRAILING = 685,
    TRANSACTION = 686,
    TRANSFORM = 687,
    TREAT = 688,
    TRIGGER = 689,
    TRIM = 690,
    TRUE_P = 691,
    TRUNCATE = 692,
    TRUSTED = 693,
    TYPE_P = 694,
    TYPES_P = 695,
    UESCAPE = 696,
    UNBOUNDED = 697,
    UNCOMMITTED = 698,
    UNENCRYPTED = 699,
    UNION = 700,
    UNIQUE = 701,
    UNKNOWN = 702,
    UNLISTEN = 703,
    UNLOGGED = 704,
    UNTIL = 705,
    UPDATE = 706,
    USER = 707,
    USING = 708,
    VACUUM = 709,
    VALID = 710,
    VALIDATE = 711,
    VALIDATOR = 712,
    VALUE_P = 713,
    VALUES = 714,
    VARCHAR = 715,
    VARIADIC = 716,
    VARYING = 717,
    VERBOSE = 718,
    VERSION_P = 719,
    VIEW = 720,
    VIEWS = 721,
    VOLATILE = 722,
    WHEN = 723,
    WHERE = 724,
    WHITESPACE_P = 725,
    WINDOW = 726,
    WITH = 727,
    WITHIN = 728,
    WITHOUT = 729,
    WORK = 730,
    WRAPPER = 731,
    WRITE = 732,
    XML_P = 733,
    XMLATTRIBUTES = 734,
    XMLCONCAT = 735,
    XMLELEMENT = 736,
    XMLEXISTS = 737,
    XMLFOREST = 738,
    XMLNAMESPACES = 739,
    XMLPARSE = 740,
    XMLPI = 741,
    XMLROOT = 742,
    XMLSERIALIZE = 743,
    XMLTABLE = 744,
    YEAR_P = 745,
    YES_P = 746,
    ZONE = 747,
    FORMAT_LA = 748,
    NOT_LA = 749,
    NULLS_LA = 750,
    WITH_LA = 751,
    WITHOUT_LA = 752,
    MODE_TYPE_NAME = 753,
    MODE_PLPGSQL_EXPR = 754,
    MODE_PLPGSQL_ASSIGN1 = 755,
    MODE_PLPGSQL_ASSIGN2 = 756,
    MODE_PLPGSQL_ASSIGN3 = 757,
    UMINUS = 758
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 232 "gram.y" /* yacc.c:355  */

	core_YYSTYPE core_yystype;
	/* these fields must match core_YYSTYPE: */
	int			ival;
	char	   *str;
	const char *keyword;

	char		chr;
	bool		boolean;
	JoinType	jtype;
	DropBehavior dbehavior;
	OnCommitAction oncommit;
	List	   *list;
	Node	   *node;
	ObjectType	objtype;
	TypeName   *typnam;
	FunctionParameter *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs *objwithargs;
	DefElem	   *defelt;
	SortBy	   *sortby;
	WindowDef  *windef;
	JoinExpr   *jexpr;
	IndexElem  *ielem;
	StatsElem  *selem;
	Alias	   *alias;
	RangeVar   *range;
	IntoClause *into;
	WithClause *with;
	InferClause	*infer;
	OnConflictClause *onconflict;
	A_Indices  *aind;
	ResTarget  *target;
	struct PrivTarget *privtarget;
	AccessPriv *accesspriv;
	struct ImportQual *importqual;
	InsertStmt *istmt;
	VariableSetStmt *vsetstmt;
	PartitionElem *partelem;
	PartitionSpec *partspec;
	PartitionBoundSpec *partboundspec;
	RoleSpec   *rolespec;
	PublicationObjSpec *publicationobjectspec;
	struct SelectLimit *selectlimit;
	SetQuantifier setquantifier;
	struct GroupClause *groupclause;
	MergeWhenClause *mergewhen;
	struct KeyActions *keyactions;
	struct KeyAction *keyaction;

#line 889 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 919 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  910
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   116587

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  521
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  707
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3300
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6255

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   758

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   510,     2,     2,
     515,   516,   508,   506,   519,   507,   517,   509,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   520,   518,
     503,   505,   504,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   513,     2,   514,   511,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   512
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   900,   900,   905,   909,   914,   922,   930,   950,   962,
     976,   977,   981,   982,   983,   984,   985,   986,   987,   988,
     989,   990,   991,   992,   993,   994,   995,   996,   997,   998,
     999,  1000,  1001,  1002,  1003,  1004,  1005,  1006,  1007,  1008,
    1009,  1010,  1011,  1012,  1013,  1014,  1015,  1016,  1017,  1018,
    1019,  1020,  1021,  1022,  1023,  1024,  1025,  1026,  1027,  1028,
    1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
    1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,
    1049,  1050,  1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,
    1059,  1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,
    1069,  1070,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,
    1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,  1098,
    1099,  1100,  1101,  1102,  1103,  1104,  1106,  1113,  1114,  1118,
    1119,  1123,  1124,  1128,  1129,  1130,  1139,  1155,  1167,  1168,
    1169,  1178,  1179,  1183,  1184,  1188,  1193,  1197,  1207,  1215,
    1219,  1223,  1228,  1232,  1280,  1282,  1286,  1290,  1294,  1298,
    1312,  1331,  1340,  1352,  1353,  1357,  1366,  1375,  1384,  1406,
    1414,  1422,  1430,  1438,  1446,  1464,  1483,  1495,  1496,  1507,
    1518,  1529,  1545,  1564,  1571,  1579,  1580,  1581,  1582,  1583,
    1584,  1598,  1605,  1612,  1622,  1631,  1640,  1644,  1653,  1662,
    1670,  1681,  1682,  1691,  1703,  1711,  1720,  1732,  1741,  1750,
    1758,  1768,  1779,  1780,  1784,  1785,  1788,  1790,  1794,  1795,
    1796,  1797,  1801,  1802,  1803,  1809,  1821,  1825,  1829,  1846,
    1854,  1855,  1856,  1860,  1861,  1862,  1866,  1867,  1871,  1875,
    1876,  1884,  1892,  1903,  1911,  1922,  1923,  1928,  1929,  1934,
    1941,  1948,  1955,  1962,  1973,  1984,  1985,  1989,  1990,  1998,
    2014,  2021,  2028,  2035,  2042,  2062,  2072,  2082,  2092,  2102,
    2114,  2126,  2136,  2146,  2156,  2168,  2180,  2190,  2200,  2210,
    2220,  2230,  2240,  2252,  2264,  2274,  2287,  2288,  2293,  2307,
    2320,  2336,  2353,  2363,  2373,  2383,  2393,  2403,  2412,  2421,
    2430,  2440,  2450,  2466,  2476,  2486,  2496,  2506,  2523,  2533,
    2543,  2553,  2564,  2578,  2594,  2604,  2613,  2629,  2638,  2649,
    2660,  2668,  2677,  2686,  2694,  2702,  2711,  2720,  2729,  2737,
    2745,  2754,  2762,  2770,  2779,  2788,  2797,  2806,  2815,  2824,
    2835,  2843,  2852,  2861,  2870,  2879,  2888,  2897,  2905,  2913,
    2921,  2928,  2939,  2940,  2944,  2953,  2957,  2958,  2962,  2970,
    2978,  2986,  2997,  3000,  3001,  3005,  3006,  3011,  3015,  3019,
    3024,  3031,  3033,  3038,  3042,  3046,  3057,  3065,  3118,  3131,
    3145,  3157,  3164,  3168,  3182,  3195,  3196,  3201,  3211,  3222,
    3233,  3260,  3267,  3301,  3337,  3360,  3361,  3365,  3366,  3375,
    3376,  3377,  3380,  3381,  3386,  3387,  3391,  3395,  3399,  3403,
    3407,  3411,  3415,  3419,  3423,  3427,  3431,  3435,  3439,  3443,
    3447,  3456,  3460,  3464,  3468,  3472,  3473,  3478,  3482,  3489,
    3496,  3497,  3498,  3499,  3500,  3504,  3508,  3516,  3527,  3547,
    3567,  3588,  3609,  3630,  3664,  3665,  3666,  3667,  3668,  3675,
    3682,  3683,  3687,  3688,  3692,  3693,  3697,  3701,  3708,  3712,
    3719,  3720,  3721,  3725,  3726,  3729,  3753,  3772,  3794,  3795,
    3799,  3800,  3804,  3805,  3809,  3810,  3814,  3815,  3819,  3827,
    3828,  3829,  3861,  3872,  3880,  3893,  3905,  3918,  3928,  3938,
    3962,  3982,  3983,  3984,  3988,  3989,  4008,  4016,  4024,  4032,
    4044,  4056,  4057,  4058,  4062,  4063,  4064,  4065,  4066,  4067,
    4068,  4069,  4070,  4071,  4080,  4088,  4092,  4106,  4120,  4138,
    4154,  4171,  4187,  4207,  4230,  4231,  4235,  4236,  4240,  4241,
    4244,  4250,  4251,  4254,  4258,  4266,  4271,  4277,  4278,  4282,
    4287,  4294,  4295,  4299,  4309,  4319,  4327,  4336,  4349,  4361,
    4368,  4376,  4384,  4392,  4400,  4410,  4411,  4415,  4416,  4419,
    4431,  4432,  4435,  4446,  4457,  4471,  4472,  4477,  4478,  4479,
    4482,  4483,  4484,  4485,  4488,  4489,  4492,  4493,  4496,  4516,
    4529,  4551,  4552,  4555,  4561,  4567,  4584,  4593,  4615,  4629,
    4646,  4662,  4663,  4664,  4676,  4690,  4707,  4721,  4722,  4734,
    4755,  4766,  4780,  4789,  4801,  4802,  4805,  4806,  4809,  4810,
    4813,  4817,  4821,  4825,  4829,  4833,  4837,  4841,  4845,  4849,
    4853,  4858,  4862,  4866,  4872,  4873,  4877,  4878,  4879,  4886,
    4889,  4890,  4902,  4918,  4934,  4935,  4943,  4944,  4948,  4949,
    4953,  4954,  4958,  4959,  4963,  4964,  4974,  4986,  4987,  5000,
    5008,  5026,  5035,  5047,  5050,  5054,  5058,  5062,  5069,  5081,
    5092,  5095,  5099,  5112,  5122,  5132,  5142,  5152,  5162,  5172,
    5182,  5192,  5202,  5212,  5222,  5232,  5251,  5263,  5264,  5265,
    5266,  5270,  5271,  5275,  5276,  5286,  5295,  5308,  5309,  5313,
    5317,  5325,  5329,  5333,  5340,  5344,  5349,  5354,  5361,  5368,
    5373,  5383,  5396,  5412,  5413,  5418,  5419,  5423,  5424,  5434,
    5444,  5453,  5471,  5492,  5513,  5535,  5569,  5585,  5586,  5590,
    5599,  5614,  5624,  5637,  5638,  5650,  5659,  5677,  5702,  5720,
    5735,  5736,  5740,  5741,  5745,  5746,  5750,  5751,  5755,  5769,
    5773,  5774,  5778,  5779,  5780,  5781,  5782,  5792,  5804,  5805,
    5816,  5839,  5871,  5872,  5873,  5877,  5879,  5901,  5903,  5905,
    5907,  5909,  5914,  5915,  5919,  5920,  5924,  5936,  5937,  5941,
    5950,  5954,  5958,  5963,  5973,  5974,  5978,  5979,  5983,  5984,
    5988,  5989,  5993,  5994,  5995,  5999,  6003,  6004,  6005,  6009,
    6010,  6015,  6016,  6043,  6044,  6045,  6046,  6047,  6048,  6061,
    6072,  6087,  6089,  6094,  6099,  6101,  6106,  6117,  6118,  6119,
    6120,  6131,  6150,  6162,  6175,  6186,  6197,  6209,  6218,  6226,
    6234,  6244,  6254,  6264,  6274,  6284,  6295,  6305,  6318,  6321,
    6322,  6325,  6329,  6336,  6337,  6338,  6339,  6340,  6341,  6344,
    6347,  6348,  6356,  6363,  6364,  6367,  6369,  6380,  6392,  6404,
    6416,  6428,  6457,  6458,  6474,  6490,  6491,  6495,  6508,  6519,
    6528,  6538,  6548,  6549,  6552,  6553,  6556,  6557,  6558,  6561,
    6575,  6580,  6591,  6601,  6614,  6615,  6619,  6628,  6641,  6652,
    6666,  6677,  6700,  6711,  6730,  6741,  6752,  6763,  6774,  6785,
    6796,  6807,  6818,  6829,  6840,  6851,  6866,  6867,  6868,  6869,
    6870,  6871,  6872,  6873,  6874,  6875,  6876,  6877,  6878,  6888,
    6889,  6890,  6891,  6892,  6896,  6897,  6898,  6899,  6900,  6901,
    6902,  6903,  6908,  6909,  6910,  6914,  6915,  6918,  6919,  6922,
    6924,  6929,  6930,  6941,  6953,  6954,  6955,  6965,  6974,  6983,
    6992,  7001,  7010,  7019,  7028,  7037,  7046,  7060,  7069,  7078,
    7087,  7096,  7105,  7114,  7123,  7135,  7136,  7150,  7161,  7172,
    7183,  7194,  7205,  7216,  7227,  7238,  7249,  7262,  7263,  7266,
    7267,  7277,  7284,  7293,  7302,  7311,  7320,  7329,  7338,  7347,
    7356,  7365,  7374,  7383,  7392,  7401,  7410,  7419,  7428,  7439,
    7440,  7443,  7444,  7454,  7472,  7488,  7516,  7518,  7520,  7522,
    7530,  7540,  7541,  7544,  7552,  7560,  7568,  7575,  7586,  7590,
    7597,  7601,  7612,  7621,  7630,  7639,  7648,  7657,  7666,  7675,
    7684,  7693,  7702,  7711,  7720,  7728,  7737,  7746,  7755,  7764,
    7773,  7782,  7791,  7804,  7805,  7809,  7810,  7815,  7816,  7826,
    7837,  7851,  7863,  7881,  7882,  7886,  7893,  7894,  7895,  7898,
    7899,  7909,  7920,  7921,  7925,  7929,  7933,  7944,  7958,  7973,
    7991,  7992,  7993,  7994,  7995,  7996,  8008,  8040,  8075,  8076,
    8080,  8081,  8084,  8085,  8090,  8102,  8121,  8126,  8131,  8138,
    8139,  8142,  8143,  8146,  8147,  8151,  8152,  8153,  8156,  8157,
    8158,  8174,  8188,  8203,  8217,  8234,  8235,  8238,  8239,  8243,
    8244,  8248,  8249,  8254,  8268,  8276,  8284,  8300,  8301,  8305,
    8306,  8321,  8331,  8341,  8351,  8361,  8374,  8375,  8376,  8377,
    8378,  8384,  8388,  8403,  8404,  8410,  8420,  8424,  8429,  8437,
    8479,  8483,  8487,  8491,  8499,  8500,  8504,  8516,  8517,  8522,
    8523,  8528,  8529,  8536,  8540,  8544,  8548,  8552,  8556,  8560,
    8564,  8568,  8572,  8576,  8580,  8584,  8588,  8592,  8596,  8601,
    8608,  8612,  8616,  8620,  8624,  8630,  8631,  8637,  8647,  8651,
    8662,  8668,  8677,  8683,  8684,  8688,  8689,  8693,  8694,  8697,
    8710,  8714,  8729,  8738,  8747,  8760,  8761,  8766,  8767,  8784,
    8795,  8806,  8817,  8828,  8839,  8853,  8864,  8878,  8889,  8903,
    8911,  8913,  8915,  8920,  8922,  8927,  8928,  8933,  8952,  8962,
    8963,  8967,  8971,  8983,  8995,  9007,  9021,  9022,  9023,  9027,
    9040,  9041,  9051,  9064,  9068,  9072,  9076,  9083,  9105,  9118,
    9131,  9146,  9147,  9150,  9151,  9154,  9155,  9165,  9175,  9193,
    9203,  9213,  9223,  9233,  9243,  9253,  9263,  9273,  9283,  9293,
    9303,  9313,  9324,  9335,  9345,  9355,  9365,  9375,  9385,  9395,
    9406,  9417,  9428,  9439,  9450,  9461,  9472,  9483,  9494,  9505,
    9516,  9527,  9539,  9551,  9563,  9575,  9587,  9599,  9610,  9621,
    9633,  9645,  9656,  9667,  9676,  9686,  9696,  9706,  9716,  9726,
    9736,  9746,  9756,  9766,  9781,  9782,  9785,  9786,  9796,  9806,
    9816,  9826,  9837,  9847,  9859,  9860,  9870,  9880,  9890,  9900,
    9910,  9920,  9930,  9940,  9950,  9960,  9970,  9980,  9990, 10000,
   10010, 10020, 10030, 10040, 10050, 10060, 10070, 10080, 10090, 10100,
   10110, 10120, 10130, 10149, 10159, 10160, 10163, 10165, 10167, 10173,
   10174, 10175, 10176, 10177, 10189, 10205, 10214, 10223, 10232, 10241,
   10250, 10259, 10268, 10277, 10286, 10295, 10304, 10313, 10322, 10331,
   10340, 10349, 10358, 10367, 10376, 10385, 10394, 10403, 10412, 10440,
   10448, 10457, 10483, 10492, 10499, 10505, 10532, 10543, 10552, 10560,
   10562, 10584, 10592, 10602, 10612, 10631, 10650, 10660, 10670, 10680,
   10691, 10702, 10713, 10724, 10735, 10753, 10762, 10779, 10797, 10798,
   10799, 10804, 10810, 10819, 10820, 10821, 10822, 10823, 10827, 10828,
   10831, 10832, 10833, 10834, 10838, 10839, 10840, 10852, 10863, 10864,
   10867, 10877, 10884, 10904, 10914, 10923, 10933, 10943, 10952, 10961,
   10970, 10979, 10988, 10997, 11006, 11018, 11027, 11039, 11040, 11041,
   11045, 11048, 11051, 11054, 11057, 11064, 11066, 11068, 11073, 11075,
   11079, 11080, 11081, 11093, 11107, 11121, 11140, 11162, 11163, 11164,
   11165, 11175, 11192, 11203, 11204, 11208, 11209, 11213, 11217, 11221,
   11239, 11240, 11241, 11242, 11243, 11244, 11245, 11252, 11253, 11264,
   11272, 11280, 11289, 11299, 11317, 11326, 11335, 11344, 11356, 11360,
   11371, 11383, 11401, 11408, 11425, 11439, 11449, 11458, 11467, 11477,
   11489, 11501, 11512, 11513, 11524, 11535, 11547, 11559, 11571, 11583,
   11593, 11606, 11607, 11621, 11645, 11654, 11664, 11676, 11688, 11702,
   11703, 11715, 11736, 11747, 11759, 11771, 11775, 11782, 11783, 11787,
   11794, 11795, 11796, 11800, 11801, 11802, 11806, 11807, 11811, 11812,
   11815, 11816, 11819, 11820, 11824, 11825, 11829, 11836, 11838, 11843,
   11844, 11857, 11865, 11876, 11884, 11895, 11896, 11897, 11898, 11899,
   11900, 11901, 11902, 11903, 11904, 11914, 11925, 11926, 11930, 11931,
   11932, 11933, 11934, 11944, 11952, 11970, 11990, 11991, 12001, 12010,
   12019, 12028, 12047, 12065, 12069, 12077, 12083, 12090, 12096, 12103,
   12112, 12113, 12117, 12119, 12124, 12135, 12145, 12155, 12161, 12170,
   12179, 12185, 12186, 12197, 12212, 12213, 12224, 12235, 12236, 12239,
   12240, 12241, 12242, 12243, 12244, 12245, 12246, 12249, 12250, 12254,
   12255, 12256, 12267, 12286, 12287, 12291, 12296, 12320, 12331, 12332,
   12344, 12362, 12363, 12367, 12374, 12381, 12388, 12398, 12411, 12412,
   12416, 12429, 12442, 12451, 12460, 12469, 12478, 12490, 12502, 12514,
   12517, 12518, 12519, 12520, 12521, 12522, 12525, 12526, 12527, 12575,
   12576, 12580, 12581, 12596, 12597, 12604, 12612, 12620, 12628, 12636,
   12644, 12655, 12656, 12688, 12704, 12721, 12722, 12741, 12745, 12749,
   12764, 12771, 12778, 12788, 12789, 12792, 12808, 12809, 12810, 12814,
   12824, 12835, 12841, 12853, 12866, 12872, 12873, 12877, 12889, 12897,
   12902, 12907, 12912, 12917, 12925, 12933, 12938, 12943, 12950, 12951,
   12955, 12956, 12957, 12964, 12965, 12969, 12970, 12974, 12975, 12979,
   12980, 12984, 12988, 12989, 12992, 13001, 13014, 13019, 13024, 13028,
   13040, 13041, 13045, 13054, 13070, 13079, 13088, 13097, 13109, 13112,
   13117, 13118, 13126, 13146, 13147, 13149, 13154, 13155, 13159, 13160,
   13163, 13164, 13189, 13198, 13208, 13209, 13213, 13214, 13215, 13216,
   13217, 13221, 13234, 13241, 13248, 13255, 13256, 13260, 13261, 13265,
   13266, 13270, 13271, 13275, 13287, 13288, 13289, 13290, 13294, 13295,
   13305, 13312, 13331, 13332, 13336, 13337, 13343, 13348, 13357, 13365,
   13374, 13381, 13389, 13398, 13407, 13411, 13437, 13441, 13455, 13476,
   13498, 13511, 13528, 13534, 13539, 13545, 13552, 13553, 13563, 13569,
   13577, 13581, 13585, 13592, 13600, 13605, 13606, 13607, 13608, 13612,
   13613, 13628, 13632, 13640, 13647, 13654, 13661, 13668, 13679, 13680,
   13693, 13697, 13705, 13719, 13733, 13734, 13749, 13760, 13773, 13778,
   13779, 13782, 13783, 13786, 13787, 13792, 13793, 13798, 13799, 13808,
   13813, 13814, 13818, 13822, 13828, 13853, 13864, 13878, 13879, 13883,
   13897, 13954, 13968, 13970, 13975, 13977, 13979, 13981, 13986, 13988,
   13993, 14001, 14021, 14026, 14033, 14038, 14044, 14049, 14058, 14060,
   14063, 14067, 14068, 14069, 14070, 14071, 14072, 14077, 14083, 14098,
   14099, 14100, 14101, 14102, 14113, 14119, 14127, 14128, 14134, 14139,
   14144, 14149, 14154, 14159, 14164, 14169, 14175, 14181, 14187, 14194,
   14216, 14225, 14229, 14237, 14241, 14249, 14261, 14282, 14286, 14292,
   14296, 14309, 14317, 14327, 14329, 14331, 14333, 14335, 14337, 14342,
   14343, 14350, 14359, 14367, 14376, 14387, 14395, 14396, 14397, 14401,
   14403, 14405, 14407, 14409, 14411, 14413, 14418, 14423, 14429, 14437,
   14442, 14449, 14456, 14460, 14464, 14472, 14507, 14508, 14510, 14519,
   14526, 14542, 14544, 14546, 14548, 14550, 14552, 14554, 14556, 14558,
   14560, 14562, 14564, 14566, 14568, 14571, 14573, 14576, 14578, 14580,
   14582, 14585, 14590, 14599, 14604, 14613, 14618, 14627, 14632, 14642,
   14651, 14660, 14669, 14688, 14697, 14706, 14715, 14724, 14741, 14750,
   14759, 14768, 14777, 14786, 14795, 14799, 14803, 14811, 14819, 14827,
   14835, 14856, 14879, 14891, 14898, 14914, 14919, 14925, 14932, 14939,
   14947, 14955, 14972, 14991, 15017, 15019, 15021, 15023, 15025, 15027,
   15029, 15031, 15033, 15035, 15037, 15039, 15041, 15043, 15045, 15047,
   15049, 15051, 15053, 15057, 15061, 15066, 15082, 15083, 15084, 15101,
   15114, 15116, 15118, 15130, 15155, 15167, 15179, 15187, 15198, 15209,
   15219, 15225, 15234, 15244, 15254, 15267, 15277, 15308, 15344, 15354,
   15365, 15366, 15367, 15374, 15381, 15385, 15389, 15393, 15397, 15401,
   15405, 15409, 15413, 15417, 15421, 15425, 15429, 15436, 15440, 15444,
   15448, 15450, 15457, 15464, 15471, 15478, 15489, 15503, 15513, 15524,
   15540, 15550, 15557, 15564, 15571, 15575, 15583, 15592, 15601, 15605,
   15609, 15613, 15617, 15621, 15630, 15634, 15644, 15648, 15652, 15657,
   15668, 15674, 15688, 15699, 15713, 15729, 15741, 15751, 15760, 15775,
   15777, 15781, 15783, 15785, 15788, 15791, 15794, 15795, 15798, 15806,
   15816, 15817, 15820, 15821, 15822, 15825, 15826, 15827, 15832, 15836,
   15840, 15844, 15851, 15852, 15860, 15861, 15865, 15866, 15874, 15875,
   15879, 15880, 15885, 15894, 15896, 15911, 15914, 15942, 15943, 15946,
   15947, 15955, 15963, 15971, 15980, 15990, 16008, 16054, 16063, 16072,
   16081, 16090, 16102, 16103, 16104, 16105, 16106, 16120, 16121, 16122,
   16125, 16126, 16129, 16132, 16133, 16134, 16137, 16138, 16141, 16142,
   16143, 16144, 16145, 16146, 16147, 16148, 16149, 16150, 16151, 16152,
   16155, 16157, 16162, 16164, 16169, 16171, 16173, 16175, 16177, 16179,
   16191, 16195, 16202, 16206, 16212, 16216, 16226, 16238, 16239, 16242,
   16243, 16246, 16250, 16254, 16260, 16261, 16266, 16276, 16277, 16278,
   16279, 16280, 16281, 16282, 16283, 16287, 16288, 16289, 16290, 16295,
   16300, 16309, 16330, 16334, 16339, 16350, 16367, 16373, 16374, 16375,
   16378, 16386, 16396, 16411, 16412, 16416, 16428, 16429, 16432, 16433,
   16436, 16440, 16447, 16451, 16455, 16464, 16476, 16477, 16481, 16482,
   16486, 16487, 16490, 16491, 16496, 16505, 16522, 16529, 16534, 16540,
   16549, 16563, 16564, 16565, 16566, 16567, 16576, 16577, 16578, 16579,
   16580, 16584, 16586, 16596, 16599, 16605, 16606, 16607, 16611, 16612,
   16613, 16617, 16618, 16622, 16640, 16660, 16661, 16670, 16671, 16675,
   16676, 16679, 16687, 16695, 16703, 16726, 16727, 16738, 16742, 16748,
   16750, 16755, 16757, 16759, 16769, 16771, 16782, 16786, 16790, 16794,
   16798, 16807, 16815, 16847, 16851, 16858, 16866, 16870, 16874, 16880,
   16881, 16883, 16884, 16885, 16889, 16930, 16958, 16962, 16966, 16972,
   16974, 16988, 17024, 17037, 17038, 17041, 17042, 17059, 17060, 17061,
   17066, 17067, 17068, 17073, 17074, 17075, 17076, 17082, 17083, 17084,
   17085, 17086, 17092, 17093, 17113, 17114, 17115, 17116, 17117, 17118,
   17119, 17120, 17121, 17122, 17123, 17124, 17125, 17126, 17127, 17128,
   17129, 17130, 17131, 17132, 17133, 17134, 17135, 17136, 17137, 17138,
   17139, 17140, 17141, 17142, 17143, 17144, 17145, 17146, 17147, 17148,
   17149, 17150, 17151, 17152, 17153, 17154, 17155, 17156, 17157, 17158,
   17159, 17160, 17161, 17162, 17163, 17164, 17165, 17166, 17167, 17168,
   17169, 17170, 17171, 17172, 17173, 17174, 17175, 17176, 17177, 17178,
   17179, 17180, 17181, 17182, 17183, 17184, 17185, 17186, 17187, 17188,
   17189, 17190, 17191, 17192, 17193, 17194, 17195, 17196, 17197, 17198,
   17199, 17200, 17201, 17202, 17203, 17204, 17205, 17206, 17207, 17208,
   17209, 17210, 17211, 17212, 17213, 17214, 17215, 17216, 17217, 17218,
   17219, 17220, 17221, 17222, 17223, 17224, 17225, 17226, 17227, 17228,
   17229, 17230, 17231, 17232, 17233, 17234, 17235, 17236, 17237, 17238,
   17239, 17240, 17241, 17242, 17243, 17244, 17245, 17246, 17247, 17248,
   17249, 17250, 17251, 17252, 17253, 17254, 17255, 17256, 17257, 17258,
   17259, 17260, 17261, 17262, 17263, 17264, 17265, 17266, 17267, 17268,
   17269, 17270, 17271, 17272, 17273, 17274, 17275, 17276, 17277, 17278,
   17279, 17280, 17281, 17282, 17283, 17284, 17285, 17286, 17287, 17288,
   17289, 17290, 17291, 17292, 17293, 17294, 17295, 17296, 17297, 17298,
   17299, 17300, 17301, 17302, 17303, 17304, 17305, 17306, 17307, 17308,
   17309, 17310, 17311, 17312, 17313, 17314, 17315, 17316, 17317, 17318,
   17319, 17320, 17321, 17322, 17323, 17324, 17325, 17326, 17327, 17328,
   17329, 17330, 17331, 17332, 17333, 17334, 17335, 17336, 17337, 17338,
   17339, 17340, 17341, 17342, 17343, 17344, 17345, 17346, 17347, 17348,
   17349, 17350, 17351, 17352, 17353, 17354, 17355, 17356, 17357, 17358,
   17359, 17360, 17361, 17362, 17363, 17364, 17365, 17366, 17367, 17368,
   17369, 17370, 17371, 17372, 17373, 17374, 17375, 17376, 17377, 17378,
   17379, 17380, 17381, 17382, 17383, 17384, 17385, 17386, 17387, 17388,
   17389, 17390, 17391, 17392, 17393, 17394, 17395, 17396, 17397, 17398,
   17399, 17400, 17401, 17402, 17403, 17404, 17405, 17406, 17407, 17408,
   17409, 17410, 17411, 17412, 17413, 17414, 17415, 17416, 17417, 17418,
   17419, 17420, 17421, 17422, 17423, 17424, 17425, 17426, 17440, 17441,
   17442, 17443, 17444, 17445, 17446, 17447, 17448, 17449, 17450, 17451,
   17452, 17453, 17454, 17455, 17456, 17457, 17458, 17459, 17460, 17461,
   17462, 17463, 17464, 17465, 17466, 17467, 17468, 17469, 17470, 17471,
   17472, 17473, 17474, 17475, 17476, 17477, 17478, 17479, 17480, 17481,
   17482, 17483, 17484, 17485, 17486, 17487, 17488, 17489, 17490, 17491,
   17492, 17493, 17494, 17495, 17496, 17497, 17511, 17512, 17513, 17514,
   17515, 17516, 17517, 17518, 17519, 17520, 17521, 17522, 17523, 17524,
   17525, 17526, 17527, 17528, 17529, 17530, 17531, 17532, 17533, 17543,
   17544, 17545, 17546, 17547, 17548, 17549, 17550, 17551, 17552, 17553,
   17554, 17555, 17556, 17557, 17558, 17559, 17560, 17561, 17562, 17563,
   17564, 17565, 17566, 17567, 17568, 17569, 17570, 17571, 17572, 17573,
   17574, 17575, 17576, 17577, 17578, 17579, 17580, 17581, 17582, 17583,
   17584, 17585, 17586, 17587, 17588, 17589, 17590, 17591, 17592, 17593,
   17594, 17595, 17596, 17597, 17598, 17599, 17600, 17601, 17602, 17603,
   17604, 17605, 17606, 17607, 17608, 17609, 17610, 17611, 17612, 17613,
   17614, 17615, 17616, 17617, 17618, 17619, 17620, 17633, 17634, 17635,
   17636, 17637, 17638, 17639, 17640, 17641, 17642, 17643, 17644, 17645,
   17646, 17647, 17648, 17649, 17650, 17651, 17652, 17653, 17654, 17655,
   17656, 17657, 17658, 17659, 17660, 17661, 17662, 17663, 17664, 17665,
   17666, 17667, 17668, 17669, 17670, 17671, 17672, 17673, 17674, 17675,
   17676, 17677, 17678, 17679, 17680, 17681, 17682, 17683, 17684, 17685,
   17686, 17687, 17688, 17689, 17690, 17691, 17692, 17693, 17694, 17695,
   17696, 17697, 17698, 17699, 17700, 17701, 17702, 17703, 17704, 17705,
   17706, 17707, 17708, 17709, 17710, 17711, 17712, 17713, 17714, 17715,
   17716, 17717, 17718, 17719, 17720, 17721, 17722, 17723, 17724, 17725,
   17726, 17727, 17728, 17729, 17730, 17731, 17732, 17733, 17734, 17735,
   17736, 17737, 17738, 17739, 17740, 17741, 17742, 17743, 17744, 17745,
   17746, 17747, 17748, 17749, 17750, 17751, 17752, 17753, 17754, 17755,
   17756, 17757, 17758, 17759, 17760, 17761, 17762, 17763, 17764, 17765,
   17766, 17767, 17768, 17769, 17770, 17771, 17772, 17773, 17774, 17775,
   17776, 17777, 17778, 17779, 17780, 17781, 17782, 17783, 17784, 17785,
   17786, 17787, 17788, 17789, 17790, 17791, 17792, 17793, 17794, 17795,
   17796, 17797, 17798, 17799, 17800, 17801, 17802, 17803, 17804, 17805,
   17806, 17807, 17808, 17809, 17810, 17811, 17812, 17813, 17814, 17815,
   17816, 17817, 17818, 17819, 17820, 17821, 17822, 17823, 17824, 17825,
   17826, 17827, 17828, 17829, 17830, 17831, 17832, 17833, 17834, 17835,
   17836, 17837, 17838, 17839, 17840, 17841, 17842, 17843, 17844, 17845,
   17846, 17847, 17848, 17849, 17850, 17851, 17852, 17853, 17854, 17855,
   17856, 17857, 17858, 17859, 17860, 17861, 17862, 17863, 17864, 17865,
   17866, 17867, 17868, 17869, 17870, 17871, 17872, 17873, 17874, 17875,
   17876, 17877, 17878, 17879, 17880, 17881, 17882, 17883, 17884, 17885,
   17886, 17887, 17888, 17889, 17890, 17891, 17892, 17893, 17894, 17895,
   17896, 17897, 17898, 17899, 17900, 17901, 17902, 17903, 17904, 17905,
   17906, 17907, 17908, 17909, 17910, 17911, 17912, 17913, 17914, 17915,
   17916, 17917, 17918, 17919, 17920, 17921, 17922, 17923, 17924, 17925,
   17926, 17927, 17928, 17929, 17930, 17931, 17932, 17933, 17934, 17935,
   17936, 17937, 17938, 17939, 17940, 17941, 17942, 17943, 17944, 17945,
   17946, 17947, 17948, 17949, 17950, 17951, 17952, 17953, 17954, 17955,
   17956, 17957, 17958, 17959, 17960, 17961, 17962, 17963, 17964, 17965,
   17966, 17967, 17968, 17969, 17970, 17971, 17972, 17973, 17974, 17975,
   17976, 17977, 17978, 17979, 17980, 17981, 17982, 17983, 17984, 17985,
   17986, 17987, 17988, 17989, 17990, 17991, 17992, 17993, 17994, 17995,
   17996, 17997, 17998, 17999, 18000, 18001, 18002, 18003, 18004, 18005,
   18006, 18007, 18008, 18009, 18010, 18011, 18012, 18013, 18014, 18015,
   18016, 18017, 18018, 18019, 18020, 18021, 18022, 18023, 18024, 18025,
   18026, 18027, 18028, 18029, 18030, 18031, 18032, 18033, 18034, 18035,
   18036, 18037, 18038, 18039, 18040, 18041, 18042, 18043, 18044, 18045,
   18046, 18047, 18048, 18049, 18050, 18051, 18052, 18053, 18054, 18055,
   18056, 18057, 18058, 18059, 18060, 18061, 18062, 18063, 18064, 18065,
   18066
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "UIDENT", "FCONST", "SCONST",
  "USCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P",
  "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL",
  "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY",
  "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT", "ASYMMETRIC",
  "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION", "CONCURRENTLY",
  "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS",
  "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE",
  "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DEPENDS", "DEPTH", "DESC", "DETACH", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER",
  "FINALIZE", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORMAT", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT", "INDENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "JSON", "JSON_ARRAY", "JSON_ARRAYAGG",
  "JSON_OBJECT", "JSON_OBJECTAGG", "JSON_SCALAR", "JSON_SERIALIZE", "KEY",
  "KEYS", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LEADING",
  "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD",
  "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED",
  "LOGGED", "MAPPING", "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE",
  "MERGE", "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE",
  "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NFC",
  "NFD", "NFKC", "NFKD", "NO", "NONE", "NORMALIZE", "NORMALIZED", "NOT",
  "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P",
  "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON",
  "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY",
  "OTHERS", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARAMETER", "PARSER",
  "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS",
  "POLICY", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROCEDURES", "PROGRAM", "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL",
  "REASSIGN", "RECHECK", "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING",
  "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURN",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP",
  "ROUTINE", "ROUTINES", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCALAR",
  "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE",
  "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT",
  "STORAGE", "STORED", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P", "SYSTEM_USER", "TABLE",
  "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UESCAPE", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "FORMAT_LA", "NOT_LA", "NULLS_LA", "WITH_LA", "WITHOUT_LA",
  "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR", "MODE_PLPGSQL_ASSIGN1",
  "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3", "'<'", "'>'", "'='",
  "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('",
  "')'", "'.'", "';'", "','", "':'", "$accept", "parse_toplevel",
  "stmtmulti", "toplevel_stmt", "stmt", "opt_single_name",
  "opt_qualified_name", "opt_concurrently", "opt_drop_behavior",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "PartitionBoundSpec", "hash_partbound_elem", "hash_partbound",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "column_compression", "opt_column_compression", "column_storage",
  "opt_column_storage", "ColQualList", "ColConstraint",
  "ColConstraintElem", "opt_unique_null_treatment", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "opt_c_include",
  "key_match", "ExclusionConstraintList", "ExclusionConstraintElem",
  "OptWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_params", "part_elem", "table_access_method_clause", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateStatsStmt", "stats_params", "stats_param", "AlterStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "MergeStmt", "merge_when_list",
  "merge_when_clause", "opt_merge_when_condition", "merge_update",
  "merge_delete", "merge_insert", "merge_values_clause",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_value_expr",
  "json_format_clause", "json_format_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "PLpgSQL_Expr", "PLAssignStmt",
  "plassign_target", "plassign_equals", "ColId", "type_function_name",
  "NonReservedWord", "ColLabel", "BareColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "bare_label_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,    60,    62,    61,    43,    45,    42,    47,
      37,    94,   758,    91,    93,    40,    41,    46,    59,    44,
      58
};
# endif

#define YYPACT_NINF -5691

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5691)))

#define YYTABLE_NINF -2898

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2898)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    7008,  1700, 21097, -5691, -5691,  1700, 69685, -5691, 78995,     6,
     858,    82,   207, 20039, 79485, 89285,  1058,   952, 20785,  1700,
   89285,  2466, 60374, 75075,  1354, 89285,   482,  1168, 60374, 89285,
   89775,  1323,  1486,  1348, 90265, 79975, 74095,  1300, 89285,  1671,
    1581, 90755, 80465,  1582, 80955,  1168, 55485,   151,  1456, 91245,
   89285,113715,  1581, 81445, 81445, 81445,  2821,  2112,  1554, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691,  1028, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691,  1988, -5691,  1382,
    2382,  1428,   833,  1614, -5691, -5691,  2116, 69685, 89285, 89285,
   89285,  1864, 89285,  1777, 89285,   216, 69685, 66255, 81935,  1962,
    1843, 51449, 91735, -5691, 69685, 89285, 63805, 69685, 89285, 89285,
   92225, 89285, 92715, 89285,   125, 77525, 89285,  1898, 89285, 89285,
   64295, 93205,  2081,   269,   232, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691,  1832,  1954, -5691,   267, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, 60864, 89285, 12141,   482,  2116, -5691,
    2821, 89285,  2096, 89285,  1858, 93695, 89285, -5691, 89285,  1930,
   94185,   218,  1845, 66255,  2274, 51958,  2038, 89285, 89285, 66255,
   94675, 95165, 95655, 89285, 89285, -5691, -5691,  2050, 89285, -5691,
    2212, 66745,  1729,  2231,  2398,  2305,  1113, -5691, 82425, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, 69195,   952, -5691,
   -5691,  2273, 70175,  2324, -5691, -5691, 96145,114191,  2117, -5691,
     265, 70665, 67235,  2454,  2091, 52467,  2504, -5691, 71155, -5691,
   67725, 71645, -5691, -5691, -5691, -5691, -5691, 96635, -5691, 97125,
    2169,  2324, -5691,114667, 68215, -5691,  2346, 97615, 98105, 98595,
    2116,  2071,  1935,  1005, 45951, -5691, -5691, -5691,  2147, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,   341,  1783,
     226,   223,   281, -5691, -5691,   241,   243,   244,   341,  2613,
    2613, -5691, 89285, -5691, -5691,  1783,    64,  2213,  2137,  2137,
    2137,  2335,    25, -5691,  2137,  2262, -5691, -5691, -5691, -5691,
   80955, -5691,  2122,   482,  2143,  2610,  2214, 60864,  1648, 89285,
   -5691, -5691,  2704,  2243,  2538,  2253, -5691, -5691, -5691,  2482,
    2514,   142,    91,   482,   249, -5691,  2651, -5691,  2527, 31345,
   31345,   482, 82915, 99085,   266, 69195,   482, 83405,  2343,  1498,
    2566, -5691, -5691, -5691,   911, -5691,  2796,  2413,  2667,  2253,
     269, 47935, -5691, -5691,  2404,  1954, 80955, -5691, -5691, -5691,
   60864,  2769, 34393, 89285,  2435, -5691,  2445,  2435, -5691, -5691,
    2523, -5691,  2523,  2523,  2476,  2476,  2669,  2493, -5691, -5691,
   -5691, -5691,  1607,  2523,  2476, -5691,115619, -5691,  1933,  1959,
   -5691, -5691,  2988, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691,  2522, -5691,   972, -5691,  2184, -5691, -5691, -5691, 31345,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691,  2543,  2552,  1428,
   -5691,  7639, 60864, 89285,  1672,  1672,  2984,  1672,  1734,  1929,
   -5691,  2512, -5691,  2919,  2875,  2880, 80955,  2602,  1096, -5691,
    1489,  2606,  1922,  2612,  1810,  1107, -5691,   253, 89285,   268,
    2662, 83895,  3368,  2631,  1954,  2639, -5691, -5691, -5691, -5691,
    2803,  1014, -5691, -5691, -5691, -5691,  2972,  3022,  7308,   324,
   84385, -5691, -5691, -5691, -5691, 89285, 89285, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691,  2673,  1599, -5691, -5691,
    2677,  3044,  2911,  4965,  1347,  3031,  2878,  1332,  8091,  2935,
     174,  3079,  7672,   124,  3081,  1825,  1792, 84875, 89285,  3038,
    3083,  5575,  1909,   882,  2942,   974,  3031,  3082,  2899,  1332,
    3100,  9249, 89285, -5691,  3015,  3138,   101, -5691,   179, -5691,
   24288, 34393, 54995, -5691,  1954, -5691,  1809, -5691, -5691, 59884,
   -5691,  2808,  2965,  1256, 69685,  2750, 89285, 89285, -5691,113715,
   69685, -5691,  2975, 52976, 69685, -5691, 69685, -5691, -5691,  3099,
  113715, 89285, 89285, -5691, 89285, -5691, -5691,  2756, -5691, -5691,
   -5691, -5691, -5691,  2137, 89285,  3203,113715,  2995,   131,  1768,
    3238, 89285,  2996,  1768,  2805, 99575, -5691, -5691,  1768, -5691,
   -5691, -5691, 89285, 89285,  2768,  1798,  2991,   809,  1768,  3008,
    3243,  3244,  3012,  2856,  3014,  2445, -5691,  3207,  2986,   993,
     215,  1831,  1768,  2838,100065,100555, 89285,  2841, 89285,  3220,
   69685,  2874, 69685, 69685, 89285,  3145, 89285, -5691,  2983, -5691,
   -5691,  1095, -5691, -5691, -5691, -5691, -5691,  3164, -5691,   202,
    3165,  2806,  3166,  1745,  3169,   212, -5691, -5691,  2853, -5691,
    3177,   227, -5691,  3178, -5691,  2814,101045, -5691,101535,102025,
    3183,   245, -5691, 66255,  3186,   227,  3187,  2814,  3189,   227,
    3191,   893,  3192, -5691,  1357,  3180,  3197,   212,  3199,  2121,
    2814, -5691,  3200,   262, -5691,  3205,   313, -5691,  3208,  3060,
   -5691, 34393, -5691,  2944, -5691,  1456,  1953,  1005,  1783, -5691,
   89285,  1783, 89285,  1783, 89285,  1783, 89285,  1783, 89285, 89285,
   89285,  1783, -5691, -5691, -5691, 89285,  2848, 89285, -5691, 89285,
   -5691, -5691, -5691, 76055, 66255, 76545, -5691, 89285, -5691,    89,
     482, -5691, -5691,113715,  3327, 66255,  3220,  1993, -5691, -5691,
    3220, -5691, -5691,  3220,  3220, -5691, -5691, -5691,  3124, 89285,
    3201, 76055, 66255,  3204, -5691,102515, -5691, 69195,  3076,  2859,
   -5691, -5691, -5691, -5691, -5691,  2200,  3369,   254,  3370, 34393,
    2864,   254,   254,  2865,  3218, -5691, -5691, -5691,   282,  2885,
    2887, -5691,   280,   280, -5691,  2888,  2889, -5691,   288,  2890,
    2892,  3393,  3402,   295,   296,  2900,  2901,  2902,  2903,  2905,
    2908,  2909,  2910,  2913,  1607,   254,  2914, 34393, -5691,  2918,
     280,  2923,  2925,  2926,  3408,  2928, -5691,  3420,  2930, -5691,
     240,   321,  2931,  2932, -5691,  3160, -5691,   297,  2936,  2937,
    2938,  2939,  2940,  2946,  2947,  2951, 34393, 34393, 34393, -5691,
   28800,  1954,   482, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691,   300, -5691, 50940, -5691,  2977, -5691, -5691,  3148, -5691,
   -5691, 34393, -5691, -5691,  3296,   753, -5691,   308, -5691, -5691,
   -5691,  1954,  3248,  2949, -5691, -5691,  1769,  2952, -5691,  2142,
   -5691, -5691, -5691, -5691, -5691, -5691, 68705,  3436, -5691,   328,
     482,   179,  2013,  3373, 58414, 58904, -5691, -5691,  3234, -5691,
   89285, -5691, -5691,  1954,   205,  2010, -5691,  2147, 19587,  2014,
    2435, 89285, 89285,  3440, -5691,  2967, -5691, -5691, 34393, -5691,
   -5691, -5691,  2613, -5691,  2523,  2523, -5691, -5691,  3443,  3056,
    3057,  2613, -5691,  2613, -5691,  2974,  2976,  2613,  3059,  3061,
    3064, -5691,  2970,  3069,  2613, -5691, -5691, 61845,  2211, -5691,
    3325,   371, -5691, -5691, -5691,  2026, -5691,  2985, -5691,  2445,
   -5691, -5691,  1428,  1428, 34393,  1428,   899,   150, 31853, 34901,
    3335,  3214,   905,  1595,  3342, -5691,  3219,  1734,  1929, 80955,
   89285, 80955,103005,  3128, 34393, -5691,  3448,  3088,  3091,  3147,
   57445, -5691,  3094,  3066,  3095,  3151,  3011,  3102,  3105,  3162,
   -5691,  3294, -5691, -5691,  3111,  3462,  3113,103495, -5691, -5691,
    1001, -5691, -5691, -5691,  1001, -5691,  3045,  1457,  1444,  1501,
    3117,   270,   874,  3458, -5691,  1368, -5691, -5691,  3179, -5691,
   12490, 89285,  3398,  9779,  3258,   324,  3181, -5691, -5691, -5691,
    3319,  3132, 89285,  3133,  3278,   324,   329,103985, -5691, -5691,
   89285, -5691, -5691, -5691, -5691,  7452,  3445, 27338, -5691,  1902,
    3144,  3115,  3155, 89285, 72625,  1398,  3260,  3283,  1626,  2227,
     279,  3217, 89285,  2037,  3292, 89285,  3074,  3163,  3167,  3400,
    3078,   677,  3503,  3080, -5691, -5691, -5691,  3470, -5691,   498,
    1915,  3285, -5691,  3404,  3446, 11010,  3156,  3158,112287, -5691,
    3185,    57, 53485, 89285, 89285,  3198,  3202,104475,  7452,  3485,
   77035, 77035,  3210,  3213, 47439,  3515,   146,  3216, -5691, -5691,
   -5691,   146,  3225,  3226,104965,  7452,  3489, 89285,  3232,  3233,
   89285,115619,   324, -5691,  3571,   324,   324,  2239,  3573,  3235,
     367,  3366,   819,  1768,  3080,  2941, -5691,  3236,  3237,   979,
   -5691,  3333, 89285,  3240,  3245,  1846,  3299,   482, -5691,  3300,
   -5691,  3246,  3306,  3247,    69,  2768, -5691, -5691,  1353,  3224,
   80955,  3329,  3331,  2037,   264,  1065,  3080, -5691,  3250,  3255,
    3078,  3078, 89285, 89285, 89285, 89285, 89285,   230,  3616,   375,
    3256,   411,  1098,  3153, -5691,   146, 64785,  3259, -5691,   146,
   89285,   274,  1129,  3080,   787,  1946, -5691, -5691, -5691,   269,
   -5691, 34393, 34393, 34393,  3157, -5691,   491, 19587,   827, -5691,
     309, 10511,  3171, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   89285, 60864, -5691, -5691, -5691, -5691, -5691, -5691, -5691, 89285,
   -5691, 89285,  3456,113715,  3466,  3392,  3471,  3473,   324, 89285,
   89285,  3474,  3475,  3476,113715,  3477,  3480,  3481,  3409,  3276,
     850,  3228,  3195,  3673,  3558, 89285, 61845, -5691,  1001, -5691,
  113715,  3416,  3560, -5691, 89285,  3433,    71, -5691,  3597,  3264,
   -5691, -5691,    99, 89285, 75565,  2768, -5691, -5691,  3564, 66255,
     986,  3565,   482,  3257,  3568,  3426,   482, 66255,  3479, 89285,
   89285, 89285, 89285,   112, -5691, 64785,  3444, -5691, 89285,  3451,
    2941,  3454,  3687,    83,  2137,105455,  3559, -5691,105945,  3222,
   89285,  3229,  3229,  3701,113715,   377,  3505, -5691, -5691,  2323,
   -5691,  3367, -5691, 69685, -5691, -5691, 69685, -5691, -5691,113715,
   89285,  3230,113715,113715, -5691, -5691, 69685, 69685, -5691, 66255,
   66255,  3587,   262,  3592,  3295,  3595,  3297, 53485, 53485, -5691,
     318, 69685, -5691, 66255, 69685, -5691, 89285, -5691, 89285, -5691,
   -5691, -5691, -5691,113715,113715, -5691, 66255, 64785,  3598, 89285,
   89285, -5691, 89285, 89285, -5691, 89285, 89285,  2039,106435,  1005,
   -5691, 89285, -5691, 89285, -5691, 89285, -5691, 89285, -5691, 89285,
   -5691, -5691, -5691, 89285, -5691, 89285,  2049, -5691, -5691,  2058,
    1548, 89285, 89285,   842, 69685, 89285,  3463, 89285, 69685, 69685,
   89285, 89285, 89285, 89285, 89285,  3322,  2952,   433, -5691,   322,
    1002, 80955,  3467, -5691, -5691,  2060,  2821,    37, 89285, -5691,
   89285, 89285, 89285, -5691, -5691, 75075,  3583,   358, 76545, 89285,
   -5691, -5691, 10228, 34393,  1954, 30832, -5691, -5691, 19587,  3293,
   34393, 34393,  3249,  2613,  2613, -5691,   306, 34393, 34393, 34393,
   28292, 34393, 32361, 34393, 34393, 34393, 34393,  2613,  2613, 34393,
    8025, 34393, 53485, 34393, 39981, 25316, 34393, 34393, 29308,  1291,
    2888, 34393,  3493, 40991, 34393,  2013,  3495, 34393,  2013,  8025,
    3752,  3752,  3215,  8553,  3251,  1954, -5691,  2613,   351, -5691,
     359,113715, 34393, 34393, 34393, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   34393, -5691, 61845, -5691, -5691, -5691, -5691, -5691, -5691,   742,
   -5691, -5691, -5691, -5691, -5691, -5691,  3396, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   89285, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, 29816, -5691, -5691, -5691, -5691,  3262,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
    2067, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, 30324, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691,  3266, -5691, -5691, 34393, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
    3337, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691,  1183, 34393, 34393, 34393, 34393, 34393, 34393, 34393,
   34393, 34393, -5691, 34393,   369, -5691, -5691,  3588,  3296,  1101,
     437,  3267,  3464, 85365, 31345,  3325, 24288, -5691,   250,  3325,
   -5691, -5691, -5691, 89285,  3436, -5691, -5691,  3343, -5691, -5691,
   -5691, -5691, -5691,   311, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691,  3254, -5691, -5691, -5691, -5691,  3254, -5691,  3263,  3593,
    3594,   893, 89285,  2048, 34393,   742,   261, 89285, 34393,  3262,
    2067, 34393,  3266, 34393,  3337, -5691, 34393, -5691,  2064,  2040,
   34393,  2072,  3270, -5691, -5691,  3274,  2976,  3291,  3301,  3272,
    3273,  2613,   225,  3275,  1346,   191,  3414,  2613,  3529,  3280,
   -5691, 61845, -5691, 42975,  3328, -5691, -5691, -5691,  1581, 89285,
   89285, -5691,  3581, -5691,  3281, -5691, 13967,  3581, -5691, -5691,
   40486,  3412,  3572,  3509, -5691, -5691, -5691,  3284, 19587, 35409,
   35409, -5691,  2278, 19587,  2314, -5691, -5691, -5691, -5691, -5691,
   -5691,  1409, -5691, 89285,  1430,  3335,  1595,  3355,  1066,  3776,
    3362, 89285, -5691, 48431,  2073, -5691, 66255, 89285, 89285,  3510,
   -5691,  3759, -5691,115619, -5691,  3303, -5691,115143,111335, -5691,
   -5691,    80, -5691,   540, 66255, -5691, 89285, 89285, 66255, 89285,
   89285, -5691, 66255,  3356, 89285, 89285, -5691, -5691, -5691, -5691,
   -5691, 59394,    93, 75075,  3447, 74585, -5691, -5691,  3307, 89285,
    3376,  3591,  3544,  3600,   728, -5691, -5691,106925, -5691,  3549,
   66255, 89285, 89285, 34393,  3550, 89285, 89285, -5691,   473,  3410,
    3413, -5691, 89285,  3415, 69685,  3323,113715, 69685, 53994, 69685,
   69685,  3675,113715, 89285, 89285,   185, 80955,   350,  1137,  3080,
    3562, -5691,  1540, -5691, 66255, -5691, 89285,  3548, -5691, -5691,
   -5691, 85855,  3798,  3461, -5691, -5691, -5691,107415, -5691, -5691,
    3557, -5691,  2079, -5691, 66255, 66255, 89285, 11594,107905,  1073,
    3574, -5691, -5691,113715, -5691, 89285, 86345, 89285, 89285,  3615,
   89285, 78015,108395,108885,  1188,  1439,  3618, 89285, 78505,  3619,
   -5691,  3490, 89285, -5691, -5691, 62335, 66255, 89285,  1040, 61845,
   -5691,  3602, -5691, 89285, -5691,  1049, -5691, 89285,  4139,  3567,
   -5691, -5691,  3437,  3449, 89285,   424,  1226,  3080,  3743, 89285,
   89285,  3352,  2092, 66255, 89285, 61845, -5691,  3575,   126, 66255,
   89285, 85855, -5691,  3576, -5691, 80955,  3678, -5691,  3358,  2137,
    2404,  1968,  3358, 66255, 89285, -5691,  3358, 89285, 99085, -5691,
   66255,  1285, -5691, 66255, 89285, 85855, -5691,  3582,  3528, 66255,
   89285, 15724, -5691, -5691, -5691,   324, -5691, -5691, -5691, -5691,
   -5691, 89285, 89285,   324, 89285, 89285,   324,   931, -5691, 66255,
   89285, -5691, -5691, -5691,  3494, 66255, 89285, 89285,   341, 89285,
   -5691, 89285, 66255,  3419, 89285, 89285, -5691, -5691, 89285,  8069,
   89285, 89285, 89285, 89285, 89285, 89285, 66255, 89285, -5691, -5691,
    2070,  1202,  1837,  1850,  1707, 89285,  3692, 89285,109375,   482,
   66255, 89285, 89285,   482, 89285, 61845,  2077, -5691, -5691,  3501,
   -5691, 66255,  1285, -5691, 12294, 89285, 89285, 89285,  3457,  3465,
     251,  3547, -5691, -5691, -5691,  1179,  1179,  3589, -5691, 34393,
   34393, 32869,  3381, -5691, -5691, 34393,  2808, -5691, -5691, -5691,
    1029,  3860,  1029,109865,  1029,  1029,  3679,  3450,  3452,  1029,
    1029,  1029,  3664,  1029,  1029,  1029, 89285,  3566, -5691, -5691,
    3566,   807, 34393,113715, 89285, -5691,  2102, -5691,  3399, -5691,
   -5691, 61845, 89285,   213,   851,  3747,  3614, 73115,  2860,  3739,
   89285,  3455, 89285,  3870,  3498,  1414, -5691,  2860, 89285, -5691,
    3378, 75075, -5691, -5691, -5691, -5691, -5691, -5691, -5691, 89285,
   -5691, -5691,  3741, 89285, 43471,  3584, -5691,   482,  2768,  2768,
    2768,  2768,  3407,  2768, 89285,  3535,  3769,  2860,  3421,  3770,
   -5691,  2941,  3771,  1408, 89285,  3621, 73115,  3478,  3468,  3645,
    3890,  2137,   482,  3647,  3638, -5691, 57924, -5691,  2768,  3911,
   27815,  4178,  4465,  3642,  3706, -5691, -5691,  3651,   200, 89285,
    3755,  3756,  3778, -5691,   202, -5691,  3909,  1745,  3779,   212,
   -5691,   227, -5691,  2814, -5691, 89285, -5691, 89285, 89285, 89285,
   89285,   245, -5691, -5691,   227,  2814,   227,   893, -5691,  3720,
     212,  2814,  3577,  3789,   262, -5691,   313, -5691,  3661,   893,
   -5691,  3680,  2137, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
    2106, -5691, 89285, -5691,  3765,  3767,  3774,  3775,  3777,  3459,
    3472,  3500, 89285,  3482,  3459,   324,  3484,  3469, -5691,  3482,
    3482,  3459,  2952,  2952,  3459,  3472, 65275,  3915, 61845, -5691,
   -5691,  3551,  3483,  3803,   217, -5691,   877,  1336,  3715, -5691,
   -5691, -5691, -5691,113715, -5691, 66255,  3511, -5691, -5691, -5691,
    3685,  3486, 65275,   893,   148, -5691, 69685, 89285,113715, 69685,
    3693, 69685, 69685,113715, 89285, 89285,  2107, -5691,  1888, -5691,
    1892, 34393,   481, -5691, 16114,  2114, 34393,  3488,  3491, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691,  3492,  3811, -5691,  2126,
    2130, 16152,  2357,113715,  3365,  3497, -5691,  3502,   204,  3684,
    5001,  3534,  2140,  3506,   224, -5691,  5001,   336,  8601,  3633,
    2149,  3512,  3513,  6510,  8262,  3517, 16407,  3507,  3518,  3519,
    3496, 39981, 39981, 28800,  1203, -5691, 39981,  3520,  3686,  2192,
   14521,  3521,  3522, 16474, 33377, 34393, 33377, 33377, 16656,  3508,
    3523, -5691,  3862, -5691,  2193, 61845,  3691, 16977,  2206, -5691,
   34393, 61845,  8698, 34393, -5691, 34393,  3525, -5691, -5691,  3690,
    3690,  3690,  8025, -5691, -5691,  3524, -5691, 39981, 39981, -5691,
     998, 28800, -5691, -5691,  3820, -5691, -5691,   319, -5691, -5691,
   -5691, -5691, -5691,  2203, -5691, -5691, -5691,  3718,  2357,  2368,
   53485, 14873, 34393,   305, 34393,  3262, 34393,  3590,  3690,  3690,
    3690,   381,   381,   229,   229,   229,  2281,   437, -5691, -5691,
   -5691,  3516,  3532,  3464,  3533, 34393, -5691,  3552, 48927, -5691,
    2459,  2477, 89285,  6023,  6097,  7046, -5691, -5691, -5691,  3328,
     827,  3328, -5691,   269,  2613,   351, 59884, -5691, -5691, -5691,
   -5691, -5691, -5691, 89285, 19587, -5691, -5691,  3785,  3539,  2217,
   -5691, -5691,  2613, -5691, -5691,  2223,  2223,  3499, -5691,  3530,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691,  3556, -5691, -5691,
   -5691,  3540, 43967,  3843,  3553, 42479, 86835,  3554,  2144, -5691,
   86835, 87325, 86835, -5691,  3570, -5691, -5691,  1954, 34393,  3884,
   -5691, -5691, -5691, 34393, -5691, -5691,   611,  3580,  1068,   865,
    2389,  2389,  2278,  1088, -5691, -5691,  3625, -5691, 34393,  2481,
   -5691,  2489, -5691, -5691, -5691, -5691,  2952, -5691,  3824, -5691,
   -5691, -5691, 42975,  3609,  3622,    65, 46943,  3783, -5691, 89285,
   42975, -5691, 89285,   168, -5691,  3578, -5691, -5691, -5691, -5691,
   -5691, -5691,111335,  2184, -5691,115143, -5691,115143, -5691,  2184,
    4028, -5691,111335,  1958, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, 66255, 66255,  3792,
   89285,  3790,  3795, 34393,  1512, 89285,  3579,  3585, 89285,  1311,
    3892,  3601, -5691,  3939,   893, -5691, -5691,  3668, -5691, 19587,
   -5691, -5691, -5691, -5691, -5691, 66255, 89285, -5691, 69195, -5691,
   -5691,113715, -5691, -5691, 89285, 89285, -5691, -5691, -5691,113715,
   -5691, -5691, -5691, 89285,   855,  3669,  3674, 89285, -5691,   908,
    3333, 12870, 89285, 89285, 89285,  3893, -5691, -5691, -5691, -5691,
    3818, -5691,  3949, -5691,111335, -5691,  2814,  1187,  3683,  3080,
    3825, -5691,  3955,  3707, -5691,  3728,   913, -5691, -5691,  3740,
   -5691, -5691, -5691, -5691,  3964,   893,  3968,   893, 89285, 89285,
   89285, 89285,  3744, -5691, -5691, -5691, -5691,  3748,  3885, -5691,
   61845, 61845, 61845,  2218, -5691, -5691,   482, -5691, -5691, -5691,
   -5691, -5691, -5691,  3926, -5691,  2226, -5691,  1339, 89285, -5691,
   -5691, -5691, -5691, -5691,  3974, 66255, 89285, 12887, 89285, 89285,
   89285,  3837,  1965,  1380,113715, -5691,112763, -5691, -5691,  2232,
   -5691,  3631, 89285,  3709, 66255,  3689, -5691, -5691, -5691,  3982,
    2137,  3766, 77035,  3676,  3676,  1979, -5691, -5691, -5691, -5691,
   -5691,  3899,  3826, -5691,  1030,  3827, 66255,  3698, -5691, -5691,
   -5691, -5691,  3992,  3722, -5691, -5691,  3724,  1269,  3080,  2941,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,  3751,
   -5691, -5691, -5691, -5691,  1590,  1590, -5691, -5691, -5691,  1590,
    1477,   438,  1394,  3080, -5691,   380,  1047,  3727, -5691,  3729,
   -5691, -5691, -5691,  3904,  3905,  3913,  3746,  3749,  3802,  3750,
    3754,  3807, -5691,  3757,  3813,  3773,  3814,  3781,  4045,   893,
  113715,  3903,   482,  3817,  4051,   893, -5691, -5691,  3782, -5691,
    3784, -5691,  2247,  4159,  4160, -5691, 89285, -5691,   450,  1403,
    3080, -5691,  3788, -5691, 66255, 89285, -5691, -5691, -5691, 34393,
    3696,  3702,  3703, 19587, 19587, 34393, -5691, -5691, 19587,  3694,
   -5691, -5691, -5691, -5691,113715, -5691, 89285,  3993, -5691, -5691,
    1029, 89285, 89285, -5691, -5691, -5691, 89285, -5691, -5691, -5691,
    3999, -5691,   285,   285, -5691, -5691,  4035,  9217,  3708,   258,
   -5691, 61845, 49922,  2711,   136,  1768, -5691, 69195, 89285, 69195,
   -5691,   851,  3921, 89285, 89285, 89285,  3711,  3704, -5691, -5691,
   -5691, -5691, 66255,   965, 66255,  2613, -5691, -5691,  3786, -5691,
   89285,  2137,  4225,  4061,  3419, -5691,  4182,  3244,   986,  1819,
     462,  2856,  4119,  2445, 34393,   206, -5691, -5691,  1954, 89285,
    3468, -5691, -5691, -5691, -5691,   482, -5691,  3719,  3723, -5691,
   89285,  4066, 89285, 89285, 89285, 89285,  3511,  3726, 89285,  3721,
  113715, 89285,  2443,  3078,  4201,  4089,  2821,  3478,  3816,  4092,
   80955,  3742,  2249, -5691, -5691,   200, -5691,  2255,   176, -5691,
     482, 69195,111811,  4081, -5691,   272,  4465, -5691, -5691,   272,
    1077, 89285, -5691, -5691, -5691, -5691,  3958,  2129, -5691,  4065,
   -5691, -5691,  2821, -5691,113715,  3737, -5691,  2261, -5691, -5691,
   -5691,   262,  3800,   893,  3801,   893, -5691, -5691, -5691, -5691,
   89285, -5691, 89285, 64785, -5691, -5691, 89285, -5691,  4101, -5691,
   -5691,  3882,  3886,  3888,  3889,  3891, 89285,  3459, -5691,  3758,
   89285, 89285, 66255,  1620, -5691, -5691, 66255,   366, -5691,   208,
   -5691, 80955,  3874, -5691, -5691, -5691, -5691,  4107,  4115, -5691,
   -5691, -5691,  1400, -5691, 76055,   392, -5691, 66255,  4047,  4048,
    4052,  4053,   324,  4055,  4058,  4059,  4062,  4063, -5691, -5691,
   -5691,  3772, 17542, 34393, -5691,  4137,113715, -5691,  9289, -5691,
   -5691, -5691, 34393, -5691, -5691,  4064, -5691, -5691,  3841,  3842,
    3780,  3497,  3633, -5691,  3994,  3996, 34393,  3633,  4235,   349,
   34393, 34393, -5691, -5691,  3998,  4000, 34393,  2357,  2357, -5691,
    3787, -5691, -5691, -5691, -5691,  2327, 34393, -5691, 34393, -5691,
   -5691, 25830,  4285,  4285,  3793,113715, 39981, 39981, 39981, 39981,
    1490,  2923, 39981, 39981, 39981, 39981, 39981, 39981, 39981, 39981,
   39981, 39981,   457, -5691,  3995, 34393, 34393, 33885, -5691, -5691,
  113715,  3791,  3508,  3797,  3799, 34393, -5691, -5691, -5691,  2265,
   41487,  3804, 61845, -5691, 34393, 15264,  2272,  3845, 18053,  1954,
    9538,   482, 34393,  1061,  1955, 34393,  2284, 34393, -5691, -5691,
   -5691, -5691,  4127, -5691, -5691, -5691, -5691, -5691, -5691,  4024,
    2357, -5691, -5691, 34393,  3805,  6142, 39981, 39981,  6609, -5691,
    6666, 34393, 28800, -5691,  3589, -5691, 26344,  3806, 34393,110845,
   -5691, -5691,  1168,  1168,  1168,  1168, -5691, 89285, 89285, 89285,
    3884,  3810,  3884,   179,  3812, -5691, -5691, -5691, -5691,  2821,
   -5691,  3819, -5691, -5691, -5691, -5691, -5691, 86835, 87325, 86835,
    3823, 41983, 26841,  2144,  3815, 89285, -5691, -5691,  3830, 42975,
    4082,  4007, -5691, 42975,  4007,  1657,  4007,  4094,  3897, 49423,
   -5691, -5691,  3831, -5691,  4023, -5691,  1902, 19587,  4275,  4153,
   -5691,  3836, -5691,  3580,  1743, -5691, -5691, -5691,  1091, -5691,
    3916, -5691, -5691, -5691,  3554, 35917,  3981, -5691, -5691, -5691,
    3896,  2288, -5691, -5691,  4269,  3981, -5691,  2871, -5691,  2289,
   48431,  3609, 34393,  1954,  2302,  2022, -5691, -5691,111335, -5691,
    3920,  2814,  2814,  1360,  3459,  4193,  1360, 10150, -5691, -5691,
   44463, 89285, -5691, 89285, -5691, 89285, 89285,  1710, 89285, -5691,
   89285, -5691, -5691, -5691,  4325,  3914,  3917,  4129, -5691,  2612,
   -5691, -5691, 66255, 89285, -5691, -5691, -5691,   451,  1527,  3080,
   -5691,  3937, -5691, -5691,  4161, 89285, -5691,  4312,  3957, 89285,
    4221, 89285, 87815, -5691,  4292,  1710,  3976,  4202,  1666,  3078,
     367,  6151, -5691,  1448, -5691, -5691,  3942, -5691, 89285, -5691,
   89285, -5691, -5691, -5691, -5691, -5691, -5691, -5691,  4003, -5691,
   -5691, -5691, -5691, 62335, -5691, -5691, 89285, -5691, 61845, 49922,
   61845, -5691, 89285, -5691,  1484,   454,  1836,  3080, -5691,  3954,
   -5691,  4227,  3959,  3960,  4012,  1007,  1223,  3961,  3962,  4013,
    3877,  3879,  3883, -5691, 61845, 50431,  4046, 89285,  2814,  3887,
    3928, 89285,  3676, 88305, -5691,  3894, -5691, -5691,  3676,   341,
     482, -5691, -5691,   482,  2814,   482, 89285, 89285, 89285, 89285,
     341, -5691, -5691, -5691,  4342,  3983, 89285, 89285, 89285, 89285,
   -5691,  3946, -5691, -5691, -5691, 89285, 89285,  4239,   235,  2132,
   66255, 89285, 89285, 66255, 89285, 89285, 89285, 89285, 89285, 89285,
   89285,  4111, -5691,  4332,  4257,  2340,  4300,  3975, 89285, -5691,
   89285,   482, -5691,  3333, 89285, 89285, 89285, 89285, -5691, -5691,
   -5691, -5691, -5691,  3589, -5691,  3900,  4194,  1029, -5691,  4198,
    4199,  4203,  1029, -5691, -5691,  1768, -5691,   194, 89285, -5691,
    2656, 89285, -5691, -5691, -5691,  3836,   498,  1915, -5691, -5691,
   -5691, -5691, -5691, -5691,  3907, 89285, 89285, 39981, -5691,   468,
    1833,  1476, -5691,  4195, 89285,  3160, -5691, -5691, -5691,  1299,
   89285, -5691, -5691, -5691, -5691,  3910, -5691,    75,  3726, -5691,
    4220, 73115,  2814, 66255, 66255,  2814, -5691,113715,  3918,  3468,
   -5691,   284,  4001, -5691, 66255,   986,110355,  3257,  3952,  4135,
   10700, 42975, 43471,  1590, -5691,  3919,  3922, -5691, -5691, 89285,
    3921, 64785,  2317,  2941,  4396,   839,  2071, -5691, 73605,  4120,
    3726,  4220, -5691,  3078,  4142,  4145, -5691,  2821, 89285,  3511,
    3468,   482, 89285,  3376, 49922, -5691,  4436,  2150, -5691,111335,
   34393, 34393, -5691,  3924, -5691,  3929,  4465, -5691,  4006,  3927,
    4403, 34393, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
    4020,  3935, 89285, 89285,   200, 89285, -5691,  3938,  3779, -5691,
    3779, -5691, 89285, -5691, 89285, -5691,   893, -5691,  4067,   893,
   89285, 89285, 89285, 89285, 89285, 89285,  3459,   324,  3469, -5691,
   -5691,  4273, 65275,  4274, -5691, 61845, -5691, -5691, -5691, -5691,
   -5691,  2326, 89285, -5691, -5691, -5691,  4344,  4283,   893,   358,
    1055,  1055,  1055,  1055,  4237,  1055,  1055,  1055,  1055,  1055,
   -5691, 34393, 19587, -5691,  3943, -5691, 19587,  4320,  4232,  4233,
   -5691, -5691,  3951,  4181,  4183, -5691,  3953, 34393,  3633, -5691,
   -5691,  4184,  4186, -5691,  3633,  3633, -5691,  3963, 10929, 18103,
   -5691,  2336, 34393, -5691,  1245,  1245,  1245,  1932,  4301, -5691,
    2825,  1245,  1245,  1245,   511,   511,   239,   239,   239,  4285,
     457, 18347, 18294, 18623,  3965, -5691, -5691, -5691,  3508, -5691,
   36425,   103,  4415, 40991, -5691, -5691, -5691,  4008,  4010,  3966,
   -5691, 34393, 36933,  3967,115619,  4167, -5691,  1059, 34393, 34393,
    3460, -5691,  9986, 34393, -5691, -5691,  3460,   448, 34393,  2884,
    3114, 34393, 34393,  6736, 11178,  3969, -5691,  2365, 34393, 11299,
    4165, -5691, 89285, 89285, 89285, 89285, -5691, -5691, -5691,  4153,
     482,  4153,   482,  3973, -5691, -5691, -5691, -5691, 62825,  3978,
    3691, 86835,  3984, 89285,  2144, 42975, -5691, -5691,  2396, -5691,
   42975,  4253, -5691, 42975, 69685, -5691, 89285,  3985, 89285, -5691,
    1672, 34393,  4019, 53485, -5691, -5691, -5691, -5691,  4070, -5691,
    4192, 19587, 31345, -5691,  2821,  1903, 89285,  1954,   703, -5691,
   34393,  3997, 89285, -5691,  3981, 19587, -5691,  4068,  2372, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691,  4072, 75075,  4323, -5691,
   34393,  2376, -5691,  4032,  4430,   355,  2388,  1710,  2392,  1710,
   -5691,  2407, -5691,  1991,  4304,   442, -5691,   893, -5691,113715,
   89285, 89285, 89285,  3011, -5691, -5691, 89285, 89285, 89285, 89285,
   -5691, -5691, 66255, 89285, -5691, 89285, -5691, -5691, -5691, 88795,
   -5691,  3921,   341,   468,  4318,  4319,  4226, -5691,   324, -5691,
     468,  4230,   341, -5691, -5691, -5691, -5691,  2575, -5691,113715,
     893,   893, -5691, -5691, -5691, -5691, -5691,  4009, -5691,  4453,
    4098, 89285, 89285, 89285, 89285, 89285, 66255, 89285, 89285,  2613,
    2613,113715,  4002, -5691,  2613,  2613,  4004, -5691, 66255, 89285,
   89285, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691,  4090, -5691, 34393,  4448, -5691, -5691, -5691, -5691,
   -5691, 34393, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691, -5691, 66255, 89285,  4093, -5691,  4096, -5691,   169, -5691,
   -5691, 89285, 89285, 89285, 89285,  4374, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691,  4372, 89285, -5691,
   -5691,   482,   482,113715,   893,   893, -5691, -5691, -5691,  4102,
   -5691, -5691,  4014,  4311,  1029, -5691,  1029,  1029,  1029, -5691,
    4018, -5691,  1768,  4409, -5691,  1710,   892,  4360, -5691, 34393,
   -5691,  1483,  1932, -5691,  4418,  4504, -5691, -5691, -5691,  4268,
    3419,  2137,  3419, -5691, -5691, 69685,  1031, -5691,  4349,   213,
   61845,  4258, 73115,   380,   335,  4034,  4168, -5691,  2814,  2814,
    4103, 89285,  4513, -5691, -5691, -5691, -5691, -5691, -5691, 66255,
    3689, -5691,  4272,   885,  4388, 89285, 43471, -5691,  3554, -5691,
   -5691, -5691,   482, -5691, -5691,  4175,  3468, -5691,  1719, 89285,
    4277, 73115,  3511,  2411, -5691, -5691, -5691,  4088,  4508,  3478,
   -5691,   380,  4120, -5691, -5691,  4486,  4151,  4100,  4535, -5691,
    4151,  4401,  4279,  4069, -5691,  3742, -5691, 89285, -5691, 19587,
   19587,   482,116095,   272,113715,  4410, -5691, 19587, 89285,   909,
    4060,  4234, -5691,  4375,   893,  2412, -5691,   893,   893, -5691,
   89285, -5691,  3459,  3459,  3459,  3459,  3459, -5691,  4287, -5691,
   -5691, -5691, -5691,  4366, -5691, 65275, -5691,   893, -5691, -5691,
   -5691, -5691, -5691, -5691,  1055, -5691, -5691, -5691, -5691, -5691,
   19587, -5691, 89285, -5691, -5691, -5691, -5691, -5691, -5691,  3281,
    4073, -5691, -5691,  4076,  4077, -5691, -5691, 34393, -5691, 11598,
   39981,  4414, -5691, 34393, 34393, 34393, -5691,  4079,  2421,  2425,
   -5691, -5691,   103, -5691,  4415, -5691, -5691, -5691, 11692,  4143,
   19587,  4197,  4084,   910,  3460,  3460,  9986,  3460, 34393, 34393,
    3460,  3460, 34393, -5691, -5691, -5691, 11766, -5691,  4543,  3589,
   -5691, -5691, -5691, -5691,  4019, -5691,  4019, -5691,  4228, -5691,
    2430,  4565, 38965,  4528, -5691, 89285,  2432, -5691, 34393,  4097,
   -5691, -5691, 42975,  2396,  4099,  2452, 89285,  2467,113715, 37441,
   19587, 89285,  3589,  4095, -5691, 89285,  2949, -5691,    65, -5691,
   -5691,  4522, 44463,  4480, 18864, 34393, -5691, -5691, -5691, -5691,
   65275,  4324, 65275,  1710, 11849,  4417, 44463, 54503, 89285, -5691,
   89285, -5691,  4271,  4417,  4417, -5691, -5691, -5691, -5691, -5691,
   -5691,  4104, -5691, -5691, -5691, -5691,  4200, -5691, -5691,    62,
    3467, -5691, -5691, -5691, -5691, -5691,  4584,  4470,  4472, -5691,
   -5691, -5691, -5691, -5691,  4332, -5691, -5691, 49922, 66255, 89285,
   -5691,  4204, -5691, -5691, -5691, -5691, -5691, -5691, 46447, 53485,
   -5691,  1007,  4112,  4117,  1223, -5691, -5691, -5691, 89285, 11944,
    4121, 12248,  1379,  3467, 89285, 89285,  4122,  4123,  4124,  1450,
      56,  1873,  3459,  4462, 89285, -5691, -5691, -5691,  4332, -5691,
   -5691, 89285, -5691,  1029, -5691, -5691, -5691, -5691, 61845, -5691,
    3209,  4018,   482, 69685,  4596,  4596, 12484,  4348, -5691, -5691,
     383,  4435, -5691,  4189,  4387,  4189,  4131, 89285,  1299,  4136,
    2471, -5691, 89285,  4128,  4266,  2571,  2571, 89285, 89285, 89285,
    2473,  2821,  2814,  3928,   986,  4499, 73115,  4542,  3921,   362,
   -5691, 89285,  4617, 89285,  3511,  3726, 89285,  4141, -5691, -5691,
   73605,  4357,  2711, 89285,  2443,  4120,  3478,  1535, 89285, -5691,
    1104, -5691,  2821, -5691, 89285, 80955, 44463,  4485, -5691,115143,
   -5691,  2483, -5691, -5691, -5691,  4222, 20273,  3328,  4264,  4265,
    4148,  2074,  4497, 89285,  1173, -5691, -5691, -5691, -5691, -5691,
   -5691, 89285,   392, -5691, -5691, -5691, -5691, -5691, -5691, 19344,
   -5691,  2737, 39981, 19587, 19587, 19587, 34393, -5691, 34393, -5691,
   -5691, -5691, -5691,   709, -5691, -5691,  4464,  4154,  3460,  3460,
    3460, -5691, 34393,   873, -5691, -5691,   414,  4560,  3570, 62825,
    4158, -5691, 39981,  2487, -5691,  1161, 89285,  2494, -5691, 19587,
   89285, -5691, -5691, 34393, -5691,  2498, -5691,  4162,    68,  4163,
   24802,  4155, -5691, -5691, -5691, -5691, -5691, 19587,  4156, -5691,
    4641,  1595, -5691, -5691,  4223, 89285,  2499, -5691,   129,   238,
    4212, -5691, 19587,  1620,  1360,   346,  4430,  4170,  3419, -5691,
    4171, -5691, -5691,   429,  3078, 89285,  3419,  3419, -5691, 89285,
    4262, -5691,  2711,  4498, -5691, -5691,  4238, -5691,  1416,  3467,
   89285,113715, -5691,   117,  4520, -5691,113715,113715, -5691, -5691,
   -5691, 34393, -5691,  4270, -5691, -5691, -5691, 34393, 34393, 72135,
   -5691, -5691, 89285, 89285, 89285, 89285, 89285, -5691,   893, -5691,
   -5691,  2526, -5691, 45455, -5691, -5691,  3238,   482,  3238,  1677,
   -5691, -5691,  3238,  3238, -5691,  3328, -5691,  4596,  1391, -5691,
   -5691,  4268,  4179, 34393, -5691,  4490, -5691,   199,  4402, -5691,
    4185, -5691, 69685,  4698, -5691, 61845,  3726,  4220, 89285, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691,  2528,  3921,  4545,  3468,  4100, -5691, 89285,  4241, -5691,
   42975,  3921,  2821,  2071, -5691,  4120,  3726,  4220, -5691, -5691,
    4196,  4145,  3478,  2443,  4338, -5691,  4339, -5691,  4638,  4413,
    4642,  3511, -5691,  3376,  2534, 89285, -5691, -5691,  4465,116095,
  113715, -5691, -5691, -5691,  4206,  4583,  4247,  4248, -5691, -5691,
   -5691,  2074, -5691,   106,  4581,  4259, -5691,  4276, 89285, -5691,
   -5691,  3921,   893, 34393,  2737,  2544,  2545,  4267, -5691, -5691,
   -5691,  3508, 37949, 37949, 37949,  4210,  4563,  4564, 89285, -5691,
   -5691, -5691, 89285,  1932,  4211, 38965, 61845,  2553, -5691,113239,
   -5691,  2557,  2562, -5691, 34393,  4216, 34393, -5691, 37441, 89285,
    4217,  3335,  2821, -5691,  3328, 44463, -5691,  4347,  4700,  4481,
   -5691, -5691,  4566, -5691, -5691, 89285,  4189, 53485,  3580,   429,
    2137,  4189,  4189, -5691, 89285,  4179, 34393, -5691,  4317, -5691,
   -5691,  2567,  1780,  4398,  4398,  2568,  2569, 12803, 89285,  2573,
    2582, -5691,  2584,  2613,  3472,  1873,  3472, -5691,  3459, -5691,
   -5691, 61845, -5691, 65765, -5691, -5691, -5691,   482, -5691,   482,
    4452, 55975, 56465,   482,   482, -5691, -5691, -5691, -5691, -5691,
    2941, -5691, 13031,  4326, -5691, -5691, -5691,   502, -5691,  4446,
    4447, -5691,  4236, -5691,  2592, -5691,   380,  4361,  3921, -5691,
   -5691, 89285,  4712,  4714, -5691,  1177, 89285,  3554, -5691,  4100,
    3511,  3478,   380,  4120,  2711, 44959,  4151,  2443,  4145, -5691,
   -5691,  4461, -5691,  4463, -5691,  4251,  4568, -5691,  1725,   272,
   -5691, -5691, -5691,  1032,  4586,  4592, -5691, -5691, -5691,  3238,
   -5691,  1849,  4254,  4618, -5691, -5691, -5691, -5691, 19587, -5691,
   -5691, -5691, 39473,  4404,  1331, 11249,  4620, -5691,  4620,  4620,
   -5691,  4713,  4715,  1433,  2593, 40991, -5691, -5691, -5691, 89285,
    4471,  1046,  4739,  4425,  2599, 37441,  2618, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, 48431, 34393,  4355,  4700, 65275,  2620,
    3676,  4278, -5691,  3580,  4387, -5691, -5691,  3467, -5691, 19587,
   89285, 69685,  4722, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
    3467,  4353, -5691, -5691, 72135, -5691, 89285, -5691, -5691,  2624,
   -5691, -5691, -5691, 56955, -5691,  4060, -5691,  4060, -5691, -5691,
    1538,  4376, 89285,  1375,  1375,  4661, -5691,  4335, -5691,  4281,
   -5691,  4781,  4406, 89285, -5691, -5691,  1007,  2821, 73115,  3921,
   -5691, -5691,  2443,  4120,  3478, 34393,  2628, -5691,  4430,   355,
   -5691,  4145,  4151, -5691, -5691, 44463,  4280,  3160,  4651, -5691,
   -5691, -5691,  3041, 69685, 69685, 89285, -5691, -5691, -5691, 34393,
    1299,  4757, -5691, -5691, -5691, -5691, -5691,  1071, -5691, -5691,
   -5691, 89285, 89285, 89285, -5691,  3691, -5691, -5691, 39981, 39981,
    4506, -5691,  1046, -5691, 89285, -5691,  4284, -5691, -5691,  2629,
   -5691,  1108, 19587,   476,  4373,   346, -5691, -5691, -5691, -5691,
    4402,  1710,  1710, -5691,  3467, -5691, 89285, -5691,  4290, -5691,
   -5691, -5691, 65765, -5691,  4060, -5691, -5691, -5691, -5691,  4776,
   -5691,   310, -5691, -5691, -5691, -5691, 89285,  3921,  4002,  4100,
   -5691,  4145,  3478,  2443, 13322, -5691, 44959, 89285, 89285,  4151,
   -5691,  2634, 44463,  3468,  4433, -5691,  2437, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691,   879,  4291,  4293, -5691, -5691, 13805,
   69685, 38457,  4440, -5691,  4509, -5691,  1434,  1492,  1936,  4732,
    1932,  1932, -5691, -5691, -5691, 34393, -5691, -5691, -5691,  4532,
    4429, -5691, -5691,   954, -5691,  1710, -5691, -5691, -5691, 34393,
   -5691, -5691,  2137,  2137,  3921, -5691, -5691,  4151,  2443,  4145,
    4430, -5691, -5691, -5691, -5691,  4568, -5691,  2640,  4151,  4259,
    2647, -5691, -5691,  2653,  2552,  4389,  4643, -5691,  4305, -5691,
   -5691, -5691, 89285, 89285, 63315, 89285, 89285, 13867, -5691, 48431,
    4536,   798, -5691,  1710,  2648, -5691, -5691, -5691, -5691,  4145,
    4151, 89285,  3160, -5691, 44463,  3328,  4669, -5691,  2437,  4426,
    4427, 61355, -5691, -5691,  4823,   312,  4718, -5691,  2659, -5691,
    4313, -5691,  4381,    65,  4327, 89285, -5691, -5691,  4151, -5691,
   -5691,  3468, -5691, -5691,  1299, -5691,  4362,  4369, -5691,  2666,
   -5691, -5691, -5691, -5691, 34393, 63315, -5691, -5691,  4385, 34393,
    2668, -5691,  4151, 69685,  4670,  4671, -5691, 61355,  1179,  4392,
    4390,  2683,   736,  3328,  4333, 69685, 69685, -5691,  4334, 89285,
   -5691, -5691,    65, -5691, -5691, 61355, -5691, -5691,   482, -5691,
    4393,  2687,  4390, -5691, -5691
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1706,  1449,   655,  1538,  1537,  1449,     0,   269,     0,  1549,
       0,  1449,   432,  1106,     0,     0,     0,     0,   655,  1449,
       0,  1706,     0,     0,     0,     0,     0,  1719,     0,     0,
       0,     0,     0,  1246,     0,     0,     0,  1449,     0,     0,
    1726,     0,     0,     0,     0,  1719,     0,  1551,     0,     0,
       0,     0,  1726,     0,     0,     0,     0,     0,     2,     9,
      10,    45,    80,    81,    38,    37,    98,    63,    24,    71,
     133,   132,   134,    50,    46,    88,    33,    35,    47,    51,
      73,    75,    40,    53,    64,   110,    72,    31,    70,    76,
      96,    58,    19,    20,    59,    21,    60,    22,    61,   106,
      82,    99,    43,    69,    30,    52,    78,    79,    12,    54,
      86,    18,    65,    66,    68,    91,    92,    93,   116,    94,
     128,    49,   125,   103,   104,   122,   105,   123,    16,   107,
      62,    23,   119,   118,   120,    89,    55,    90,    77,    97,
     117,    34,   121,    25,    26,    28,    29,    27,    67,    36,
      74,    39,    95,   124,   114,   109,   129,   127,    11,   135,
     111,    83,    14,    15,   100,    13,    32,    57,    17,    42,
      41,    56,    48,   131,    44,  1549,   102,   115,   101,    84,
     108,    87,   112,   130,   113,    85,   126,  1670,  1669,  1730,
    1673,  1705,     0,  1685,  1448,  1447,  1462,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   654,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1459,  2377,  2394,  2395,  2396,  2397,  2398,
    2399,  2400,  2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,
    2410,  2409,  2411,  2412,  2766,  2413,  2414,  2415,  2708,  2709,
    2767,  2710,  2711,  2416,  2417,  2418,  2419,  2420,  2421,  2422,
    2423,  2424,  2712,  2713,  2425,  2426,  2427,  2428,  2429,  2714,
    2768,  2430,  2431,  2432,  2433,  2434,  2435,  2769,  2436,  2437,
    2438,  2439,  2440,  2441,  2442,  2443,  2444,  2770,  2445,  2446,
    2447,  2771,  2448,  2449,  2450,  2451,  2452,  2453,  2715,  2716,
    2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,
    2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,
    2474,  2475,  2476,  2477,  2478,  2479,  2480,  2481,  2717,  2482,
    2483,  2484,  2485,  2718,  2486,  2487,  2488,  2489,  2719,  2490,
    2491,  2492,  2493,  2772,  2773,  2494,  2495,  2496,  2497,  2498,
    2720,  2721,  2499,  2500,  2501,  2502,  2503,  2504,  2505,  2774,
    2506,  2507,  2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,
    2516,  2517,  2518,  2775,  2722,  2519,  2520,  2521,  2522,  2723,
    2724,  2725,  2523,  2776,  2777,  2524,  2778,  2726,  2727,  2728,
    2729,  2730,  2731,  2732,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,  2733,  2779,  2532,  2780,  2533,  2534,  2535,  2536,  2537,
    2538,  2539,  2540,  2541,  2542,  2543,  2544,  2545,  2546,  2547,
    2548,  2549,  2550,  2551,  2552,  2553,  2734,  2781,  2735,  2554,
    2555,  2556,  2557,  2558,  2559,  2560,  2736,  2737,  2561,  2562,
    2563,  2782,  2564,  2738,  2565,  2739,  2566,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2740,  2783,  2576,  2784,
    2741,  2577,  2578,  2579,  2580,  2581,  2582,  2583,  2584,  2585,
    2586,  2587,  2588,  2742,  2589,  2743,  2592,  2590,  2591,  2593,
    2594,  2595,  2596,  2597,  2598,  2599,  2600,  2601,  2602,  2744,
    2603,  2604,  2605,  2606,  2607,  2608,  2609,  2610,  2611,  2612,
    2613,  2614,  2615,  2616,  2617,  2618,  2619,  2620,  2621,  2785,
    2622,  2623,  2624,  2625,  2626,  2745,  2627,  2628,  2629,  2630,
    2631,  2632,  2633,  2634,  2635,  2636,  2637,  2638,  2639,  2640,
    2641,  2642,  2643,  2746,  2644,  2645,  2786,  2646,  2647,  2747,
    2648,  2649,  2650,  2651,  2652,  2653,  2654,  2655,  2656,  2657,
    2658,  2659,  2660,  2661,  2748,  2662,  2663,  2664,  2665,  2787,
    2666,  2667,  2668,  2669,  2670,  2671,  2749,  2750,  2672,  2673,
    2751,  2674,  2752,  2675,  2676,  2677,  2678,  2679,  2680,  2681,
    2682,  2683,  2684,  2685,  2686,  2687,  2688,  2689,  2690,  2691,
    2692,  2753,  2754,  2693,  2788,  2694,  2695,  2696,  2697,  2698,
    2699,  2700,  2701,  2702,  2703,  2704,  2755,  2756,  2757,  2758,
    2759,  2760,  2761,  2762,  2763,  2764,  2765,  2705,  2706,  2707,
     146,     0,     0,  2344,  2378,  2379,  2382,  2377,   402,   401,
    1659,  2341,  2378,  1548,     0,  1527,   655,     0,  1462,   431,
    1706,     0,     0,     0,     0,     0,     0,   872,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     138,     0,   140,     0,     0,   455,   454,     0,     0,  1078,
     460,     0,     0,     0,     0,     0,   645,  1590,  2590,  1588,
    1660,   270,   273,   274,   271,   272,  2360,     0,  1218,  1219,
    1221,     0,     0,  1231,   912,   913,     0,     0,     0,   926,
       0,     0,     0,   910,     0,     0,     0,   932,     0,   929,
       0,     0,   933,   930,   907,   931,   914,     0,   906,     0,
       0,  1231,   934,     0,     0,   908,     0,     0,     0,     0,
    1462,  1587,   461,  1706,     0,  1571,  1572,  1573,  1549,  1561,
    1574,  1566,  1568,  1567,  1569,  1570,  1565,  2359,  2396,  1002,
    1002,  1002,  1002,   999,  1000,  1002,  1002,  1002,  2610,     0,
       0,   981,     0,   983,  2361,  1002,  1007,  2404,   537,   537,
     537,     0,  1006,  1011,   537,     0,  1430,  1471,  2343,  1718,
       0,   982,  1429,  2672,  1577,     0,     0,     0,     0,  2629,
    1439,   254,  2641,  2749,  2672,   253,   248,   249,   222,     0,
       0,  1006,   537,     0,  1462,  1437,   978,  1725,  1723,     0,
    2328,  2423,  2439,  2535,   245,  2622,  2631,  2641,  2749,  2672,
    2704,   201,   211,   206,     0,   263,  2641,  2749,  2672,   259,
    1459,     0,  1686,  1834,  1833,  2337,     0,  1432,  1431,  1550,
       0,  1553,     0,  2605,  1690,  1693,  1555,  1691,  2380,  1911,
    1940,  1918,  1940,  1940,  1907,  1907,  2469,  1920,  1908,  1909,
    1945,  1965,     0,  1940,  1907,  1912,     0,  1910,  1948,  1948,
    1935,     3,  1890,  1891,  1892,  1893,  1921,  1922,  1894,  1927,
    1928,  1932,  1895,  1962,  1898,  1907,  2381,  1727,  1728,  2328,
       4,  2374,     5,  2290,  2373,     6,     7,  1682,     0,     0,
       1,  1706,     0,  1560,  1722,  1722,     0,  1722,     0,  1674,
    1682,  1677,  1681,     0,     0,     0,     0,     0,     0,  1433,
       0,     0,     0,   937,     0,  1474,  1063,     0,     0,     0,
       0,     0,  1315,     0,  1115,  1114,  2383,  2366,  2367,  2368,
       0,  2364,  2365,  2384,  2385,  2386,     0,  2505,  1315,     0,
       0,  2206,  2217,  2218,  2219,  2427,  2486,  2214,  2215,  2216,
    2208,  2209,  2210,  2211,  2212,  2213,     0,     0,  1213,  2207,
       0,  2505,     0,  1315,     0,   173,     0,   150,  1315,     0,
       0,  2505,     0,     0,  2505,     0,     0,     0,     0,     0,
    2505,     0,     0,     0,     0,     0,   173,  2540,     0,   150,
    2505,     0,     0,  1453,     0,     0,     0,  1455,  1458,  1445,
       0,  2287,     0,  2288,  2345,  1542,     0,  1541,  1535,  1545,
    1540,  1530,     0,  2337,     0,     0,     0,     0,   920,     0,
       0,   910,     0,     0,     0,   921,     0,   922,   923,     0,
       0,     0,     0,   919,     0,  1443,  1435,     0,  1579,  1581,
    1580,  1582,  1578,   537,     0,     0,     0,  2505,     0,   150,
    1513,     0,  2505,   150,     0,     0,   459,   458,   150,  2364,
     457,   456,  2427,  2486,     0,  1105,     0,  1188,   150,  2505,
       0,   194,  2505,   714,  2505,  1555,   139,     0,   658,     0,
     826,  2540,   150,     0,     0,     0,     0,     0,     0,   142,
       0,     0,     0,     0,     0,     0,     0,   644,   655,  1591,
    1589,     0,  1222,   247,   246,  1220,   924,  2505,  1147,   145,
       0,     0,  2505,  1494,  2505,   145,   941,   925,     0,   911,
    2505,   145,  1111,  2505,  2369,   183,     0,   909,  2427,  2486,
    2505,   145,  1215,     0,  2505,   145,  2505,   179,  2505,   145,
    2505,   145,  2505,   659,     0,     0,  2505,   145,  2505,  2540,
     181,   928,  2505,   145,   935,  2505,   145,  2339,  2505,     0,
    1446,     0,  1583,     0,  1563,  2753,     0,  1706,  1002,  1001,
       0,  1002,     0,  1002,     0,  1002,     0,  1002,     0,     0,
       0,  1002,  2362,  2363,   984,     0,  1008,     0,  1016,     0,
    1015,  1014,  1013,     0,     0,     0,  1017,     0,  1838,  1618,
       0,  1427,  1442,     0,     0,     0,   142,     0,  1244,  1241,
     142,  1243,  1242,   142,   142,  1438,   252,   250,     0,     0,
       0,     0,     0,     0,  1444,     0,  1436,     0,     0,     0,
    2347,  2349,  2350,  2220,  2290,     0,  2709,  2710,  2711,  2279,
       0,  2712,  2713,  2714,  2768,  2098,  2084,  2093,  2099,  2085,
    2087,  2094,  2715,  2716,  2033,  2717,  2718,  2357,  2719,  2720,
    2721,  2723,  2724,  2725,  2726,  2727,  2728,  2729,  2730,  2731,
    2732,  2733,  2089,  2091,  2734,  2735,  2737,     0,  2358,  2738,
    2739,  2571,  2741,  2742,  2744,  2745,  2095,  2747,  2748,  2096,
    2749,  2750,  2751,  2752,  2356,   503,  2097,  2754,  2756,  2757,
    2758,  2759,  2761,  2762,  2763,  2764,     0,     0,     0,  2334,
       0,  2062,     0,  1899,  1900,  1923,  1924,  1901,  1929,  1930,
    1902,     0,  1903,  2333,  1966,  2165,  2061,  2079,     0,  2067,
    2068,     0,  2060,  2056,  2167,  1708,  2329,     0,  2057,  2346,
    2348,  2280,  1708,  2327,   214,   265,     0,   266,  2335,  2641,
     202,   244,   216,   243,   217,   215,     0,  2425,   203,     0,
       0,   204,     0,     0,     0,     0,   262,   260,     0,  1434,
       0,  1836,  1835,  2338,   946,     0,  1552,  1549,  2230,     0,
    1692,     0,     0,     0,  1939,  1926,  1934,  1933,     0,  1916,
    1915,  1914,     0,  1913,  1940,  1940,  1938,  1917,  1890,     0,
       0,     0,  1944,     0,  1942,  1886,  1882,     0,  1951,  1952,
    1953,  1950,  1963,  1949,     0,  1896,  1954,     0,  1907,  1904,
    1793,     0,  1672,  1671,     8,     0,  1557,  1559,  1533,  1555,
    1720,  1721,     0,     0,     0,     0,     0,     0,     0,     0,
    1780,  1738,  1739,  1741,  1777,  1781,  1789,     0,  1678,     0,
       0,     0,  1840,     0,     0,  1460,     0,     0,     0,     0,
       0,  1146,     0,     0,     0,     0,   938,     0,     0,     0,
    1480,     0,  1482,  1483,  1484,     0,     0,     0,  1485,  1486,
    1474,   256,  1493,  1490,  1473,  1475,  1488,     0,     0,     0,
       0,     0,     0,     0,  1505,     0,   187,   188,     0,   671,
     655,     0,  2505,     0,     0,     0,     0,  1156,  1163,  1314,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,  1155,
       0,  1158,   258,  1168,  1195,  1198,     0,     0,  1113,  1116,
       0,     0,     0,     0,     0,  1305,     0,     0,     0,  1305,
       0,     0,     0,  1314,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   281,   283,   296,   361,     0,   636,     0,
       0,     0,   639,     0,  2505,  1315,     0,     0,     0,  1217,
       0,     0,     0,     0,     0,     0,     0,     0,  1198,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   148,   149,
     154,     0,     0,     0,     0,  1198,     0,     0,     0,     0,
       0,     0,     0,   622,   635,     0,     0,     0,     0,     0,
     632,     0,     0,   150,   286,   612,   618,     0,     0,     0,
     721,   720,     0,     0,     0,     0,     0,     0,  1403,     0,
    1402,     0,     0,     0,     0,     0,  1503,  1502,     0,     0,
       0,     0,     0,     0,  1305,     0,   275,   277,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   394,   395,     0,     0,     0,   154,     0,
       0,  1305,     0,   288,     0,     0,  1454,  1451,  1452,     0,
    1457,     0,     0,     0,     0,  2070,     0,  2234,  1730,  2232,
    1131,  2286,     0,  2387,  2789,  2790,  2791,  2792,  2793,  2794,
    2795,  2796,  2797,  2798,  2799,  2800,  2801,  2802,  2803,  2804,
    2805,  2806,  2807,  2808,  2809,  2810,  2811,  2812,  2813,  2814,
    2815,  2816,  2817,  2818,  2819,  2820,  2821,  2822,  2823,  2824,
    2825,  2826,  2827,  2828,  2829,  2830,  2831,  2832,  2833,  2834,
    2835,  2836,  2837,  2838,  2839,  2840,  2841,  2842,  2843,  2844,
    2845,  2846,  2847,  2848,  2849,  2850,  2851,  2852,  2853,  2854,
    2855,  2856,  2857,  2858,  2859,  2860,  2861,  2862,  2863,  2864,
    2865,  2866,  2283,  2282,  2342,  2388,  2389,  2390,  2391,  2289,
    1525,     0,   233,   234,   232,  1543,   235,  1544,  1539,     0,
    1526,     0,     0,     0,     0,     0,     0,     0,     0,  2427,
    2486,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   834,  1474,  1512,
       0,     0,     0,   664,     0,  2505,     0,   152,   873,     0,
     824,   460,     0,     0,     0,     0,  1379,   152,     0,     0,
     190,     0,     0,   718,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   825,     0,     0,   152,     0,  2505,
     615,  2505,     0,   537,   537,     0,     0,   141,   138,     0,
       0,     0,     0,     0,     0,     0,     0,  1664,  1663,  1666,
    1665,     0,  1662,     0,   143,   144,     0,  1205,  1230,     0,
       0,     0,     0,     0,   902,   927,     0,     0,  1199,     0,
       0,  2505,   145,  2505,     0,  2505,     0,     0,     0,  1207,
     145,     0,  1201,     0,     0,  1203,     0,  1405,     0,   918,
     916,   915,   917,     0,     0,   900,     0,     0,     0,     0,
       0,   895,     0,     0,   897,     0,     0,     0,     0,  1706,
    1562,     0,   992,     0,   996,     0,   987,     0,   993,     0,
     988,   985,   986,     0,   991,     0,     0,   538,   540,     0,
       0,  2451,  2468,     0,  2494,  2528,  2529,  2581,  2596,  2625,
    2631,  2637,     0,  2666,  2677,     0,  1022,  1060,  1012,   730,
       0,     0,  1628,  1428,  2239,     0,  1706,     0,     0,  1245,
       0,     0,   138,   251,   223,     0,     0,  1060,     0,  2629,
    1441,   977,   655,     0,  2058,     0,  2065,  2066,  2278,     0,
       0,     0,     0,     0,     0,  2064,     0,     0,     0,     0,
    2300,     0,  2300,     0,     0,     0,     0,     0,     0,     0,
    1989,     0,     0,  2238,     0,     0,  2238,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1990,
    1971,  1972,  2062,  2230,     0,  2063,  2353,     0,  1962,  2392,
    2220,     0,  2217,  2218,  2219,  2867,  2868,  2869,  2870,  2871,
    2872,  2873,  2874,  2875,  2876,  2877,  2878,  2879,  2880,  2881,
    2882,  2883,     0,  2884,  2885,  2886,  2887,  2888,  2890,  2889,
    2891,  2892,  2893,  2894,  2895,  2896,  2293,  2898,  2899,  2900,
    2901,  2902,  2903,  2904,  2905,  2906,  2907,  2908,  2909,  2910,
    2911,  2912,  2913,  2914,  2915,  2916,  2917,  2918,  2919,  2920,
    2921,  2922,  2923,  2924,  2925,  2926,  2927,  2928,  2929,  2930,
    2931,  2932,  2933,  2934,  2935,  2936,  2937,  2938,  2939,  2940,
    2941,  2942,  2943,  2944,  2945,  2946,  2947,  2948,  2949,  2950,
    2951,  2952,  2953,  2954,  2955,  2956,  2957,  2958,  2959,  2960,
    2961,  2962,  2963,  2964,  2965,  2966,  2967,  2968,  2969,  2970,
    2971,  2972,  2973,  2974,  2975,  2976,  2977,  2978,  2979,  2980,
    2981,  2982,  2983,  2984,  2985,  2986,  2987,  2988,  2989,  2990,
    2991,  2992,  2993,  2994,  2995,  2996,  2997,  2998,  2999,  3000,
    3001,  3002,  3003,  3004,  3005,  3006,  3007,  3008,  3009,  3010,
    3011,  3012,  3013,  3014,  3015,  3016,  3017,  3018,  3019,  3020,
    3021,  3022,  3023,  3024,  3025,  3026,  3027,  3028,  3029,  3030,
    3031,  3032,  3033,  3034,  3035,  3036,  3037,  3038,  3039,  3040,
    3041,  3042,  3043,  3044,  3045,  3046,  3047,  3048,  3049,  3050,
    3051,  2004,  3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,
    3060,  3061,  3062,  3063,  3064,  3065,  3066,  3067,  3068,  3069,
    3070,  3071,  3072,  3073,  3074,  3075,  3076,  3077,  3078,  3079,
    3080,  3081,  3082,  3083,  3084,  3085,  3086,  3087,  3088,  3089,
    3090,  3091,  3092,  3093,  3094,  3095,  3096,  3097,  3098,  3099,
    3100,  3101,  3102,  3103,  3104,  3105,  3106,  3107,  3108,  3109,
    3110,  2006,  3111,  3112,  3113,  3114,  3115,  3116,  3117,  3118,
    3119,  3120,  3121,  3122,  3123,  3124,  3125,  3126,  3127,  3128,
    3129,  3130,  3131,  3132,  3133,  3134,  3135,  3136,  3137,  3138,
    3139,  3140,  3141,  3142,  3143,  3144,  3145,  3148,  3146,  3147,
    3149,  3150,  3151,  3152,  3153,  3154,  3155,  3156,  3157,  3158,
    3159,  3160,  3161,  3162,  3163,  3164,  3165,  3166,  3167,  3168,
    3169,  3170,  3171,  3172,  3173,  3174,  3175,  3176,  3177,  3178,
    3179,  3180,  3181,  3182,  3183,  3184,  3185,  3186,  3187,  3188,
    3189,  3190,  3191,  3192,  3193,  3194,  3195,  3196,  3197,  3198,
    3199,  3200,  3201,  3202,  3203,  3204,  3206,  3205,  3207,  3208,
    3209,  3210,  3211,  3212,  3213,  3214,  3215,  3216,  3217,  3218,
    3219,  3220,  3221,  3222,  3223,  3224,  3225,  3226,  3227,  3228,
    3229,  3230,  3231,  3232,  3233,  3234,  3235,  3236,  3237,  3238,
    3239,  3240,  3241,  3242,  3243,  3244,  3245,  3246,  3247,  3248,
    3249,  3250,  3251,  3252,  3253,  3254,  3255,  3256,  3257,  3258,
    3259,  3260,  3261,  3262,  3263,  3264,  3265,  3266,  3267,  3268,
    3269,  3270,  3271,  3272,  3273,  3274,  3275,  3276,  3277,  3278,
    3279,  3280,  3281,  3282,  3283,  3284,  3285,  3286,  3287,  3288,
    3289,  3290,  3291,  3292,  3293,  3294,  3295,  3296,  3297,  3298,
    3299,  3300,     0,  2214,  2215,  2216,  2208,  2209,  2210,  2211,
    2212,  2213,  2224,     0,     0,  2332,  2393,     0,  2167,     0,
    1986,     0,  2175,     0,     0,  1793,     0,  2351,  2281,  1793,
     267,   268,   264,     0,     0,   219,   218,     0,   237,   241,
     242,   213,   240,     0,   236,   221,  2151,  2150,   220,   212,
     209,   207,   224,   226,   227,   210,   208,   261,     0,     0,
       0,   145,  1560,  1547,     0,     0,  2293,     0,  2228,     0,
       0,  2226,     0,     0,     0,  1790,     0,  1694,     0,  1698,
       0,     0,     0,  1937,  1936,  1887,  1883,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     939,     0,  1905,     0,  1856,  2375,  2376,  2291,  1726,  1560,
       0,  1556,  1689,  1688,  1731,  1732,  1097,  1687,  1760,  1761,
       0,     0,     0,     0,  1786,  1784,  1751,  1742,  1750,     0,
       0,  1748,     0,  1752,  1966,  1779,  1676,  1736,  1737,  1740,
    1675,     0,  1782,     0,  1631,  1780,  1741,  1615,     0,  1593,
       0,     0,  1841,     0,     0,  1461,     0,     0,     0,  1126,
    1128,     0,  1127,     0,  1130,     0,  1139,     0,     0,  1125,
    1144,     0,  1133,  1131,     0,  1501,     0,     0,     0,     0,
       0,  1481,     0,     0,     0,  2666,   255,  1484,  1489,  1476,
    1487,     0,     0,     0,     0,     0,  1062,  1061,     0,     0,
    1081,     0,     0,     0,   503,  1508,   525,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,   820,   817,     0,
       0,   816,     0,   669,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   694,     0,  1305,     0,   294,
       0,  1165,     0,  1164,     0,  1169,     0,     0,  1166,  1161,
    1162,  2631,  2641,  2672,   257,  1167,  1197,     0,  1196,  1192,
       0,  1108,     0,  1109,     0,     0,     0,     0,     0,  2478,
    2505,   302,   325,     0,  1304,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     347,     0,     0,   350,   349,     0,     0,     0,     0,     0,
     355,     0,   333,     0,   334,     0,   354,     0,     0,     0,
     637,   638,     0,     0,     0,  1305,     0,   290,     0,     0,
       0,     0,     0,     0,     0,     0,  1214,     0,   747,     0,
       0,  2631,  1193,     0,  1388,     0,  2665,  1389,  1392,   537,
       0,   537,  1394,     0,     0,  1391,  1393,     0,     0,   176,
       0,   171,   175,     0,     0,  2631,  1194,     0,     0,     0,
       0,     0,   620,   621,   634,     0,   625,   626,   623,   627,
     628,     0,     0,     0,     0,     0,     0,     0,   619,     0,
       0,   716,   715,   719,     0,     0,     0,     0,     0,     0,
    1397,     0,     0,  1188,     0,     0,  1396,  1404,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1248,  1247,
       0,     0,     0,     0,  1315,     0,   863,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   178,   734,     0,
     733,     0,   172,   177,     0,     0,     0,     0,     0,     0,
       0,     0,   231,  1450,  1456,  1730,  1730,  1730,  2076,     0,
       0,     0,     0,  1729,  2284,  2287,  1530,  1536,  1529,  1528,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   405,   406,
     408,     0,     0,     0,     0,   836,     0,   839,   842,  1472,
     487,     0,     0,   661,   694,     0,     0,   463,   185,     0,
       0,     0,     0,   749,     0,  1188,  1187,   147,   138,   194,
     461,     0,   193,   195,   197,   198,   199,   196,   200,     0,
     713,   717,     0,     0,     0,     0,   657,     0,     0,     0,
       0,     0,     0,     0,  1861,     0,     0,   170,     0,     0,
     610,   614,     0,     0,     0,     0,   463,   576,   374,  2505,
       0,   537,     0,  2505,     0,   137,     0,   823,     0,     0,
       0,  1150,  1150,     0,     0,   763,   762,     0,     0,     0,
       0,     0,     0,  1661,   145,  1148,     0,  1495,     0,   145,
     942,   145,  1112,   184,  2370,     0,   904,     0,     0,     0,
       0,   145,  1216,   892,   145,   180,   145,   145,   660,     0,
     145,   182,     0,     0,   145,   936,   145,  2340,     0,   145,
    1586,  2505,   537,  1564,   989,   998,   997,   995,   994,   990,
       0,  1009,     0,   536,     0,     0,     0,     0,     0,  1030,
    1031,     0,     0,  1027,  1032,     0,  1034,  1018,  1020,  1028,
    1029,  1035,  1024,  1023,  1036,  1037,     0,     0,     0,  1049,
     728,     0,     0,     0,     0,  1625,     0,  1623,     0,  1839,
    1627,  1616,  1576,     0,  1575,     0,   603,  1239,  1238,  1240,
       0,  1006,     0,   145,     0,  1440,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2243,     0,  2244,
       0,     0,  2277,  2273,     0,     0,     0,     0,     0,  2247,
    2250,  2251,  2252,  2249,  2253,  2248,     0,     0,  2254,     0,
       0,  2298,  2310,     0,  2062,  2298,  2321,     0,  2320,  2326,
    2234,  1966,     0,     0,  2317,  2311,     0,  2317,     0,  2300,
       0,     0,     0,     0,     0,     0,  2234,  2237,     0,     0,
    2745,     0,     0,     0,     0,  2034,     0,     0,  2201,     0,
    2234,     0,     0,     0,     0,     0,     0,     0,  2230,  2269,
       0,   501,     0,  2024,     0,     0,     0,  2149,     0,  2146,
       0,     0,     0,     0,  2290,     0,     0,  2354,  1967,  1982,
    1983,  1984,  1987,  2331,  1970,     0,  2292,     0,     0,  1968,
    1995,     0,  2270,  2020,     0,  2025,  2010,  2301,  2255,  2256,
    2257,  2258,  2027,     0,  2003,  2008,  2012,     0,  2310,  1991,
       0,  1988,     0,  2293,  2229,     0,  2227,     0,  1979,  1980,
    1981,  1973,  1974,  1975,  1976,  1977,  1978,  1985,  2205,  2203,
    2204,     0,     0,  2175,     0,     0,  2007,     0,     0,  2078,
    2497,  2535,     0,  1719,  1719,  1719,  1707,  1717,  2330,  1856,
    1730,  1856,  2336,     0,     0,  1962,     0,  1837,   944,   945,
     943,  1532,  1546,  1560,  2231,  1554,  1696,     0,     0,     0,
    1906,  1919,     0,  1946,  1947,  1948,  1948,     0,  1888,     0,
    1931,  1956,  1957,  1958,  1959,  1960,  1961,     0,  1955,  1897,
     940,  2726,     0,  2627,  2765,     0,  1817,  1792,  1794,  1804,
    1817,  1824,  1817,  2080,  1854,  2081,  2082,  2337,     0,  1763,
    2372,  1534,  1558,     0,  1095,  1096,     0,  1100,  2745,  2627,
       0,     0,     0,     0,  1753,  1787,     0,  1778,     0,  2347,
    1754,  2346,  1755,  1758,  1759,  1749,  1788,  1629,     0,  1783,
    1680,  1679,     0,  1859,     0,     0,     0,  1607,  1595,     0,
       0,  1842,     0,  1793,  1633,     0,  2290,  1791,  1355,  1249,
    1316,  1129,     0,  1907,  1140,     0,  1124,     0,  1123,  1907,
       0,  1141,     0,  1907,  1356,  1250,  1317,  1357,  1251,  1318,
    1358,  1492,  1252,  1491,  1479,  1478,  1477,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   801,  2505,   145,  1506,  1359,     0,  1253,   362,
    1507,  1319,  1511,   819,   818,     0,     0,  1320,     0,   670,
     675,     0,   677,   678,  2427,  2486,   679,   682,   683,     0,
     685,   674,   673,     0,     0,     0,     0,     0,   691,   696,
       0,     0,     0,     0,     0,     0,  1159,  1160,  1360,  1256,
       0,  1321,     0,  1107,     0,  1257,   186,     0,     0,   282,
    2505,   304,     0,   485,   801,     0,  1307,   301,   331,     0,
     346,   341,   342,   340,  2505,   145,  2505,   145,     0,     0,
       0,     0,     0,   343,   338,   339,   335,     0,     0,   348,
    2399,  2470,  2642,     0,   702,   704,     0,   709,   351,  1277,
     370,   369,   368,     0,   356,     0,   375,   378,     0,   353,
     332,   330,   327,   297,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1209,     0,  1363,  1322,     0,
    1344,  1348,     0,     0,     0,   741,  1366,  1263,  1325,     0,
     537,     0,     0,   552,   552,   537,  1377,  1264,   174,  1294,
     163,     0,     0,   159,     0,     0,     0,     0,   153,  1367,
    1265,  1326,     0,     0,  1368,  1266,     0,     0,   287,   613,
     624,   629,  1271,   633,   630,  1334,   631,  1375,  1267,     0,
    1371,  1297,  1329,   596,  1188,  1188,  1378,  1398,  1268,  1188,
       0,  1305,     0,   276,   278,     0,   142,     0,  1269,     0,
    1327,  1370,  1296,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1514,     0,     0,     0,     0,     0,     0,   145,
       0,     0,     0,  1307,  2505,   145,   861,  1369,     0,  1302,
       0,  1342,     0,     0,     0,   396,     0,  1295,  1305,     0,
     289,  1273,     0,  1336,     0,     0,   229,   228,   230,     0,
       0,     0,     0,  2235,  2236,     0,  2233,  2071,  2286,     0,
    1524,   966,   952,   965,     0,   948,  2468,     0,   951,   953,
       0,     0,     0,   954,   958,   959,     0,   950,   947,   949,
       0,   407,     0,     0,   758,   759,     0,     0,     0,     0,
     838,     0,     0,  1504,     0,   150,   668,     0,     0,     0,
     663,   693,   698,     0,     0,     0,     0,   462,   466,   470,
     471,   472,     0,     0,     0,     0,   164,   151,     0,   881,
       0,   537,     0,   751,  1188,  1381,     0,   194,   189,     0,
       0,   714,     0,  1555,     0,     0,   591,   594,   593,     0,
     374,   833,   831,   830,   832,   854,   829,     0,  1860,  1862,
       0,     0,     0,     0,     0,     0,   603,   465,     0,     0,
     540,     0,   579,     0,     0,     0,     0,   576,     0,     0,
       0,  2380,     0,   850,   822,     0,  1118,     0,  1136,  1119,
       0,     0,     0,     0,  1173,  1180,  1149,  1174,  1151,  1180,
       0,     0,   764,   768,   767,   771,   769,     0,   765,   642,
    1667,  1668,     0,  1206,     0,     0,  1500,     0,  1498,   903,
    1200,   145,     0,   145,     0,   145,  1208,  1202,  1204,  1406,
       0,   901,     0,     0,   894,   896,     0,   898,     0,  1010,
     539,     0,     0,     0,     0,     0,     0,  1026,   640,  1033,
       0,     0,     0,  1048,  1043,  1045,     0,  1060,  1054,     0,
     727,     0,     0,  1626,  1619,  1621,  1620,     0,     0,  1617,
    2240,   893,     0,   609,     0,  1060,  1051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1724,  2241,
    2242,     0,     0,     0,  2274,     0,     0,  2115,     0,  2086,
    2088,  2101,     0,  2116,  2069,     0,  2297,  2294,     0,     0,
       0,  2298,  2300,  2135,     0,     0,     0,  2300,     0,  2320,
       0,     0,  2130,  2132,     0,     0,     0,  2310,  2310,  2137,
       0,  2117,  2090,  2092,  2102,     0,     0,  2221,     0,  2105,
    2104,     0,  2036,  2037,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2051,  2106,  2200,     0,     0,     0,  2108,  2107,
       0,     0,  2268,     0,     0,     0,  2113,   502,  2118,     0,
       0,     0,     0,  2124,     0,  2157,     0,     0,     0,  2059,
    2231,     0,     0,     0,     0,     0,     0,     0,  2303,  2304,
    2305,  2302,     0,  2026,  2011,  2029,  2005,  2009,  2013,     0,
    2310,  2028,  2031,     0,     0,  1999,     0,     0,  1997,  2021,
    1993,     0,     0,  2022,     0,  2077,     0,     0,     0,  2178,
    2173,  2174,  1719,  1719,  1719,  1719,  1716,     0,     0,     0,
    1763,     0,  1763,   205,     0,   238,   225,  1531,  1697,  1706,
    1925,     0,  1943,  1941,  1884,  1889,  1964,  1817,  1824,  1817,
       0,     0,  1682,     0,  1804,     0,  1816,  1802,  1815,     0,
       0,  1830,  1828,     0,  1830,     0,  1830,     0,  1796,     0,
    1820,  1798,  1815,  1800,     0,  1846,  2338,  1855,     0,  1776,
    1733,     0,  2222,  1100,     0,  1735,  1757,  1756,     0,  1746,
       0,  1785,  1743,  1630,  1614,     0,  1612,  1599,  1601,  1600,
       0,     0,  1602,  2290,     0,  1612,  1594,     0,  1638,     0,
       0,  1859,     0,  1637,     0,  1907,  1121,  1122,     0,  1145,
       0,  1065,  1066,     0,  1064,     0,     0,     0,   524,  1080,
       0,     0,   801,     0,   801,     0,     0,   529,     0,  1509,
       0,  1376,  1293,   672,     0,     0,     0,     0,   687,   646,
     688,   690,     0,     0,   689,   692,   695,  1305,     0,   295,
    1279,     0,  1340,  1153,     0,     0,  1110,     0,     0,     0,
       0,     0,     0,   484,   481,   326,     0,     0,     0,     0,
     383,     0,   306,   318,   381,   324,     0,   358,     0,   329,
       0,   322,   344,   336,   345,   337,   357,   359,     0,   706,
     707,   705,   701,     0,   708,   710,     0,   372,     0,     0,
       0,   352,     0,  1362,     0,  1305,     0,   291,  1275,     0,
    1338,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1343,     0,     0,     0,     0,   746,     0,
     743,     0,   552,     0,  1390,     0,  1387,  1385,   552,     0,
       0,   156,   155,     0,   162,     0,     0,     0,     0,     0,
       0,  1399,  1400,  1401,     0,     0,     0,     0,     0,     0,
     390,     0,   298,   300,   299,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   397,   365,     0,   857,     0,     0,     0,   399,
       0,     0,  1354,     0,     0,     0,     0,     0,  1361,  1258,
    2074,  2075,  2072,  1730,  2285,     0,     0,     0,   963,     0,
       0,     0,     0,   410,   411,   150,   409,   434,     0,   801,
       0,     0,   835,   840,   848,  2571,  2208,  2209,   846,   841,
     843,   845,   847,   844,     0,     0,     0,     0,   506,     0,
       0,     0,   493,     0,     0,   503,   486,   489,   490,     0,
       0,   664,   667,   665,   666,     0,   686,     0,   465,   513,
     566,     0,   166,     0,     0,   167,   165,     0,     0,   374,
     748,     0,   745,  1380,     0,   192,     0,   718,     0,     0,
       0,     0,     0,  1188,   656,     0,   853,   855,   827,     0,
     698,     0,     0,   615,     0,   537,  1587,   598,     0,   568,
     465,   566,   575,     0,     0,   583,   373,     0,     0,   603,
     374,     0,     0,  1081,     0,   849,     0,     0,  1117,     0,
       0,     0,  1170,  1175,  1171,     0,  1150,  1132,     0,  1172,
       0,     0,  1178,  1103,  1152,  1104,  1422,  1423,  1420,  1421,
       0,     0,     0,     0,     0,     0,  1658,     0,     0,  1496,
       0,   905,     0,   888,     0,   890,   145,   735,     0,   145,
       0,     0,     0,     0,     0,     0,  1025,     0,  1019,  1021,
    1046,     0,     0,  1060,  1059,     0,  1050,  1058,  1056,  1057,
    1055,     0,     0,  1624,  1622,   601,     0,     0,   145,  1060,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2245,     0,  2276,  2272,     0,  2083,  2246,  2296,  2307,  2309,
    2136,  2299,     0,     0,     0,  2322,     0,     0,  2300,  2314,
    2313,     0,     0,  2312,  2300,  2300,  2138,     0,     0,     0,
    2201,     0,     0,  2035,  2047,  2048,  2049,  2261,     0,  2054,
       0,  2044,  2045,  2046,  2038,  2039,  2040,  2041,  2042,  2043,
    2050,  2265,  2264,     0,     0,  2110,  2111,  2112,  2267,  2119,
       0,  2417,  2158,     0,  2123,  2148,  2147,     0,     0,     0,
    2126,     0,     0,  2144,     0,  2202,  2355,  1969,     0,     0,
    1996,  2271,  2014,     0,  2030,  2032,  1992,  2221,     0,     0,
       0,     0,     0,  2001,     0,     0,  2198,     0,     0,     0,
    2180,  2177,     0,     0,     0,     0,  1710,  1709,  1715,  1776,
    2071,  1776,     0,     0,  1885,  1803,  1799,  1801,     0,  2760,
       0,  1806,  1813,     0,  1795,     0,  1829,  1825,     0,  1826,
       0,     0,  1827,     0,     0,  1797,     0,  1813,     0,  1853,
    1722,     0,  2169,     0,  1734,  1098,  1099,  1744,     0,  1747,
    2447,  1857,     0,  1613,     0,     0,     0,  1604,  1610,  1592,
       0,     0,     0,  1634,  1612,  1635,  1142,     0,     0,  1134,
    1071,  1072,  1075,  1073,  1070,  1074,     0,     0,     0,   801,
       0,     0,   547,     0,  1094,  1094,     0,   527,     0,   531,
     588,     0,   804,     0,     0,     0,   802,   145,  1254,     0,
       0,     0,     0,   647,  1374,  1255,     0,     0,     0,     0,
    1154,  1308,     0,     0,  1278,     0,   303,   483,   482,     0,
     480,   698,     0,     0,   309,   319,     0,   314,     0,  1306,
       0,     0,     0,   313,   316,   315,   385,     0,   382,     0,
     145,   145,   360,   703,   371,   376,   377,   380,  1313,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   882,   865,     0,     0,   883,   884,     0,     0,
       0,  1211,  1212,  1210,  1345,  1346,  1352,  1349,  1347,  1351,
    1353,  1350,     0,  1261,     0,     0,   739,  1309,  1382,  1384,
    1383,     0,  1386,   160,   157,   158,   161,  1310,  1291,  1272,
    1335,   597,     0,     0,     0,  1270,     0,  1328,     0,  1287,
    1281,     0,     0,     0,     0,     0,  1373,  1301,  1333,  1372,
    1299,  1331,  1298,  1330,  1300,  1332,  1292,     0,     0,  1864,
     862,     0,     0,     0,   145,   145,   860,   737,  1274,     0,
    1337,  1283,     0,     0,     0,   955,     0,     0,     0,   957,
     415,   435,   150,     0,   757,   821,     0,     0,   837,     0,
     491,     0,   497,   504,     0,     0,   508,   509,   507,   535,
    1188,   537,  1188,   790,   791,     0,     0,   811,     0,   662,
       0,     0,   463,     0,   510,     0,     0,   467,   169,   168,
       0,     0,     0,   752,   756,   754,   753,   755,   750,     0,
     741,   194,  2505,     0,     0,     0,     0,   595,   589,   592,
    1395,   828,     0,  1863,   731,     0,   374,   611,     0,     0,
       0,   463,   603,     0,   468,   473,   474,   487,     0,   576,
     567,     0,   568,   577,   578,     0,   585,  1470,     0,   604,
     585,     0,     0,     0,   852,     0,   851,     0,  1120,  1137,
    1138,     0,     0,  1180,     0,     0,  1182,  1177,     0,     0,
     770,   773,   766,   649,   145,     0,  1499,   145,   145,  1237,
       0,   899,  1040,  1041,  1042,  1039,  1038,   641,     0,  1044,
    1003,  1053,   729,     0,   602,     0,  1004,   145,   980,   972,
     979,   968,   971,   973,     0,   975,   976,   970,   967,   969,
    2275,  2100,     0,  2306,  2308,  2134,  2319,  2318,  2133,  2325,
       0,  2316,  2315,     0,     0,  2103,  2114,     0,  2200,  2231,
       0,     0,  2055,     0,     0,     0,  2109,  2755,     0,     0,
    2162,  2163,     0,  2159,  2160,  2155,  2156,  2125,     0,  2560,
    2139,     0,     0,  2154,  2018,  2016,  2015,  2000,     0,     0,
    1998,  1994,     0,  2023,  2164,  2197,  2231,  2166,     0,  1730,
    1714,  1713,  1712,  1711,  2169,  2352,  2169,   239,  1701,  1849,
       0,  1852,     0,     0,  1805,     0,     0,  1807,     0,     0,
    1809,  1811,     0,     0,     0,     0,     0,     0,  2341,     0,
    1775,     0,  1730,     0,  1745,     0,  1611,  1596,     0,  1597,
    1603,     0,     0,     0,     0,     0,  1639,  1632,  1135,  1143,
       0,     0,     0,   526,     0,   542,     0,     0,     0,  1087,
     140,  1086,     0,   542,   542,   806,   805,   808,   803,   807,
    1510,     0,   680,   681,   684,  1280,     0,  1341,  1289,     0,
    1628,   305,   479,   478,   487,   312,     0,     0,     0,   307,
     384,   386,   308,   311,   365,   328,   321,     0,     0,     0,
    1276,     0,  1339,  1285,  1312,  1364,  1259,  1323,     0,     0,
     871,     0,     0,     0,     0,  1365,  1260,  1324,     0,     0,
       0,     0,     0,  1628,     0,     0,     0,     0,     0,     0,
       0,     0,  1519,     0,     0,   364,   859,   858,   365,   398,
    1303,     0,  2073,     0,   956,   961,   962,   960,     0,   404,
     412,   415,     0,     0,  1228,  1228,     0,     0,   488,   505,
       0,     0,   492,   587,   546,   587,     0,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   744,   743,   191,     0,   463,     0,   698,     0,
     856,     0,     0,     0,   603,   465,     0,     0,  1584,   464,
       0,     0,   476,     0,   579,   568,   576,     0,     0,   600,
       0,  1463,     0,   606,     0,     0,     0,   800,  1176,     0,
    1190,     0,  1131,  1101,  1185,     0,  1706,  1856,     0,     0,
       0,     0,   783,     0,   653,  1229,  1497,   889,   891,   736,
    1047,     0,  1060,  1052,   974,  2295,  2324,  2131,  2323,  2260,
    2202,  2052,     0,  2263,  2262,  2266,     0,  2120,     0,  2121,
    2161,  2127,  2140,     0,  2128,  2152,     0,     0,  2019,  2017,
    2002,  2199,     0,  2184,  1684,  1683,     0,  1704,  1854,     0,
       0,  1848,     0,     0,  1878,     0,     0,     0,  1814,  1832,
       0,  1810,  1808,     0,  1821,     0,  1823,  2446,  2721,  2624,
       0,  1762,  1764,  1767,  1769,  1768,  1770,  1766,  2168,  2170,
       0,  1741,  2223,  1858,     0,     0,     0,  1082,     0,     0,
    1640,  1641,  1636,  1048,     0,   145,  1094,     0,  1188,   548,
    2571,   549,  1093,  1097,   139,     0,  1188,  1188,   676,     0,
       0,   284,   475,     0,   310,   320,   367,   379,     0,  1628,
       0,     0,   869,   878,   878,   866,     0,     0,   885,  1262,
     740,     0,   551,     0,   279,  1288,  1282,     0,     0,     0,
    1521,  1522,     0,     0,     0,     0,     0,  1311,   145,  1284,
     964,     0,   437,   444,   416,   420,  1513,     0,  1513,     0,
     417,   421,  1513,  1513,   414,  1856,   433,  1228,     0,  1225,
    1224,   535,   617,     0,   534,     0,   495,     0,   557,   494,
       0,   812,     0,     0,   697,     0,   465,   566,     0,   523,
     514,   515,   516,   517,   519,   518,   520,   521,   522,   512,
     511,     0,   698,   875,   374,  1470,   738,     0,     0,   711,
       0,   698,     0,  1587,   599,   568,   465,   566,   469,   487,
       0,   583,   576,   579,     0,   580,     0,   584,     0,     0,
       0,   603,  1523,  1081,     0,     0,   801,  1189,  1150,     0,
       0,  1179,  1183,  1184,     0,     0,     0,     0,  1232,   777,
     778,   772,   774,     0,   785,   789,   648,     0,     0,   652,
     643,   698,   145,     0,  2053,     0,     0,  2142,  2141,  2153,
    2129,  2179,     0,     0,     0,     0,     0,     0,     0,  1695,
    1847,  1850,     0,  1881,     0,     0,     0,     0,  1867,     0,
    1812,     0,     0,  1822,     0,     0,     0,  1771,     0,     0,
       0,  1780,     0,  1609,  1856,     0,  1606,     0,  1649,     0,
    1642,  1067,     0,  1068,  1088,     0,   587,     0,  1100,  1097,
     537,   587,   587,  1290,     0,   617,     0,   323,     0,   292,
    1286,     0,     0,   880,   880,     0,     0,     0,     0,     0,
       0,   392,     0,     0,  1515,     0,  1516,  1517,  1520,   400,
     413,     0,   442,     0,   440,   439,   441,     0,   430,     0,
       0,     0,     0,     0,     0,   403,  1223,  1227,  1226,   496,
       0,   498,     0,     0,   543,   544,   545,     0,   500,   553,
     554,   809,     0,   814,     0,   700,     0,     0,   698,   565,
     722,     0,     0,     0,  1464,     0,     0,   590,   732,  1470,
     603,   576,     0,   568,   477,     0,   585,   579,   583,   581,
     582,     0,  1467,     0,   605,     0,  1090,   799,     0,  1180,
    1191,  1186,  1181,  1426,     0,     0,   775,   780,   779,  1513,
     784,     0,     0,     0,   651,   650,   726,  1005,  2259,  2145,
    2122,  2143,  2708,  2447,  2680,     0,  2196,  2185,  2196,  2196,
    2176,     0,     0,     0,     0,     0,  1879,  1880,  1865,     0,
       0,  1869,  1819,  1845,     0,     0,     0,  1765,  2171,  2172,
    2371,  1598,  1608,  1083,     0,     0,     0,  1649,     0,     0,
     552,     0,  1084,  1100,   546,   801,   801,  1628,   317,   366,
       0,     0,     0,   876,   879,   867,   868,   887,   886,   742,
    1628,     0,   388,   387,     0,   391,     0,   438,   447,     0,
     445,   418,   423,     0,   429,   428,   425,   424,   419,   422,
       0,     0,     0,     0,     0,     0,   555,     0,   556,     0,
     813,     0,     0,     0,   724,   874,     0,     0,   463,   698,
    1465,  1585,   579,   568,   576,     0,     0,   570,  1094,  1094,
     450,   583,   585,  1468,  1469,     0,     0,   503,     0,  1102,
    1425,  1424,  1706,     0,     0,     0,   786,   787,   782,     0,
       0,     0,  2189,  2188,  2187,  2191,  2190,     0,  2183,  2181,
    2182,     0,     0,     0,  1851,     0,  1868,  1871,     0,     0,
       0,  1877,  1870,  1872,     0,  1831,     0,  1843,  1773,     0,
    1772,  1856,  1648,     0,     0,   145,   541,   801,   550,  1085,
     557,   530,   528,   285,  1628,   870,     0,   280,     0,   393,
    1518,   443,     0,   427,   426,   616,   499,   586,   562,     0,
     561,     0,   559,   558,   810,   815,     0,   698,   864,  1470,
     712,   583,   576,   579,     0,   569,     0,   140,   140,   585,
     448,     0,     0,   374,     0,  1408,  1706,  1407,  1409,  1417,
    1414,  1416,  1415,  1413,     0,  1235,  1236,   776,   781,     0,
       0,     0,     0,  2193,     0,  2194,     0,     0,     0,     0,
    1874,  1875,  1876,  1873,  1818,     0,  1774,  1605,  1651,     0,
       0,  1643,  1644,     0,  1069,   532,   801,   293,   877,     0,
     446,   560,   537,   537,   698,   723,  1466,   585,   579,   583,
    1094,   571,   573,   572,   452,  1090,  1091,     0,   585,   789,
       0,  1418,  1412,  1682,  1669,     0,     0,   788,     0,  2186,
    2192,  2195,     0,     0,     0,     0,     0,     0,  1646,     0,
       0,     0,  1645,   533,     0,   564,   563,   725,   451,   583,
     585,   140,   503,  1089,     0,  1856,     0,  1410,  1706,     0,
       0,   794,  1700,  1699,  2726,     0,     0,  1703,     0,  1844,
    1650,  1647,     0,     0,     0,     0,  1652,   389,   585,   449,
     574,   374,  1092,  1076,     0,  1411,     0,     0,   796,     0,
     792,   795,   797,   798,     0,     0,  1866,  1656,     0,     0,
       0,   453,   585,     0,     0,     0,   760,     0,  1730,     0,
       0,     0,     0,  1856,     0,     0,     0,   793,     0,     0,
    1653,  1657,     0,  1654,  1077,   794,  1233,  1234,     0,  1702,
       0,     0,     0,   761,  1655
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5691, -5691, -5691,  3945,  -563, -1733, -5072, -1119,  1236, -5691,
   -5691,  -950,   519,  3170, -2409, -5691, -5691, -5691,  1395, -5691,
   -5691, -5691, -5691,  3906, -5691, -2912, -5691, -5691,   175,  3856,
   -1365,   145,  3487,  1485, -5691, -1009, -5691, -5691,  -628,     1,
   -5691,  3869,   510, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
   -5691,  -851,  1940, -5691,  2041,  1289, -3473, -5691, -5691, -1509,
   -3750, -5691,   543, -5691,   573, -4831, -1045, -5691, -5691, -5691,
    1937, -5691, -5691, -5691,  1881,  1079,  -457, -5691, -5691, -5691,
   -5691, -5691, -5691,  -885, -5691, -5691, -1155,     7,  -651, -2919,
   -4331, -5691, -5691,   397,  -501, -1490, -5691,   589, -5691,   590,
   -5691, -4830, -5691,   -98, -2666, -2708, -5691, -5691, -5691,  -472,
   -1457,  1385,  -695,  -744, -1174,  1758, -2318, -1003, -5691,  -343,
   -3564, -1126,  -895,  -893, -1037, -4360, -4881, -5691, -5691, -1157,
   -3757, -5154, -5412, -4867, -4710,  1397, -5691,  -126,   401, -5691,
      11, -3656, -3767,    13,   376, -5691,    14,    17, -5691,   395,
    -826,  -960, -1585, -5691,  -767, -5691, -5691, -5691, -3439, -5691,
   -5691, -5691,   162, -5691, -5691, -5691, -5691,   439, -5691, -5691,
   -5691, -5691, -5691, -5691, -2576,  1907,  1908, -5691, -4366, -5691,
    -931, -5691,   600, -3477,  1314, -5691, -5691,  1076,  3936,   426,
   -5691, -5691, -5691, -5691, -5691, -5691, -1789, -5691, -5691, -5691,
   -5691,   -99,  -438, -5691, -5691, -5691, -5691, -5691, -5691, -5691,
      18, -5691,  1043,   363, -5691, -5691,  -729, -5691, -5691, -5691,
   -5691, -5691, -5691, -1195, -5174, -1300, -1279, -5691, -3452, -5691,
   -5691, -5691,  -407, -5691, -5691, -5691, -5691, -5691,  -747, -5691,
    1141, -4160, -5691, -5691,   407, -5691, -5691, -5691, -5691, -5691,
   -1002,  -346,  3108, -5691,  -583,  -792, -5691, -5691, -5691,  -341,
   -5691, -5691, -5691, -5691, -5691,  -526, -1270,  4946,  4321, -1100,
    8631,  -832,  -585, -5691, -5691, -5691, -2644, -5691, -5691, -4263,
   -5691,  4937,  2460,  1787,    19, -5691,   -11,   104,  3761, -5691,
    1006, -1158, -3099,   372,  -542, -5691, -5691, -5691,   373, -5691,
   -1941, -5691, -5691, -5691, -5691, -4100,    21, -5691, -4377, -5189,
   -4596, -4085, -1156, -5691, -4265, -4191, -4091, -5691,  1947, -5691,
   -5691,  -523,  -190,  3092, -5691, -1474,  2292, -1426, -5691, -2584,
     436,  1494,  3098, -3277,  -130,  3085, -2998, -5691,  -720,  1084,
   -5691,  -425, -3772, -5691, -5691, -5691, -2754,  -667, -5691, -5691,
    1523,   699, -5691, -5691, -5691, -5691,  -616,  3067,  -181, -5691,
   -5691,  4295, -5691, -4972, -5691,  4282, -5691, -5691, -5691, -5691,
   -5691, -5691, -5691, -5691, -5691, -1479,  1254, -5691,  -779, -5691,
   -5691,  2053,   646, -5691, -5691, -5691, -5691,  1340,  -160, -5691,
   -5691, -5691, -5691, -5691, -5691, -5691,  -981, -1175, -5691, -5691,
   -4448, -5691, -5691, -5691, -5691, -5691,  2361,  -946,  -742,  4166,
     869,    22, -5374, -5691, -5691, -1168, -5691,  3504, -5691, -5691,
   -5691, -5691, -5691,   427,   430, -5691, -5691, -5691, -5691, -4513,
   -5691, -5691, -5054, -5691, -5691,  2031, -5691, -5691,  1042,    10,
    3211, -5691, -5691, -5691,   -28, -5691, -5691, -1013,  2379, -5691,
   -2394, -5691,  -592, -5691, -5691, -1904,    28, -4359, -5691,     3,
   -5691, -5691, -5060, -1180,   231, -5691, -5691, -4005,    12, -5691,
   -5691, -5691, -5691, -5056, -5691,    15, -5480,   786, -3336, -5691,
       8, -5691,  -489,  -875, -5691, -5691, -5691, -3807,    29,    33,
   -5691, -5691,     4,  1341,   -47,   -57,   -49,     2,   139,  3623,
   -5691, -5691, -5691, -4440,  3663, -5691,    47,  -860,  4986,  4989,
   -5691,  -879,  -146,   384,  1601,  -697, -2588,  3586,  3596, -5691,
    1587,  2397, -2457, -2456, -5691,  -941,  -847,  -679, -5691, -5691,
   -5691, -5691, -1527,  -687, -2595, -5691,  3603, -5691, -5691, -5691,
   -2375, -3373, -3242,  1625, -3297, -3207, -5691,   875,   856,  -971,
    -169,   -39, -1475,  -790,  1751, -5691, -5691,  1633,  -422, -5691,
   -5691,  -419, -3290,   820, -5691, -4591, -2840,  1638, -1102,  -824,
   -5691,  -956, -5691,  -647,   592,  3641,  -829, -5691, -5691,  -799,
   11819, -5691, -5691, -5691, 13924, 14210, -5691, -5691, 14457, 15234,
   -5691,  -593, 16044, 11552,  -789, -1956,   256, 16241, 18172, -1898,
   -1036,   107, -5691, -2956, -1077, -5691, -5691, -5691,  -386,   967,
     572, -5691, -5691, -4611, -4438, -5691,  2530, -1973, -5691,  -655,
    1712,  -654, -5691, -5691, -5691, -2727, -4861, -2896,  2531, -5691,
   -5691, -5691,  -205, -5691, 17749, -3260, -5691,  -588,  -994, -1587,
    3018, -3186, -1894, -5691, -5691, -5691, -3129, -5691, -5691, -5691,
    -704,  1736, -5691, -5691,  1863, -5691, -5691, -5691,  -947,  2105,
    -737, -1183,  1744, -1896, -5691, -3033, -1948,  1760, -3138, -5691,
   -1938,  1834,  1056, -5691,   849, -5691,  4187,  -780,  2540,  -785,
   15827,  -642, 10827, -1274, -5691,  5322, -5690,   211,  7031,    16,
    -131,  5736,  -660,  2462,  2994, -5691, -5691,  4905,   368,  -591,
    -970, -5691,    -6, 12736, 11976, -3669, -5691
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    57,    58,    59,    60,  1090,  1095,  1888,  1907,    61,
      62,  1610,  3018,  2871,  3836,  3837,    63,    64,  1606,    65,
      66,    67,    68,  1520,    69,  1860,  3032,    70,  2706,   832,
     833,   834,  2571,  2572,  2963,  2573,  2561,  1372,  1806,  1542,
     806,   807,  1502,  1543,    72,    73,  1366,  2552,    74,    75,
      76,  1573,  1667,  1574,  1575,  1514,  4959,  5747,  3624,  2826,
    3884,  3625,  3626,  4303,  4304,  4392,  5761,  5762,    77,  1683,
    1684,    78,    79,  3000,  3802,  4445,  5339,  5340,  5584,   651,
    4982,  4983,  5571,  5572,  5775,  5929,  5930,  3033,   682,  3879,
    4529,  3827,  5053,  3828,  5054,  3829,  5055,  4850,  4851,  4293,
    4294,  3813,  4476,  4477,  2060,  4995,  4478,  3830,  5014,  5619,
    3831,  2726,  5352,  3067,  1979,  1977,  5518,  5598,  4811,  4812,
    4366,  5798,  5799,  5800,  6052,  5016,  5059,  5060,  5966,  5967,
    3882,  4535,  5066,  5399,  5596,  3522,    81,  3855,  3856,    82,
     745,  1882,  3983,   746,  3070,   683,   747,  3034,    87,  3060,
    5791,  3061,  1636,  2885,  4458,  3959,    88,  1118,  4268,  5424,
    5679,  5680,   736,    89,  1868,    90,    91,  3013,  3820,    92,
    2743,  3539,    93,    94,  3558,  3559,  3560,    95,  4486,  5360,
    1576,  3613,  3614,  3615,  3616,  4324,    96,  1863,  3041,  3042,
      97,    98,    99,  3172,  3173,   100,  2949,   101,   102,   103,
     104,  4360,  4916,  5030,  3655,  3843,  4502,  5028,   105,  3806,
    3035,  3088,  3917,  3918,  5422,  5671,  5672,  5673,  5849,  6087,
    5675,  5851,  5988,  5853,  5005,  6209,  6210,  5656,  4257,  4826,
     107,  5006,  5007,  5804,   108,  2741,   109,   110,  1837,  3006,
    3007,  4459,  3077,  3892,  3893,  4515,  4516,   111,  3742,   112,
    4892,  4893,   684,  5812,  5753,  5915,   113,   114,  4896,  4897,
     115,   116,   117,   118,   119,   737,  1052,  1053,   739,  1173,
    1174,  3493,  1135,   120,  2581,   121,  3782,   122,  1248,  5119,
     123,   771,  1189,  1190,  3036,   125,   781,  3191,   783,  3156,
    3157,  1995,  3963,  3964,  4603,   126,   127,  3967,  3968,  4610,
    3169,   128,  1507,  2716,  2717,  4806,  3037,   685,  3516,  5506,
    5249,  5507,  5977,  6137,  5250,  3437,  4205,   130,   686,  1548,
    2782,  1141,  1142,  3081,  3897,  2686,  2687,  1706,  4556,  2689,
    3899,  2690,  1481,  2691,  1128,  1129,  3905,  3906,  3907,  3908,
    4552,  4562,  4563,  5416,  5664,  4559,  1856,  5410,  5411,   131,
    1545,  2779,   132,   133,   134,  1589,   976,  1151,  1152,   135,
     698,   699,   136,  5589,   137,  1131,   138,  5420,   139,   140,
    1233,  1234,   798,   141,   142,  2796,  4306,   143,  1546,   144,
     145,  3649,  3650,  4908,   146,   147,   148,  2857,  2858,   149,
     150,   151,   152,   153,  6077,  6140,  6141,  6142,  4570,  5982,
     154,  1221,   155,   156,   157,   158,   196,  1017,  1018,  1019,
     929,  3038,  5401,   160,   161,  1503,  1504,  1505,  1506,  2711,
     162,   163,   164,  3927,  3928,   165,   166,   167,   168,  1840,
     169,   170,  5562,   171,   172,  1810,   173,   174,  1026,  1027,
    1028,  1029,  1808,  3383,   645,   851,  1397,  1403,  1446,  1447,
    1448,   176,   749,   177,  1224,  1057,   750,  1182,   179,   751,
    2668,  3467,  4220,  4221,  4222,  4225,  5233,  4783,   752,  3463,
     182,  2002,  3178,  3181,  3459,   753,  3473,  3474,  3475,  4229,
     754,  5510,  5511,  5896,  6111,  6112,  6162,  6196,   755,   773,
    1121,  3092,   756,  1331,   188,   189,   190,   909,   854,   855,
    3388,  5467,  5699,   192,  2545,  3366,   790,  1452,   897,   898,
     899,   918,  2973,  2634,  2635,  2659,  2660,  1461,  1462,  2647,
    2651,  2652,  3450,  3443,  2640,  4199,  5491,  5492,  5493,  5494,
    5495,  5496,  4772,  2655,  2656,  1464,  1465,  1466,  2664,   193,
    2624,  3417,  3418,  3419,  4176,  4177,  6015,  4191,  4187,  4757,
    5210,  3420,   843,  1219,  1473,  4765,  6017,  3421,  5199,  5200,
    5471,  4195,  3429,  4216,  3867,  3868,  3869,  3422,  5707,  5708,
    6012,  6013,  5473,  5474,  2692,  1426,   882,  1332,   883,  1439,
    1333,  1413,   885,  1334,  1335,  1336,   888,  1337,  1338,  1339,
     891,  1405,  1340,  1341,  1422,  1435,  1436,  1342,  1398,  5475,
    1344,  1345,  1346,  3424,  1347,  4703,  5172,  5158,  3288,  3289,
    2568,  5457,  4699,  4091,  4693,  2538,  2542,  5222,  5498,  5499,
    3359,  4140,  4730,  5189,  5695,  5866,  5867,  5998,  1348,  1349,
    1350,  3351,  2532,   979,  1351,  4461,  2534,  3279,  3257,  1709,
    3258,  2005,  2027,  3210,  3226,  3227,  3327,  3259,  3267,  3272,
    3280,  3313,  1352,  3212,  3213,  4005,  2029,  1353,  1023,  1712,
    1024,  1441,  3308,  3232,  4016,  4017,  3237,  3328,  4020,  3244,
    3245,  4037,  4027,  3238,  1354,  4029,  1362,  1363,  1356,  1996,
     844,  5206,  1177,  1793,   787,  1357,  1358,  1359,  1360,  1582,
     950,  1144,  1145,   900,   902,   903,  2628,   641,   633,   952,
    3617,  2535,   642,   635,   636,  1798,  2536
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     634,    71,   191,   180,   186,   842,   978,    80,   184,   908,
     175,    83,   181,    84,    85,   183,   942,    86,   106,   124,
    1805,   129,   159,   191,   983,   810,  1708,   988,   178,   185,
     977,   748,  1635,  1976,  1210,  1211,  1212,  1367,   775,  1355,
    1216,   639,  1467,   919,   775,   896,  1922,  1418,   690,  1084,
    2898,  2725,  1794,  1030,  2688,  1453,  1394,  1455,  3521,  1688,
    1157,  2820,  1640,  1438,  2791,  1409,  1410,   930,  1216,  1122,
    3460,  2024,  1700,  2783,  1170,  1417,  3193,  1799,  3461,  4150,
    2803,  4152,  1865,  2016,  3909,   986,  3055,  1381,  3857,  4214,
    1424,  1183,   846,  3985,  3243,  3739,  1176,  2792,  3826,  1008,
    4367,  1486,  3184,  3486,  3488,  3247,  1124,  2008,  1393,  4527,
    4514,  2010,  4774,   630,  2011,  2012,  2967,  3848,  4274,  1838,
    1051,  2688,  3297,  1843,  4190,  2859,  2859,   782,  1847,  2859,
    4540,  3209,  4295,  4319,   921,  4321,  4228,  4565,  1857,  5203,
     811,  1634,   922,  4463,  3236,  3239,  4808,   913,  1167,  3249,
    1666,  1184,  1877,  1030,  5044,  3074,  3264,  5013,  3122,  3707,
    1693,  2928,  2929,  2620,   232,  4813,  5073,  5052,  5504,  4876,
    3369,  5062,  2774,  4173,  3371,  5215,  4203,  5217,  5523,  1577,
     805,  5396,  5364,  1911,  5602,  2924,  1001,   839,  3381,   857,
    4122,   634,  1581,  3452,  4119,  1155,  3455,  1374,  1159,  5061,
     634,   953,  4022,  5403,  1599,  4234,  1030,  1549,   634,  1616,
     953,   634,  2956,  4188,  5531,  4193,   831,  5654,  4524,  5251,
    4789,  1460,  1544, -2489,   953,  4024, -2413,  5392,  4227,  5826,
    5395,  1463,  2774,   774,  1124,  3431,   757,   757, -2380,   774,
    5641, -2530,  2081, -2555, -2593,  4034, -1948, -2380, -2380,  2774,
    2754,  5814,  4055,  1873,  5163,  1191, -2345,  5554,  3052,  1030,
   -1940,   649,  1807,  1544,  1399,  1904,  5564,  5565,  1544,  1406,
    1407,  3845,   696, -2381,  2585,  1904,  3816,  2935,  1508,  3189,
    1416, -2493, -2381, -2381,   928,  5752, -1907,  2000, -2771,  4479,
    1904,   696,   757,  1516, -1920,  4550,  1393, -2771, -2771,  2579,
    1013, -1945, -1965, -1935,  3306,  1835,   696,  2587,  1904,  3219,
    1195,  2804,   696,  5023,   696, -2344,  1242,   696,   696,  1830,
    -436,  1030,  3987,  4560,  3913,  1904,   849, -1948,   940,  1578,
    1074,  2558,  2708,  1578,   696,   757,  3766,  1850,  3785,   757,
    3788,  3789,  2623,  5316,  2794,  3793,  3794,  3795,  3306,  3797,
    3798,  3799,   757,  1874,  2794,  2922,  4108,  4034,  5121,  5122,
    5123,  2731,  5125,  5126,  5127,  5128,  5129,  5317,  4607,  3973,
    4024,  3553,  -150,  5590,  5794,  3064,  1904,  1138,  -150,  2859,
    4511,  1904,  2641,  3490,  5074,  1371,  2625,  3817, -2206,  3016,
    1013,  1243,  1509,  5011,  2081, -2206,  1206,   763,  3348,  1697,
     763,  3065,  1014,  4942,  3085,  3349,  2915,  1517,  5024,  1904,
    5563,   647,  5726,  3914,  6021,   763,  5972,   763,   763,   895,
    3220,   764,  2938,  2654,   764,  1566,  2585,  3086,  2642,  6122,
    2794,  2844,  4451,  5248,  1852,  1700,  2631,  1637,  1124,   764,
   -2553,   764,   764,  3021,  5532,  5960,  1799,  2559,  5160,  5530,
    2081,  3053,  2769,  3404,  1214,   763,  5715,  3507,  2941,  2587,
     978,  1015,  3678,  3554,  6186,  1428,  3185,  1794,  3434,   643,
    4055,  3170,  5696,  1409,  1410,  5847,  1638, -2225,  3653,   764,
    4218,   997,  2585,  5749, -2225,  5274,  5365,  1618,   696,  5828,
    2643,  4025,  1014,  1930,  2627,  5728,  3221,  5025,  3555,  4390,
    4993,  1417,    35,  2830,  2794,  3533,  2969,  2970,  4608,   757,
     978,  4035,   998,   194,  5642,  2587,  5795,  4219,  2794,  1016,
    5729,   644,  1424,  5848,  4055,  6229,  1619,  4994,  5560,  4386,
    2794,  2794,  1078,  2868,  2794,  5366,  5630,  3556,  1088,  3167,
    2644,  1429,  5697,  3678,  1215,  3508,   870,  3167,  4391,  2770,
    1102,  1015,  5561,  1111,  1997,  3654,  1920,   195,  3435,  6069,
    1905,  5161,  2580,  5258,  3022,  2007,  1510,  3171,  3222,  1432,
    1905,  3223,  2845,  3167,  5592,  1953,  2560, -1907,  1698,  1207,
    5727,  1920,  2017,  2038,  1836,  1905,  3017,  3818,  1639,  4943,
    5012,  3087,  5796,  1957,  2075,  1960,  3491,  6123,  3066,  3492,
    6108,  2645,  1799,  1905,  4480,  1511,  1209,  3974,  2001,  1016,
    4109,  6109,  2562,  1430,  3167,  5786,  1431,  2574,  2574,  2021,
    1905,   961,  4003,  4035,  2548,  5485,  5943,  3054,   962,   963,
     964,  4561,  1588,   941,  2805,  1075,  4025,  3915,   953,  2622,
    1512,  5318,  3557,   881,  4609,  5599,  1836,  4981,  2806,  6127,
    2807,  3916,   191,  1058,  1062,  1518,  1124,   953,  1061, -1907,
    4463,  1215,  1059,   953,  5026,  1060,   850,  1215,  1406,  1407,
    3009,  1905,  2759,  5971,  3307,   953,  1905,  3819,  1245,  6190,
    2893,  4551,  1139,  2896,  3224,  6126,  4911,  4230,  2936,  4443,
    4444,   953,  4110,  2923,  3767, -2553,   634,   908,  1699,  2732,
    2821,   896,  1416,  2955,  1905,   634,   953,  2965,  2966,  1513,
    2903,  5926,   634,  2808,   953,   634,  1404,  6170,  4126,  1519,
    1187,  1906,   650,  4026,  2001,  4512,  5450,   896,   953,  1432,
    1836,  1913,   769,   770,  2837,  5027,  1419,  1420,   953,  3398,
    2531, -2489,  2074,  4036, -2413,   191,  1917, -2380,  2556,  5022,
    4070,  1218,  3205,  2964,  5821,  1421, -2206,  6198,  2761, -2530,
    2598, -2555, -2593,  1021,  1928, -2345,  3350,  1022,  2768, -1940,
    2665, -2553,  5069,  1836,  1188,  1468,  1193,  4111,  1197,  3562,
    2666,  1950, -2381, -2553,  1201,  1124,  6071,   769,   770,  5237,
    5070,   953,  2882,  1124,  1124,  1408,  3225, -2771,  4918, -2493,
    4817,  3140,  4819,  1412,  4922,  1204,  2838,  1218,  6061,  5824,
   -1945,  2039, -1935,   634,   634,  2077,  6090,  1419,  1420,   953,
    2601,  2603,  2604,  2546, -2344,  2778,  3374,  6214,  3534,  2972,
    1579,  1580,  1953,  2939,  1579,  1580,  1423,  1920,   978,  1608,
    2942,  1433,  2821, -1907,   953, -2225,   634,   769,   770,  3124,
    1817,  6033,   921,  3638,  1822,  2883,  1823,  2865,  2886,  2887,
     922,  5434,  1821,  1609,  6037,  4602,  3008,  4387,  1021,  2943,
     896,  4190,  1022,  -150,  -150,  4463,  2626,  1920,  2778,  4424,
    4836,  4512,  3150,  4881,  1021,  4605,  2674,  1472,  1022,  2528,
    2529,  2530,  2531,   634,  3165,  2778,  1116,  5259,  5593,  4654,
    4655,  4236,  1523,  4237,  1812,  3168,   953,  2916,  2917,  6129,
    4201,  4602,    71,   191,   180,   186,  4657,  6192,    80,   184,
    5734,   175,    83,   181,    84,    85,   183,  6110,    86,   106,
     124,  2822,   129,   159,  4524,  4505,  1501,  4754,  4297,   178,
     185,  4758,  5964,  2526,  2527,  2528,  2529,  2530,  2531,  3211,
    4381,  4382,  1920,  5944,  3151,  4383,  1904,   923,   696,  5970,
    4745,  4798,  4747,  4065,  4066,  4067,  4068,  4069,  4070,   774,
    1672,   774,  2543,   774,  6169,  5952,  2846,  1854,  6117,   774,
    1202,  1203,  4715,  4275,  3452,   696,  4208,  5687,  4641,  4157,
    3304,  5963,  1400,  2733,  2753,  6132,  6133,  4985,  1370,  1677,
    5231,  5991,  1378,   923,  1490,  1678,  3241,  3241,  2080,  4984,
    3804,  2081,  5629,  1673,   634,   634,  1795,  2059,  3265,  4067,
    4068,  4069,  4070,   953,  2998,  3174,  5900,  3286,   634,  3975,
    6223,  5905,  5906,   896,   634,   696,   696,  3553,   634,  1516,
     634,  4270,  2888,  2585,   896, -1907,   924,  6242,  3242,  6008,
   -2898,  2986,  4298, -1907,  5635,  1408, -1907,  1437,  5692, -1907,
     896,   696,  5980,  5777,  2638,  5779,  5357,  1456,  5343,  5783,
    5784,  1253,  2081,  2822,  4055,   895,  2587,  2627,  4056,  4057,
    4058,  1869,  6062,  5418,  3030,  1383,  1428,   691,  2821,  6160,
    4503,  1491,   924,   925,  3553,  4909,  4708,  2823,  4231,  6200,
    2958,   895,  5344,   742,   634,  6070,   634,   634,  3026,  6193,
    1490,  5874,  5455,  1679,   967,   968,   969,   970,   971,   972,
     973,   974,   975,    15,  1870,  3630,  2824,  5537,  1799,  3554,
     916,  5049,  3303,  6218,  1887,  1897,  5093,  2587,  5038,  2959,
    3068,  1110,   805,  1658,  1492,  4105,  4438,   953,  4493,  1898,
    1458,  2825,  2821,  1517,  3175,   646,  2734,  5050,    20,  3620,
    2821,  4813,  1429, -1759,  1475,  6009,  3031,  6161,  5648,  3305,
     774,  1253,  2639,  6092,  4055,   634,  5649,  3064,  4056,  4057,
    4058,  3520,  6250,  4889,  5358,  3464,  3554,   697,  5456,   191,
    2889, -2898,  2819,  2895,  2890,  6194, -2898,  1491,  1674,  5706,
    5688,  4566,  6134,  3065,  1111,  1899,  3162,  3163,   953,  -693,
    1030,  4393,  5693,  1253,  1566,  3621,  4055,   896,  5232,   953,
    4056,  4057,  4058,  1962,  3805,  1964,  3152,  1966,  4460,  1968,
    6149,  1970,  1971,  1972,  1430,  3333,   953,  1431,  1974,  2823,
     774,   953, -2898,  5694,   895,  4275,  5981,  5807,  2735,  2821,
    1492,  1905,  1493,   634,  6093,  1253,  5810,  6194,  4055,  3103,
    6168,  3485, -2898, -2898, -2898,  5818,  2901,  3976,  2824,  4299,
    4300,  6175,  2544,  3115,  5820,  5806,  5835,  5823,  3563,  2999,
    1896,  1855,  4060,   908,   926,  5388,  3121,  1680,  3670,  1112,
    4567,   634,  2821,  2825,  4814,  3846,  5382,  2592,  3581,  1136,
    4301,  4040,  5394,  6199,  1675,  5822,  4890,  1900,  3557,  1871,
    3126,  5413,  4271,  6195,  2707,  5856,  3781,  4371,  4557,  2822,
     634,   634,   634,  3622,   634,  1136,  1681,  3099,  6010,  4494,
     926,  6221,  5738,  6011,  2819,  2075,  5985, -1759,  5419,  3149,
    1384,   187,  5118,  3154,  3631,   634,  2971,  3410,  3161,  6094,
    1432,  3164,  5650,    32,  5051,  6233,  3639,  5243,  1493,  3120,
    4061,  1682,   187,  4052,  4053,  3557, -1758,  3133,  4072,  2583,
     953,  3176,  1600,  1901,  1476,  3671,  3334,  3465,   953,   953,
     692,  3335,  4060,  2822,  3776,    40,  4209,   978,  1710,  4777,
   -2898,  2822,  3177,  3101,  6099,  2632,  2633,   907,  2637,  4894,
    5376,  4059,   634,   922,   922,  4345,   922,   895,  3114,  4103,
    4104,  3116,  2774,  4891,  5732,  1872,  1385,  2821,   895,  4155,
    1494,  1498,    44,  1499,  4060,  3281,  2821,  3336,  1239,  3672,
    1472,  1795,  1472,  5787,   895,  3206,  3255,  3208,  6048,  2925,
     693,  2862,  5954,  3215,  2866,  1939,    40,  1113,   634,  3229,
    3230,  5677,   634,   634,  5204,  1495,  5236,  4568,  3250,  1496,
    4061,  3153,  1433,    35,    48,  3159,  3160,  3269,   634,  5049,
    3354,  1902,  2944,  3284,   896,  5003,  2898,    49,  2794,   694,
    2822,   695,   916,    44,  1114,  2823,  1601,  1434,  1940,  2795,
    3673,   643, -2898,  3623,  1497,  5050,  3204,  6095,  5993,  4287,
    2737,    50,  4061,  2957,  2526,  2527,  2528,  2529,  2530,  2531,
    2738,  3564,  4615,  5207,  2824,  3729,  2718,  1056,  5211,  4346,
      56,  5213,  4895,  2822,   785,    48,  3515,  1498,  4569,  1499,
    1605,   914,   920,  5361,  6079,  2719,  3401,  4800,    49,  2825,
   -1758,   896,  6084,   912,  4061,  1115,  3425,  1116,  5903,  2823,
    2821,  1117,  3370, -2341,  3730,  4464,  3857,  2823,  5083,  3598,
    4210,  3875,    50,  4778,  4062,  4063,  4064,  4065,  4066,  4067,
    4068,  4069,  4070,  3282,  4288,  3337,  1621,  3428,  2824,  1500,
    2819,  3466,   896,  4051,  2718,   789,  2824,  5788, -1081,  3731,
     774,   895,  2727,  6060,  2720,   774,   774,  4998,  1622,   915,
    3640,  1799,  4467,  2825,  3444,  3674,  3898,  1501,  3402,  1180,
     817,  2825,  1501,  2945,  2721,   896,  3355,  5634,  4463,  1013,
    2728,  2919,  3599,  2602,  4668,  2712,  4669,  4230,  6079,   813,
    5678,  1816,  2609,  5004,  2610,   795,  6084,  2713,  2613,  5643,
    5893,  2641,  1825,  4379,  2819,  2619,  2823,  5902,  2822,  1623,
    2688,  1794,  2819,  6049,  2688,  2714,  5994,  2822,  1833,  5644,
    1602,  4469,  2720,  3566,  4062,  4063,  4064,  4065,  4066,  4067,
    4068,  4069,  4070,  1941,  5645,  2824,  1414,  1415,  4616,  5043,
     953,  2739,  2721,  1246, -2364,   916,  1501,  2642,  -173,  2823,
    1501,  6125,  5958,  4347,  3025,   634,   634,   634,  3769,  1603,
    2825,  1450,  3505,  6067,  6068,  3977,  4062,  4063,  4064,  4065,
    4066,  4067,  4068,  4069,  4070,   818,  3457,  1836,  2824,  -173,
    2740,  1014,   978,   978,  1432,  3144,  2722,  3102,  4801,  3675,
    6079,   194,  4348,  6050,  1604,  4802,   774,  3676,  6084,  1624,
    3677,  2819,  4803,  2825,   796,  4460,   774,  3112, -2898, -2898,
   -2898,  4065,  4066,  4067,  4068,  4069,  4070,  1456,  6167,  5040,
    3567,  1228,  6051,  4999,  3520,  5347,  5553,  4349,  4389,  1021,
    4472,  4907,  4670,  1022,  2723,   195,  3095,  4426,  4804,  1942,
    1015,  2822,  1384,  2729,  2819,  2728,  1186,  3978,    40,  4384,
    1202,  1203,  5201,  4975,  2722,   953,  4879,  1625,  4979,  2644,
    4805,  1626,  1477,  5748,  1608,  4300,  1451,   896,    40,  5002,
    3600,  5536,  6029,  4473,  2823,  2004,  2897,  1646,   896,  2715,
    6003,  6152,  4854,  2823,  3458,    44,  4253,   917,  1609,  4474,
    1795,  4822,  4181,   774,   896,  4867,   774,   774,  1016,  1227,
    1458,  1478,  2723,  2824,  4329,    44,  4822,   978,  2693,  3627,
    1628,  1229,  2824,   953,  1418,  5568,  4330,  4855,  1385,  2821,
    2645,   953,  5646,   797,  4385,  6171,  4182,    48,  2825,   953,
    1239,  4880,  5383,  3601,  5813,  3651,  1479,  2825,  3456,  6153,
      49,  4760,  1647,  3145,  5834,  5827,  1855,    48,   896,  1459,
    2724,  2550,  1395,  5978,  1380,  1630,  1456,   634,  1920,  4184,
     634,  4838,  1457,   896,    50,   816,   896,   896,  4775,  2819,
     634,   634,  1590,   953,   953,  2693,  3146,  4823,  2819,  1631,
    2831,  3689,  5560,    56,  1648,   634,   757,   953,   634,  4475,
    3147,  1649,  4823,  3662,  1650,  1920,  3579,   896,   896,  1633,
     953,   953,  1253,    56,  3506,  4055,  5561,  2823,  4856,  4056,
    4057,  4058,  3142,  3142,  1445,  4996,   895,   763,  2724,  5780,
    4460,   191,  3179,  2551,  5781,  1253,  3148,  3425,  4055,  1953,
    5481,   852,  4056,  4057,  4058,  3651,  2824,   662,   634,  1458,
    4776,   764,   634,   634,  5676,  1529,  1591,  6136,  4824,   895,
    4709,   187,  4825,  3235,  3134,  2799,  3135,  2800,  3136,  1875,
    3137,  2825,  3138,  4824,  3190,  3931,  3139,  4825,   191,  1058,
    1062,  3142,  3389,   840,  1061,  5782,  5432,   634,  1059,   634,
    4186,  1060,  1230,  1876,   634,   634,  4606,  4997,  1459,   774,
    3688,   634,   634,   634,   634,   634,   634,   634,   634,   634,
     634,  3814,  2819,   634,  4618,   634,   664,   634,   634,   634,
     634,   634,   634,  5961,  6045,   634,  2688,   634,   634,  3737,
    2801,   634,  1855,  1231,  5962,  1232,  2688,  5979,  3713,  1710,
    1710,  1710,   911,  1103,  4642,   896,   634,   634,   634,  4646,
    3857,     3,     4,  5912,   187,   907,  3770,  3771,  3772,  6202,
    2822, -1729,  4601,  5363,   634,  3723,  1795, -1729,  4653,    40,
    4286,  3724,  3753,  3760,  2898,  1651,  2566,  4630,  1678,  1953,
    1104,  4099,   910,  5255,   662,  3663,  2869,  3664,  3690,  5374,
    1124,  2872,  3194,  1487,  3665,  3576,  3693,  5665,  5805,  3696,
    4645,   194,  5387,   927,  4649,  4650,    44, -1682,  1643,  4602,
    1652,  5513,  -461,  5515,  1653,  5276,  1105,  3925,  2688,  2567,
   -1682,   928,  5281,  4060,  4588,  3738, -1682,  5913,  4664,  4665,
    4666,  4667,  1488,  1103,  4671,  4672,  4673,  4674,  4675,  4676,
    4677,  4678,  4679,  4680, -1729,   195,  4060,  1644,    48,  1654,
    2842,   895,  3776,   664,  3732,  5256,  1655,  2859,  4433,  3733,
    1376,    49,   895,  -608,  1106,  2947,   936,  1489,  3969,  2953,
    1104,  3314,  3735,  3315,  5838, -1682,  2811,  6063,   895,  3725,
    4883,   938,  1645,  2554,  5228,    50,  3754,  1608,  5986,   675,
    2907,   676,  1668, -1729,  3734,  3265,  3265,  3316,  4719,  4720,
    3265,  4061,  4388, -1682,    56,  1482,  4506,  3736,   634,  5855,
    1608,  1609,  2812,  4180,  3217,  3218,  5353,  1851,  5355,  2908,
     920,  5987,   187,   959,  4061,  4743,  2823,  5817,  3251,  3252,
    -150,  1669,   895,  -461,  1609,  1670,  1076,  3704,  1077,  3705,
    1483,  3265,  3265,  3709,  1484,  1003,  4814,   895,  4342,  4425,
     895,   895, -1682,    40,  1106,  2824,  2960,   634,  3296,  1947,
    4814, -1682,  3317,  4233,  2081,  5785,  1671,  2852,  3386,  2961,
    4944,  3861,  3862,  3863,  3864,  6128,  3866,  2794,   960,  1485,
    2825,   895,   895,  1948,  2876,  4089,  1012,  4343,  2802,  4181,
      44,  4096,  3387,  6138,  4945,  1800,  2585,  3887,  1801,  2962,
    5334,  3894,  5335,  5336,  5337,  3425,  6027,  4112,  3425,  4113,
     634,  3318,  3319,  3320,  3321,  5560,  5669,  1020,  3322,  3323,
    2888,  2819,  4344,  4182,  3324,  5751,   675,  1064,   676,  2587,
    5755,  5756,    48,  4114,  1071,  6154,   233,  4961,  4183,  5561,
    5670,  1914,   648,  1066,  4536,    49,  3027,  1918,  2080,  3849,
     740,  2081,  1611,  3726,   680,  3425,  4184,  1929,  3958,  6155,
    4962,  1932,  1085,  3425,  4206,  1935,  3057,  1937,   814,    50,
     757,  1685,  3999,  1945,  1689,  2981,  4000,  2596,  2811,  1951,
    1710,  4001,  1954,  2585,  4185,  1021,  2992, -2345,    56,  1022,
   -2898,  1710,  3727,  6240,  1710,  6243,  4573,  1099,  3317,  1419,
    1420,  4574,  3010, -1682,  5892,  4062,  4063,  4064,  4065,  4066,
    4067,  4068,  4069,  4070,  2812,  6254,  2587,  5077,  1421,   895,
    4814,  6222,  4574,  6031,  6032,  1419,  1420,  3728,  4062,  4063,
    4064,  4065,  4066,  4067,  4068,  4069,  4070,  1021,  4240,  1959,
    -607,  1022,  1801,  1408,  1423,  2621, -2337,  3318,  3319,  3320,
    3321,  1021,   772,  1209,  4115,  1022,  3084, -2338,   772,  1107,
    4116,  4151,  1021,  1108,  1209,  4180,  1022,  2075,  2889,     3,
       4,  3096,  2890,  3325,  1136,  3100,  1598,  4186,  1109,  2009,
    3957,  1615,  1801,  5201,  3326,  4123,  1130,   634,   634,   634,
     634,   634,   634,   634,   634,   634,  2582,   634,   187,  1801,
    2595, -1681,  4797,  2596,  1126,  3119,  1136,  1408,   634,  2621,
     634,  1146,  2629,   978, -1681,  1801,  1164,  1192,  1194,  1196,
   -1681,  1137,  1198,  1199,  1200,  3130,  1147,  3543,  2596,  3547,
    3548, -2898,  1205,  1153,   742,  3141, -2898,  3546,  3142,  4992,
    4081,  4181,  4083,  4084,  3143,  6115,  3182,  3142,   634,  3183,
    3385,  1171,   634,  1953,    15,   634,  1181,   634,  3390,  3477,
     634,  2596,  2596,  3382,   634,  3573,  2026,  4394,  3574, -1681,
    5609,  3318,  3319,  3320,  3321,  4182,  4162,  4163,  3645,  2574,
     643,  3646, -2898,  1621,  3540,  1795,  2035,   634,  3810,    20,
    4183,  3811,  3949,  3998,   757,  3142,  2596, -1681,  1208,  4276,
    4007,  4153,  1213,  2596,   634,  1622,  1217,  3290,  4184,  4117,
    3293,  1220,  4013,   634,   634,  2596,  4014,  3453,  3454,  2596,
    4118,  4235,  1209,  3575,  5610,  4305,  4032,  5611,  1223,  3769,
    5839,   914,  5110,  5612,  6163,  4041,  4185,  2592,  2596,  1225,
     953,  2072,  3468,  3298, -1730,  4054, -1681,   896,  5117,  1226,
   -1730,   896,   896, -1753, -1753, -1681,  1623,  4082,   953,  5570,
    4196,  5613,   953,  5208,  2622,  1080,   953,  1081,  4522,  1408,
    5140,  1437,  3509,  4460,  3512,   953,  5143,  5144,  4074,  4088,
    4279,  2596,  2596,  2025,  4124,    56,  4866,  3561,  1799,  1419,
    1420,    29,  4093,  4106,   953,  4094,  1408,   634,  2621,   915,
    3423,  6107,  5045,  4160,  4322,  1237,  2596,  4323,   634,  3669,
     896,   634,  4327,   634,   634,  4328,   896,  1253,  4353,  5614,
    4055,  4354,  1236,  4860,  4056,  4057,  4058, -1730,   953,  4186,
   -2898,  1238,  5615,  4422,  5736,  4545,  4354,  4137,  4546,  4814,
    1239,  4548,  5741,  5742,  4549,  5616,  1624,  4579,   953,   953,
    4580,  4689,  1240,  4464,  4690,  1124,  4337,   896,  4700,  4465,
    4857,  4701,  4863,   920,   920,  3090,   920,  3091,  4837,  6025,
    4711,  4846,  4466,  2596,  4785,  4791, -1730,  4786,  4792,  1795,
     953,  1241,  2688,  1795,    32,   916,  3660,    40,  4796,  1247,
    3757,  3492,  3397,  3399,  1249,  5657,  4617, -1681,  3407,  4018,
    4467,  4019,  4468,  5046,  1625,  1379,  3142,   953,  1626,  1795,
    4509,  3008,  5112,   953,  1386,  2001,    40,  4241,  4242,  5209,
   -1757, -1757,  5148,  2897,    44,  2596,  4882,   953, -1756, -1756,
    3451,  3451, -2898,  3670,   953,  4481,  1382,   953,  4244,  5968,
    3403,  3405,  3406,   953,  2526,  2527,  2528,  2529,  2530,  2531,
    4142,  5185,  4143,    44,  2596,  6203,  3832,  1628,  5239,  4469,
    1388,  3492,  5245,   953,  1253,  5246,    48,  4055,  4144,   953,
    4145,  4056,  4057,  4058,  5252,  1387,   953,  3142,  5253,    49,
    4263,  3142,  1392,  5721,  1710,  4533,  4362,  4534,  4470,  5178,
     953,  4368,   774,  5254,  3703,    48,  3142,  5389,  5426,   743,
    5390,  4580,  1630,    50,   953,  5526,  5527,  5447,    49,  1795,
    5448,  5449,  1396,  6244,  2596,   953,  5468,  1124,  5478,  5469,
    3671,  1953,    56, -1419,  1401, -1419,  1631,   917, -2898,  5151,
    1402,  5152,    50,   634,   634,   634,  5868,  5869,  5484,   634,
    4180,  4519,  5999,  6000,  5617,  1961,  1633,  5618,  1963,  1621,
    1965,   744,  1967,  5486,  1969,  1404,  4519,  5604,  1973,  5624,
    5605,  1408,  3142,  4471,  4358,  1411,   634,   896,  4472,  5658,
    3241,  1622,  5659,  5704,  3672,  1795,  5705,  3585,  1412,  3991,
    5710,  3993,  3994,  1953,  5713,  5724,  4374,  4519,  5725,  4814,
    3265,  3265,  3265,  3265,  5063,  1425,  3265,  3265,  3265,  3265,
    3265,  3265,  3265,  3265,  3265,  3265,  4061,  1427,   634,  5387,
    4787,  4473,  5770,  1454,  5809,  5771,  4181,  2553,   905,   906,
    5836,  3483,  1623,  5725,  4692,  2693,  3489,  4474,  3833,  1442,
    5859,  5860,  4452,  4094,  2596,  3673,  3988,  3876,  1443,  5878,
     896,  5056,  5879,  5882,   896,  3898,  1953,  4816,  5883,  4818,
    4182,  2596,  4821,  5911,  5917,  5918,  3183,  3183,  3183,  5921,
    3265,  3265,  2596,  1469,  1470,  4183,   774,  4499,  5922,  1471,
    5923,  2596,  3425,  5924,   774,  4060,  3425,   774,  5950,  6004,
    5968,  5951,  4519,  4184,   895,  6018,  4814,  1474,  2596,   774,
     895,  1480,  4695,  2688,  1253,   978,  5890,  4055,  4986,  1437,
    4987,  4056,  4057,  4058,  6020,  4750,  6026,  2596,  1521,  3142,
    6041,  4185,  1624,  6042,  6065,  6106,  1547,  6066,  5718,  5179,
    6135,  3423,  2627,  5725, -2382,  1550,  6173,  4475,  3106,  6174,
     953,   895,  1795,  6177,  6197,  6178,  3113,  2596,  4790,  1442,
    1552, -1670,  4492,  3425,  4495,  6216,  1553,   896,  5879,   953,
    3674,  4611,  6226,  4061,  6232,  6227,   953,  4786,  1588,  4482,
     634,  4484,   896,   634,  1592,   634,   634,   896,  1593,  6241,
    1625,    40,  2596,  6253,  1626,   634,  6227,  1700,  1594,  4739,
     634,  4741,  5194,  4759,  5196,  4762,   908,  4513,  4814,  2897,
    2667,  5464,  2670,  5465,  3834,  4624,  1124,   896,  1124,  1605,
    1607,  4202,  1617,  1620,  4186,  1642,  1659,  1660,    44,  1676,
    4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,  1799,
    1686,  1687,  5441,  1628,  1690,   634,   634,   634,  1695,  1696,
     634,  1809,  1811,  5574,   908,  1813,  1818,  1824,   634,   634,
     634,   634,  1829,  4554,  3835,  1832,  1839,  1834,  1842,  1795,
      48,  1844,  4866,  1836,   634,  1795,  2627,   634,  1853,   634,
    1858,  1859,  -137,    49,  1861,  1862,  1864,  1866,  1630,  1867,
     187,   634,   634,  1878,  3675,   634,  1885,  1887,  1890,  5575,
    1124,  6073,  3676,  1894,  4596,  3677,   213,    50,  1903,  1908,
    1910,  1909,  1631,  1912,  6075,    29,   634,  4619,   634,  1915,
     634,  1916,  1919,  1920,  5576,  4060,    56,  1927,  3542,  1710,
    1931,  1933,  1633,  1934,  3550,  1936,  1938,   187,  1943,   634,
    4858,  1944,  5577,  1946,  1949,  5271,  5578,  1956,  3627,  1952,
    4877,  1958,  1955,  1975, -1682,  2006,   774,  2013,   908,  2015,
     953,   895,  2018,  2022,  2023, -1911, -1918, -1682,  5579,  2030,
    2031,  3234,  5580, -1682,  3651,  3583,  2032,  4062,  4063,  4064,
    4065,  4066,  4067,  4068,  4069,  4070, -2897,  5581,  5090, -1908,
    2033,  3283,  2034,    56,  2036,  2037,   634,  2038, -1909,   634,
    4147,  4148,  4149,  4061, -1912,  2040,  2041,  2042,  2043,   908,
    2044,    40,   634,  2045,  2046,  2047, -1910,   634,  2048,  2049,
    1524,  3265, -1682,  2051,  3425,  3425,  2622,  4833,  2052,  3306,
    2053,  2054,   634,  2055,  2693,  2056,  2057,  2058,  2693,  2059,
    2537,  2061,  2062,  2063,  2064,  2065,   634,  2539,    44,  2541,
   -1682,  2066,  2067,  4661,   634,  1525,  2068,  2543,  2544, -1106,
    2080,  2553,  3426,  2081,  2557,  2569,   896,  2577,  2599,   896,
    2605,   896,  2600,  2607,  2608,  2617,   896,  2611,  2614,  2612,
    2615,  5682,  4967,  2616, -2897,  4980,  5582,  4688,  2618,  2623,
      48,   953,   953,  1457,  2630,  2585,  6201,   634,  1459, -1682,
    2661,  2663, -2898,    49, -1682,  2673,  2675,  2676, -1682,  3423,
    2677,  2678,  3423,  2694,  2696,  2697,  1526, -1682,  2621,   953,
    2695,  2698,   953, -1682,  2699,   896,  2700,    50,  2587,  2701,
    2702,  2703,  2704,   896,  5684, -2897,  2730,  5583,  4727,  2736,
    2710,   895,  2756,  2742,  4972,  2760,  6076,   662, -2897,  2763,
    2762,  2764,  2766,  1527, -2897,  2767,   895,  2785,   896,  3423,
   -2897,   895,  2780,  2784,  5703,  2786, -2897,  3423,  2797, -2897,
    2798, -1079, -1682, -2897,  2813,  4154,  2809,   774,  4906,  2815,
    3312,  2818,  2816,  2819,  2827,  3808,  2817,  2829,  2832,  2828,
    2834,   895,  2833,  4161,  1795,  1795,  1795,  4202,  1528,  2839,
   -1682,  2840,  2853, -2897,  2843, -2897,  2877,  4062,  4063,  4064,
    4065,  4066,  4067,  4068,  4069,  4070,   664,  2849,  2867,   953,
    2884,  2850,  2891,  2894,  1566,  3969,  2909,  2911,   896,  2863,
     896, -2897,  2864,  2913,  2918,  2870,  1529,  2920,   953,  2921,
    1530,  4207,  4207, -2898,  2873,  2874,  5409,  5164, -2898, -1682,
   -1682,  2879,  2880,  2937,  2892,  2899,  2900,  3001, -1682,  2905,
     953,  3425,  2946,  2968,  2906,  2912,  2914,  2980,  3425,  2926,
     666,  1531,  1532,  3425,  2927,  2940,  3425,  2982,  2951,  2983,
   -2897,  2975,  2984, -2897,  2985,  2989,  2990,  2991,  2993, -2897,
    2080,  2994,  2995,  2081, -2898,  2997,  2996, -2898, -2898, -2898,
    3002,  3003,  3004,  3011,  3012,  3015,   657,  3020,  3028,  3039,
    1533,  1639,  3043,  3044,    35,  3063,  3056,  3072,  1021,  1534,
    3047,  1442,  1022,  3059,   896,  2585,  3062,  3076,  1535,  3083,
    3089,  3105,  2586,  3093,  3080,  3098,  3107,  1536,  3108,  3109,
    3110,  3166,  3123,  3180,  3155,  1537, -2897,  3192,   953,  2592,
    3285,  3211,  3291,   634,  3216,  2081,  3332,  1538,  2587,   634,
    3295,  3352,  3358,  3376,  3373,  3980,  1539,  3311,   896,  3377,
    1540,  3330,  3357,  3393,  3378,  3379,  3391,  3392,  3395,  3396,
    3990,  3400,  1432,  3394,  3408,  3995,  3409,  3428,   915,   675,
    3433,   676,  3445,  3448,  3446,  1795,   896,  3447,  3462,  3307,
   -1682,   953, -1106,   953,  3469,  3470,  3481,  3380,  3482,  3484,
    3501,  3510,  3513,  3517,   679,  4021,   953,  1851,   953,  3515,
    5107,  3518,  3519,  5018,  5019,  1541,  3525,  3530,  3541,  3535,
    2627, -2897,  3536,  3549,  3538,  3570,  1376,  5370,   634,  3565,
    2693,  4543, -2898,  3489,  3572,  3489,  3582,  1380,  3589,  3608,
    2693,  3602,  3607,  3628,  3634, -2897,  3635, -2897, -2897,  3636,
    3641,  3644,  3652,  3659,   896,  5173,  3661,  3662,  1021,  3682,
    3683,  3699,  1022,  2588,  3741,  3756,  3764,  3768,  2589, -2897,
    4539,  1855,   916,  3426,  3765,   953,   896,  3777,  3784,  3796,
    3790,  3823,  3801,  3791,  3812,  3792,  3824,  3838,  3842,   895,
    5219,  3852, -2897,  3878, -2897, -2897,  3844,   895,   896,  3870,
    3840,  3859,  3865,  3871,  3873,  3874,  4576,  3885,  3886,  3889,
    3312,  3881,  1218,  5056,  2591,  3890,  3872,   953,  3895,  3910,
    3883,  3911,  2693,  3912,  3920,  3921,  3922,  3924,  3926,  5102,
    5103,  5104,  5105,  5106, -2898,  3940,   953,  3943,  3946,  3425,
     953,  3942,  3948,  3951,  3416,  3952,  2526,  2527,  2528,  2529,
    2530,  2531,  3953,  3954,  3966,  3955,  3956,  3972,  1953,  3979,
    3970,   953,  3984,  3982,  3992,  4012,  3961,  4028,  4725,  2592,
    4015,  1950,  4031,  3233,  4107, -2198,  4087,   634,  3971,  4121,
     896,  1917,  5226,  3960,  4009,  1215,   634,  4010,  4011,   187,
    4090,  4051,   895,  4164,   895,  5739,  4102,  4170,  4023,  4131,
     634,  4138,  4033,   774,   634,   634,  3769,  2596,  4042,  4043,
     634,  4132,  5341,  4047,  4049,  4050,  4073,  4078,  4079,  4086,
     634,  4101,   634,  4158,  4165,   634,  4496,  4134,  4136,   896,
     634,   634,   634,   634,  4159,  2039,   634,   634,   634,   634,
     634,   634,   634,   634,   634,   634,  4194,  4198,  4171,   634,
     634,   634,  4166,  4179,   896,  4204,  4211,  4213,  4215,   634,
    4224,  4217,  2594,  4232,   634,   908,  1795,  4238,   634,  4243,
    4245,  5280,  4246,  4258,  4250,  4255,   634,  4260,  4272,   634,
    4251,   634,  5159,  4273,  4283,  4284,  4285,  4290,   895,  4291,
    6100,  6101,  4289,  4292,  3265,  4296,  4256,   634,  4308,  4307,
     634,   634,  4310,  4316,  4202,   634,   634,  4317,  4318,  4326,
     634,  4332,   634,  4264,  4341,  3425,  4355,  1710,  4357,  4361,
    4363,  4267,  4359,  1710,  4369,  4365,  4370,  4373,  4375,  4376,
    4202,  4377,   895,  4378,  4380,  3425,  4395,  5223,  4396,  4397,
    4398,   191,  1058,  1062,  1554,   634,  3265,  1061,  4399,  3425,
    1555,  1059,  4411,   634,  1060,  4400,  4402,   634,  4401,  4403,
    3489,  4405,  5269,  4404,  2522,  4414,  4406,  4407,  4409,  4732,
    4733,  4734,  4735, -2898, -2898, -2898,  2526,  2527,  2528,  2529,
    2530,  2531,  4408,   774,  4416,  4418,  2935,  2938,  4434,   634,
    4410,  4420,  4430,  4421,  4437,  1557,  3900,  4427,  4431,  4432,
    4442,  4448,  4485,  4491,  4450,  4497,   634,  4490,  4500,  4501,
    4504,  4508,   896,  5409,  4521,  4518,  4350,  4531,  4352,  4537,
    1524,  4528,  4519,  4538,   634,  4541,  4542,  4544,   895,  4558,
    4572,  4575,  4578,  4582,  4584,  4590,  4591,  5354,  4612,  4613,
    4592,  3426,  4593,  4594,  3426,  4595,   953,  4614,  4620,  4621,
    3489,  1558,  5312,  4622,  4623,  1525,  4625,  4597,  1559,  4626,
    4627,  1560,  4633,  4628,  4629,  2025,  3423,  4638,  4639,  4637,
    3423,  4643,   895,  4644,  4647,  4651,  4640,  4652,  4055,  5319,
    5320,  4713,  5322,  4656, -2197,  4714,  4755,  4685,  1561,  4702,
    5463,  3426,  4662,  4686,  4756,  4687,  4764,  1795,  4763,  3426,
    4694,  4717,  1795,   896,  1795,  4728,  4740,  4769,  4742,  3425,
    3923,  4751,  4413,  4744,  4770,  3929,  1526,  3930,  4748,  4202,
    4771,  4782,  4779,  5501,  1562,  4753,  4768,  3936,  1795,   896,
    3937,  4773,  3938,  3939,  4784,  2898,  3941,  3423,  4788,  4799,
    3944,  4807,  3945,  4829,  4832,  3947,  4839,  4830,  5573,  5372,
    4831,  4842,  4840,  1527,   895,  4845,  4435,  4843,  4849,  4852,
    4853,  4869,  4872,  4884,  4885,  4923,  4888,  4900,  4886,  4887,
    4898,  4899,  3425,  4901,   953,  4902,  4931,   953,  4912,  4903,
    4915,  4932,  4914,  4933,   187,  4938,  3265,  4941,  4957,  4921,
    4958,  4960,  4859,  3901,  4963,  4974,  4973,  1663,  1528,  4976,
    4977,  1564,  4989,   895,  4978,  5010,  5015,  5000,  5035,  3986,
    5029,  1565,  5036,  5021,  5048,  5041,  3265,  5064,  5058,  5075,
    1566,  5042,  5065,  5081,  5082,  5084,  5085,  5086,   895,  5088,
    5089,  5100,  1567,  5108,  5094,  3167,  5114,  5115,  5124,  5131,
    1530,   634,  5764,  5132,  5766,  5133,  5134,  5135,  5136,  5138,
    5137,  5141,  3583,  5142,  5162,  5150, -2199,  5212,  5165,  5145,
    5166,  5156,  5167,  5188,  5225,  5184,  5171,   953,   953,  5198,
    5221,   896,  1532,  5202,  1569,  1570,  5224,  5242,   953,  5205,
    5216,  5240,  5235,  3900,  5247,   634,   634,  5238,  5248,  5257,
    5277,  5278,  5288,  5279,  5287,   953,  4577,  5282,  5289,  5308,
    5310,  5301,  5314,  5304,  5873,  5315,  1571,  1524,  5323,  5324,
    5332,  5331,  5333,  5338,    35,  5342,  5345,  5349,   896,  3902,
     774,  5067,  5350,   896,   634,   634,  5351,  5359,  1535,  5367,
    5362,  5371,  5368,  3425,  5375,   634,  5369,  1536,  5377,  5381,
    5391,  5899,  1525,  5477,  5774,  2777,   774,  5393,   978,  5386,
    5397,  5398,  5400,  5402,  5477,  5404,  5405,  1538,  5415,  3142,
     774,  5421,  5621,  5423,  5406,  5431,  1539,  5430,  5442,  5436,
    1540,   774,  5437,  5438,  5446,  1572,   953,  5453,  4634,  1795,
    5454,  5452,  5462,  5470,  2072,  5466,  2693,  5935,  5937,  5476,
    3903,  5502,  5480,  5505,  5483,  5508,  5517,  5525,  3423,  3423,
    5528,  5514,  5533,  1526,  5534,   634,  5535,  5546,  5538,  5529,
    5566,  5521,  5547,  5540,  5588,  4999,  5551,  5557,  5558,  5559,
    5594,   634,  5595,  5597,  5607,  1541,  5600,  4663,  3425,  3904,
    5608,  5603,  2072,  5627,  5628,  5632,   634,  5637,  5639,  5655,
    1527,  5660,  5666,  5667,  5668,  5674,  5689,  1202,  1203,  3265,
    5690,  5698,  4684,  5702,  5718,  5719,  3312,  5714,  5716,  5720,
    5509,  5722,  5744,  5543,   634,  5735,  5737,   634,  5752,  5745,
    5758,  5746,  4133,  5793,  5790,   634,   634,  3489,   896,  5797,
    3901,  5801,   634,   634,  5803,  1528,  5811,   634,  5829,  5830,
    5831,  5825,   634,  5832,  5833,   634,   634,  5816,  5843,  5844,
    5845,  5850,   634,  3489,  5842,  5861,  5870,  5852,  5871,  5872,
    5875,  5885,  4139,  5854,  5894,  5895,  5877,  5910,  5897,  5933,
    5898,  5914,   634,  5945,  5947,  5953,  5942,  1530,  3425,   634,
    5956,  5949,  5957,  4167,   634,   774,  4172,   634,   634,  6044,
    4259,  5973,  5983,  5974,  5928,   634,  5975,  5976,  5984,  5989,
    5997,  5990,  6001,  5992,  6002,  6007,   634,  6014,  6016,  1532,
    6023,  6036,  6038,  6046,   634,  5943,  5944,  6055,  5227,  5229,
    6056,  6074,  6091,  6102,  6028,  6072,  5241,  6054,  6113,  6105,
    6121,  5573,  6139,  3416,   634,  6119,  5776,   907,   774,  6150,
    6145,  3416,  6146,  6156,  6151,  6158,  6159,  6180,  6179,  6191,
    6181,    35,  6204,   896,  6206,  6207,  1534,  6096,  6097, -1965,
    5940,  4309,  4230,  4311,  6224,  1535,   953,  6215,  5711,  6005,
    6217,  6225,  6219,  6230,  1536,  6239,  6235,  6236,  6245,  6194,
    6248,  6252,  2777,  5662,  1657,  3423,  1444,  1551,  2952,  3714,
    5686,  4156,  3423,   896,  1538,   895,  1656,  3423,  5275,  3633,
    3423,  4875,  2576,  1539,  5691,  4302,  4868,  1540,  5283,  6039,
     953,  3803,  4447,  3755,  5585,   896,  5927,  6120,  5017,  5638,
    4864,  4865,   953,  5348,  5620,  5712,  5789,  3903,  3425,  4248,
    3950,  6030,  2074,  5519,  6116,  5948,  5946,  6053,   634,  6131,
    5379,   632,  3489,  5039,  5068,   634,  4254,  2693,  5047,  5908,
    5009,  3821,  3822,  4873,  5768,  4320,   953,  4507,   784,  1641,
     786,  5373,  1541,  5034,   792,  5626,  3904,  5092,  4547,   800,
     808,   812,  5846,   815,  6176,  6251,   808,   808,  6237,   845,
    5601,   848,  4453,  5076,  6058,  5545,  3019,   896,   904,   904,
     904,  5754,  5916,  5548,   738,   791,  4598,  1054,  5763,  5759,
    5760,  5731,  3265,  3265,  5109,  4412,  1998,  3850,  5111,  6172,
    3487,  4419,  1124,   634,  3082,  5078,  4239,  3078,  3094,  3425,
    4564,  5663,  5840,  1125,  3111,  3425,  5904,  4417,  3752,   634,
    4904,  6078,  4364,  6205,  1795,  5095,  1389,  3780,  2709,  3432,
    5096,  2080,  2977,  1165,  2081,  6220,  4793,  5230,  2082,  2083,
    2084,  5730,  6024,   953,  2597,  2549,   819,  1524,  3426,   820,
     634,  5139,  3426,  5928,  4200,  4212,  2584,  3442,  6019,  5887,
    4174,  4761,   978,  4746,  5482,  4168,  2585,  5701,  2658,  5700,
    4169,  4794,  5384,  2586,  6188,  6006,  6103,  2657,  5876,  2606,
    5685,  4696,  1525,   774,  5888,  4135,  5889,  2662,  3353,   774,
    3356,  4129,   895,   774,  3271,  4004,   896,  4127,   896,  2587,
    3779,  4038,  4202,  4120,  3368,  4648,  1440,     0,     0,  5020,
    3430,     0,     0,     0,   978,     0,     0,  3425,     0,  3426,
    5298,  5299,   632,   933,   933,  5302,  5303,   933,  5542,   953,
       0,   944,     0,   845,     0,     0,   980,     0,  5544,   944,
       0,  5901,   944,  1526,     0,   845,  5884,   933,  5886,     0,
     845,     0,     0,     0,   933,     0,   845,     0,     0,     0,
       0,   634,     0,  3423,   634,     0,     0,   634,   634,   634,
       0,     0,     0,  5587,     0,     0,     0,     0,     0,     0,
    1527,     0,     0,     0,     0,     0,     0,  4581,     0,  4583,
       0,  4585,   634,   634,     0,     0,   634,     0,     0,     0,
       0,     0,  1124,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2588,     0,   634,   895,     0,  2589,
       0,     0,   634,     0,     0,  1528,   634,     0,     0,     0,
       0,  6213,   896,   634,     0,     0,     0,     0,     0,     0,
    6228,     0,  2590,  2271,     0,     0,   634,   187,     0,   634,
       0,     0,     0,     0,   953,     0,   953,   895,     0,     0,
     634,     0,     0,  1529,     0,  2591,     0,  1530,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6213,  5503,   895,
       0,     0,     0,   187,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6213,     0,     0,  1595,  1532,
       0,   896,   953,     0,     0,     0,  2331,     0,     0,     0,
       0,     0,   634,     0,     0,     0,     0,     0,     0,     0,
    2592,     0,     0,  2593,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1596,     0,  3423,
       0,    35,     0,     0,     0,     0,  1534,     0,   631,     0,
       0,   895,  1795,  5763,     0,  1535,     0,   634,     0,  3423,
       0,     0,     0,     0,  1536,     0,     0,     0,     0,  6238,
       0,     0,  1597,  3423,     0,     0,     0,     0,     0,     0,
    3426,  3426,     0,     0,  1538,     0,  5653,     0,     0,     0,
       0,     0,     0,  1539,     0,  5625,     0,  1540,  6165,  6166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2594,     0,     0,     0,     0,     0,     0,
     634,     0,     0,   896,     0,     0,  5651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    71,   191,   180,
     186,  5261,     0,    80,   184,     0,   175,    83,   181,    84,
      85,   183,  1541,    86,   106,   124,   634,   129,   159,     0,
     634,     0,   634,   908,   178,   185,     0,     0,     0,     0,
    5412,  1124,   895,     0,     0,     0,   634,     0,     0,     0,
       0,  5284,     0,   634,     0,     0,   634,     0,     0,     0,
       0,     0,     0,  2072,     0,     0,     0,   634,     0,     0,
       0,     0,     0,  5300,   634,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2522,     0,     0,   774,     0,
     187,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,  3423,     0,     0,     0,     0,     0,   931,
    3416,  4030,     0,     0,  3416,     0,     0,     0,   943,     0,
       0,  6164,   978,     0,     0,   896,   943,     0,     0,   943,
     896,   896,     0,     0,     0,   634,     0,     0,     0,     0,
    1033,   634,   634,   953,     0,  5328,   845,     0,   933,     0,
     933,     0,     0,   933,     0,     0,     0,   953,     0,     0,
     980,     0,     0,     0,     0,  1091,  3423,   933,     0,     0,
       0,     0,     0,   933,     0,     0,   895,   634,     0,     0,
       0,     0,     0,     0,     0,     0,   634,  3426,     0,  1795,
    1554,     0,     0,     0,  3426,     0,  1555,   632,     0,  3426,
       0,     0,  3426,     0,     0,     0,   944,     0,     0,     0,
     980,  1661,     0,   944,   634,     0,   944,     0,     0,     0,
       0,  6231,     0,     0,     0,     0,  5819,     0,     0,     0,
       0,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,  1557,     0,   896,   896,  3489,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5414,   634,     0,     0,
       0,     0,     0,     0,     0,     0,   634,   634,   634,     0,
       0,     0,     0,     0,     0,   845,     0,     0,     0,   634,
    1795,     0,     0,   896,  1235,  1662,     0,  1558,   634,     0,
     634,     0,   634,     0,  1559,     0,     0,  1560,     0,   634,
       0,  6035,     0,     0,  1361,  1361,  5891,   845,   808,     0,
       0,     0,   808,     0,     0,     0,     0,  3423,     0,     0,
     634,     0,     0,     0,  1561,     0,   845,     0,     0,     0,
       0,   845,     0,     0,     0,     0,     0,  1361,     0,     0,
       0,     0,     0,     0,     0,  1795,     0,   953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3489,     0,     0,
    1562,     0,     0,     0,   774,     0,     0,     0,     0,     0,
       0,     0,     0,  6085,  6086,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1361,     0,     0,     0,     0,     0,
    4413,     0,     0,     0,     0,     0,     0,     0,   845,   634,
       0,     0,  5099,     0,     0,  5101,     0,     0,     0,     0,
       0,   845,  3423,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   845,     0,     0,     0,
       0,     0,  3416,  1663,  5116,     0,   634,  1564,     0,     0,
       0,     0,     0,     0,     0,   845,     0,  1565,     0,   634,
     933,   933,     0,     0,     0,     0,  1566,     0,   187,   634,
       0,     0,     0,     0,     0,  3426,     0,     0,  1567,   634,
       0,     0,   953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   808,   808,     0,   634,     0,     0,     0,   895,
       0,     0,     0,     0,   895,   895,     0,     0,   953,     0,
       0,     0,     0,     0,     0,  1361,  1361,  1664,     0,     0,
    1569,  1570,  3423,     0,     0,     0,     0,     0,     0,   632,
       0,   933,     0,   951,     0,   944,     0,     0,   980,   944,
       0,   944,   987,     0,     0,     0,   933,     0,     0,   634,
       0,  6059,  1665,     0,     0,     0,  1009,     0,     0,   634,
       0,     0,     0,     0,  5925,     0,     0,   634,   634,     0,
     845,     0,     0,   634,   191,  6080,  6083,   933,   933,     0,
       0,     0,     0,     0,  6081,     0,     0,  6082,     0,     0,
       0,     0,   634,   634,     0,     0,     0,     0,     0,   845,
     845,   845,     0,   933,     0,   632,     0,   632,   632,     0,
       0,     0,     0, -2667,   931,     0,     0,  5412,   895,  6144,
       0,  1572,     0,   943,     0,     0,   953,     0,     0,     0,
     943,     0,     0,   943,     0,  6246,  6247,     0,     0,     0,
       0,   933,     0,   933,   933,     0,     0,     0,     0,     0,
     634,  3426,     0,  5260,     0,     0,   634,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   895,   191,  6080,
    6083,  3426,  3423,     0,   634,   634,  1361,     0,  6081,     0,
       0,  6082,     0,     0,     0,  3426,  3416, -2669,     0,   634,
       0,  3416,     0,     0,  3416,     0,  5285,  5286,     0,     0,
       0,     0,  1978,   634,  1978,     0,     0,     0,   845,     0,
     784, -2667,     0,     0,     0,   187,   187,     0,     0,     0,
       0,     0,     0,  2004,     0,     0,     0,     0,  2004,  2004,
       0,     0,     0,     0,  2014,     0,   845,     0,   634,     0,
    2020,     0,  2080,     0,     0,  2081,     0,     0,     0,     0,
       0,     0,     0,     0,  1361,     0,     0,     0,   634,     0,
       0,     0, -2667,  3423,     0,  1795,     0,     0,     0,  3423,
     191,  6080,  6083,     0,     0, -2667,     0,  2585,     0,  1621,
    6081, -2667,     0,  6082, -2898, -2669,     0, -2667,     0,     0,
    5329,  5330,  1361, -2667,     0,     0, -2667,     0,   634,   634,
   -2667,  1622,     0,   634,     0,     0,     0,   634,     0,     0,
    2587,  1795,     0,     0,     0,     0,     0,     0,     0,   634,
     634,  1361,  1361,  1361,     0,  1361,     0,  4849,     0,  1795,
   -2667,     0,     0,     0,     0,     0, -2669,     0,     0,     0,
       0,     0,  5841,     0,     0,  3426,  1361,     0,     0, -2669,
       0,     0,  1623,  4859,     0, -2669,     0,     0, -2667,     0,
    2733, -2669,     0,     0,     0,     0,     0, -2669,     0,     0,
   -2669,  3423,     0,     0, -2669,     0,     0,     0,     0,  4718,
       0,     0,     0,     0,     0,   845,     0,     0,     0,     0,
       0,  5881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1361, -2669,     0,     0, -2667,  3426,     0,
   -2667,     0,     0,     0,     0,     0, -2667,     0,     0,  4860,
    5425,     0,     0,  5427,  5428, -2898,     0,     0,     0,     0,
   -2898,     0, -2669,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1624,  5433,     0,     0,   931,     0,     0,  1361,
       0,     0,   943,  1361,  1361,     0,   943,     0,   943,     0,
       0,     0,     0,     0,   845,   845,   845,  2672,     0,  1361,
       0,     0,     0, -2667,     0,     0, -2898,     0,     0,   187,
       0, -2669,  6211,     0, -2669,     0,     0,     0,     0,  1079,
   -2669,     0,   808,     0,     0,  1079,     0,     0,     0,     0,
    1625,     0,     0,     0,  1626,     0,     0,  1079,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2897,
       0,     0,  1889,  4861,  1891,  1892,     0,  2765,  6211,     0,
     789,  2592,   808,     0,     0,   933,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6211, -2669,   845,  2793,
       0,     0,     0,  1628,     0,     0,     0,   845, -2667,     0,
     933,     0,     0,     0,     0,     0,     0,     0,     0,  3426,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2667,     0, -2667, -2667,     0,   980,     0,   845,
       0,     0,   808,     0,     0,  2861,  2861,     0,  1630,  2861,
       0,     0,     0,     0,   789,     0, -2667,     0,     0,   808,
    2080,     0,   845,  2081,     0,   845,     0,  2082,  2083,  2084,
       0,     0,  1631,     0, -2898,     0, -2667,     0,     0, -2667,
   -2667, -2667, -2669,     0,     0,  2584,     0,   933,     0,     0,
       0,     0,  1633,  3416,  4862,  2585,     0,  4292,     0,     0,
       0,     0,  2586,     0,     0,   845, -2669,     0, -2669, -2669,
       0,     0,     0,     0,  3426,     0,     0,   933,   933,   933,
     933,   845,  1710,     0,     0,     0,     0,     0,  2587,     0,
   -2669,     0,     0,     0,     0,   845,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1361,  1361,  1361,     0,
   -2669,     0,     0, -2669, -2669, -2669,     0,     0,     0,  2080,
       0,     0,  2081,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2898,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2526,  2527,
    2528,  2529,  2530,  2531,  2585,     0,     0,     0,     0,     0,
       0, -2898,     0,     0,     0,     0,  2819,     0,     0,     0,
       0,     0,     0,     0,  3426,     0,  2080,     0,     0,  2081,
       0,     0,     0,     0,     0,     0,     0,  2587,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2588,     0,   845,     0,     0,  2589,     0,
       0,  2585,   187,     0,     0,     0,   845,     0, -2898,     0,
       0,     0,     0,     0,   933,   933,     0,     0,     0,     0,
       0,  2590,  2271,     0,     0,     0,     0,     0,     0,     0,
     933,     0,     0,   187,  2587,     0,  2080,     0,     0,  2081,
       0,  5733,     0,     0,  2591,     0,  4721,   187,   845,  2861,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   933,   933,   933,   933,     0,     0,
       0,  2585,     0,   845,     0,     0,     0,     0, -2898,     0,
     845,     0,     0,  3075,     0,  2331,     0,     0,     0,     0,
       0,     0, -2898,     0,  5769,     0,     0, -2898,   632,  2592,
       0,   632,  2593,  4722,  2587,     0,     0,     0,     0,     0,
       0,   944,   944,     0,  3426,     0,     0,     0,     0,     0,
       0,  2072,   980,   980,     0,     0,   944,     0,     0,   944,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2898,   933,   933,     0,     0,     0, -2898,
       0,   933,     0,   845, -2898,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1978,     0,     0,  5182,     0,     0,     0,   933,     0,   944,
       0,     0,  3158,   944,   944,     0,   845,   845,     0,   933,
       0,     0,  2594,     0,     0,     0,   845,     0,  2592,     0,
   -2898,     0,     0,   845,     0,  3426,   845,  3075,  5857,     0,
     784,  3426,     0,   784,  3195,     0,     0,     0,  1361, -2898,
    1361,     0,     0,     0, -2898,  1361,  1361,     0,     0,     0,
       0,     0,  1361,  1361,  1361,  1361,  1361,  1361,  1361,  1361,
    1361,  1361,     0,     0,  1361,     0,  1361,   980,  1361,  1361,
    1361,  1361,  1361,  1361,     0,  2592,  1361,     0,  1361,  1361,
       0,  3416,  1361,   187,     0,     0,     0,     0,     0,     0,
   -2898,     0,     0,     0,     0,     0,     0,  1361,  1361,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2898,     0,     0,  2522,  1361,     0,     0,  -136,     0,
       0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,     0,  3426,     0,     0,  4044,     0,     1,  4045,
       0,     0,     0,     0,     0,  2592,     0,     0,     0,     2,
       0,     3,     4,     0,     0,   933, -2685,     0,   700,     0,
       0,     0,     0,     0,     0,     0,     0,   788, -2898,     5,
       0,     0,     0,   187,     0,     0,     0,     0,     0,     6,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     7,     0,     8,     9,     0,     0,     0,     0,     0,
      10,     0,    11,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2898,    12,     0,    13,     0,     0,     0,
       0,     0,     0,     0,     0,  2526,  2527,  2528,  2529,  2530,
    2531,     0,     0,    14,     0,     0,    15,     0, -2898,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    16,     0,    17, -2685,     0,     0,    18,     0,  1361,
       0,     0,     0,    19,     0,     0,     0,     0,     0,     0,
   -2898,    20,     0,    21,     0,     0,     0,     0,     0,     0,
      22,     0,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    23,     0,
       0,     0,     0,     0,     0, -2685,     0,     0,  1361,     0,
       0,     0,     0,     0,     0,    24,     0,     0, -2685,     0,
       0,     0,     0,     0, -2685,     0,     0,     0,     0,     0,
   -2685,     0,     0,     0,     0,   931, -2685,     0,   931, -2685,
   -2898,     0,     0, -2685,     0,     0,     0,     0,   943,   943,
       0,     0,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,
       0,  1361,     0,   943,    25,    26,   943,     0,     0,     0,
      27,  6114,     0, -2685,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    28,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2685,    29,     0,     0,     0,     0,     0,   187,     0,
       0,     0,     0,     0,     0,     0,   943,     0,     0,     0,
     943,   943,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1554,     0,     0,    30,     0,     0,  1555,
   -2685,     0,     0, -2685,     0,     0,     0,     0,     0, -2685,
      31,     0,     0,     0,  1556,     0,    32,    33,     0,    34,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
      36,     0,     0,    37,     0,     0,     0,     0,     0,     0,
      38,     0,     0,     0,  1557,     0,     0,    39,    40,     0,
       0,     0,     0,     0,     0,    41,     0,     0,     0,    42,
       0,     0,     0,     0,     0,     0, -2685,     0,     0,    43,
       0,     0,     0,     0,     0,     0,     0,  6143,     0,     0,
       0,     0,  2950,     0,     0,    44,     0,     0,  1361,  1361,
    1361,  1361,  1361,  1361,  1361,  1361,  1361,     0,  1361,     0,
    1558,     0,     0,     0,     0,    45,     0,  1559,   845,  1361,
    1560,  1361,     0,     0,     0,     0,    46,     0,   845,     0,
       0,     0,    47,   789,     0,     0,     0,    48,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1561,     0,     0,
      49,     0,     0,     0,     0,     0,     0,   845,     0,  1361,
       0, -2685,   933,  1361,     0,     0,  1361,     0,  1361,     0,
       0,  1361,     0,     0,    50,  1361,    51,    52,    53,    54,
      55,     0,     0,  1562,  1524, -2685,     0, -2685, -2685,   187,
       0,     0,     0,    56,     0,     0,  -136,     0,  3427,     0,
       0,     0,     0,     0,   845,   845,     0,     0,     0, -2685,
       0,     0,     0,     0,     0,  1361,     0,     0,     0,  1525,
       0,     0,     0,     0,  1361,  1361,     0,     0,     0, -2685,
       0,     0, -2685, -2685, -2685,     0,     0,     0,   845,     0,
       0,     0,     0,     0,     0,     0,  3471,     0,  3476,     0,
       0,     0,     0,     0,     0,     0,  1563,     0,     0,     0,
    1564,     0,     0,     0,     0,  3029,     0,     0,     0,     0,
    1565,     0,     0,  3046,     0,     0,     0,     0,     0,  1566,
    1526,  2950,     0,     0,     0,     0,     0,     0,   784,     0,
     784,  1567,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,  -136,
       0,     0,     0,     0,     0,     0,     0,  1527,     0,   632,
       0,     0,   944,   980,   944,   944,  3104,     0,   933,     1,
    1568,   845,     0,  1569,  1570,     0,     0,     0,     0,     0,
       2,     0,     3,     4,     0,     0,     0,     0,  1055,     0,
       0,     0,   808,  2950,     0,     0,     0,     0,     0,     0,
       5,     0,  1528,  2793,     0,  1571,     0,  1554,     0,     0,
       6,  3586,   845,  1555,     0,     0,     0,     0,  3597,     0,
    1621,     0,     7,     0,     8,     9,     0,   845,     0,     0,
       0,    10,     0,    11,     0,     0,     0,     0,  1123,   700,
       0,     0,  1622,     0,  1530,    12,     0,    13,     0,   845,
       0,     0,     0,     0,     0,     0,     0,     0,  1557,     0,
       0,     0,     0,     0,    14,     0,     0,    15,     0,     0,
     845,     0,     0,     0,  1572,     0,  1532,     0,     0,     0,
       0,     0,    16,   808,    17,     0,     0,     0,    18,     0,
       0,     0,     0,  1623,    19,     0,     0,     0,     0,     0,
       0,     0,    20,     0,    21,     0,   933,     0,     0,   933,
       0,    22,     0,     0,  1558,     0,     0,     0,    35,     0,
    2776,  1559,     0,  1534,  1560,     0,     0,     0,     0,    23,
       0,     0,  1535,     0,  1222,   845,   845,     0,     0,     0,
       0,  1536,     0,     0,     0,     0,    24,     0,     0,  2777,
    3740,  1561,  3743,  3745,  1244,     0,     0,     0,     0,     0,
       0,  1538,  1364,     0,     0,  1373,  1123,  1375,     0,     0,
    1539,     0,     0,     0,  1540,     0,     0,     0,     0,     0,
       0,     0,     0,  1624,  1361,  1361,  1361,  1562,     0,     0,
    1361,     0,     0,     0,     0,    25,    26,     0,   933,     0,
       0,    27,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,    28,     0,  1361,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1541,
       0,     0,  2793,    29,     0,     0,     0,   845,     0,     0,
       0,  1625,     0,  3847,     0,  1626,   784,     0,     0,     0,
       0,     0,     0,     0,     0,   631,     0,     0,   933,  3858,
    1627,     0,     0,     0,  1564,     0,     0,     0,     0,  3740,
       0,     0,     0,     0,  1565,     0,     0,    30,     0,   933,
       0,  3880,     0,  1566,     0,     0,     0,     0,     0,     0,
       0,    31,     0,     0,  1628,  1567,     0,    32,    33,     0,
      34,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,    36,     0,     0,    37,     0,     0,     0,     0,     0,
     933,    38,   933,     0,   933,     0,     0,     0,    39,    40,
       0,     0,     0,     0,  1629,     0,    41,  1569,  1570,  1630,
      42,     0,     0,     0,     0,  2080,     0,     0,  2081,     0,
      43,     0,  2082,  2083,  2084,     0,     0,  1978,     0,     0,
       0,     0,     0,  1631,     0,     0,    44,     0,     0,  1632,
    1123,     0,     0,     0,     0,     0,   931,     0,     0,   943,
    2585,   943,   943,  1633,     0,     0,    45,  2586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,     0,     0,
       0,     0,     0,    47,  1554,     0,     0,     0,    48,     0,
    1555,   632,   933,  2587,   944,     0,   944,   944,     0,   933,
       0,    49,     0,     0,     0,  1661,  1361,     0,     0,     0,
       0,  1361,     0,     0,     0,     0,     0,     0,  1572,     0,
       0,     0,     0,     0,     0,    50,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1557,     0,     0,     0,     0,
       0,     0,     0,  1524,    56,     0,     0,  -136,     0,     0,
       0,     0,     0,     0,     0,     0,  1361,  1361,  1361,     0,
       0,  1361,     0,     0,     0,     0,     0,     0,     0,  1361,
    1361,  1361,  1361,     0,     0,     0,     0,     0,  1525,     0,
       0,     0,     0,     0,     0,  1361,     0,     0,  1361,  1662,
    1361,  1558,     0,     0,     0,     0,     0,     0,  1559,     0,
       0,  1560,  1361,  1361,     0,     0,  1361,     0,  2588,     0,
       0,     0,     0,  2589,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   980,     0,  1361,  1561,  1361,
       0,  1361,     0,     0,     0,     0,  2590,  2271,     0,  1526,
       0,  2003,     0,     0,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,  4141,     0,     0,     0,   845,     0,  2591,
       0,     0,  2080,     0,  1562,  2081,     0,     0,  1123,  2082,
    2083,  2084,     0,     0,     0,     0,  1527,     0,   845,     0,
       0,     0,     0,     0,     0,     0,     0,  2584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2585,     0,     0,
    2331,     0,     0,     0,  2586,     0,     0,   632,     0,     0,
    3427,  4178,     0,     0,  2592,  4178,  4192,  4178,     0,     0,
       0,  1528,     0,  1361,     0,     0,     0,     0,  1361,     0,
    2587,     0,     0,     0,     0,     0,     0,  1663,     0,     0,
       0,  1564,     0,  1361,     0,     0,     0,     0,     0,     0,
       0,  1565,     0,  2076,     0,     0,   631,  3427,     0,  1529,
    1566,  4223,  2078,  1530,  4226,  3427,     0,  3476,     0,     0,
       0,     0,  1567,     0,     0,     0,     0,     0,  2547,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1612,  1532,     0,  1123,     0,     0,
    2564,  2565,  3478,     0,     0,  1123,  1123,  2594,  1361,     0,
       0,  3711,     0,  4252,  1569,  1570,     0,     0,     0,     0,
    3494,     0,     0,     0,  3497,     0,     0,     0,  3500,     0,
       0,     0,     0,  1613,     0,     0,     0,    35,     0,   933,
     933,     0,  1534,     0,     0,  2588,  3712,     0,     0,     0,
    2589,  1535,     0,     0,     0,     0,  3526,     0,     0,     0,
    1536,     0,     0,     0,     0,     0,     0,     0,  1614,     0,
       0,     0,     0,  2590,  2271,     0,     0,     0,     0,     0,
    1538,     0,     0,     0,     0,     0,     0,     0,     0,  1539,
    3568,     0,     0,  1540,     0,     0,  2591,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   931,  2522,
    1079,   943,     0,   943,   943,  1572,     0,     0,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,     0,
       0,     0,  3618,     0,     0,     0,     0,   845,  1541,     0,
       0,  2592,     0,  2080,  2593,     0,  2081,  2861,     0,     0,
    2082,  2083,  2084,     0,     0,     0,     0,     0,     0,  3647,
       0,     0,     0,     0,     0,  3656,     0,     0,  2584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2585,  3666,
       0,     0,     0,     0,     0,  2586,  1079,     0,     0,  3679,
       0,  2080,     0,     0,  2081,  3684,     0,     0,  2082,  2083,
    2084,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2587,     0,     0,     0,  3697,  2584,     0,     0,     0,
       0,  3700,     0,     0,     0,     0,  2585,     0,  3706,     0,
       0,     0,     0,  2586,  2594,     0,     0,     0,     0,     0,
       0,     0,  3721,     0,     0,     0,     0,     0,     0,     0,
    2902,     0,     0,     0,  1361,     0,  3747,     0,  2910,  2587,
    1361,     0,     0,     0,     0,     0,     0,  1079,     0,     0,
       0,   933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2080,     0,
       0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   845,   845,
     845,     0,     0,  2584,   631,     0,     0,   631,     0,     0,
       0,     0,     0,  2585,     0,   845,  2588,     0,     0,     0,
    2586,  2589,     0,     0,     0,     0,  2522,     0,     0,  1361,
       0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,  2590,  2271,  2587,  1978,   845,   845,
       0,  4046,     0,   845,   631,     0,     0,     0,     0,     0,
       0,     0,   631,     0,  2588,   845,     0,  2591,     0,  2589,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2590,  2271,     0,     0,     0,     0,     0,   932,
     934,     0,     0,   937,     0,     0,     0,     0,  2331,     0,
       0,     0,     0,     0,     0,  2591,     0,     0,     0,     0,
       0,   933,  2592,   995,     0,  2593,     0,     0,     0,     0,
    1005,     0,     0,     0,     0,  3158,  4599,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   845,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2331,     0,     0,   845,
       0,  2588,     0,  3040,     0,     0,  2589,  3045,     0,     0,
    2592,     0,  3965,  2593,     0,     0,     0,     0,  1361,     0,
       0,     0,     0,     0,     0,     0,     0,  1361,     0,  2590,
    2271,  3981,     0,     0,     0,     0,     0,     0,  3965,     0,
       0,  1361,     0,     0,     0,  1361,  1361,     0,     0,     0,
       0,  1361,  2591,     0,     0,  2594,     0,     0,     0,     0,
       0,  1361,     0,  1361,     0,     0,  1361,     0,     0,     0,
       0,  1361,  1361,  1361,  1361,     0,     0,  1361,  1361,  1361,
    1361,  1361,  1361,  1361,  1361,  1361,  1361,     0,     0,     0,
    1361,  1361,  1361,  2331,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,  2594,     0,  1361,     0,  2592,     0,  1361,
    2593,     0,     0,     0,     0,     0,     0,  1361,     0,     0,
    1361,     0,  1361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,     0,
       0,  1361,  1361,     0,     0,     0,  1361,  1361,     0,     0,
       0,  1361,     0,  1361,  4731,     0,     0,  2522,     0,     0,
       0,     0,   845,   845,   845,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,     0,     0,  3228,     0,  3294,
       0,     0,  4178,  4192,  4178,     0,  1361,  4178,     0,     0,
    4752,     0,     0,     0,  3427,     0,     0,     0,  3427,     0,
    2594,     0,     0,     0,  4767,  2522,     0,     0,     0,     0,
       0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,     0,     0,     0,     0,  4039,     0,     0,
    1361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3476,     0,  1361,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4815,  1978,     0,  1978,     0,
       0,  1978,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2522,     0,     0,     0,  2793,  4848,     0,     0,
       0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
       0,     0,     0,     0,     0,  4871,     0,  4097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2080,     0,     0,
    2081,     0,     0,     0,  2082,  2083,  2084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2585,     0,     0,     0,     0,     0,  4920,  2586,
       0,  4261,     0,     0,  1554,     0,     0,     0,     0,     0,
    1555,     0,     0,     0,  1065,     0,  1068,     0,     0,  1070,
       0,     0,     0,     0,     0,  2587,     0,     0,     0,  2080,
       0,     0,  2081,  1096,     0,     0,  2082,  2083,  2084,  1100,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4964,  2584,  1557,     0,     0,     0,     0,
       0,     0,     0,     0,  2585,     0,     0,     0,     0,     0,
       0,  2586,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2587,     0,     0,
     933,  4333,  1361,     0,     0,     0,     0,     0,     0,   845,
       0,  1558,     0,     0,     0,  5008,     0,     0,  1559,     0,
       0,  1560,     0,     0,     0,     0,  2793,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2588,   845,     0,     0,     0,  2589,  3427,  3858,  1561,     0,
       0,     0,     0,     0,  3740,     0,     0,     0,     0,     0,
       0,     0,     0,  5057,     0,     0,     0,     0,  2590,  2271,
       0,     0,     0,   845,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1562,  1361,  1361,     0,     0,     0,
       0,  2591,     0,     0,     0,     0,  1361,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1978,   845,     0,
       0,     0,  2588,     0,     0,     0,     0,  2589,     0,     0,
       0,     0,     0,     0,     0,   845,     0,     0,     0,     0,
    4428,   631,  2331,     0,     0,   631,     0,     0,     0,     0,
    2590,  2271,     0,     0,     0,     0,  2592,     0,     0,  2593,
       0,     0,     0,     0,     0,     0,     0,  1663,     0,     0,
       0,  1564,     0,  2591,     0,     0,  1361,     0,     0,     0,
       0,  1565,     0,     0,     0,     0,     0,     0,  2080,     0,
    1566,  2081,  1361,     0,     0,  2082,  2083,  2084,     0,     0,
       0,     0,  1567,     0,     0,     0,     0,  1361,     0,     0,
       0,     0,   631,  2584,  2331,     0,     0,     0,     0,     0,
       0,     0,     0,  2585,     0,     0,     0,     0,  2592,     0,
    2586,  2593,     0,     0,  3375,  1361,  1586,  1587,  1361,     0,
       0,  1691,     0,     0,  1569,  1570,  1361,  1361,     0,  2594,
       0,     0,     0,  1361,  1361,     0,  2587,     0,  1361,     0,
       0,     0,     0,  1361,     0,     0,  1361,  1361,     0,     0,
       0,     0,     0,  1361,     0,     0,  1692,   845,   845,   845,
     845,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   632,     0,     0,  4178,     0,     0,     0,
    3427,     0,     0,     0,     0,  3427,     0,  1814,  3427,   632,
       0,  3740,     0,  5218,     0,     0,  1361,     0,   980,  2950,
       0,  2594,  1826,     0,     0,     0,     0,  1361,     0,     0,
       0,  4223,     0,     0,     0,  1361,     0,  3476,  4600,     0,
       0,     0,  4604,     0,     0,  1572,     0,     0,     0,     0,
       0,  2522,   784,  1848,  1849,  1361,     0,     0,     0,     0,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,
       0,  2588,     0,  4449,     0,     0,  2589,     0,     0,  1886,
       0,     0,  1123,     0,     0,     0,     0,     0,     0,     0,
    2793,     0,     0,     0,  5273,     0,     0,     0,     0,  2590,
    2271,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1924,
    1926,     0,  2591,  2522,     0,     0,     0,     0,     0,     0,
       0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,  1375,     0,  1554,  4635,     0,     0,     0,     0,
    1555,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,  2331,     0,     0,  1361,     0,     0,     0,
       0,     0,     0,   631,   631,     0,     0,  2592,     0,     0,
    2593,     0,     0,     0,     0,     0,     0,     0,   933,     0,
       0,     0,     0,     0,     0,  1557,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1375,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1361,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1375,     0,     0,     0,
     632,  1558,     0,     0,     0,     0,     0,  2793,  1559,     0,
       0,  1560,     0,     0,     0,     0,  1978,     0,     0,     0,
    2594,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3858,     0,     0,     0,     0,     0,     0,  1561,     0,
       0,     0,     0,     0,   933,     0,  3880,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3746,     0,     0,     0,  3750,     0,     0,     0,     0,     0,
       0,     0,   845,     0,  1562,     0,     0,     0,     0,     0,
       0,     0,     0,   845,     0,     0,  2080,     0,     0,  2081,
       0,     0,     0,  2082,  2083,  2084,     0,     0,  4834,     0,
       0,  3783,     0,  3783,     0,  3783,  3783,     0,     0,     0,
    3783,  3783,  3783,     0,  3783,  3783,  3783,     0,     0,     0,
       0,  2585,  2522,     0,     0,     0,     0,     0,  2586,     0,
       0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
       0,     0,  1361,     0,  4705,  1361,     0,  1663,  1361,  1361,
    1361,  1564,     0,     0,  2587,     0,     0,     0,     0,     0,
     631,  1565,     0,     0,     0,     0,     0,   631,  3860,     0,
    1566,     0,   631,  1361,  1361,   631,  5214,  1361,     0,     0,
       0,     0,  1567,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3888,     0,     0,     0,  1361,     0,     0,
       0,     0,     0,  1361,     0,     0,     0,  3427,     0,     0,
       0,  5218,     0,     0,  1361,     0,  5500,     0,     0,     0,
       0,  2757,     0,     0,  1569,  1570,  4946,  4815,     0,  4949,
    1361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4815,   980,   933,     0,   933,     0,     0,     0,     0,
    2080,     0,     0,  2081,     0,     0,  2758,  2082,  2083,  2084,
       0,  2775,     0,     0,     0,     0,     0,     0,     0,  2588,
       0,     0,     0,     0,  2589,  2584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2585,  2814,     0,     0,     0,
       0,     0,  2586,   944,   980,     0,     0, -2898, -2898,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2587,     0,
    2591,     0,     0,     0,     0,  1572,     0,     0,     0,     0,
    5031,     0,     0,     0,     0,     0,     0,     0,   944,     0,
       0,   701,     0,     0,     0,     0,  3196,  2950,     0,     0,
       0,     0,  5008,     0,     0,     0,     0,   845,     0,     0,
       0, -2898,   845,  2904,     0,     0,     0,     0,     0,     0,
       0,  2793,     0,     0,     0,  2592,     0,     0,     0,     0,
       0,   845,     0,     0,     0,  5057,     0,     0,  5640,     0,
       0,     0,     0,  2930,  2931,  2932,  2933,   704,  3197,   933,
     845,  4815,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   705,     0,     0,     0,  5356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3965,     0,
       0,  1038,     0,  2588,     0,     0,     0,  1361,  2589,     0,
       0,  1361,     0,  1361,     0,     0,     0,     0,   631,     0,
       0,     0,     0,     0,     0,  3198,     0,  1361,     0,     0,
       0,  2590,  2271,     0,   632,     0,   708,  1361,  2594,     0,
       0,  5709,     0,     0,     0,   709,     0,     0,  1361,     0,
       0,     0,     0,     0,  2591,  1361,     0,     0,   710,     0,
       0,     0,     0,     0,  3199,     0,     0,  1123,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     845,  1041,     0,     0,     0,  2331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2592,
    2987,  2988,  2593,     0,     0,     0,  1361,     0,     0,     0,
       0,     0,  1361,  1361,  3200,     0,  3005,   933,   933,   933,
     933,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2522,     0,     0,     0,     0,     0,   714,     0,     0,  2523,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  1361,     0,
    3048,  3049,  3050,  3051,     0,     0,     0,   632,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2080,     0,     0,  2081,     0,     0,     0,  2082,  2083,
    2084,     0,   845,     0,   631,  3427,     0,     0,     0,     0,
       0,     0,  2594,     0,     0,     0,  2584,     0,     0,     0,
       0,     0,     0,     0,   631,     0,  2585,     0,     0,     0,
     845,   213,  3201,  2586,     0,   719,     0,     0,   631,  1123,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3125,     0,     0,     0,     0,     0,  3129,  1361,  2587,
       0,     0,  1045,     0,     0,  3202,     0,  1361,  1361,  1361,
       0,     0,   723,  1978,     0,     0,     0,  3740,     0,   724,
    1361,     0,   725,     0,     0,     0,     0,     0,     0,  1361,
     943,  1361,  5295,  1361,  5500,     0,     0,     0,     0,     0,
    4815,   726,     0,     0,  5305,     0,     0,     0,  1047,     0,
    1978,     0,   980,     0,  2522,   728,     0,  4325,  1048,     0,
       0,  1361,   730,  2523,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,     0,     0,     0,   943,  4809,  3203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1978,  1978,     0,     0,
       0,     0,     0,   735,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2588,  4372,     0,     0,     0,  2589,
    2080,     0,     0,  2081,     0,     0,   933,  2082,  2083,  2084,
       0,     0,     0,     0,     0,     0,     0,     0,   631,     0,
    5969,     0,  2590,  2271,     0,  2584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2585,     0,     0,     0,     0,
       0,     0,  2586,     0,     0,  2591,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1361,     0,     0,
       0,  3309,     0,  4415,     0,     0,     0,     0,  2587,     0,
    1361,     0,     0,     0,  5709,     0,     0,     0,     0,     0,
    1361,   631,     0,     0,     0,     0,  2331,     0,     0,  3476,
    1361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2592,     0,     0,  2593,     0,     0,   944,     0,     0,     0,
       0,  3783,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,  4446,  4446,   640,     0,     0,  1978,     0,
       0,   689,   640,  4462,     0,     0,     0,   741,  1123,   640,
    1123,  3965,     0,     0,     0,   640,     0,   794,     0,     0,
       0,     0,     0,  2793,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,     0,     0,     0,   856,   856,     0,     0,
    4815,     0,     0,     0,     0,     0,     0,     0,   944,   944,
    6088,     0,     0,  2588,  1361,     0,  4517,     0,  2589,     0,
       0,     0,     0,  2594,     0,     0,  1978,  1978,  6098,     0,
       0,     0,     0,  1361,  1361,     0,     0,     0,     0,  6104,
       0,  2590,  2271,     0,  5802,     0,     0,     0,     0,     0,
       0,  4553,  1123,     0,     0,     0,     0,     0,     0,  2080,
       0,   933,  2081,     0,  2591,     0,  2082,  2083,  2084,     0,
       0,     0,   631,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2584,     0,     0,     0,     0,     0,
       0,  5969,   933,   933,  2585,     0,  3965,  4815,  3965,     0,
       0,  2586,     0,     0,     0,  2331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   632,  1361,     0,     0,  2592,
       0,     0,  2593,     0,     0,  2522,     0,  2587,     0,     0,
    1361,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,     0,  1361,  2974,     0,   935,     0,     0,
       0,   939,     0,     0,     0,  1554,     0,     0,     0,   982,
       0,  1555,   984,     0,     0,   989,   990,   631,   993,     0,
     996,     0,     0,  1002,     0,  1004,     0,  6182,  6183,   632,
    6187,  5709,     0,     0,  3476,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,  4815,
       0,     0,     0,     0,     0,     0,  1557,     0,     0,     0,
       0,     0,  2594,     0,     0,     0,     0,     0,     0,     0,
    4223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
     632,     0,  2588,     0,  1361,     0,     0,  2589,   632,     0,
       0,     0,  4706,     0,     0,     0,     0,     0,     0,     0,
     944,   944,  1558,     0,  6249,     0,     0,   631,     0,  1559,
    2590,  2271,  1560,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2591,     0,     0,     0,     0,     0,  1561,
       0,     0,     0,     0,     0,     0,     0,     0,  2080,     0,
       0,  2081,     0,     0,  2522,  2082,  2083,  2084,     0,     0,
       0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,     0,  2584,  2331,  1562,  5037,     0,  3309,     0,
       0,     0,     0,  2585,     0,     0,     0,     0,  2592,     0,
    2586,  2593,     0,   943,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2587,     0,     0,  2080,
       0,     0,  2081,     0,     0,     0,  2082,  2083,  2084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2584,     0,     0,     0,  1563,     0,
       0,     0,  1564,     0,  2585,     0,     0,   631,     0,     0,
       0,  2586,  1565,     0,     0,   943,   943,     0,     0,  2080,
       0,  1566,  2081,     0,     0,     0,  2082,  2083,  2084,     0,
       0,  2594,     0,  1567,     0,     0,     0,  2587,     0,     0,
       0,     0,     0,     0,  2584,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2585,     0,     0,     0,     0,     0,
       0,  2586,     0,     0,     0,     0,     0,     0,     0,     0,
    4462,     0,  2835,     0,     0,  1569,  1570,     0,     0,     0,
       0,  2588,     0,     0,     0,     0,  2589,  2587,     0,     0,
       0,     0,     0,     0,  3551,     0,  4910,     0,   631,     0,
       0,     0,     0,     0,   631,     0,     0,  2836,     0,  2590,
    2271,  4924,     0,     0,  4925,     0,  4926,     0,     0,     0,
       0,     0,  6148,     0,     0,     0,  5995,     0,     0,     0,
       0,     0,  2591,  2522,     0,     0,     0,     0,     0,     0,
       0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,  2588,     0,     0,  5146,     0,  2589,     0,     0,
       0,     0,  4966,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2331,     0,     0,  1572,     0,  3783,     0,
    2590,  2271,  1032,  3783,     0,     0,  6185,  2592,     0,     0,
    2593,     0,     0,  1069,     0,     0,     0,  1073,     0,     0,
       0,     0,  2588,  2591,  1086,  1087,   631,  2589,  1093,     0,
    1097,  1098,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1120,     0,     0,     0,     0,
    2590,  2271,  3691,     0,     0,  3694,     0,     0,     0,     0,
       0,     0,     0,  1133,  2331,     0,     0,  6185,     0,     0,
       0,     0,     0,  2591,     0,  6234,     0,     0,  2592,     0,
       0,  2593,     0,     0,  1161,     0,  1163,   943,   943,     0,
       0,     0,     0,     0,     0,     0,  1179,     0,     0,     0,
    2594,     0,  5071,     0,  5996,  4462,     0,     0,     0,     0,
       0,     0,     0,     0,  2331,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2592,   640,
       0,  2593,     0,   893,     0,     0,     0,     0,  2080,     0,
       0,  2081,     0,     0,  3787,  2082,  2083,  2084,     0,  1554,
       0,     0,     0,     0,     0,  1555,     0,  3800,     0,     0,
       0,     0,     0,  2584,  3965,  3809,     0,     0,     0,     0,
       0,  2594,     0,  2585,     0,     0,     0,     0,     0,     0,
    2586,  5120,  5120,  5120,  5120,     0,  5120,  5120,  5120,  5120,
    5120,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1557,     0,  2522,     0,  3853,     0,  2587,     0,     0,     0,
     856,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
       0,  2594,     0,     0,  5183,  3877,     0,     0,     0,     0,
       0,     0,  2080,     0,     0,  2081,     0,     0,     0,  2082,
    2083,  2084,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1558,  2584,     0,     0,
       0,     0,     0,  1559,     0,     0,  1560,  2585,  3932,     0,
    3934,     0,     0,  2522,  2586,     0,     0,     0,     0,     0,
       0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,     0,  1561,     0,  1515,     0,     0,     0,     0,
    2587,  5195,     0,  5197,     0,     0,  2080,     0,     0,  2081,
       0,     0,     0,  2082,  2083,  2084,     0,     0,     0,     0,
       0,  2588,     0,  2522,     0,     0,  2589,     0,     0,  1562,
       0,  2584,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,  2585,     0,     0,     0,  5187,     0,     0,  2586,  2590,
    2271,     0,     0,     0,     0,     0,     0,     0,  3989,     0,
       0,     0,     0,     0,     0,  3996,     0,     0,     0,  1694,
       0,     0,  2591,     0,  2587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2080,
       0,     0,  2081,     0,  1815,     0,  2082,  2083,  2084,     0,
     884,     0,  1663,     0,     0,     0,  1564,     0,     0,  1827,
       0,  1828,     0,  2331,  2584,  2588,  1565,     0,     0,     0,
    2589,  1831,     0,     0,  2585,  1566,     0,  2592,  1841,     0,
    2593,  2586,     0,     0,     0,     0,     0,  1567,     0,     0,
       0,     0,     0,  2590,  2271,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2587,     0,     0,
       0,     0,     0,     0,     0,     0,  2591,     0,     0,     0,
       0,  1893,     0,  1895,     0,     0,  3578,     0,     0,  1569,
    1570,     0,     0,     0,  2080,     0,     0,  2081,     0,  2588,
       0,  2082,  2083,  2084,  2589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,  2584,
       0,  1571,     0,     0,     0,     0,     0,  2590,  2271,  2585,
    2594,  2592,  5326,  5327,  2593,     0,  2586,     0,     0,     0,
       0,     0,     0,     0,     0,  3783,     0,  3783,  3783,  3783,
    2591,     0,     0,     0,     0,     0,     0,   640,     0,   640,
       0,   640,  2587,   640,     0,   640,   640,   640,     0,     0,
       0,     0,   640,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2588,     0,  1999,     0,     0,  2589,     0,     0,
    1572,  2331,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2592,     0,     0,  2593,     0,
    2590,  2271,     0,  5380,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2594,     0,     0,     0,     0,     0,
       0,     0,  2522,  2591,     0,     0,     0,     0,     0,     0,
       0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
       0,     0,  5408,     0,  5440,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2331,     0,     0,  2588,     0,     0,
       0,     0,  2589,     0,     0,     0,     0,     0,  2592,     0,
       0,  2593,     0,     0,     0,  5120,     0,     0,  2594,     0,
       0,     0,     0,     0,   701,  2590,  2271,     0,     0,  1034,
       0,     0,     0,     0,     0,  4265,  4266,     0,     0,     0,
       0,     0,   945,   955,     0,     0,  2522,     0,  2591,     0,
     945,     0,   955,   945,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,   955,  1035,  5451,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     704,  1036,     0,     0,     0,     0,     0,     0,   856,  2331,
       0,     0,  1037,     0,     0,     0,   705,     0,     0,     0,
       0,  2594,     0,  2592,     0,     0,  2593,     0,     0,     0,
       0,     0,     0,     0,  1038,     0,     0,     0,  2080,   893,
    2522,  2081,     0,     0,     0,  2082,  2083,  2084,     0,  2523,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  1039,     0,
       0,     0,  5461,  2584,     0,   893,     0,     0,     0,   708,
       0,     0,     0,  2585,     0,     0,     0,     0,   709,     0,
    2586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   710,     0,     0,     0,     0,     0,  1040,  4462,  1554,
       0,     0,     0,     0,     0,  1555,  2587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2594,     0,     0,     0,
       0,     0,     0,  2522,  1041,     0,     0,     0,  2755,     0,
       0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,     0,     0,     0,  3783,  5516,     0,     0,     0,     0,
    1557,     0,     0,  5586,     0,     0,     0,  1042,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4436,     0,     0,
    2847,     0,     0,     0,     0,     0,  1558,     0,   893,     0,
       0,     0,     0,  1559,     0,     0,  1560,     0,  2522,     0,
    1043,  2588,     0,     0,     0,     0,  2589,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
    5550,     0,     0,  1561,   717,     0,     0,     0,     0,  2590,
    2271,     0,     0,     0,   213,  1044,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2591,     0,  2080,     0,     0,  2081,     0,  1562,
       0,  2082,  2083,  2084,     0,  1045,     0,     0,  1046,     0,
       0,     0,   722,   701,     0,   723,     0,     0,  2744,  2584,
       0,     0,   724,     0,     0,   725,   884,     0,     0,  2585,
       0,     0,     0,  2331,     0,     0,  2586,     0,     0,     0,
       0,     0,     0,     0,   726,     0,     0,  2592,     0,     0,
    2593,  1047,   884,     0,     0,     0,  2745,     0,   728,     0,
       0,  1048,  2587,     0,     0,   730,     0,     0,     0,   704,
       0,     0,  1663,  1049,     0,   732,  1564,  4589,     0,     0,
    1050,     0,     0,     0,     0,   705,  1565,     0,     0,     0,
       0,   893,     0,     0,     0,  1566,     0,     0,     0,     0,
       0,     0,   893,  1038,  1123,     0,   735,  1567,  5778,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   893,     0,
     955,     0,     0,     0,     0,     0,     0,  2746,     0,     0,
       0,     0,     0,     0,     0,     0,  2978,     0,   708,   955,
    2594,     0,     0,     0,     0,   955,  3758,   709,     0,  1569,
    1570,     0,     0,     0,     0,     0,     0,   955,     0,     0,
     710,     0,     0,     0,     0,     0,  2747,     0,     0,     0,
       0,  3014,     0,   955,     0,     0,     0,  2588,     0,     0,
       0,  3759,  2589,     0,     0,     0,     0,   945,   955,     0,
       0,     0,     0,  1041,   945,   884,   955,   945,     0,     0,
       0,     0,     0,     0,     0,  2590,  2271,     0,     0,     0,
     955,     0,     0,     0,     0,     0,     0,  3079,     0,     0,
     955,     0,     0,     0,     0,     0,     0,     0,  2591,     0,
       0,     0,     0,     0,     0,     0,     0,  3097,     0,     0,
       0,     0,  2522,     0,     0,     0,     0,     0,   714,     0,
    1572,  2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,
       0,     0,     0,  3117,  5552,  3118,     0,     0,     0,  2331,
       0,     0,     0,   955,     0,   893,     0,     0,     0,     0,
    3127,     0,  3128,  2592,     0,     0,  2593,     0,   640,  2748,
     640,     0,   640,     0,   640,     0,   640,     0,     0,     0,
     640,   955,     0,     0,  1123,     0,     0,     0,  5931,     0,
    5932,     0,     0,  2080,  5938,  5939,  2081,     0,     0,     0,
    2082,  2083,  2084,   213,  2749,     0,   955,   719,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3187,  2584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2585,     0,
       0,     0,     0,     0,  1045,  2586,     0,  2750,   884,     0,
       0,     0,     0,     0,   723,     0,     0,     0,     0,   884,
       0,   724,     0,     0,   725,     0,  2594,     0,     0,     0,
       0,  2587,     0,     0,     0,   884,     0,     0,   955,     0,
       0,     0,     0,   726,     0,  1554,     0,     0,     0,     0,
    1047,  1555,     0,     0,     0,     0,     0,   728,     0,     0,
    1048,     0,  1554,     0,   730,     0,     0,     0,  1555,     0,
       0,     0,  2751,     0,     0,     0,     0,     0,     0,  2752,
       0,  2563,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   954,     0,     0,  1557,     0,     0,     0,
       0,     0,   954,     0,     0,   735,     0,     0,     0,     0,
       0,     0,     0,  1557,     0,     0,   954,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2522,     0,
       0,     0,     0,     0,     0,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,  2588,     0,  1797,     0,
    5591,  2589,  1558,     0,     0,   955,     0,     0,     0,  1559,
       0,     0,  1560,     0,     0,     0,   945,     0,     0,  1558,
     945,     0,   945,     0,  2590,  2271,  1559,     0,     0,  1560,
       0,     0,   893,     0,     0,     0,     0,     0,     0,  1561,
       0,  2080,   884,     0,  2081,     0,     0,  2591,  2082,  2083,
    2084,     0,     0,     0,     0,     0,  1561,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2584,     0,     0,     0,
       0,     0,     0,  1123,     0,  1562,  2585,     0,     0,     0,
       0,     0,  4988,  2586,     0,     0,     0,     0,  2331,     0,
       0,     0,  1562,     0,     0,     0,  4990,     0,     0,   893,
       0,     0,  2592,     0,     0,  2593,     0,     0,     0,  2587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     893,     0,     0,     0,     0,     0,     0,     0,  1663,     0,
       0,     0,  1564,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1565,     0,     0,  1663,     0,     0,     0,  1564,
       0,  1566,     0,   893,     0,     0,     0,     0,     0,  1565,
       0,     0,     0,  1567,     0,     0,     0,     0,  1566,     0,
     955,     0,     0,     0,     0,  2594,     0,     0,     0,     0,
    1567,   955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6212,     0,     0,     0,  2547,     0,   955,     0,
       0,     0,  4277,   955,  2588,  1569,  1570,     0,     0,  2589,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4335,
       0,     0,  1569,  1570,     0,     0,     0,     0,     0,     0,
       0,     0,  2590,  2271,     0,     0,     0,  4278,  6212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4336,  2591,  6212,     0,     0,  5195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2522,     0,   884,
       0,     0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,     0,  2331,     0,     0,  5919,
       0,     0,     0,     0,     0,     0,  1572,     0,     0,     0,
    2592,     0,  2080,  2593,     0,  2081,     0,     0,     0,  2082,
    2083,  2084,     0,  1572,     0,     0,     0,     0,     0,     0,
       0,     0,   955,     0,     0,     0,     0,  2584,     0,     0,
     955,   955,     0,     0,     0,   893,   884,  2585,     0,     0,
       0,     0,     0,     0,  2586,     0,   893,     0,     0,     0,
     954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   893,     0,     0,     0,     0,     0,     0,   954,
    2587,     0,     0,     0,     0,   954,     0,   884,     0,     0,
       0,     0,     0,  1797,     0,     0,     0,   954,     0,     0,
       0,     0,     0,  2594,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   954,     0,     0,     0,     0,     0,     0,
     884,     0,     0,     0,     0,     0,   893,     0,   954,     0,
       0,     0,     0,     0,     0,     0,   954,     0,     0,     0,
       0,   893,     0,     0,   893,   893,     0,     0,     0,     0,
     954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   893,   893,     0,     0,     0,
       0,     0,     0,     0,  3479,  3480,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2588,     0,     0,     0,     0,
    2589,     0,     0,  3495,  3496,  2522,  3498,  3499,     0,     0,
       0,  3502,  3503,   954,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,  2590,  2271,     0,  3514,  5941,     0,     0,
       0,     0,     0,     0,  3524,     0,     0,     0,  3527,  3528,
       0,   954,  3531,  3532,     0,     0,  2591,     0,     0,  3537,
       0,     0,     0,     0,  5321,     0,     0,     0,     0,     0,
       0,  3552,     0,     0,     0,     0,   954,     0,     0,  5325,
       0,     0,     0,  3569,     0,     0,     0,     0,  3571,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,     0,
       0,     0,     0,  3577,     0,     0,     0,     0,     0,     0,
       0,  2592,  3584,     0,  2593,  3588,     0,  3590,  3593,  3595,
       0,     0,   884,   893,  3603,  3606,     0,     0,     0,     0,
       0,     0,     0,   884,  3619,     0,     0,     0,   954,     0,
    3629,     0,     0,     0,  3632,     0,     0,     0,     0,   884,
       0,     0,   955,     0,     0,     0,  3642,  3643,     0,     0,
       0,  3648,     0,     0,     0,     0,     0,  3657,  3658,     0,
    5385,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3667,     0,     0,  3668,     0,     0,     0,     0,     0,
       0,  3680,  3681,     0,     0,     0,     0,  3685,     0,     0,
       0,     0,     0,   884,  2594,     0,     0,     0,     0,  3692,
       0,     0,  3695,     0,     0,     0,     0,  3698,   884,     0,
       0,   884,   884,  3701,  3702,     0,     0,     0,     0,     0,
       0,  3708,     0,     0,     0,  3710,     0,     0,     0,  3717,
    3718,  3719,  3720,     0,  3722,     0,     0,     0,  1796,     0,
       0,     0,   884,   884,     0,   954,     0,     0,  3748,  3749,
       0,  3751,     0,     0,     0,     0,     0,   955,     0,     0,
       0,     0,  3761,  3762,  3763,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1797,     0,     0,  2080,  2522,     0,  2081,     0,
       0,     0,  2082,  2083,  2084,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,   955,     0,     0,  6130,  3815,
    2584,     0,     0,   955,     0,     0,     0,  3839,     0,     0,
    2585,   955,     0,     0,     0,     0,     0,  2586,     0,     0,
       0,     0,     0,     0,     0,     0,  3851,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2080,     0,  5522,
    2081,  5524,     0,  2587,  2082,  2083,  2084,     0,     0,   954,
       0,     0,   945,   945,     0,   955,   955,     0,     0,     0,
     884,     0,  2584,     0,     0,     0,     0,   945,     0,   955,
     945,     0,  2585,     0,     0,     0,  3919,     0,     0,  2586,
       0,     0,   955,   955,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3933,     0,  3935,     0,     0,
       0,     0,     0,     0,     0,  2587,     0,     0,     0,     0,
     954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     945,   954,     0,     0,   945,   945,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   886,     0,  2080,   954,     0,
    2081,     0,     0,   954,  2082,  2083,  2084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2588,     0,
       0,     0,  2584,  2589,     0,     0,  3434,     0,     0,     0,
       0,     0,  2585,     0,     0,     0,     0,     0,     0,  2586,
       0,     0,     0,     0,     0,     0,  2590,  2271,     0,     0,
       0,     0,  3997,     0,     0,  5652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2587,     0,     0,     0,  2591,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2588,     0,     0,     0,     0,  2589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1797,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2590,  2271,
    2331,     0,     0,     0,     0,     0,  3435,     0,     0,     0,
       0,     0,     0,     0,  2592,     0,     0,  2593,     0,     0,
       0,  2591,   954,     0,     0,     0,     0,     0,     0,     0,
     954,   954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2331,     0,     0,     0,     0,     0,     0,     0,
    2588,     0,     0,     0,     0,  2589,  2592,     0,     0,  2593,
       0,     0,     0,  1796,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2590,  2271,
       0,     0,     0,     0,  5765,     0,  5767,  2594,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2591,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   893,     0,     0,     0,   893,
     893,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2331,     0,     0,     0,     0,     0,     0,  2594,
       0,   887,     0,     0,     0,     0,  2592,     0,     0,  2593,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   893,  2522,
       0,     0,     0,     0,   893,     0,     0,     0,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,
       0,  6147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4249,     0,     0,   893,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2594,
       0,  2522,     0,  4262,     0,     0,     0,     0,     0,     0,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,
    4269,     0,     0,  6189,  4269,     0,     0,     0,     0,  4280,
    4281,  4282,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3436,     0,   954,     0,     0,  4312,  4313,  4314,  4315,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4331,     0,     0,     0,     0,
       0,  2522,     0,  4334,     0,  4338,  4339,  4340,     0,     0,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   884,     0,     0,     0,   884,   884,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2080,     0,     0,  2081,     0,     0,   954,  2082,  2083,
    2084,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   893,  2584,  6040,     0,     0,
       0,     0,     0,     0,     0,   884,  2585,     0,     0,     0,
       0,   884,  1796,  2586,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4423,     0,     0,     0,     0,     0,     0,
       0,     0,  4429,     0,     0,   954,     0,  1797,     0,  2587,
       0,     0,     0,   954,     0,     0,     0,     0,     0,     0,
       0,   954,   884,     0,     0,     0,     0,     0,  4439,  4440,
       0,     0,     0,  4441,     0,     0,     0,     0,   893,     0,
       0,   886,   893,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4483,     0,     0,     0,     0,
       0,     0,   955,     0,     0,   954,   954,   886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6118,     0,   954,
     955,     0,     0,     0,   955,     0,     0,     0,   955,     0,
       0,     0,   954,   954,     0,     0,     0,   955,     0,  4075,
       0,     0,     0,     0,     0,  4076,     0,  4520,  1096,  1096,
       0,     0,  4526,     0,     0,     0,   955,     0,  4532,     0,
       0,     0,     0,     0,  2588,     0,     0,     0,     0,  2589,
       0,     0,     0,   945,     0,   945,   945,     0,     0,     0,
       0,     0,     0,     0,     0,   893,     0,     0,  4571,     0,
     955,     0,  2590,  2271,     0,     0,     0,     0,     0,     0,
     893,     0,     0,     0,     0,   893,     0,     0,     0,     0,
     955,   955,     0,     0,     0,  2591,     0,  4586,     0,  4587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   893,     0,     0,     0,     0,
       0,  1797,   955,     0,     0,  1797,     0,     0,     0,     0,
     886,     0,  1096,     0,     0,     0,  2331,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
    2592,  1797,   884,  2593,     0,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1796,   955,
       0,     0,     0,     0,     0,     0,   955,     0,     0,   955,
       0,     0,     0,     0,     0,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   955,     0,     0,     0,     0,
       0,   955,     0,  2080,     0,     0,  2081,     0,   955,     0,
    2082,  2083,  2084,     0,     0,   884,     0,     0,     0,   884,
       0,     0,   955,     0,     0,     0,     0,     0,  2584,     0,
       0,     0,     0,  4077,     0,     0,   955,   887,  2585,     0,
       0,  1797,     0,     0,     0,  2586,     0,   955,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   887,     0,     0,     0,     0,     0,     0,
       0,  2587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1797,     0,     0,
     886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   884,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2522,     0,   884,     0,     0,
       0,     0,   884,     0,  2523,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,     0,   893,     0,     0,   893,     0,   893,
       0,     0,     0,     0,   893,     0,     0,     0,     0,     0,
       0,     0,   884,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2588,     0,     0,     0,
       0,  2589,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4820,     0,     0,  4827,   887,  4828,     0,     0,
       0,     0,     0,   893,  2590,  2271,     0,     0,     0,     0,
    4835,   893,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4841,     0,     0,     0,  4844,  2591,     0,     0,
       0,     0,     0,     0,     0,     0,   893,     0,     0,     0,
       0,     0,     0,     0,     0,  4870,     0,     0,     0,     0,
       0,     0,   955,     0,  1797,     0,     0,   886,     0,     0,
       0,     0,     0,  4874,     0,     0,     0,     0,  2331,  4878,
       0,   955,     0,     0,   889,     0,     0,     0,   955,     0,
       0,     0,  2592,     0,     0,   945,     0,   945,   945,     0,
       0,     0,     0,     0,  4913,     0,     0,     0,  4917,     0,
     889,     0,     0,     0,     0,     0,   893,     0,   893,     0,
       0,     0,     0,  4927,  4928,  4929,  4930,     0,     0,     0,
       0,     0,     0,  4934,  4935,  4936,  4937,     0,     0,     0,
       0,     0,  4939,  4940,     0,     0,     0,     0,  4947,  4948,
       0,  4950,  4951,  4952,  4953,  4954,  4955,  4956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4965,     0,   887,
       0,  4968,  4969,  4970,  4971,     0,     0,     0,     0,     0,
     887,  1797,     0,     0,     0,  2594,     0,  1797,     0,     0,
       0,     0,     0,     0,  2080,  4269,   887,  2081,     0,     0,
       0,  2082,  2083,  2084,     0,   890,     0,     0,     0,     0,
       0,     0,   893,  4991,     0,     0,     0,     0,     0,  2584,
       0,   884,     0,     0,   884,     0,   884,     0,     0,  2585,
       0,   884,     0,     0,     0,     0,  2586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   889,     0,     0,   893,     0,     0,     0,
       0,     0,  2587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   955,     0,     0,     0,     0,  1796,     0,     0,
     884,     0,     0,     0,   893,     0,     0,  2522,   884,  5072,
       0,     0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,     0,
       0,     0,     0,   884,     0,     0,     0,     0,     0,     0,
       0,     0,  4269,     0,   886,     0,     0,     0,     0,  5097,
       0,  5098,   954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     954,     0,   893,   887,   954,     0,     0,     0,   954,  5113,
       0,     0,     0,     0,     0,     0,     0,   954,     0,     0,
       0,     0,     0,     0,   893,     0,     0,  2588,     0,     0,
       0,     0,  2589,   884,     0,   884,   954,     0,     0,     0,
       0,   886,     0,     0,     0,     0,   893,     0,     0,     0,
       0,     0,     0,   955,   955,  2590,  2271,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   889,     0,     0,     0,
     954,     0,     0,     0,     0,     0,     0,   889,  2591,     0,
       0,   955,   886,     0,   955,     0,     0,     0,     0,     0,
     954,   954,     0,   889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   886,     0,     0,     0,  2331,
       0,  1796,   954,     0,     0,  1796,     0,     0,   893,   884,
       0,     0,     0,  2592,     0,     0,  2593,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   954,
       0,  1796,     0,     0,     0,   954,  1797,  1797,  1797,     0,
       0,  4697,     0,     0,     0,     0,     0,     0,     0,   954,
       0,     0,     0,   884,     0,     0,   954,   893,     0,   954,
       0,   955,     0,     0,     0,   954,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     955,   884,   893,     0,     0,   954,     0,     0,     0,     0,
       0,   954,     0,     0,     0,     0,     0,     0,   954,     0,
       0,     0,   955,     0,     0,     0,  2594,  5262,  5263,  5264,
       0,     0,   954,  5265,  5266,  5267,  5268,     0,     0,     0,
    5270,     0,     0,  4698,     0,     0,   954,     0,     0,     0,
     889,  1796,     0,     0,     0,     0,     0,   954,     0,     0,
     887,     0,     0,     0,     0,     0,     0,     0,     0,   884,
       0,     0,     0,     0,     0,     0,     0,     0,  5290,  5291,
    5292,  5293,  5294,     0,  5296,  5297,     0,     0,     0,     0,
       0,   884,     0,     0,     0,     0,  5306,  5307,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   886,     0,     0,
     955,     0,     0,   884,     0,     0,     0,  1796,   886,  1554,
       0,     0,     0,     0,     0,  1555,     0,   887,  2522,     0,
    5313,     0,  1621,     0,   886,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,
       0,     0,     0,     0,  1622,     0,     0,  1797,     0,     0,
     893,     0,     0,   955,     0,   955,     0,     0,   887,     0,
    1557,     0,     0,     0,     0,     0,     0,     0,   955,     0,
     955,     0,     0,     0,     0,     0,     0,     0,   886,     0,
       0,     0,     0,     0,     0,   884,     0,     0,     0,     0,
       0,   887,     0,   886,     0,  1623,   886,   886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1558,     0,     0,     0,
       0,     0,  5378,  1559,     0,     0,  1560,   886,   886,     0,
       0,     0,     0,     0,   884,     0,     0,   955,     0,     0,
       0,   893,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1561,     0,     0,     0,     0,     0,   884,
       0,     0,   954,     0,  1796,     0,     0,   893,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
       0,   954,     0,     0,     0,  1624,     0,  5429,   954,  1562,
       0,     0,     0,     0,     0,     0,     0,   889,   955,     0,
       0,   890,   955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5435,
       0,     0,     0,   955,     0,     0,     0,   890,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1625,     0,     0,     0,  1626,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1627,     0,   889,   886,  1564,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1565,     0,     0,     0,
       0,  1796,     0,   887,     0,  1566,     0,  1796,     0,     0,
       0,     0,     0,     0,   887,   958,  1628,  1567,     0,     0,
       0,     0,     0,     0,     0,   889,     0,   992,     0,   893,
     887,     0,   640,     0,     0,     0,     0,   884,  1011,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1797,     0,
       0,     0,     0,     0,     0,     0,  3686,     0,   889,  1569,
    1570,  1630,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   892,   893,     0,     0,     0,
       0,   893,     0,     0,   887,  1631,     0,     0,     0,     0,
     890,  3687,   954,     0,     0,     0,  5539,     0,     0,   887,
       0,     0,   887,   887,  2080,  1633,     0,  2081,     0,     0,
       0,  2082,  2083,  2084,     0,  5549,     0,     0,     0,     0,
       0,  5555,  5556,     0,     0,     0,     0,     0,   884,  2584,
       0,  5567,  4006,   887,   887,     0,     0,     0,  5569,  2585,
       0,     0,  2080,     0,     0,  2081,  2586,     0,     0,  2082,
    2083,  2084,     0,     0,   884,     0,     0,     0,     0,     0,
    1572,     0,     0,     0,     0,     0,     0,  2584,     0,     0,
       0,     0,  2587,     0,     0,  5622,  5623,  2585,     0,     0,
       0,     0,     0,     0,  2586,     0,     0,     0,  5631,     0,
    5633,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5647,     0,     0,     0,     0,
    2587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   954,   954,     0,     0,     0,   955,     0,
    4269,     0,     0,     0,     0,     0,   893,     0,  5681,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     889,   954,     0,   890,   954,     0,     0,     0,     0,     0,
       0,   889,     0,     0,   890,     0,     0,     0,     0,     0,
       0,   887,   894,     0,     0,     0,     0,   889,     0,  1797,
     890,     0,     0,     0,  1797,     0,  1797,  2588,     0,     0,
       0,     0,  2589,     0,     0,     0,   884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1797,     0,  5723,     0,     0,  2590,  2271,     0,     0,     0,
       0,     0,     0,     0,     0,  2588,  1796,  1796,  1796,     0,
    2589,   889,     0,     0,     0,     0,  5743,     0,  2591,     0,
       0,     0,     0,   884,     0,     0,   889,  5750,   884,   889,
     889,   954,     0,  2590,  2271,     0,   955,     0,     0,   955,
       0,   893,     0,     0,     0,     0,     0,     0,     0,     0,
     954,     0,     0,     0,     0,     0,  2591,     0,     0,  2331,
     889,   889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   954,  2592,     0,     0,  2593,  2080,     0,     0,
    2081,   893,     0,     0,  2082,  2083,  2084,     0,     0,     0,
       0,     0,     0,     0,     0,  5808,     0,  2331,     0,     0,
       0,     0,  2584,   893,     0,     0,     0,     0,     0,     0,
       0,  2592,  2585,     0,  2593,     0,     0,   890,     0,  2586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
     955,     0,  1031,     0,     0,     0,     0,     0,  1063,     0,
     955,     0,     0,     0,  2080,  2587,     0,  2081,     0,     0,
       0,  2082,  2083,  2084,     0,     0,     0,   955,     0,     0,
     954,     0,     0,     0,     0,  4269,  2594,     0,     0,  2584,
       0,     0,  4080,     0,     0,   893,     0,     0,     0,  2585,
       0,     0,     0,   884,     0,     0,  2586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   889,     0,
       0,     0,     0,     0,  2594,     0,     0,  1796,     0,     0,
       0,     0,  2587,   954,     0,   954,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   954,     0,
     954,  5907,     0,     0,     0,     0,     0,     0,   955,     0,
       0,  1797,     0,     0,     0,  5920,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2588,     0,     0,     0,     0,  2589,     0,   886,  2522,     0,
       0,   886,   886,     0,     0,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,  2590,  2271,
       0,     0,     0,     0,     0,     0,   893,   954,     0,     0,
       0,     0,     0,  5959,     0,  4015,  2522,     0,   884,  1368,
       0,  2591,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,     0,     0,  2080,  2588,  1391,  2081,
     886,     0,  2589,  2082,  2083,  2084,   886,     0,     0,   954,
       0,     0,     0,     0,     0,     0,     0,     0,   884,     0,
       0,  2584,  2331,     0,     0,  2590,  2271,     0,   954,     0,
       0,  2585,   954,     0,     0,     0,  2592,     0,  2586,  2593,
     884,     0,     0,     0,   890,     0,     0,   886,  2591,     0,
       0,     0,     0,   954,     0,     0,     0,     0,  4048,     0,
       0,     0,     0,     0,  2587,     0,     0,  6034,     0,     0,
    1449,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   892,     0,     0,     0,     0,     0,     0,     0,  2331,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6047,
     893,     0,     0,  2592,     0,     0,  2593,   892,     0,     0,
    6057,   890,   884,     0,     0,     0,     0,  1585,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2594,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   955,     0,
       0,     0,   890,     0,     0,     0,     0,     0,  1796,     0,
    4085,     0,     0,     0,     0,     0,     0,     0,     0,   893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2588,
       0,     0,     0,     0,  2589,   890,     0,     0,     0,     0,
       0,     0,   955,     0,     0,     0,  2594,     0,     0,     0,
       0,     0,     0,     0,   955,     0,     0,  2590,  2271,     0,
       0,     0,     0,  6124,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   887,     0,     0,     0,   887,   887,     0,
    2591,  2522,  1846,   884,     0,     0,     0,     0,   955,     0,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,
     892,     0,     0,     0,     0,     0,     0,   886,     0,     0,
       0,  1880,  1883,  1884,     0,     0,     0,     0,     0,     0,
       0,  2331,     0,     0,     0,     0,     0,     0,   894,     0,
       0,     0,     0,     0,     0,  2592,   887,     0,  2593,     0,
       0,   893,   887,     0,     0,     0,     0,     0,  2522,     0,
       0,     0,     0,     0,   894,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,  1797,  2080,     0,     0,
    2081,     0,     0,     0,  2082,  2083,  2084,     0,     0,     0,
     886,     0,     0,   887,   886,   955,     0,     0,   954,     0,
       0,     0,  2584,     0,     0,  4092,     0,     0,     0,     0,
       0,     0,  2585,     0,     0,     0,     0,     0,     0,  2586,
       0,     0,     0,     0,     0,     0,     0,   884,     0,     0,
    1368,     0,     0,     0,     0,     0,     0,   890,  2594,     0,
       0,     0,     0,     0,     0,  2587,     0,     0,   890,  1796,
       0,     0,     0,     0,  1796,     0,  1796,     0,  1368,     0,
       0,     0,     0,     0,   890,     0,     0,     0,     0,     0,
       0,     0,     0,   892,     0,     0,     0,     0,     0,     0,
    1796,   955,     0,   893,   892,     0,     0,     0,   893,   893,
       0,     0,     0,     0,     0,     0,   884,   886,     0,     0,
     892,     0,     0,     0,     0,     0,     0,   894,     0,     0,
       0,     0,   886,     0,     0,     0,     0,   886,   890,     0,
       0,     0,     0,     0,     0,     0,   954,     0,     0,   954,
     889,     0,     0,   890,   889,   889,   890,   890,     0,     0,
    2522,     0,     0,     0,     0,     0,     0,   886,     0,  2523,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,     0,
    2588,     0,     0,     0,     0,  2589,     0,   890,   890,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2590,  2271,
       0,     0,     0,   889,     0,     0,     0,     0,     0,   889,
       0,     0,   893,   887,     0,     0,   955,  2578,   955,     0,
       0,  2591,     0,     0,     0,     0,     0,     0,   884,   954,
     954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     889,     0,     0,     0,     0,     0,     0,   954,     0,     0,
       0,   893,  2331,     0,   955,     0,     0,   892,     0,     0,
       0,     0,     0,     0,   945,     0,  2592,     0,     0,  2593,
     894,     0,     0,     0,     0,     0,   887,     0,     0,     0,
     887,   894,     0,     0,     0,     0,     0,  2669,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   894,     0,     0,
       0,     0,     0,     0,  1797,   890,     0,     0,     0,   945,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   954,     0,
       0,  1796,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     884,     0,     0,     0,     0,   884,   884,     0,     0,  2594,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2787,     0,     0,     0,     0,     0,     0,     0,     0,  2810,
       0,     0,     0,   887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   886,     0,   887,   886,
       0,   886,     0,   887,     0,     0,   886,     0,     0,     0,
       0,  2848,     0,     0,     0,     0,     0,  2860,  2860,     0,
       0,  2860,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   887,  2878,     0,     0,  2881,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     889,     0,     0,     0,   894,   886,     0,     0,     0,     0,
       0,  2522,     0,   886,     0,     0,     0,     0,     0,   884,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   886,     0,
       0,     0,     0,  2934,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2954,     0,     0,
       0,     0,     0,     0,   892,     0,     0,     0,   884,     0,
       0,     0,     0,   889,     0,   955,     0,   889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
       0,     0,  2080,     0,     0,  2081,     0,     0,     0,  2082,
    2083,  2084,     0,     0,     0,     0,     0,     0,   886,     0,
     886,     0,     0,     0,     0,     0,     0,  2584,   954,     0,
       0,  1797,     0,     0,     0,     0,     0,  2585,     0,     0,
       0,   892,     0,     0,  2586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2587,     0,   954,     0,     0,     0,     0,  2976,     0,     0,
       0,     0,   892,     0,   954,     0,     0,     0,  2979,     0,
     889,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   889,     0,     0,     0,     0,
     889,     0,     0,     0,   886,   892,     0,     0,   954,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3023,  2860,  1797,     0,     0,     0,     0,     0,     0,     0,
     889,     0,   887,     0,     0,   887,     0,   887,     0,     0,
       0,     0,   887,     0,     0,  3058,     0,     0,   886,     0,
       0,     0,  3071,     0,     0,     0,     0,     0,     0,     0,
       0,   894,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2588,   886,     0,     0,     0,
    2589,     0,     0,     0,     0,     0,  1796,  1797,     0,   955,
       0,   887,     0,     0,     0,     0,     0,     0,     0,   887,
       0,     0,     0,  2590,  2271,   954,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   887,  3132,  2591,     0,   894,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1368,  1368,
       0,     0,     0,     0,     0,     0,   886,  2331,     0,   894,
       0,     0,     0,     0,     0,  3186,     0,     0,  3188,     0,
       0,  2592,     0,     0,  2593,     0,     0,     0,   886,     0,
       0,   954,     0,     0,   887,     0,   887,   892,     0,     0,
       0,     0,   894,     0,     0,     0,     0,     0,   892,     0,
       0,     0,     0,     0,   955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   892,     0,     0,   945,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   890,     0,     0,
       0,   890,   890,     0,     0,     0,     0,     0,     0,     0,
     886,     0,     0,     0,  2594,     0,     0,     0,   892,   889,
       0,     0,   889,     0,   889,     0,     0,     0,     0,   889,
     887,     0,     0,   892,     0,     0,   892,   892,     0,   945,
     945,     0,     0,     0,     0,     0,     0,  4631,     0,     0,
       0,     0,     0,     0,     0,     0,   954,     0,   954,   886,
     890,     0,     0,     0,     0,     0,   890,   892,   892,     0,
       0,     0,     0,     0,   887,     0,     0,     0,   889,     0,
       0,     0,     0,     0,   886,     0,   889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   955,     0,
       0,     0,   887,     0,   954,     0,     0,   890,     0,     0,
       0,   889,     0,     0,     0,     0,  2522,     0,     0,     0,
       0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,   894,     0,     0,     0,     0,     0,
       0,     0,     0,  2080,     0,   894,  2081,     0,     0,     0,
    2082,  2083,  2084,     0,  1796,     0,     0,     0,     0,     0,
       0,   894,     0,     0,     0,     0,     0,     0,  2584,     0,
     887,  4704,     0,     0,     0,     0,     0,     0,  2585,     0,
       0,   889,     0,   889,     0,  2586,     0,     0,     0,     0,
       0,     0,   887,  2080,     0,     0,  2081,     0,     0,     0,
    2082,  2083,  2084,     0,     0,   892,     0,     0,     0,     0,
       0,  2587,     0,     0,   887,   894,     0,     0,  2584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2585,     0,
     894,     0,     0,   894,   894,  2586,     0,  1797,     0,     0,
       0,     0,   886,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2587,     0,     0,   894,   894,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   889,     0,     0,
       0,     0,     0,  1797,     0,     0,     0,     0,     0,     0,
       0,   945,   945,     0,     0,     0,   887,     0,     0,     0,
       0,  1797,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   890,     0,     0,
       0,   889,     0,     0,     0,     0,  2588,     0,     0,     0,
       0,  2589,     0,   886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   887,     0,     0,     0,   889,
       0,     0,     0,     0,  2590,  2271,     0,  5147,     0,   886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     887,     0,     0,     0,     0,   954,  2588,  2591,     0,     0,
       0,  2589,     0,     0,  2080,     0,     0,  2081,     0,   954,
     890,  2082,  2083,  2084,   890,     0,     0,     0,     0,     0,
       0,     0,   894,     0,  2590,  2271,     0,     0,     0,  2584,
       0,     0,     0,     0,     0,     0,     0,   889,  2331,  2585,
       0,  1796,     0,     0,     0,     0,  2586,  2591,     0,     0,
       0,     0,  2592,     0,     0,  2593,     0,  2080,     0,   889,
    2081,     0,     0,     0,  2082,  2083,  2084,     0,     0,     0,
    3367,     0,  2587,     0,     0,     0,     0,     0,     0,     0,
    3372,   889,  2584,     0,     0,     0,     0,     0,  2331,     0,
       0,     0,  2585,     0,     0,     0,     0,     0,     0,  2586,
       0,     0,  2592,     0,     0,  2593,     0,     0,     0,  1449,
       0,     0,     0,     0,     0,     0,     0,   890,     0,     0,
       0,   886,     0,     0,     0,  2587,     0,     0,     0,     0,
       0,     0,   890,     0,     0,     0,     0,   890,     0,     0,
       0,     0,  1796,     0,     0,  2594,     0,     0,   887,     0,
       0,     0,     0,     0,     0,     0,  1449,  1449,     0,     0,
       0,     0,  5154,   889,     0,     0,     0,   890,   886,     0,
       0,     0,     0,   886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2588,     0,     0,
    1368,     0,  2589,     0,     0,  2594,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1796,     0,   954,
       0,     0,   889,     0,     0,  2590,  2271,     0,     0,     0,
       0,  5153,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   889,  2591,   887,
    2588,     0,     0,     0,     0,  2589,     0,  2522,     0,     0,
       0,     0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,   887,     0,     0,  2590,  2271,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2331,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2591,     0,  2592,     0,     0,  2593,  2522,     0,     0,
       0,     0,     0,     0,     0,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3587,     0,     0,     0,   886,     0,
       0,     0,  2331,  2080,   954,     0,  2081,     0,     0,  3609,
    2082,  2083,  2084,     0,     0,     0,  2592,     0,     0,  2593,
       0,     0,     0,     0,     0,     0,     0,     0,  2584,     0,
     954,  3637,     0,     0,     0,     0,     0,     0,  2585,     0,
       0,     0,     0,     0,     0,  2586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2594,     0,     0,     0,
       0,     0,     0,     0,     0,   889,     0,     0,     0,     0,
       0,  2587,     0,     0,     0,     0,     0,   887,     0,     0,
       0,     0,     0,     0,     0,     0,   890,     0,     0,   890,
       0,   890,     0,     0,     0,     0,   890,   892,     0,     0,
       0,   892,   892,     0,     0,     0,     0,     0,     0,  2594,
       0,     0,     0,     0,     0,     0,     0,  3715,  3716,     0,
       0,     0,     0,   886,   887,     0,     0,     0,     0,   887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5155,     0,     0,     0,     0,   890,     0,     0,   954,     0,
       0,     0,     0,   890,     0,     0,   889,     0,  2522,     0,
     892,     0,     0,   886,     0,     0,   892,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,   890,     0,
       0,     0,   889,     0,     0,   886,  2588,     0,     0,     0,
       0,  2589,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   892,     0,     0,
       0,  2522,     0,     0,  2590,  2271,     0,     0,     0,  3841,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,     0,
       0,     0,     0,     0,     0,     0,     0,  2591,     0,     0,
       0,     0,     0,     0,  2080,     0,     0,  2081,   890,     0,
     890,  2082,  2083,  2084,     0,     0,     0,   886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2584,
       0,     0,     0,     0,     0,     0,     0,     0,  2331,  2585,
       0,     0,     0,     0,   887,     0,  2586,  1796,     0,     0,
       0,     0,  2592,     0,   894,  2593,     0,     0,   894,   894,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   889,     0,     0,     0,     0,     0,
       0,     0,     0,  1796,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   890,     0,     0,     0,     0,     0,
       0,  1796,     0,     0,     0,     0,     0,   894,     0,     0,
       0,  1343,  1343,   894,     0,     0,     0,     0,     0,     0,
       0,   889,     0,     0,     0,     0,   889,     0,   886,     0,
       0,     0,     0,     0,     0,  2594,     0,     0,   890,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   894,     0,     0,     0,     0,   887,
       0,     0,     0,     0,     0,     0,   890,   892,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2588,     0,     0,
       0,     0,  2589,     0,     0,     0,     0,     0,     0,     0,
       0,  1343,     0,     0,     0,     0,     0,     0,     0,   887,
       0,     0,     0,     0,     0,  2590,  2271,     0,     0,     0,
       0,     0,  2533,     0,     0,     0,     0,     0,     0,     0,
       0,   887,     0,     0,     0,     0,     0,     0,  2591,     0,
       0,     0,     0,     0,   890,     0,     0,  2522,     0,     0,
     892,     0,     0,     0,   892,     0,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,     0,   890,     0,     0,     0,
       0,     0,   886,     0,     0,     0,     0,  2533,     0,  2331,
       0,     0,     0,     0,     0,     0,     0,     0,   890,     0,
       0,   889,     0,  2592,     0,     0,  2593,     0,     0,     0,
       0,     0,     0,   887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4146,
       0,     0,  1707,  1711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1449,   886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   892,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     890,     0,   892,     0,   894,     0,     0,   892,     0,     0,
       0,     0,     0,     0,     0,     0,  2594,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   892,     0,     0,
       0,     0,     0,     0,     0,     0,   889,     0,     0,   890,
       0,     0,     0,     0,   887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   890,     0,     0,   894,     0,     0,
       0,   894,     0,     0,     0,     0,   889,     0,     0,     0,
       0,     0,  5509,   886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   889,     0,
       0,     0,     0,     0,  2080,     0,     0,  2081,  2522,     0,
       0,  2082,  2083,  2084,     0,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,     0,     0,     0,  2584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2585,
       0,     0,     0,     0,     0,     0,  2586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     889,     0,  2587,     0,   894,     0,     0,     0,   887,     0,
       0,  2028,     0,     0,     0,     0,     0,     0,     0,   894,
       0,     0,     0,     0,   894,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
    2533,     0,     0,     0,     0,   886,     0,     0,     0,  2050,
     886,   886,   890,     0,   894,     0,     0,     0,     0,  4356,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2860,
       0,     0,     0,     0,     0,     0,     0,   887,  2069,  2070,
    2071,     0,  2073,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5683,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2540,     0,     0,   892,     0,     0,   892,
       0,   892,     0,     0,     0,     0,   892,  2588,     0,     0,
       0,   889,  2589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   890,     0,  2590,  2271,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   886,   892,     0,     0,  2591,   890,
       0,     0,     0,   892,     0,     0,     0,  2080,     0,     0,
    2081,     0,     0,     0,  2082,  2083,  2084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   892,   887,
       0,     0,  2584,     0,     0,     0,  2636,     0,     0,  2331,
    2648,  2653,  2585,   886,     0,     0,     0,     0,     0,  2586,
       0,     0,     0,  2592,     0,     0,  2593,     0,     0,     0,
    4487,  4488,  4489,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2587,     0,  4498,     0,     0,
       0,     0,     0,     0,     0,   889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   892,     0,
     892,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4523,  4525,     0,     0,     0,  4530,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   894,     0,     0,   894,     0,   894,     0,
       0,   890,     0,   894,     0,     0,  2594,     0,     0,     0,
       0,     0,     0,     0,   889,     0,     0,     0,     0,     0,
       0,   887,     0,     0,     0,     0,   887,   887,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2533,   890,     0,
    2588,     0,   894,   890,   892,  2589,     0,     0,     0,     0,
     894,     0,     0,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,     0,  3266,     0,     0,     0,     0,  2590,  2271,
       0,  1368,     0,     0,     0,   894,     0,     0,  2533,  2533,
    2533,     0,  2533,     0,     0,     0,     0,     0,   892,     0,
       0,  2591,     0,     0,     0,     0,     0,     0,  2522,     0,
       0,     0,     0,     0,     0,     0,     0,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,   892,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   889,     0,     0,     0,
     887,     0,  2331,  1707,  1707,  1707,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   894,  2592,   894,     0,  2593,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   887,
       0,     0,     0,     0,   892,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   890,     0,
       0,     0,     0,     0,     0,     0,   892,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   892,     0,
       0,     0,     0,     0,  4736,  4737,  4738,     0,     0,  2594,
       0,   894,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   889,     0,
       0,     0,     0,   889,   889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   894,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     892,     0,     0,   894,     0,     0,     0,     0,     0,     0,
       0,     0,   652,   890,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     653,  2522,     0,     0,     0,     0,     0,     0,     0,     0,
    2523,  2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,   892,
       0,     0,     0,   890,     0,   654,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   889,   655,     0,
       0,   894,     0,     0,   892,   890,     0,     0,     0,     0,
       0,     0,     0,     0,  -873,     0,     0,     0,     0,     0,
       0,     0,     0,   894,     0,     0,     0,     0,     0,     0,
       0,     0,   656,     0,     0,     0,     0,     0,   657,     0,
       0,     0,     0,     0,     0,   894,   889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   658,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   659,     0,     0,
       0,     0,     0,     0,     0,     0,   660,   890,     0,     0,
       0,     0,  3214,     0,     0,     0,     0,     0,     0,   661,
       0,  3231,  3231,  3231,  3240,  3246,  3248,  3231,   662,     0,
       0,  3253,   663,  3254,     0,  3256,     0,     0,  3270,  3273,
    3278,     0,     0,     0,     0,     0,  3287,     0,     0,  3292,
       0,     0, -1079,     0,     0,     0,     0,   894,     0,     0,
       0,     0,     0,     0,  3299,  3300,  3301,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3302,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   892,     0,     0,     0,     0,   664,     0,  2533,
       0,     0,     0,     1,     0,     0,   894,  -608,     0,     0,
       0,  5001,     0,     0,     2,     0,     3,     4,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   890,     0,
       0,   894,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5033,     6,     0,     0,     0,   665,     0,
       0,   666,     0,     0,     0,     0,     7,     0,     8,     9,
       0,     0,     0,     0,     0,    10,     0,    11,     0,     0,
       0,     0,   667,     0,     0,  3071,     0,     0,     0,    12,
       0,    13,     0,   892,     0,     0,   668,     0,     0,     0,
       0,     0,     0,  -461,     0,  2533,     0,     0,    14,     0,
       0,    15,     0,     0,     0,     0,     0,  2533,     0,   892,
    5091,     0,  2533,   669,     0,     0,    16,     0,    17,     0,
       0,     0,    18,   670,     0,     0,  3310,  3132,  5661,     0,
    -461,     0,     0,   671,     0,     0,    20,     0,    21,     0,
       0,     0,     0,     0,     0,    22,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,     0,     0,   673,
       0,     0,   890,    23,     0,     0,  -461,     0,     0,   674,
     675,     0,   676,   677,     0,  3329,     0,     0,     0,     0,
      24,     0,     0,     0,     0,     0,     0,     0,   678,   894,
       0,     0,     0,     0,     0,   679,     0,     0,   680,     0,
       0,   681,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -461,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3331,    25,
      26,   890,     0,     0,     0,    27,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    28,
       0,   892,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    29,     0,  5190,
    5191,  5192,  5193,     0,     0,     0,     0,     0,     0,     0,
     894,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   892,     0,
       0,     0,     0,   892,     0,     0,   894,     0,     0,     0,
       0,    30,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    31,     0,     0,     0,     0,
       0,    32,    33,     0,    34,     0,     0,     0,     0,    35,
       0,     0,  4561,     0,     0,    36,     0,     0,    37,     0,
       0,     0,     0,   890,     0,    38,     0,     0,     0,     0,
       0,     0,    39,    40,     0,     0,     0,     0,     0,     0,
      41,     0,     0,     0,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    43,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      44,     0,     0,     0,     0,  3338,  3339,  3340,  3341,  3342,
    3343,  3344,  3345,  3346,     0,  3347,     0,     0,     0,     0,
      45,     0,     0,     0,     0,     0,  1343,     0,  1707,     0,
       0,    46,     0,     0,     0,     0,     0,    47,     0,     0,
       0,     0,    48,     0,     0,     0,     0,     0,   894,     0,
       0,     0,     0,     0,     0,    49,     0,     0,   892,     0,
       0,     0,     0,     0,     0,     0,  3302,     0,     0,     0,
    3310,     0,     0,  3329,     0,  3331,     0,     0,  3384,    50,
       0,     0,     0,     0,     0,   890,     0,     0,     0,     0,
     890,   890,     0,     0,     0,   894,     0,     0,    56,     0,
     894,  -136,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   701,     0,
       0,     0,     0,   702,     0,     0,     0,     0,     0,     0,
       0,  2070,  2071,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   703,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   704,     0,     0,     0,     0,     0,
       0,     0,     0,   892,     0,     0,     0,     0,     0,     0,
     705,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   890,     0,     0,     0,   706,     0,
       0,     0,     0,     0,  5407,  3529,     0,     0,     0,     0,
       0,     0,     0,   892,     0,  5417,     0,     0,     0,     0,
       0,     0,   707,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   708,     0,   892,     0,     0,     0,     0,
       0,     0,   709,   890,     0,   894,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   710,     0,     0,     0,     0,
       0,   711,     0,  2533,     0,     0,     0,     0,   712,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,   713,  2533,
       0,     0,     0,     0,     0,  2533,     0,  2533,     0,     0,
       0,     0,  2533,  2533,     0,  2533,     0,   892,     0,     0,
    3266,  3266,     0,  4071,     0,  3266,     0,     0,     0,  2533,
       0,     0,  2533,     0,     0,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,  2533,     0,   714,     0,     0,     0,     0,  2533,  2533,
    2533,  2533,     0,     0,     0,     0,  3266,  3266,     0,  2533,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     894,     0,     0,     0,     0,     0,     0,     0,  2533,     0,
    2533,     0,     0,     0,   715,     0,     0,  2533,  2533,  2533,
    2533,  2533,  2533,  2533,  2533,  2533,  2533,   716,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   717,     0,
     894,     0,     0,     0,     0,     0,     0,     0,   213,   718,
       0,     0,   719,     0,     0,   197,     0,     0,   892,     0,
       0,     0,   894,  2533,     0,     0,     0,     0,     0,     0,
       0,  3773,  3774,  1707,     0,     0,     0,  3778,     0,   720,
       0,     0,   721,     0,     0,     0,   722,     0,     0,   723,
       0,     0,     0,     0,     0,     0,   724,     0,     0,   725,
       0,     0,     0,     0,  3807,     0,   198,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   726,  5606,
       0,     0,   199,     0,  1368,   727,     0,     0,     0,     0,
       0,     0,   728,     0,   894,   729,     0,     0,     0,   730,
     200,     0,     0,  5636,     0,     0,   201,   731,     0,   732,
       0,     0,     0,     0,   733,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   202,     0,     0,   734,     0,     0,
       0,     0,     0,     0,     0,   203,     0,     0,     0,     0,
     735,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,   892,     0,     0,     0,     0,   205,     0,     0,
       0,     0,     0,   206,     0,     0,     0,     0,  2533,     0,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   894,     0,     0,     0,     0,
       0,   892,     0,   209,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5740,     0,     0,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4002,     0,     0,     0,     0,  4008,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     213,   214,     0,     0,   215,  2073,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3278,     0,  3278,  3278,
       0,     0,     0,   892,  5815,     0,     0,     0,     0,   894,
       0,   216,  4095,     0,   217,  4098,     0,  4100,   218,     0,
       0,   219,     0,     0,     0,     0,     0,     0,   220,     0,
       0,   221,  5837,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,  4125,     0,  4128,   223,  4130,     0,
       0,     0,   224,     0,   225,     0,     0,   226,     0,     0,
       0,   227,  2533,  2533,     0,     0,     0,  2533,   894,     0,
       0,   228,     0,     0,     0,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   230,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,     0,   231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   892,     0,     0,     0,     0,
     892,   892,     0,     0,     0,     0,     0,     0,     0,     0,
    4197,     0,     0,     0,     0,  2636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2653,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     894,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4247,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   892,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,   892,     0,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   894,     0,     0,     0,     0,   894,   894,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4071,  4071,     0,     0,  3266,  3266,  3266,  3266,     0,
       0,  3266,  3266,  3266,  3266,  3266,  3266,  3266,  3266,  3266,
    3266,  4071,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,     0,     0,  2533,     0,  2533,
       0,     0,  4071,  4071,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,  3266,  3266,  2533,     0,  2533,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   894,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1707,     0,     0,     0,     0,  2533,  1707,     0,     0,
     894,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4510,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4632,     0,     0,     0,     0,
       0,     0,     0,     0,  4636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3231,     0,
       0,     0,  3231,  3231,     0,     0,     0,     0,  3246,     0,
       0,     0,     0,     0,     0,     0,  3266,     0,  4658,     0,
    4659,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4681,  4682,  4683,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,     0,     0,     0,     0,  3287,     0,     0,     0,
       0,     0,     0,     0,  4707,     0,     0,  4710,     0,  4712,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4716,     0,     0,     0,     0,
       0,     0,     0,  4723,  4724,     0,     0,     0,     0,     0,
    4729,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,     0,     0,  2533,     0,  4781,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4795,     0,     0,  2533,  2533,     0,
       0,     0,     0,  4071,  4071,  4071,  4071,     0,     0,     0,
    4071,  4071,  4071,  4071,  4071,  4071,  4071,  4071,  4071,  4071,
    2533,  2533,  2533,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,  2533,
       0,  2533,     0,     0,     0,  2533,     0,     0,  4071,  4071,
       0,     0,  2533,  2533,     0,     0,     0,     0,  2533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2533,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5079,  5080,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5087,     0,     0,     0,     0,     0,     0,
       0,  4071,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5130,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2636,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,  2533,
       0,     0,     0,     0,  5149,     0,  2533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5168,  5170,     0,     0,     0,     0,  2533,
    5174,  5175,     0,     0,     0,  5176,     0,     0,     0,     0,
    5177,     0,     0,  5180,  5181,     0,     0,     0,  2533,  3266,
    5186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2533,     0,  2533,
       0,     0,     0,  2533,  2533,  2533,  2533,     0,     0,  2533,
    2533,     0,     0,     0,     0,  2533,     0,     0,     0,     0,
       0,     0,     0,  5220,     0,     0,     0,     0,     0,     0,
       0,  3266,     0,     0,  1343,     0,     0,     0,     0,     0,
       0,     0,  5234,     0,     0,     0,     0,     0,     0,  2533,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5244,  2533,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2533,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,     0,
    2533,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5309,     0,     0,     0,
       0,     0,     0,  5311,     0,  2533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5346,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,     0,
    4071,  3266,  2533,  2533,  2533,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2533,  2533,  2533,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3266,     0,     0,  4071,     0,     0,     0,  2533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5439,
       0,     0,     0,     0,     0,  5443,  5444,  5445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5458,  5459,     0,     0,  5460,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5479,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5512,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4071,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4071,     0,  3266,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2533,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2533,     0,     0,
       0,     0,     0,     0,  2533,     0,     0,     0,  3287,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,     0,
       0,     0,  2073,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5757,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3266,  3266,     0,
       0,     0,     0,     0,     0,  5792,     0,     0,     0,     0,
       0,  2533,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2533,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4071,
    4071,     0,     0,     0,     0,  5858,     0,     0,     0,     0,
       0,     0,     0,     0,  5865,  5865,  5865,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5497,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5909,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5865,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6022,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6064,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5865,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,     0,  1250,   696,     0,  1251,  1252,  1253,   757,
    1254,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1701,   244,   245,
     246,     0,     0,     0,     0,  1255,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1256,   260,  1257,  1258,     0,   263,   264,   265,   266,
     267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,
       0,   275,   276,   277,   278,  1263,     0,  1264,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,  1707,   297,   298,   299,
     300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,
     304,   305,   306,   307,  1272,  1273,   310,  1274,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,  1702,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,  1275,   339,   340,   341,   342,  1276,  1277,   344,
       0,   345,   346,   347,  1278,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
    1279,     0,  1280,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1281,  1282,     0,  1283,     0,   392,   393,
     394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,
     404,   405,   406,   407,   408,   409,     0,     0,   410,  1291,
     412,   413,   414,     0,   415,   416,   417,  1292,  1293,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1294,   437,  1295,
     439,   440,   441,   442,   443,   444,   445,   446,  1296,   448,
    1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,   456,
     457,   458,     0,   459,   460,     0,     0,  1301,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,  1302,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,  1303,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,  1304,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,  1305,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,  1306,   541,   542,   543,   544,   545,
     546,   547,   548,  1307,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1308,
     565,     0,   566,   567,  1309,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,  1310,  1311,     0,     0,   578,
     579,  1312,   581,  1313,  1314,   583,   584,   585,   586,   587,
     588,   589,   590,     0,  1315,   591,   592,   593,   594,   595,
    1316,     0,   596,   597,   598,   599,   600,   601,  1317,  1703,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,  1318,  1319,
    1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,
     629,     0,  1326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1327,  1328,  1704,     0,     0,     0,
       0,     0,     0,  1330,  1705,   234,     0,  1250,   696,     0,
    1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1255,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1256,   260,  1257,  1258,     0,
     263,   264,   265,   266,   267,   268,   269,  1259,  1260,   270,
     271,  1261,  1262,   274,     0,   275,   276,   277,   278,  1263,
       0,  1264,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,
    1270,  1271,   302,   303,   304,   305,   306,   307,  1272,  1273,
     310,  1274,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     866,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,  1275,   339,   340,   341,
     342,  1276,  1277,   344,     0,   345,   346,   347,  1278,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,  1279,     0,  1280,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,  1281,  1282,     0,
    1283,     0,   392,   393,   394,   395,   396,  1284,  1285,  1286,
    1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,   409,
       0,     0,   410,  1291,   412,   413,   414,     0,   415,   416,
     417,  1292,  1293,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1294,   437,  1295,   439,   440,   441,   442,   443,   444,
     445,   446,  1296,   448,  1297,   449,   450,   451,   452,  1298,
    1299,   454,  1300,   456,   457,   458,     0,   459,   460,     0,
       0,  1301,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,  1302,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,  1303,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,  1304,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   520,   521,   522,   523,
     524,  1305,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,    40,   536,   537,   538,   539,   540,  1306,   541,
     542,   543,   544,   545,   546,   547,   548,  1307,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1308,   565,     0,   566,   567,  1309,    44,
     568,   569,   570,   571,   572,   573,   574,     0,   575,  1310,
    1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,   583,
     584,   585,   586,   587,   588,   589,   590,     0,  1315,   591,
     592,   593,   594,   595,  1316,     0,   596,   597,   598,   599,
     600,  1185,  1317,     0,   603,   604,   605,   606,   607,   608,
       0,     0,   609,     0,    49,   610,   611,   612,   613,   614,
     615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,
    1325,   626,   627,   628,   629,     0,  1326,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1327,  1328,
       0,     0,     0,     0,     0,     0,     0,  1330,  5717,   234,
       0,  1250,   696,     0,  1251,  1252,  1253,   757,  1254,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1255,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1256,
     260,  1257,  1258,     0,   263,   264,   265,   266,   267,   268,
     269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,
     276,   277,   278,  1263,     0,  1264,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1265,
    1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,
     306,   307,  1272,  1273,   310,  1274,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1275,   339,   340,   341,   342,  1276,  1277,   344,     0,   345,
     346,   347,  1278,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1279,     0,
    1280,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1281,  1282,     0,  1283,     0,   392,   393,   394,   395,
     396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1291,   412,   413,
     414,     0,   415,   416,   417,  1292,  1293,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1294,   437,  1295,   439,   440,
     441,   442,   443,   444,   445,   446,  1296,   448,  1297,   449,
     450,   451,   452,  1298,  1299,   454,  1300,   456,   457,   458,
       0,   459,   460,     0,     0,  1301,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,  1302,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
    1303,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,  1304,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,  1305,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,  1306,   541,   542,   543,   544,   545,   546,   547,
     548,  1307,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1308,   565,     0,
     566,   567,  1309,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,  1310,  1311,     0,     0,   578,   579,  1312,
     581,  1313,  1314,   583,   584,   585,   586,   587,   588,   589,
     590,     0,  1315,   591,   592,   593,   594,   595,  1316,     0,
     596,   597,   598,   599,   600,   601,  1317,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,
     621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,
    1326,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1327,  1328,     0,     0,     0,     0,     0,     0,
       0,  1330,  3268,   234,     0,  1250,   696,     0,  1251,  1252,
    1253,   757,  1254,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1255,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1256,   260,  1257,  1258,     0,   263,   264,
     265,   266,   267,   268,   269,  1259,  1260,   270,   271,  1261,
    1262,   274,     0,   275,   276,   277,   278,  1263,     0,  1264,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,
     302,   303,   304,   305,   306,   307,  1272,  1273,   310,  1274,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   866,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,  1275,   339,   340,   341,   342,  1276,
    1277,   344,     0,   345,   346,   347,  1278,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,  1279,     0,  1280,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,  1281,  1282,     0,  1283,     0,
     392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,
    1289,  1290,   404,   405,   406,   407,   408,   409,     0,     0,
     410,  1291,   412,   413,   414,     0,   415,   416,   417,  1292,
    1293,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1294,
     437,  1295,   439,   440,   441,   442,   443,   444,   445,   446,
    1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,   454,
    1300,   456,   457,   458,     0,   459,   460,     0,     0,  1301,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
    1302,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,  1303,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,  1304,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,  1305,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,  1306,   541,   542,   543,
     544,   545,   546,   547,   548,  1307,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1308,   565,     0,   566,   567,  1309,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,  1310,  1311,     0,
       0,   578,   579,  1312,   581,  1313,  1314,   583,   584,   585,
     586,   587,   588,   589,   590,     0,  1315,   591,   592,   593,
     594,   595,  1316,     0,   596,   597,   598,   599,   600,   601,
    1317,     0,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
    1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,
     627,   628,   629,     0,  1326,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1327,  1328,     0,     0,
       0,     0,     0,     0,     0,  1330,  4660,   234,     0,  1250,
     696,     0,  1251,  1252,  1253,   757,  1254,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1255,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1256,   260,  1257,
    1258,     0,   263,   264,   265,   266,   267,   268,   269,  1259,
    1260,   270,   271,  1261,  1262,   274,     0,   275,   276,   277,
     278,  1263,     0,  1264,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1265,  1266,  1267,
    1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,   307,
    1272,  1273,   310,  1274,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1275,   339,
     340,   341,   342,  1276,  1277,   344,     0,   345,   346,   347,
    1278,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1279,     0,  1280,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1281,
    1282,     0,  1283,     0,   392,   393,   394,   395,   396,  1284,
    1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1291,   412,   413,   414,     0,
     415,   416,   417,  1292,  1293,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1294,   437,  1295,   439,   440,   441,   442,
     443,   444,   445,   446,  1296,   448,  1297,   449,   450,   451,
     452,  1298,  1299,   454,  1300,   456,   457,   458,     0,   459,
     460,     0,     0,  1301,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,  1302,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,  1303,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,  1304,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,  1305,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
    1306,   541,   542,   543,   544,   545,   546,   547,   548,  1307,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1308,   565,     0,   566,   567,
    1309,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,  1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,
    1314,   583,   584,   585,   586,   587,   588,   589,   590,     0,
    1315,   591,   592,   593,   594,   595,  1316,     0,   596,   597,
     598,   599,   600,   601,  1317,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,
    1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,     0,
       0,     0,     0,     0,   637,     0,     0,     0,     0,     0,
    1327,  1328,     0,     0,     0,     0,     0,     0,     0,  1330,
    4726,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,  4175,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
   -1817,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0, -1817,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
   -1817,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395, -1817,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411, -1817,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436, -1817,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,     0,   449,   450,     0,   452,     0,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,   466,     0,   468,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518, -1817,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,     0,   541,   542,
     543,   544,   545,     0,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,     0,     0,   568,
       0,   570,   571,   572,   573,   574,     0,   575,   576,   577,
       0,     0,   578,   579,   580,   581,   582,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,     0,   596,   597,   598,   599,   600,
     601,   602,     0,   603,     0,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,     0,     0,     0,     0,     0,
       0,   858,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1442,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   859,   260,   860,   861,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   862,   863,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,     0,     0,     0,   301,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   864,   865,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,     0,   339,   340,   341,   342,     0,     0,   344,
       0,   345,   346,   347,   867,   349,     0,   350,     0,   351,
     352,   353,     0,   354,   355,   356,   357,   358,     0,   359,
       0,     0,     0,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,  2679,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,  2680,   385,
     386,   387,   388,   868,   869,     0,   870,     0,   392,   393,
     394,   395,   396,   871,     0,     0,     0,     0,     0,     0,
     404,   405,   406,   407,   408,   409,     0,     0,   410,     0,
     412,   413,   414,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   872,   437,   873,
     439,   440,   441,   442,   443,   444,   445,     0,     0,   448,
       0,   449,   450,   451,   452,     0,     0,   454,   874,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,  2682,   467,   468,   469,     0,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,     0,   484,     0,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   875,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,     0,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,  2683,   544,   545,
     546,   547,   548,   877,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     565,     0,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   878,   879,     0,     0,   578,
     579,     0,   581,     0,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,     0,   880,  2684,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,     0,   858,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   627,   628,
     629,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,  2781,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   859,   260,
     860,   861,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   862,   863,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   864,   865,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,     0,
     339,   340,   341,   342,     0,     0,   344,     0,   345,   346,
     347,   867,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,     0,     0,     0,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,  2679,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,  2680,   385,   386,   387,   388,
     868,   869,     0,   870,     0,   392,   393,   394,   395,   396,
     871,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,     0,     0,   410,     0,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   872,   437,   873,   439,   440,   441,
     442,   443,   444,   445,     0,     0,   448,     0,   449,   450,
     451,   452,     0,     0,   454,   874,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,  2682,   467,   468,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,     0,
     484,     0,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   875,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,     0,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,  2683,   544,   545,   546,   547,   548,
     877,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   878,   879,     0,     0,   578,   579,     0,   581,
       0,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,     0,   880,  2684,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,     0,   234,     0,  1250,   696,     0,
    1251,  1252,  1253,   757,  1254,   627,   628,   629,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1255,
       0,  3896,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1256,   260,  1257,  1258,     0,
     263,   264,   265,   266,   267,   268,   269,  1259,  1260,   270,
     271,  1261,  1262,   274,     0,   275,   276,   277,   278,  1263,
       0,  1264,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,
    1270,  1271,   302,   303,   304,   305,   306,   307,  1272,  1273,
     310,  1274,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     866,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,  1275,   339,   340,   341,
     342,  1276,  1277,   344,     0,   345,   346,   347,  1278,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,  1279,     0,  1280,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,  1281,  1282,     0,
    1283,     0,   392,   393,   394,   395,   396,  1284,  1285,  1286,
    1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,   409,
       0,     0,   410,  1291,   412,   413,   414,     0,   415,   416,
     417,  1292,  1293,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1294,   437,  1295,   439,   440,   441,   442,   443,   444,
     445,   446,  1296,   448,  1297,   449,   450,   451,   452,  1298,
    1299,   454,  1300,   456,   457,   458,     0,   459,   460,     0,
       0,  1301,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,  1302,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,  1303,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,  1304,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,  3233,   517,   518,   519,   520,   521,   522,   523,
     524,  1305,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,    40,   536,   537,   538,   539,   540,  1306,   541,
     542,   543,   544,   545,   546,   547,   548,  1307,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1308,   565,     0,   566,   567,  1309,    44,
     568,   569,   570,   571,   572,   573,   574,     0,   575,  1310,
    1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,   583,
     584,   585,   586,   587,   588,   589,   590,     0,  1315,   591,
     592,   593,   594,   595,  1316,     0,   596,   597,   598,   599,
     600,  1185,  1317,     0,   603,   604,   605,   606,   607,   608,
       0,     0,   609,     0,    49,   610,   611,   612,   613,   614,
     615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,
    1325,   626,   627,   628,   629,     0,  1326,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1327,  1328,
       0,     0,     0,   234,     0,  1250,   696,  1330,  1251,  1252,
    1253,   757,  1254,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1255,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1256,   260,  1257,  1258,     0,   263,   264,
     265,   266,   267,   268,   269,  1259,  1260,   270,   271,  1261,
    1262,   274,     0,   275,   276,   277,   278,  1263,     0,  1264,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,     0,   291,   292,   293,   294,   295,   296,     0,   297,
     298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,
     302,   303,   304,   305,   306,   307,  1272,  1273,   310,  1274,
     311,     0,   312,   313,   314,   315,   316,   317,   318,     0,
     319,   320,   321,   322,     0,     0,   323,   324,   866,   326,
     327,     0,   328,   329,   330,     0,   331,   332,   333,     0,
     334,   335,   336,   337,  1275,   339,   340,   341,   342,  1276,
    1277,   344,     0,   345,   346,   347,  1278,   349,     0,   350,
       0,   351,   352,   353,     0,   354,   355,   356,   357,   358,
       0,   359,  1279,     0,  1280,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,  1281,  1282,     0,  1283,     0,
     392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,
    1289,  1290,   404,   405,   406,   407,   408,   409,     0,     0,
     410,  1291,   412,   413,   414,     0,   415,   416,   417,  1292,
    1293,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1294,
     437,  1295,   439,   440,   441,   442,   443,   444,   445,   446,
    1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,   454,
    1300,   456,   457,   458,     0,   459,   460,     0,     0,  1301,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
    1302,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,     0,   481,   482,  1303,   484,   485,   486,   487,   488,
       0,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,  1304,   500,   501,   502,   503,     0,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
       0,   517,   518,   519,   520,   521,   522,   523,   524,  1305,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
      40,   536,   537,   538,   539,   540,  1306,   541,   542,   543,
     544,   545,   546,   547,   548,  1307,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,  1308,   565,     0,   566,   567,  1309,    44,   568,   569,
     570,   571,   572,   573,   574,     0,   575,  1310,  1311,     0,
       0,   578,   579,  1312,   581,  1313,  1314,   583,   584,   585,
     586,   587,   588,   589,   590,     0,  1315,   591,   592,   593,
     594,   595,  1316,     0,   596,   597,   598,   599,   600,  1185,
    1317,     0,   603,   604,   605,   606,   607,   608,     0,     0,
     609,     0,    49,   610,   611,   612,   613,   614,   615,   616,
    1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,
     627,   628,   629,     0,  1326,     0,    50,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1327,  1328,     0,     0,
       0,   234,     0,  1250,   696,  1330,  1251,  1252,  1253,   757,
    1254,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1255,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1256,   260,  1257,  1258,  3274,   263,   264,   265,   266,
     267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,
       0,   275,   276,   277,   278,  1263,     0,  1264,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,   297,   298,   299,
     300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,
     304,   305,   306,   307,  1272,  1273,   310,  1274,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   866,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,  1275,   339,   340,   341,   342,  1276,  1277,   344,
       0,   345,   346,   347,  1278,   349,     0,   350,     0,   351,
     352,   353,  3275,   354,   355,   356,   357,   358,     0,   359,
    1279,     0,  1280,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,  1281,  1282,     0,  1283,     0,   392,   393,
     394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,
     404,   405,   406,   407,   408,   409,     0,  3276,   410,  1291,
     412,   413,   414,     0,   415,   416,   417,  1292,  1293,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1294,   437,  1295,
     439,   440,   441,   442,   443,   444,   445,   446,  1296,   448,
    1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,   456,
     457,   458,     0,   459,   460,     0,     0,  1301,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,  1302,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,  1303,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,  1304,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,   519,   520,   521,   522,   523,   524,  1305,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,  1306,   541,   542,   543,   544,   545,
     546,   547,   548,  1307,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,  1308,
     565,     0,   566,   567,  1309,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,  1310,  1311,     0,  3277,   578,
     579,  1312,   581,  1313,  1314,   583,   584,   585,   586,   587,
     588,   589,   590,     0,  1315,   591,   592,   593,   594,   595,
    1316,     0,   596,   597,   598,   599,   600,   601,  1317,     0,
     603,   604,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,  1318,  1319,
    1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,
     629,     0,  1326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1327,  1328,     0,     0,     0,   234,
       0,  1250,   696,  1330,  1251,  1252,  1253,   757,  1254,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243, -2228,   244,   245,   246,     0,
       0,     0, -2228,  1255,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1256,
     260,  1257,  1258,     0,   263,   264,   265,   266,   267,   268,
     269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,
     276,   277,   278,  1263,     0,  1264,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1265,
    1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,
     306,   307,  1272,  1273,   310,  1274,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1275,   339,   340,   341,   342,  1276,  1277,   344,     0,   345,
     346,   347,  1278,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1279,     0,
    1280,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1281,  1282,     0,  1283,     0,   392,   393,   394,   395,
     396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1291,   412,   413,
     414,     0,   415,   416,   417,  1292,  1293,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1294,   437,  1295,   439,   440,
     441,   442,   443,   444,   445,   446,  1296,   448,  1297,   449,
     450,   451,   452,  1298,  1299,   454,  1300,   456,   457,   458,
       0,   459,   460,     0,     0,  1301,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,  1302,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
    1303,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,  1304,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,  1305,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,  1306,   541,   542,   543,   544,   545,   546,   547,
     548,  1307,   550, -2228,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1308,   565,     0,
     566,   567,  1309,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,  1310,  1311,     0,     0,   578,   579,  1312,
     581,  1313,  1314,   583,   584,   585,   586,   587,   588,   589,
     590,     0,  1315,   591,   592,   593,   594,   595,  1316,     0,
     596,   597,   598,   599,   600,   601,  1317,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,
     621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,
    1326,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1327,  1328,     0,     0,     0,   234,     0,  1250,
     696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243, -2226,   244,   245,   246,     0,     0,     0,
   -2226,  1255,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1256,   260,  1257,
    1258,     0,   263,   264,   265,   266,   267,   268,   269,  1259,
    1260,   270,   271,  1261,  1262,   274,     0,   275,   276,   277,
     278,  1263,     0,  1264,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,  1265,  1266,  1267,
    1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,   307,
    1272,  1273,   310,  1274,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,  1275,   339,
     340,   341,   342,  1276,  1277,   344,     0,   345,   346,   347,
    1278,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,  1279,     0,  1280,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,  1281,
    1282,     0,  1283,     0,   392,   393,   394,   395,   396,  1284,
    1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,
     408,   409,     0,     0,   410,  1291,   412,   413,   414,     0,
     415,   416,   417,  1292,  1293,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1294,   437,  1295,   439,   440,   441,   442,
     443,   444,   445,   446,  1296,   448,  1297,   449,   450,   451,
     452,  1298,  1299,   454,  1300,   456,   457,   458,     0,   459,
     460,     0,     0,  1301,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,  1302,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,  1303,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,  1304,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,  1305,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
    1306,   541,   542,   543,   544,   545,   546,   547,   548,  1307,
     550, -2226,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,  1308,   565,     0,   566,   567,
    1309,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,  1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,
    1314,   583,   584,   585,   586,   587,   588,   589,   590,     0,
    1315,   591,   592,   593,   594,   595,  1316,     0,   596,   597,
     598,   599,   600,   601,  1317,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,
    1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1327,  1328,     0,     0,     0,   234,     0,  1250,   696,  1330,
    1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1255,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1256,   260,  1257,  1258,     0,
     263,   264,   265,   266,   267,   268,   269,  1259,  1260,   270,
     271,  1261,  1262,   274,     0,   275,   276,   277,   278,  1263,
       0,  1264,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,     0,   291,   292,   293,   294,   295,   296,
       0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,
    1270,  1271,   302,   303,   304,   305,   306,   307,  1272,  1273,
     310,  1274,   311,     0,   312,   313,   314,   315,   316,   317,
     318,     0,   319,   320,   321,   322,     0,     0,   323,   324,
     866,   326,   327,     0,   328,   329,   330,     0,   331,   332,
     333,     0,   334,   335,   336,   337,  1275,   339,   340,   341,
     342,  1276,  1277,   344,     0,   345,   346,   347,  1278,   349,
       0,   350,     0,   351,   352,   353,     0,   354,   355,   356,
     357,   358,     0,   359,  1279,     0,  1280,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,  1281,  1282,     0,
    1283,     0,   392,   393,   394,   395,   396,  1284,  1285,  1286,
    1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,   409,
       0,     0,   410,  1291,   412,   413,   414,     0,   415,   416,
     417,  1292,  1293,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1294,   437,  1295,   439,   440,   441,   442,   443,   444,
     445,   446,  1296,   448,  1297,   449,   450,   451,   452,  1298,
    1299,   454,  1300,   456,   457,   458,     0,   459,   460,     0,
       0,  1301,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,  1302,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,     0,   481,   482,  1303,   484,   485,   486,
     487,   488,     0,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,  1304,   500,   501,   502,   503,     0,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,     0,   517,   518,   519,   520,   521,   522,   523,
     524,  1305,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,  1306,   541,
     542,   543,   544,   545,   546,   547,   548,  1307,   550,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,  1308,   565,     0,   566,   567,  1309,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,  1310,
    1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,   583,
     584,   585,   586,   587,   588,   589,   590,     0,  1315,   591,
     592,   593,   594,   595,  1316,     0,   596,   597,   598,   599,
     600,   601,  1317,     0,   603,   604,   605,   606,   607,   608,
       0,     0,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,
    1325,   626,   627,   628,   629,     0,  1326,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1327,  1328,
       0,     0,     0,     0,     0,  2025,  3207,  1330,   234,     0,
    1250,   696,     0,  1251,  1252,  1253,   757,  1254,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1255,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
    1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,  1274,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1275,
     339,   340,   341,   342,  1276,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,  1280,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,   393,   394,   395,   396,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,  1297,   449,   450,
     451,   452,  1298,  1299,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,  1301,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,  1305,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,     0,     0,   578,   579,  1312,   581,
    1313,  1314,   583,   584,   585,   586,   587,   588,   589,   590,
       0,  1315,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1327,  1328,  1329,     0,     0,   234,     0,  1250,   696,
    1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  2646,   244,   245,   246,     0,     0,     0,     0,
    1255,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1256,   260,  1257,  1258,
       0,   263,   264,   265,   266,   267,   268,   269,  1259,  1260,
     270,   271,  1261,  1262,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,  1272,
    1273,   310,  1274,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1275,   339,   340,
     341,   342,  1276,  1277,   344,     0,   345,   346,   347,  1278,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,  1280,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1281,  1282,
       0,  1283,     0,   392,   393,   394,   395,   396,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1294,   437,  1295,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,  1297,   449,   450,   451,   452,
    1298,  1299,   454,  1300,   456,   457,   458,     0,   459,   460,
       0,     0,  1301,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  1304,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,  1305,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,  1307,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
    1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,
     583,   584,   585,   586,   587,   588,   589,   590,     0,  1315,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,  1317,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,  1326,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1327,
    1328,     0,     0,     0,   234,     0,  1250,   696,  1330,  1251,
    1252,  1253,   757,  1254,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1255,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1256,   260,  1257,  1258,     0,   263,
     264,   265,   266,   267,   268,   269,  1259,  1260,   270,   271,
    1261,  1262,   274,     0,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,  1272,  1273,   310,
    1274,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,  1275,   339,   340,   341,   342,
    1276,  1277,   344,     0,   345,   346,   347,  1278,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,  1280,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,  1281,  1282,     0,  1283,
       0,   392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1294,   437,  1295,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,
     454,  1300,   456,   457,   458,     0,   459,   460,     0,     0,
    1301,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,  1304,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,  3233,   517,   518,   519,   520,   521,   522,   523,   524,
    1305,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,  1307,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,  1310,  1311,
       0,     0,   578,   579,  1312,   581,  1313,  1314,   583,   584,
     585,   586,   587,   588,   589,   590,     0,  1315,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
     601,  1317,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
     626,   627,   628,   629,     0,  1326,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1327,  1328,     0,
       0,     0,   234,     0,  1250,   696,  1330,  1251,  1252,  1253,
     757,  1254,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1255,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1256,   260,  1257,  1258,     0,   263,   264,   265,
     266,   267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,  1272,  1273,   310,  1274,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1275,   339,   340,   341,   342,  1276,  1277,
     344,     0,   345,   346,   347,  1278,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,  1280,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1281,  1282,     0,  1283,     0,   392,
     393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1294,   437,
    1295,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,  1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,
     456,   457,   458,     0,   459,   460,     0,     0,  1301,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
    1304,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,  1305,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,  1307,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,  1310,  1311,     0,     0,
     578,   579,  1312,   581,  1313,  1314,   583,   584,   585,   586,
     587,   588,   589,   590,     0,  1315,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,   601,  1317,
    3775,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,
     628,   629,     0,  1326,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1327,  1328,     0,     0,     0,
     234,     0,  1250,   696,  1330,  1251,  1252,  1253,   757,  1254,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1255,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1256,   260,  1257,  1258,     0,   263,   264,   265,   266,   267,
     268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,  1272,  1273,   310,  1274,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1275,   339,   340,   341,   342,  1276,  1277,   344,     0,
     345,   346,   347,  1278,   349,     0,   350,     0,   351,   352,
     353,  3275,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,  1280,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1281,  1282,     0,  1283,     0,   392,   393,   394,
     395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1294,   437,  1295,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,  1297,
     449,   450,   451,   452,  1298,  1299,   454,  1300,   456,   457,
     458,     0,   459,   460,     0,     0,  1301,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,  1304,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,  1305,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,  1307,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,  1310,  1311,     0,     0,   578,   579,
    1312,   581,  1313,  1314,   583,   584,   585,   586,   587,   588,
     589,   590,     0,  1315,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,  1317,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,
       0,  1326,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1327,  1328,     0,     0,     0,   234,     0,
    1250,   696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1255,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
    1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,  1274,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1275,
     339,   340,   341,   342,  1276,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,  1280,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,   393,   394,   395,   396,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,  1297,   449,   450,
     451,   452,  1298,  1299,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,  1301,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,  1305,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,  3332,     0,   578,   579,  1312,   581,
    1313,  1314,   583,   584,   585,   586,   587,   588,   589,   590,
       0,  1315,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1327,  1328,     0,     0,     0,   234,     0,  1250,   696,
    1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1255,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1256,   260,  1257,  1258,
       0,   263,   264,   265,   266,   267,   268,   269,  1259,  1260,
     270,   271,  1261,  1262,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,  1272,
    1273,   310,  1274,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1275,   339,   340,
     341,   342,  1276,  1277,   344,     0,   345,   346,   347,  1278,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,  1280,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1281,  1282,
       0,  1283,     0,   392,   393,   394,   395,   396,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1294,   437,  1295,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,  1297,   449,   450,   451,   452,
    1298,  1299,   454,  1300,   456,   457,   458,     0,   459,   460,
       0,     0,  1301,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  1304,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,  1305,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,  1307,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
    1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,
     583,   584,   585,   586,   587,   588,   589,   590,     0,  1315,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,  1317,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,  1326,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1327,
    1328,     0,     0,     0,   234,     0,  1250,   696,  1330,  1251,
    1252,  1253,   757,  1254,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1255,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1256,   260,  1257,  1258,     0,   263,
     264,   265,   266,   267,   268,   269,  1259,  1260,   270,   271,
    1261,  1262,   274,     0,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,  1272,  1273,   310,
    1274,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,  1275,   339,   340,   341,   342,
    1276,  1277,   344,     0,   345,   346,   347,  1278,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,  1280,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,  1281,  1282,     0,  1283,
       0,   392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1294,   437,  1295,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,
     454,  1300,   456,   457,   458,     0,   459,   460,     0,     0,
    1301,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,  1304,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
    1305,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,  1307,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,  1310,  1311,
       0,     0,   578,   579,  1312,   581,  1313,  1314,   583,   584,
     585,   586,   587,   588,   589,   590,     0,  1315,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
     601,  1317,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
     626,   627,   628,   629,     0,  1326,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2649,  2650,     0,
       0,     0,   234,     0,  3449,   696,  1330,  1251,  1252,  1253,
     757,  1254,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1255,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1256,   260,  1257,  1258,     0,   263,   264,   265,
     266,   267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,  1272,  1273,   310,  1274,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1275,   339,   340,   341,   342,  1276,  1277,
     344,     0,   345,   346,   347,  1278,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,  1280,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1281,  1282,     0,  1283,     0,   392,
     393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1294,   437,
    1295,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,  1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,
     456,   457,   458,     0,   459,   460,     0,     0,  1301,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
    1304,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,  1305,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,  1307,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,  1310,  1311,     0,     0,
     578,   579,  1312,   581,  1313,  1314,   583,   584,   585,   586,
     587,   588,   589,   590,     0,  1315,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,   601,  1317,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,
     628,   629,     0,  1326,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1327,  1328,     0,     0,     0,
     234,     0,  1250,   696,  1330,  1251,  1252,  1253,   757,  1254,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1255,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1256,   260,  1257,  1258,     0,   263,   264,   265,   266,   267,
     268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,  4780,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,  1272,  1273,   310,  1274,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1275,   339,   340,   341,   342,  1276,  1277,   344,     0,
     345,   346,   347,  1278,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,  1280,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1281,  1282,     0,  1283,     0,   392,   393,   394,
     395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1294,   437,  1295,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,  1297,
     449,   450,   451,   452,  1298,  1299,   454,  1300,   456,   457,
     458,     0,   459,   460,     0,     0,  1301,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,  1304,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,  1305,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,  1307,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,  1310,  1311,     0,     0,   578,   579,
    1312,   581,  1313,  1314,   583,   584,   585,   586,   587,   588,
     589,   590,     0,  1315,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,  1317,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,
       0,  1326,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1327,  1328,     0,     0,     0,   234,     0,
    1250,   696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1255,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
    1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,  1274,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1275,
     339,   340,   341,   342,  1276,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,  1280,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,   393,   394,   395,   396,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,  1297,   449,   450,
     451,   452,  1298,  1299,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,  1301,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,  1305,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,     0,     0,   578,   579,  1312,   581,
    1313,  1314,   583,   584,   585,   586,   587,   588,   589,   590,
       0,  1315,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,  5157,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,  1326,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1327,  1328,     0,     0,     0,   234,     0,  1250,   696,
    1330,  1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1255,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1256,   260,  1257,  1258,
       0,   263,   264,   265,   266,   267,   268,   269,  1259,  1260,
     270,   271,  1261,  1262,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,  1272,
    1273,   310,  1274,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1275,   339,   340,
     341,   342,  1276,  1277,   344,     0,   345,   346,   347,  1278,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,  1280,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1281,  1282,
       0,  1283,     0,   392,   393,   394,   395,   396,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1294,   437,  1295,   439,   440,   441,   442,   443,
     444,  5169,   446,  1296,   448,  1297,   449,   450,   451,   452,
    1298,  1299,   454,  1300,   456,   457,   458,     0,   459,   460,
       0,     0,  1301,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  1304,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,  1305,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,  1307,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
    1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,
     583,   584,   585,   586,   587,   588,   589,   590,     0,  1315,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,  1317,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,  1326,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1327,
    1328,     0,     0,     0,   234,     0,  1250,   696,  1330,  1251,
    1252,  1253,   757,  1254,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1255,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1256,   260,  1257,  1258,     0,   263,
     264,   265,   266,   267,   268,   269,  1259,  1260,   270,   271,
    1261,  1262,   274,     0,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,  5487,   300,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,  1272,  1273,   310,
    1274,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,  1275,   339,   340,   341,   342,
    1276,  1277,   344,     0,   345,   346,   347,  1278,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,  5488,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,  1281,  1282,     0,  1283,
       0,   392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1294,   437,  1295,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,  1297,   449,   450,   451,   452,  1298,  1299,
     454,  1300,   456,   457,   458,     0,   459,   460,     0,     0,
    1301,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,  1304,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,  5489,   523,   524,
    1305,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,  1307,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,  1310,  1311,
       0,     0,   578,   579,  1312,   581,  1313,  1314,   583,   584,
     585,   586,   587,   588,   589,   590,     0,  1315,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
     601,  1317,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
     626,   627,   628,   629,     0,  1326,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1327,  1328,     0,
       0,     0,   234,     0,  1250,   696,  5490,  1251,  1252,  1253,
     757,  1254,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1255,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,  5862,  1256,   260,  1257,  1258,     0,   263,   264,   265,
     266,   267,   268,   269,  1259,  1260,   270,   271,  1261,  1262,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,  5863,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,  1272,  1273,   310,  1274,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,  1275,   339,   340,   341,   342,  1276,  1277,
     344,     0,   345,   346,   347,  1278,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,  1280,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,  1281,  1282,     0,  1283,     0,   392,
     393,   394,   395,   396,  1284,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1294,   437,
    1295,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,  1297,   449,   450,   451,   452,  1298,  1299,   454,  1300,
     456,   457,   458,     0,   459,   460,     0,     0,  1301,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
    1304,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,  1305,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,  1307,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,  1310,  1311,     0,     0,
     578,   579,  1312,   581,  1313,  1314,   583,   584,   585,   586,
     587,  5864,   589,   590,     0,  1315,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,   601,  1317,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,
     628,   629,     0,  1326,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1327,  1328,     0,     0,     0,
     234,     0,  1250,   696,  1330,  1251,  1252,  1253,   757,  1254,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1255,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1256,   260,  1257,  1258,     0,   263,   264,   265,   266,   267,
     268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,  5863,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,  1272,  1273,   310,  1274,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1275,   339,   340,   341,   342,  1276,  1277,   344,     0,
     345,   346,   347,  1278,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,  1280,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1281,  1282,     0,  1283,     0,   392,   393,   394,
     395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1294,   437,  1295,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,  1297,
     449,   450,   451,   452,  1298,  1299,   454,  1300,   456,   457,
     458,     0,   459,   460,     0,     0,  1301,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,  1304,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,  1305,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,  1307,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,  1310,  1311,     0,     0,   578,   579,
    1312,   581,  1313,  1314,   583,   584,   585,   586,   587,  5864,
     589,   590,     0,  1315,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,  1317,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,
       0,  1326,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1327,  1328,     0,     0,     0,   234,     0,
    1250,   696,  1330,  1251,  1252,  1253,   757,  1254,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1255,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
    1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,  5472,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,  1275,
     339,   340,   341,   342,  1276,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,  1280,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,   393,   394,   395,   396,
    1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,     0,   449,   450,
     451,   452,  1298,  1299,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,  1301,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,  3260,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,     0,     0,   578,   579,  1312,   581,
    1313,  1314,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3261,  3262,     0,     0,     0,   234,     0,  1250,   696,
    3263,  1251,  1252,  1253,   757,  1254,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1255,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257, -2898,  1256,   260,  1257,  1258,
       0,   263,   264,   265,   266,   267,   268,   269,  1259,  1260,
     270,   271,  1261,  1262,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,  5863,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,  1272,
    1273,   310,  1274,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1275,   339,   340,
     341,   342,  1276,  1277,   344,     0,   345,   346,   347,  1278,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,  1280,   362,   363,
       0,   364,   365,   366,   367,   368, -2898,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1281,  1282,
       0,  1283,     0,   392,     0,     0,   395,   396,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413, -2898,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1294,   437,  1295,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,  1297,   449,   450,     0,   452,
    1298,  1299,   454,  1300,   456,   457,   458,     0,   459,   460,
       0,     0,  1301,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  1304,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,  1305,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545, -2898,   547,   548,  1307,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
    1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,
     583,   584,   585,   586,   587,  5864,   589,   590,     0,  1315,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,  1317,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0, -2898,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1327,
    1328,     0,     0,     0,   234,     0,  1250,   696,  1330,  1251,
    1252,  1253,   757,  1254,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1255,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1256,   260,  1257,  1258,     0,   263,
     264,   265,   266,   267,   268,   269,  1259,  1260,   270,   271,
    1261,  1262,   274,     0,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,  1272,  1273,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,  1275,   339,   340,   341,   342,
    1276,  1277,   344,     0,   345,   346,   347,  1278,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,  1280,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,  1281,  1282,     0,  1283,
       0,   392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1294,   437,  1295,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,     0,   449,   450,   451,   452,  1298,  1299,
     454,  1300,   456,   457,   458,     0,   459,   460,     0,     0,
    1301,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,  1304,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
    3260,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,  1307,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,  1310,  1311,
       0,     0,   578,   579,  1312,   581,  1313,  1314,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
     601,  1317,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
     626,   627,   628,   629,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3261,  3262,   234,
       0,  1250,   696,     0,  1251,  1252,  3263,   757,  1254,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1255,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1256,
     260,  1257,  1258,     0,   263,   264,   265,   266,   267,   268,
     269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,   275,
     276,   277,   278,  1263,     0,  1264,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,   297,   298,   299,   300,  1265,
    1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,
     306,   307,  1272,  1273,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   866,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
    1275,   339,   340,   341,   342,  1276,  1277,   344,     0,   345,
     346,   347,  1278,   349,     0,   350,     0,   351,   352,   353,
       0,   354,   355,   356,   357,   358,     0,   359,  1279,     0,
    1280,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,  1281,  1282,     0,  1283,     0,   392,   393,   394,   395,
     396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,
     406,   407,   408,   409,     0,     0,   410,  1291,   412,   413,
     414,     0,   415,   416,   417,  1292,  1293,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1294,   437,  1295,   439,   440,
     441,   442,   443,   444,   445,   446,  1296,   448,     0,   449,
     450,   451,   452,  1298,  1299,   454,  1300,   456,   457,   458,
       0,   459,   460,     0,     0,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,  1302,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
    1303,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,  1304,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,   519,
     520,   521,   522,   523,   524,  3438,  3439,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,  1306,   541,   542,   543,   544,   545,   546,   547,
     548,  1307,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,  1308,   565,     0,
     566,   567,  1309,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,  1310,  1311,     0,     0,   578,   579,  1312,
     581,  1313,  1314,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,  1316,     0,
     596,   597,   598,   599,   600,   601,  1317,     0,   603,   604,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,
     621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3440,  3441,   234,     0,  1250,   696,     0,  1251,
    1252,  3263,   757,  1254,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1255,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1256,   260,  1257,  1258,     0,   263,
     264,   265,   266,   267,   268,   269,  1259,  1260,   270,   271,
    1261,  1262,   274,     0,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,  1272,  1273,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,  1275,   339,   340,   341,   342,
    1276,  1277,   344,     0,   345,   346,   347,  1278,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,  1280,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,  1281,  1282,     0,  1283,
       0,   392,   393,   394,   395,   396,  1284,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1294,   437,  1295,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,     0,   449,   450,   451,   452,  1298,  1299,
     454,  1300,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,  1304,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
    3260,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,  1307,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,  1310,  1311,
       0,     0,   578,   579,  1312,   581,  1313,  1314,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
     601,  1317,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
     626,   627,   628,   629,     0,     0,     0,     0,     0,     0,
     234,     0,  1250,   696,     0,  1251,  1252,     0,   757,  1254,
       0,     0,     0,     0,     0,     0,  3263,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1255,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1256,   260,  1257,  1258,     0,   263,  4691,   265,   266,   267,
     268,   269,  1259,  1260,   270,   271,  1261,  1262,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,  1272,  1273,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,  1275,   339,   340,   341,   342,  1276,  1277,   344,     0,
     345,   346,   347,  1278,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,  1280,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,  1281,  1282,     0,  1283,     0,   392,   393,   394,
     395,   396,  1284,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1294,   437,  1295,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,     0,
     449,   450,   451,   452,  1298,  1299,   454,  1300,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,  1304,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,  3260,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,  1307,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,  1310,  1311,     0,     0,   578,   579,
    1312,   581,  1313,  1314,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,  1317,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,   626,   627,   628,   629,
       0,     0,     0,     0,     0,     0,   234,     0,  1250,   696,
       0,  1251,  1252,     0,   757,  1254,     0,     0,     0,     0,
       0,     0,  3263,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1255,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1256,   260,  1257,  1258,
       0,   263,   264,   265,   266,   267,   268,   269,  1259,  1260,
     270,   271,  1261,  1262,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,  1272,
    1273,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,  1275,   339,   340,
     341,   342,  1276,  1277,   344,     0,   345,   346,   347,  1278,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,  1280,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,  1281,  1282,
       0,  1283,     0,   392,   393,   394,   395,   396,  1284,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1294,   437,  1295,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,     0,   449,   450,   451,   452,
    1298,  1299,   454,  1300,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  1304,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,  3260,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,  1307,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
    1310,  1311,     0,     0,   578,   579,  1312,   581,  1313,  1314,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,  1317,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,  4749,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,     0,     0,     0,
       0,     0,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3263,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,  1260,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,  1276,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
     393,   394,   395,   396,  3411,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,  3412,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,     0,   449,   450,   451,   452,     0,  1299,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   841,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,   525,  3413,
     527,   528,   529,   530,   531,   532,   533,   534,   535,    40,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,    44,   568,   569,   570,
     571,   572,   573,   574,     0,   575,   576,   577,     0,     0,
     578,   579,  1312,   581,  1313,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,  1185,   602,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,    49,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,  3414,   627,
     628,   629,     0,     0,     0,    50,     0,     0,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3415,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,  1260,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,  1276,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
    3411,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,  3412,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,     0,   449,   450,
     451,   452,     0,  1299,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   841,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,  3413,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,  1312,   581,
    1313,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,  3414,   627,   628,   629,     0,     0,
       0,     0,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3415,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,  1260,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,  1263,     0,
    1264,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
    1276,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,  1279,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,   393,   394,   395,   396,  3411,  1285,  1286,  1287,
    1288,  1289,  1290,   404,   405,   406,   407,   408,   409,     0,
       0,   410,  1291,   412,   413,   414,     0,   415,   416,   417,
    1292,  1293,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,  1296,   448,     0,   449,   450,   451,   452,     0,  1299,
     454,   455,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,  1302,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,  1303,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,  1306,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,  1308,   565,     0,   566,   567,  1309,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   576,   577,
       0,     0,   578,   579,  1312,   581,  1313,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,  1316,     0,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,  1318,  1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,
     626,   627,   628,   629,     0,     0,     0,     0,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3854,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,  1260,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,  1263,     0,  1264,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
    1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,  1276,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,  1279,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,  3411,  1285,  1286,  1287,  1288,  1289,  1290,   404,
     405,   406,   407,   408,   409,     0,     0,   410,  1291,   412,
     413,   414,     0,   415,   416,   417,  1292,  1293,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,  1296,   448,     0,
     449,   450,   451,   452,     0,  1299,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,  1302,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,  1303,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,  3413,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,  1306,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,  1308,   565,
       0,   566,   567,  1309,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
    1312,   581,  1313,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,  1316,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,  1318,  1319,  1320,
    1321,   621,  1322,  1323,  1324,  1325,  3414,   627,   628,   629,
       0,     0,     0,     0,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,  1260,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
    1263,     0,  1264,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,  1265,  1266,  1267,  1268,
    1269,  1270,  1271,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,  1276,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,  1279,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,   393,   394,   395,   396,  3411,  1285,
    1286,  1287,  1288,  1289,  1290,   404,   405,   406,   407,   408,
     409,     0,     0,   410,  1291,   412,   413,   414,     0,   415,
     416,   417,  1292,  1293,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,  1296,   448,     0,   449,   450,   451,   452,
       0,  1299,   454,   455,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,  1302,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,  1303,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,  1306,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,  1308,   565,     0,   566,   567,  1309,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
     576,   577,     0,     0,   578,   579,  1312,   581,  1313,     0,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,  1316,     0,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,  1318,  1319,  1320,  1321,   621,  1322,  1323,
    1324,  1325,   626,   627,   628,   629,     0,     0,     0,     0,
       0,     0,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4810,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,  1260,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,  1263,     0,  1264,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,  1265,  1266,  1267,  1268,  1269,  1270,  1271,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,  1276,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,  1279,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
     393,   394,   395,   396,  3411,  1285,  1286,  1287,  1288,  1289,
    1290,   404,   405,   406,   407,   408,   409,     0,     0,   410,
    1291,   412,   413,   414,     0,   415,   416,   417,  1292,  1293,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,  1296,
     448,     0,   449,   450,   451,   452,     0,  1299,   454,   455,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,  1302,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,  1303,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,  1306,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
    1308,   565,     0,   566,   567,  1309,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,   576,   577,     0,     0,
     578,   579,  1312,   581,  1313,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,  1316,     0,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,  1318,
    1319,  1320,  1321,   621,  1322,  1323,  1324,  1325,   626,   627,
     628,   629,     0,     0,     0,     0,     0,     0,   946,     0,
    1578,   696,     0,     0,     0,     0,   757,     0,     0,     0,
       0,     0,     0,     0,  5965,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,  1802,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,  1803,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,  1804,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,     0,
       0,     0,     0,     0,   946,     0,     0,     0,     0,     0,
       0,  1579,  1580,  5772,     0,     0,     0,     0,     0,     0,
    5773,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     3,     4,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,     0,   301,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,   412,   413,   414,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,     0,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,    40,   536,   537,   538,   539,   540,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,     0,    44,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   576,   577,
       0,     0,   578,   579,   580,   581,   582,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,     0,   596,   597,   598,   599,   600,
    1185,   602,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,    49,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,  1025,     0,     0,    50,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    56,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,     0,     0,     0,     0,     0,   637,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5541,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,     0,   449,   450,     0,   452,
       0,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,   466,
       0,   468,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,     0,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,    40,   536,   537,   538,   539,   540,     0,
     541,   542,   543,   544,   545,     0,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,     0,
      44,   568,     0,   570,   571,   572,   573,   574,     0,   575,
     576,   577,     0,     0,   578,   579,   580,   581,   582,     0,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,     0,   596,   597,   598,
     599,   600,  1185,   602,     0,   603,     0,   605,   606,   607,
     608,     0,     0,   609,     0,    49,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,     0,     0,    50,
       0,     0,   637,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    56,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,  2854,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,     0,   449,   450,     0,   452,     0,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   841,   461,   462,
     463,     0,     0,   464,   465,   466,     0,   468,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,     0,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,     0,   541,   542,   543,   544,
     545,     0,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,     0,  2855,  2856,     0,   570,
     571,   572,   573,   574,     0,   575,   576,   577,     0,     0,
     578,   579,   580,   581,   582,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,     0,   596,   597,   598,   599,   600,   601,   602,
       0,   603,     0,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,     0,     0,     0,     0,     0,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1836,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,     0,
       0,     0,     0,     0,   637,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1390,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
       0,   298,   299,   300,     0,     0,     0,     0,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   308,   309,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   325,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,     0,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,     0,     0,     0,   355,   356,   357,
     358,     0,   359,   360,     0,   361,   362,   363,     0,   364,
     365,   366,   367,   368,     0,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
       0,   384,   385,   386,   387,   388,   389,   390,     0,   391,
       0,   392,     0,     0,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
       0,   410,   411,     0,   413,     0,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,     0,   449,   450,     0,   452,     0,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,   466,     0,   468,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,     0,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,     0,   541,   542,
     543,   544,   545,     0,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,     0,   566,   567,     0,     0,   568,
       0,   570,   571,   572,   573,   574,     0,   575,   576,   577,
       0,     0,   578,   579,   580,   581,   582,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,     0,   596,   597,   598,   599,   600,
     601,   602,     0,   603,     0,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,     0,     0,     0,     0,     0,
     637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3472,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,   368,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,     0,     0,     0,     0,     0,   637,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4139,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,     0,   449,   450,     0,   452,
       0,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,   466,
       0,   468,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,     0,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,     0,
     541,   542,   543,   544,   545,     0,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,     0,
       0,   568,     0,   570,   571,   572,   573,   574,     0,   575,
     576,   577,     0,     0,   578,   579,   580,   581,   582,     0,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,     0,   596,   597,   598,
     599,   600,   601,   602,     0,   603,     0,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   858,     0,  1578,   696,     0,
       0,     0,   961,   757,     0,     0,     0,     0,  4766,   962,
     963,   964,   235,   236,   237,   238,   239,   240,   241,   242,
     243,  1714,   244,   245,   246,  1715,  1716,  1717,  1718,  1719,
    1720,  1721,   247,   248,   249,  1722,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   859,   260,   860,   861,  1723,
     263,   264,   265,   266,   267,   268,   269,  1724,  1725,   270,
     271,   862,   863,   274,  1726,   275,   276,   277,   278,     0,
    1727,   280,  1728,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,  1729,   291,   292,   293,   294,   295,   296,
    1730,   297,   298,   299,   300,  1731,  1732,  1733,   301,  1734,
    1735,  1736,   302,   303,   304,   305,   306,   307,   864,   865,
     310,  1737,   311,  1738,   312,   313,   314,   315,   316,   317,
     318,  1739,   319,   320,   321,   322,  1740,  1741,   323,   324,
     866,   326,   327,  1742,   328,   329,   330,  1743,   331,   332,
     333,  1744,   334,   335,   336,   337,     0,   339,   340,   341,
     342,     0,  1745,   344,  1746,   345,   346,   347,   867,   349,
    1747,   350,  1748,   351,   352,   353,  1749,   354,   355,   356,
     357,   358,  1750,   359,     0,  1751,     0,   362,   363,  1752,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
    1753,   374,   375,   376,   377,   378,   379,   380,   381,  1754,
     382,   383,     0,   385,   386,   387,   388,   868,   869,  1755,
     870,  1756,   392,   393,   394,   395,   396,   871,     0,     0,
       0,     0,     0,     0,   404,   405,   406,   407,   408,   409,
    1757,  1758,   410,     0,   412,   413,   414,  1759,   415,   416,
     417,  1760,  1761,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   872,   437,   873,   439,   440,   441,   442,   443,   444,
     445,  4454,     0,   448,  1762,   449,   450,   451,   452,  1763,
       0,   454,   874,   456,   457,   458,  1764,   459,   460,  1765,
    1766,  4455,   462,   463,  1767,  1768,   464,   465,     0,   467,
     468,   469,     0,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,  1769,   481,   482,     0,   484,     0,   486,
     487,   488,  1770,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   875,   500,   501,   502,   503,  1771,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,  1772,   517,   518,   519,   520,   521,   522,   523,
     524,     0,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,  1773,   536,   537,   538,   539,   540,  1774,   541,
     542,  2683,   544,   545,   546,   547,   548,   877,   550,  1775,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   565,  1776,   566,   567,  1777,  1778,
     568,   569,   570,   571,   572,   573,   574,  1779,   575,   878,
     879,  1780,  1781,   578,   579,     0,   581,     0,  1782,   583,
     584,   585,   586,   587,   588,   589,   590,  1783,  1784,   591,
     592,   593,   594,   595,  1785,  1786,   596,   597,   598,   599,
     600,     0,   880,  1787,   603,   604,   605,   606,   607,   608,
    1788,  1789,   609,  1790,  1791,   610,   611,   612,   613,   614,
     615,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   627,   628,   629,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   967,   968,   969,  4456,  4457,
     972,   973,   974,   975,   858,     0,  1578,   696,     0,     0,
       0,   961,   757,     0,     0,     0,     0,     0,   962,   963,
     964,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    1714,   244,   245,   246,  1715,  1716,  1717,  1718,  1719,  1720,
    1721,   247,   248,   249,  1722,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   859,   260,   860,   861,  1723,   263,
     264,   265,   266,   267,   268,   269,  1724,  1725,   270,   271,
     862,   863,   274,  1726,   275,   276,   277,   278,     0,  1727,
     280,  1728,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,  1729,   291,   292,   293,   294,   295,   296,  1730,
     297,   298,   299,   300,  1731,  1732,  1733,   301,  1734,  1735,
    1736,   302,   303,   304,   305,   306,   307,   864,   865,   310,
    1737,   311,  1738,   312,   313,   314,   315,   316,   317,   318,
    1739,   319,   320,   321,   322,  1740,  1741,   323,   324,   866,
     326,   327,  1742,   328,   329,   330,  1743,   331,   332,   333,
    1744,   334,   335,   336,   337,     0,   339,   340,   341,   342,
       0,  1745,   344,  1746,   345,   346,   347,   867,   349,  1747,
     350,  1748,   351,   352,   353,  1749,   354,   355,   356,   357,
     358,  1750,   359,     0,  1751,     0,   362,   363,  1752,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,  1753,
     374,   375,   376,   377,   378,   379,   380,   381,  1754,   382,
     383,     0,   385,   386,   387,   388,   868,   869,  1755,   870,
    1756,   392,   393,   394,   395,   396,   871,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,  1757,
    1758,   410,     0,   412,   413,   414,  1759,   415,   416,   417,
    1760,  1761,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     872,   437,   873,   439,   440,   441,   442,   443,   444,   445,
    4905,     0,   448,  1762,   449,   450,   451,   452,  1763,     0,
     454,   874,   456,   457,   458,  1764,   459,   460,  1765,  1766,
    4455,   462,   463,  1767,  1768,   464,   465,     0,   467,   468,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,  1769,   481,   482,     0,   484,     0,   486,   487,
     488,  1770,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   875,   500,   501,   502,   503,  1771,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,  1772,   517,   518,   519,   520,   521,   522,   523,   524,
       0,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,  1773,   536,   537,   538,   539,   540,  1774,   541,   542,
    2683,   544,   545,   546,   547,   548,   877,   550,  1775,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   565,  1776,   566,   567,  1777,  1778,   568,
     569,   570,   571,   572,   573,   574,  1779,   575,   878,   879,
    1780,  1781,   578,   579,     0,   581,     0,  1782,   583,   584,
     585,   586,   587,   588,   589,   590,  1783,  1784,   591,   592,
     593,   594,   595,  1785,  1786,   596,   597,   598,   599,   600,
       0,   880,  1787,   603,   604,   605,   606,   607,   608,  1788,
    1789,   609,  1790,  1791,   610,   611,   612,   613,   614,   615,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   627,   628,   629,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   967,   968,   969,  4456,  4457,   972,
     973,   974,   975,  2079,     0,     0,     0,     0,     0,     0,
    2080,     0,     0,  2081,     0,     0,     0,  2082,  2083,  2084,
    2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,
    2095,  2096,  2097,  2098,  2099,  2100,  2101,     0,  2102,  2103,
    2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,  2113,
    2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,  2123,
    2124,  2125,  2126,  2127,  2128,  2129,  2130,  2131,  2132,     0,
       0,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,
    2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,
    2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,     0,  2160,
    2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,
    2171,  2172,  2173,  2174,     0,  2175,  2176,  2177,  2178,  2179,
    2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,
    2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,  2198,  2199,
    2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,  2208,     0,
    2209,  2210,  2211,  2212,  2213,  2214,  2215,  2216,  2217,  2218,
    2219,  2220,     0,     0,  2221,  2222,  2223,  2224,     0,  2225,
    2226,  2227,  2228,  2229,     0,  2230,  2231,  2232,  2233,  2234,
       0,  2235,  2236,     0,  2237,  2238,  2239,     0,  2240,  2241,
       0,  2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,
    2251,  2252,  2253,  2254,  2255,  2256,  2257,  2258,  2259,  2260,
    2261,  2262,  2263,  2264,  2265,  2266,  2267,     0,  2268,     0,
    2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,  2277,  2278,
    2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,
    2289,  2290,  2291,  2292,  2293,     0,  2294,  2295,  2296,  2297,
    2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,  2307,
    2308,  2309,     0,  2310,  2311,     0,  2312,  2313,  2314,  2315,
    2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,
    2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,     0,  2340,  2341,     0,  2342,  2343,
    2344,  2345,  2346,     0,  2347,  2348,  2349,  2350,     0,     0,
    2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,  2359,  2360,
    2361,  2362,  2363,  2364,  2365,  2366,     0,  2367,  2368,  2369,
    2370,  2371,  2372,  2373,  2374,  2375,  2376,  2377,  2378,  2379,
    2380,  2381,  2382,  2383,  2384,  2385,  2386,  2387,  2388,  2389,
    2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,  2398,  2399,
       0,  2400,  2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,
    2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,     0,  2417,
    2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,  2426,  2427,
    2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,  2436,  2437,
    2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,  2447,
    2448,  2449,  2450,  2451,  2452,  2453,  2454,  2455,  2456,  2457,
    2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,     0,
    2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,
    2477,  2478,  2479,  2480,  2481,     0,  2482,  2483,  2484,  2485,
    2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,  2495,
    2496,  2497,     0,  2498,  2499,  2500,  2501,  2502,  2503,     0,
    2504,     0,     0,     0,     0,  2505,  2506,  2507,  2508,  2509,
    2510,  2511,  2512,  2513,  2514,  2515,  2516,  2517,  2518,  2519,
       0,  2520,  2521,     0,  2522,     0,     0,     0,     0,     0,
       0,     0,     0,  2523,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2531,   637,     0,     0,     0,     0,     0,     0,   961,
       0,     0,     0,     0,     0,     0,   962,   963,   964,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   965,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   298,
     299,   300,     0,     0,     0,     0,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   308,   309,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   325,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     966,     0,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,     0,     0,     0,   355,   356,   357,   358,     0,
     359,   360,     0,   361,   362,   363,     0,   364,   365,   366,
     367,   368,     0,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,     0,   384,
     385,   386,   387,   388,   389,   390,     0,   391,     0,   392,
       0,     0,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,     0,   410,
     411,     0,   413,     0,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,     0,   449,   450,     0,   452,     0,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,   466,     0,   468,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,     0,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,     0,   541,   542,   543,   544,
     545,     0,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,     0,   566,   567,     0,     0,   568,     0,   570,
     571,   572,   573,   574,     0,   575,   576,   577,     0,     0,
     578,   579,   580,   581,   582,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,     0,   596,   597,   598,   599,   600,   601,   602,
       0,   603,     0,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   967,   968,   969,   970,   971,   972,   973,   974,
     975,   637,     0,     0,     0,     0,     0,     0,   961,     0,
       0,     0,     0,     0,     0,   962,   963,   964,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,  1082,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,     0,
     291,   292,   293,   294,   295,   296,     0,     0,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,   302,   303,
     304,   305,   306,   307,   308,   309,   310,     0,   311,     0,
     312,   313,   314,   315,   316,   317,   318,     0,   319,   320,
     321,   322,     0,     0,   323,   324,   325,   326,   327,     0,
     328,   329,   330,     0,   331,   332,   333,     0,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,  1083,
       0,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,     0,     0,     0,   355,   356,   357,   358,     0,   359,
     360,     0,   361,   362,   363,     0,   364,   365,   366,   367,
     368,     0,   370,   371,   372,   373,     0,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,     0,   384,   385,
     386,   387,   388,   389,   390,     0,   391,     0,   392,     0,
       0,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,     0,   410,   411,
       0,   413,     0,     0,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
       0,   449,   450,     0,   452,     0,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,     0,   461,   462,   463,
       0,     0,   464,   465,   466,     0,   468,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,     0,
     481,   482,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,     0,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,     0,   517,
     518,     0,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,     0,   541,   542,   543,   544,   545,
       0,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,     0,   566,   567,     0,     0,   568,     0,   570,   571,
     572,   573,   574,     0,   575,   576,   577,     0,     0,   578,
     579,   580,   581,   582,     0,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,     0,   596,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   605,   606,   607,   608,     0,     0,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   967,   968,   969,   970,   971,   972,   973,   974,   975,
     637,     0,     0,     0,     0,     0,     0,   961,     0,     0,
       0,     0,     0,     0,   962,   963,   964,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,  1148,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,     0,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   308,   309,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   325,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,  1149,     0,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
       0,     0,     0,   355,   356,   357,   358,     0,   359,   360,
       0,   361,   362,   363,     0,   364,   365,   366,   367,  1150,
       0,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,     0,   384,   385,   386,
     387,   388,   389,   390,     0,   391,     0,   392,     0,     0,
     395,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,     0,   410,   411,     0,
     413,     0,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,     0,
     449,   450,     0,   452,     0,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,   466,     0,   468,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
       0,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   543,   544,   545,     0,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
       0,   566,   567,     0,     0,   568,     0,   570,   571,   572,
     573,   574,     0,   575,   576,   577,     0,     0,   578,   579,
     580,   581,   582,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,   601,   602,     0,   603,
       0,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     967,   968,   969,   970,   971,   972,   973,   974,   975,   637,
       0,     0,     0,     0,     0,     0,   961,     0,     0,     0,
       0,     0,     0,   962,   963,   964,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
    1819,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   298,   299,   300,     0,
       0,     0,     0,     0,     0,     0,   302,   303,   304,   305,
     306,   307,   308,   309,   310,     0,   311,     0,   312,   313,
     314,   315,   316,   317,   318,     0,   319,   320,   321,   322,
       0,     0,   323,   324,   325,   326,   327,     0,   328,   329,
     330,     0,   331,   332,   333,     0,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,  1820,     0,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,     0,
       0,     0,   355,   356,   357,   358,     0,   359,   360,     0,
     361,   362,   363,     0,   364,   365,   366,   367,   368,     0,
     370,   371,   372,   373,     0,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,     0,   384,   385,   386,   387,
     388,   389,   390,     0,   391,     0,   392,     0,     0,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,     0,   410,   411,     0,   413,
       0,     0,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,     0,   449,
     450,     0,   452,     0,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,     0,   461,   462,   463,     0,     0,
     464,   465,   466,     0,   468,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     0,   481,   482,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,     0,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,     0,   517,   518,     0,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,     0,   541,   542,   543,   544,   545,     0,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,     0,
     566,   567,     0,     0,   568,     0,   570,   571,   572,   573,
     574,     0,   575,   576,   577,     0,     0,   578,   579,   580,
     581,   582,     0,   583,   584,   585,   586,   587,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,     0,
     596,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     605,   606,   607,   608,     0,     0,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   967,
     968,   969,   970,   971,   972,   973,   974,   975,   637,     0,
       0,     0,     0,     0,     0,   961,     0,     0,     0,     0,
       0,     0,   962,   963,   964,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   967,   968,
     969,   970,   971,   972,   973,   974,   975,   637,     0,     0,
       0,     0,     0,     0,   961,     0,     0,     0,     0,     0,
       0,   962,   963,   964,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,  3544,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,  3545,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,     0,     0,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,     0,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,     0,   449,   450,     0,
     452,     0,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,     0,   461,   462,   463,     0,     0,   464,   465,
     466,     0,   468,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,     0,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
       0,   541,   542,   543,   544,   545,     0,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
       0,     0,   568,     0,   570,   571,   572,   573,   574,     0,
     575,   576,   577,     0,     0,   578,   579,   580,   581,   582,
       0,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   967,   968,   969,
     970,   971,   972,   973,   974,   975,   637,     0,     0,     0,
       0,     0,     0,   961,     0,     0,     0,     0,     0,     0,
     962,   963,   964,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,     0,   298,   299,   300,     0,     0,     0,     0,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   308,
     309,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   325,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,     0,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,     0,     0,     0,   355,
     356,   357,   358,     0,   359,   360,     0,   361,   362,   363,
       0,   364,   365,   366,   367,   368,     0,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,     0,   384,   385,   386,   387,   388,   389,   390,
       0,   391,     0,   392,     0,     0,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,     0,   410,   411,     0,   413,     0,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,     0,   449,   450,     0,   452,
       0,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,     0,  5520,   462,   463,     0,     0,   464,   465,   466,
       0,   468,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,     0,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,     0,
     541,   542,   543,   544,   545,     0,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,     0,   566,   567,     0,
       0,   568,     0,   570,   571,   572,   573,   574,     0,   575,
     576,   577,     0,     0,   578,   579,   580,   581,   582,     0,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,     0,   596,   597,   598,
     599,   600,   601,   602,     0,   603,     0,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,     0,  1713,     0,
       0,     0,     0,     0,     0,     0,   967,   968,   969,   970,
     971,   972,   973,   974,   975,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1714,   244,   245,   246,  1715,  1716,
    1717,  1718,  1719,  1720,  1721,   247,   248,   249,  1722,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,  1723,   263,   264,   265,   266,   267,   268,   269,
    1724,  1725,   270,   271,   272,   273,   274,  1726,   275,   276,
     277,   278,   279,  1727,   280,  1728,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,  1729,   291,   292,   293,
     294,   295,   296,  1730,   297,   298,   299,   300,  1731,  1732,
    1733,   301,  1734,  1735,  1736,   302,   303,   304,   305,   306,
     307,   308,   309,   310,  1737,   311,  1738,   312,   313,   314,
     315,   316,   317,   318,  1739,   319,   320,   321,   322,  1740,
    1741,   323,   324,   325,   326,   327,  1742,   328,   329,   330,
    1743,   331,   332,   333,  1744,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,  1745,   344,  1746,   345,   346,
     347,   348,   349,  1747,   350,  1748,   351,   352,   353,  1749,
     354,   355,   356,   357,   358,  1750,   359,   360,  1751,   361,
     362,   363,  1752,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,  1753,   374,   375,   376,   377,   378,   379,
     380,   381,  1754,   382,   383,   384,   385,   386,   387,   388,
     389,   390,  1755,   391,  1756,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,  1757,  1758,   410,   411,   412,   413,   414,
    1759,   415,   416,   417,  1760,  1761,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,  1762,   449,   450,
     451,   452,  1763,   453,   454,   455,   456,   457,   458,  1764,
     459,   460,  1765,  1766,   461,   462,   463,  1767,  1768,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,  1769,   481,   482,   483,
     484,   485,   486,   487,   488,  1770,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,  1771,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,  1772,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,  1773,   536,   537,   538,   539,
     540,  1774,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,  1775,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,  1776,   566,
     567,  1777,  1778,   568,   569,   570,   571,   572,   573,   574,
    1779,   575,   576,   577,  1780,  1781,   578,   579,   580,   581,
     582,  1782,   583,   584,   585,   586,   587,   588,   589,   590,
    1783,  1784,   591,   592,   593,   594,   595,  1785,  1786,   596,
     597,   598,   599,   600,   601,   602,  1787,   603,   604,   605,
     606,   607,   608,  1788,  1789,   609,  1790,  1791,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1792,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   847,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5934,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5936,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   858,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6043,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   859,   260,
     860,   861,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   862,   863,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   864,   865,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,     0,
     339,   340,   341,   342,     0,     0,   344,     0,   345,   346,
     347,   867,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,     0,     0,     0,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,  2679,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,  2680,   385,   386,   387,   388,
     868,   869,     0,   870,     0,   392,   393,   394,   395,   396,
     871,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,     0,     0,   410,     0,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   872,   437,   873,   439,   440,   441,
     442,   443,   444,   445,     0,     0,   448,     0,   449,   450,
     451,   452,     0,     0,   454,   874,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,  2681,   464,
     465,  2682,   467,   468,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,     0,
     484,     0,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   875,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,     0,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,  2683,   544,   545,   546,   547,   548,
     877,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   878,   879,     0,     0,   578,   579,     0,   581,
       0,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,     0,   880,  2684,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,     0,     0,     0,  3891,     0,     0,
       0,     0,     0,     0,     0,   627,   628,   629,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  2685,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   859,   260,   860,
     861,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   862,   863,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,     0,
     301,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     864,   865,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   866,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,     0,   339,
     340,   341,   342,     0,     0,   344,     0,   345,   346,   347,
     867,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,     0,     0,     0,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,  2679,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,  2680,   385,   386,   387,   388,   868,
     869,     0,   870,     0,   392,   393,   394,   395,   396,   871,
       0,     0,     0,     0,     0,     0,   404,   405,   406,   407,
     408,   409,     0,     0,   410,     0,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   872,   437,   873,   439,   440,   441,   442,
     443,   444,   445,     0,     0,   448,     0,   449,   450,   451,
     452,     0,     0,   454,   874,   456,   457,   458,     0,   459,
     460,     0,     0,   461,   462,   463,     0,  2681,   464,   465,
    2682,   467,   468,   469,     0,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,     0,   484,
       0,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   875,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,     0,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
       0,   541,   542,  2683,   544,   545,   546,   547,   548,   877,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   565,     0,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,   878,   879,     0,     0,   578,   579,     0,   581,     0,
       0,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,     0,   880,  2684,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   627,   628,   629,   946,     0,  1578,
     696,     0,     0,     0,     0,   757,     0,     0,     0,     0,
       0,     0,  2685,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,     0,
     301,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,  2570,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,  1802,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,     0,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,     0,   459,
     460,  1803,     0,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,   576,   577,     0,     0,   578,   579,   580,   581,   582,
    1804,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   946,     0,  1578,
     696,     0,     0,     0,     0,   757,     0,     0,     0,     0,
    1579,  1580,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,     0,
     301,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,  2575,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,  1802,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,     0,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,     0,   459,
     460,  1803,     0,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,   576,   577,     0,     0,   578,   579,   580,   581,   582,
    1804,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   946,     0,  1578,
     696,     0,     0,     0,     0,   757,     0,     0,     0,     0,
    1579,  1580,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,     0,
     301,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,  3504,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,  1802,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,     0,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,     0,   459,
     460,  1803,     0,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,   576,   577,     0,     0,   578,   579,   580,   581,   582,
    1804,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   946,     0,  1578,
     696,     0,     0,     0,     0,   757,     0,     0,     0,     0,
    1579,  1580,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,     0,
     301,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,  1802,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,     0,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,     0,   459,
     460,  1803,     0,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,   576,   577,     0,     0,   578,   579,   580,   581,   582,
    1804,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   637,     0,     0,
       0,     0,     0,     0,     0,   757,     0,     0,     0,     0,
    1579,  1580,     0,     0,   235,   236,   758,   238,   239,   240,
     241,   242,   243,   759,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   760,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,     0,   298,   299,   300,     0,     0,     0,
       0,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   761,
     348,   349,     0,   350,     0,   351,   762,     0,   763,     0,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,     0,   370,   371,
     372,   373,   764,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,     0,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,     0,     0,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   765,     0,     0,   410,   411,     0,   413,     0,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,     0,   438,   439,   766,   441,   442,
     443,   444,   445,   446,   447,   448,     0,   449,   450,     0,
     452,     0,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,     0,   461,   462,   463,     0,     0,   464,   465,
     466,     0,   468,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   767,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
       0,   504,   505,   506,   768,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,     0,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
       0,   541,   542,   543,   544,   545,     0,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
       0,     0,   568,     0,   570,   571,   572,   573,   574,     0,
     575,   576,   577,     0,     0,   578,   579,   580,   581,   582,
       0,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   946,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     769,   770,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     3,     4,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,     0,   291,   292,   293,   294,
     295,   296,     0,   297,   298,   299,   300,     0,     0,     0,
     301,     0,     0,     0,   302,   303,   304,   305,   306,   307,
     308,   309,   310,     0,   311,     0,   312,   313,   314,   315,
     316,   317,   318,     0,   319,   320,   321,   322,     0,     0,
     323,   324,   325,   326,   327,     0,   328,   329,   330,     0,
     331,   332,   333,     0,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,     0,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,     0,   354,
     355,   356,   357,   358,     0,   359,   360,     0,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,     0,   391,     0,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,     0,   410,   411,   412,   413,   414,     0,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,     0,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,     0,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
       0,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,     0,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,     0,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,   576,   577,     0,     0,   578,   579,   580,   581,   582,
       0,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,     0,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   605,   606,
     607,   608,     0,     0,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,  1025,  1713,     0,
    6208,   696,     0,     0,     0,     0,   757,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1714,   244,   245,   246,  1715,  1716,
    1717,  1718,  1719,  1720,  1721,   247,   248,   249,  1722,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,  1723,   263,   264,   265,   266,   267,   268,   269,
    1724,  1725,   270,   271,   272,   273,   274,  1726,   275,   276,
     277,   278,   279,  1727,   280,  1728,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,  1729,   291,   292,   293,
     294,   295,   296,  1730,   297,   298,   299,   300,  1731,  1732,
    1733,   301,  1734,  1735,  1736,   302,   303,   304,   305,   306,
     307,   308,   309,   310,  1737,   311,  1738,   312,   313,   314,
     315,   316,   317,   318,  1739,   319,   320,   321,   322,  1740,
    1741,   323,   324,   325,   326,   327,  1742,   328,   329,   330,
    1743,   331,   332,   333,  1744,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,  1745,   344,  1746,   345,   346,
     347,   348,   349,  1747,   350,  1748,   351,   352,   353,  1749,
     354,   355,   356,   357,   358,  1750,   359,   360,  1751,   361,
     362,   363,  1752,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,  1753,   374,   375,   376,   377,   378,   379,
     380,   381,  1754,   382,   383,   384,   385,   386,   387,   388,
     389,   390,  1755,   391,  1756,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,  1757,  1758,   410,   411,   412,   413,   414,
    1759,   415,   416,   417,  1760,  1761,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,  1762,   449,   450,
     451,   452,  1763,   453,   454,   455,   456,   457,   458,  1764,
     459,   460,  1765,  1766,   461,   462,   463,  1767,  1768,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,  1769,   481,   482,   483,
     484,   485,   486,   487,   488,  1770,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,  1771,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,  1772,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,  1773,   536,   537,   538,   539,
     540,  1774,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,  1775,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,  1776,   566,
     567,  1777,  1778,   568,   569,   570,   571,   572,   573,   574,
    1779,   575,   576,   577,  1780,  1781,   578,   579,   580,   581,
     582,  1782,   583,   584,   585,   586,   587,   588,   589,   590,
    1783,  1784,   591,   592,   593,   594,   595,  1785,  1786,   596,
     597,   598,   599,   600,   601,   602,  1787,   603,   604,   605,
     606,   607,   608,  1788,  1789,   609,  1790,  1791,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,  1713,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1714,   244,   245,   246,  1715,  1716,
    1717,  1718,  1719,  1720,  1721,   247,   248,   249,  1722,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,  1723,   263,   264,   265,   266,   267,   268,   269,
    1724,  1725,   270,   271,   272,   273,   274,  1726,   275,   276,
     277,   278,   279,  1727,   280,  1728,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,  1729,   291,   292,   293,
     294,   295,   296,  1730,   297,   298,   299,   300,  1731,  1732,
    1733,   301,  1734,  1735,  1736,   302,   303,   304,   305,   306,
     307,   308,   309,   310,  1737,   311,  1738,   312,   313,   314,
     315,   316,   317,   318,  1739,   319,   320,   321,   322,  1740,
    1741,   323,   324,   325,   326,   327,  1742,   328,   329,   330,
    1743,   331,   332,   333,  1744,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,  1745,   344,  1746,   345,   346,
     347,   348,   349,  1747,   350,  1748,   351,   352,   353,  1749,
     354,   355,   356,   357,   358,  1750,   359,   360,  1751,   361,
     362,   363,  1752,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,  1753,   374,   375,   376,   377,   378,   379,
     380,   381,  1754,   382,   383,   384,   385,   386,   387,   388,
     389,   390,  1755,   391,  1756,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,  1757,  1758,   410,   411,   412,   413,   414,
    1759,   415,   416,   417,  1760,  1761,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,  1762,   449,   450,
     451,   452,  1763,   453,   454,   455,   456,   457,   458,  1764,
     459,   460,  1765,  1766,   461,   462,   463,  1767,  1768,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,  1769,   481,   482,   483,
     484,   485,   486,   487,   488,  1770,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,  1771,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,  1772,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,  1773,   536,   537,   538,   539,
     540,  1774,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,  1775,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,  1776,   566,
     567,  1777,  1778,   568,   569,   570,   571,   572,   573,   574,
    1779,   575,   576,   577,  1780,  1781,   578,   579,   580,   581,
     582,  1782,   583,   584,   585,   586,   587,   588,   589,   590,
    1783,  1784,   591,   592,   593,   594,   595,  1785,  1786,   596,
     597,   598,   599,   600,   601,   602,  1787,   603,   604,   605,
     606,   607,   608,  1788,  1789,   609,  1790,  1791,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,  1713,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
    3610,   241,   242,   243,  1714,   244,   245,   246,  1715,  1716,
    1717,  1718,  1719,  1720,  1721,   247,   248,   249,  1722,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,  1723,   263,   264,   265,   266,   267,   268,   269,
    1724,  1725,   270,   271,   272,   273,   274,  1726,   275,   276,
     277,   278,   279,  1727,   280,  1728,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,  1729,   291,   292,   293,
     294,   295,   296,  1730,   297,   298,   299,   300,  1731,  1732,
    1733,   301,  1734,  1735,  1736,   302,   303,   304,   305,   306,
     307,   308,   309,   310,  1737,   311,  1738,   312,   313,   314,
     315,   316,   317,   318,  1739,   319,   320,   321,   322,  1740,
    1741,   323,   324,   325,  3611,   327,  1742,   328,   329,   330,
    1743,   331,   332,   333,  1744,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,  1745,   344,  1746,   345,   346,
     347,   348,   349,  1747,   350,  1748,   351,   352,   353,  1749,
     354,   355,   356,   357,   358,  1750,   359,   360,  1751,   361,
     362,   363,  1752,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,  1753,   374,   375,   376,   377,   378,   379,
     380,   381,  1754,   382,   383,   384,   385,   386,   387,   388,
     389,   390,  1755,   391,  1756,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,  1757,  1758,   410,   411,   412,   413,   414,
    1759,   415,   416,   417,  1760,  1761,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,  1762,   449,   450,
     451,   452,  1763,   453,   454,   455,   456,   457,   458,  1764,
     459,   460,  1765,  1766,   461,   462,   463,  1767,  1768,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,  1769,   481,   482,   483,
     484,   485,   486,   487,   488,  1770,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,  1771,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,  1772,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,  1773,   536,   537,   538,   539,
     540,  1774,  3612,   542,   543,   544,   545,   546,   547,   548,
     549,   550,  1775,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,  1776,   566,
     567,  1777,  1778,   568,   569,   570,   571,   572,   573,   574,
    1779,   575,   576,   577,  1780,  1781,   578,   579,   580,   581,
     582,  1782,   583,   584,   585,   586,   587,   588,   589,   590,
    1783,  1784,   591,   592,   593,   594,   595,  1785,  1786,   596,
     597,   598,   599,   600,   601,   602,  1787,   603,   604,   605,
     606,   607,   608,  1788,  1789,   609,  1790,  1791,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,  1260,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,  1263,     0,  1264,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,  1265,  1266,
    1267,  1268,  1269,  1270,  1271,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,  1276,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,  1279,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
    3411,  1285,  1286,  1287,  1288,  1289,  1290,   404,   405,   406,
     407,   408,   409,     0,     0,   410,  1291,   412,   413,   414,
       0,   415,   416,   417,  1292,  1293,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,  1296,   448,     0,   449,   450,
     451,   452,     0,  1299,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,  1302,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,  1303,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,  1306,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,  1308,   565,     0,   566,
     567,  1309,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,  1312,   581,
    1313,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,  1316,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,  1318,  1319,  1320,  1321,   621,
    1322,  1323,  1324,  1325,   626,   627,   628,   629,   234,     0,
    1250,   696,     0,  1251,  1252,     0,   757,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1256,   260,
    1257,  1258,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,  1261,  1262,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,  1272,  1273,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,  1277,   344,     0,   345,   346,
     347,  1278,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
    1281,  1282,     0,  1283,     0,   392,   393,   394,   395,   396,
    6184,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1294,   437,  1295,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,  1298,   453,   454,  1300,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,  1304,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
    1307,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,  1310,  1311,     0,     0,   578,   579,   580,   581,
     582,  1314,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,  1317,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   985,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     947,   301,     0,     0,   948,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   949,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1006,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     947,   301,     0,     0,   948,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
    1007,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   949,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     947,   301,     0,     0,   948,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   949,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,  2948,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     947,   301,     0,     0,   948,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,  3962,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   949,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,   696,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,  1802,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,  1803,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,  1804,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     947,   301,     0,     0,   948,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   949,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     947,   301,     0,     0,   948,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
    1101,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   949,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     947,   301,     0,     0,   948,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1143,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   949,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     947,   301,     0,     0,   948,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1156,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   949,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
     947,   301,     0,     0,   948,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1168,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
    1169,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   949,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,   696,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,  2555,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,   696,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1127,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1140,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1154,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1158,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,  2718,   275,   276,
     277,   278,   279,     0,     0,  2788,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,  2719,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,  2789,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,  2721,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  2790,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,  2722,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,  2723,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,  2724,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,  2718,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,  2719,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,  2789,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,  2721,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,  3825,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,  2722,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,  2723,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,  2724,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,  2718,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,  2719,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,  2789,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,  2721,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,  2722,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,  2723,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,  2724,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   776,   244,   777,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,   778,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,   809,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   779,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   780,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   776,   244,   777,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,   778,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,  3511,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   779,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   780,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   776,   244,   777,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,   778,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   779,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   780,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  3024,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,  2854,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   841,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,  2855,  2856,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1980,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,  1981,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,  1982,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,  1983,   351,   352,     0,     0,
       0,  1984,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
    1985,  1986,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
    1987,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,  1988,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,  1989,   524,   525,   526,   527,   528,   529,  1990,
     531,   532,   533,   534,   535,     0,  1991,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,  1992,   568,     0,  1993,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,  1994,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   777,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,   778,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   779,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   780,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,  2854,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   841,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,  2855,  2856,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   999,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1000,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   841,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  3591,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,  3592,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  3604,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,  3605,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   638,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   687,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   688,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   801,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     802,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   803,   577,     0,     0,   804,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   835,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     836,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   837,   577,     0,     0,   838,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   841,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,   901,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   956,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   957,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1119,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1365,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,  1376,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   821,   271,   272,   273,  1377,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   824,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   825,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   826,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
    1369,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   828,   577,     0,     0,   829,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   830,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1522,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   841,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1583,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1584,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   801,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,  3360,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,  3361,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,  3362,   568,     0,   570,  3363,   572,  3364,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,  3365,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,   696,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,   757,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,  4175,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,  4189,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,  4847,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,  4919,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,  5272,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   793,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   799,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   821,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   822,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   823,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   824,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   825,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   826,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     827,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   828,   577,     0,     0,   829,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   830,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   853,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   981,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   991,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   994,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1010,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1067,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1072,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1089,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1092,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1094,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1132,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1160,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1162,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1172,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1175,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1178,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   821,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   824,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   825,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   826,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
    1369,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   828,   577,     0,     0,   829,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   830,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1845,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1879,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1881,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1921,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1923,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  1925,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,  2019,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,  2671,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,     0,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   821,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   824,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   825,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   826,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
    1369,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,  2705,   571,   572,   573,   574,
       0,   575,   828,   577,     0,     0,   829,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   830,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   821,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   824,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   825,
     521,   522,   523,   524,   525,   526,   527,   528,   529,  2771,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
    2772,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   828,   577,     0,     0,  2773,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   830,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   821,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   824,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   825,
     521,   522,   523,   524,   525,   526,   527,   528,   529,  2851,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
    2772,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   828,   577,     0,     0,  2773,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   830,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   821,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   824,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   825,
     521,   522,   523,   524,   525,   526,   527,   528,   529,  2875,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
    2772,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   828,   577,     0,     0,  2773,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   830,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  3069,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  3073,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  3131,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  3523,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   821,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   824,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   825,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   826,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
    2772,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   828,   577,     0,     0,  2773,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   830,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  3580,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  3594,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  3596,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  3744,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,  3786,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
     362,   363,     0,   364,   365,   366,   367,  5032,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   637,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,     0,   298,   299,   300,     0,     0,
       0,     0,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   308,   309,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,     0,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,     0,     0,
       0,   355,   356,   357,   358,     0,   359,   360,     0,   361,
       0,   363,     0,   364,   365,   366,   367,   368,     0,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,     0,   384,   385,   386,   387,   388,
     389,   390,     0,   391,     0,   392,     0,     0,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,     0,   410,   411,     0,   413,     0,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,     0,   449,   450,
       0,   452,     0,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,   466,     0,   468,     0,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   479,   480,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   498,   499,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,     0,   520,
     521,   522,   523,   524,   525,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   543,   544,   545,     0,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,     0,   566,
     567,     0,     0,   568,     0,   570,   571,   572,   573,   574,
       0,   575,   576,   577,     0,     0,   578,   579,   580,   581,
     582,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   858,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   859,   260,
     860,   861,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   862,   863,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   864,   865,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,     0,
     339,   340,   341,   342,     0,     0,   344,     0,   345,   346,
     347,   867,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,     0,     0,     0,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,  2679,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,  2680,   385,   386,   387,   388,
     868,   869,     0,   870,     0,   392,   393,   394,   395,   396,
     871,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,     0,     0,   410,     0,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   872,   437,   873,   439,   440,   441,
     442,   443,   444,   445,     0,     0,   448,     0,   449,   450,
     451,   452,     0,     0,   454,   874,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,  2682,   467,   468,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,     0,
     484,     0,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   875,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,     0,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,  2683,   544,   545,   546,   547,   548,
     877,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   878,   879,     0,     0,   578,   579,     0,   581,
       0,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,     0,   880,  2684,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   858,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   627,   628,   629,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   859,   260,   860,   861,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     862,   863,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,     0,   301,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   864,   865,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,     0,   339,   340,   341,   342,
       0,     0,   344,     0,   345,   346,   347,   867,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,     0,     0,     0,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,     0,   385,   386,   387,   388,   868,   869,     0,   870,
       0,   392,   393,   394,   395,   396,   871,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,     0,
       0,   410,     0,   412,   413,   414,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     872,   437,   873,   439,   440,   441,   442,   443,   444,   445,
       0,     0,   448,     0,   449,   450,   451,   452,  2767,     0,
     454,   874,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,     0,   467,   468,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,     0,   484,     0,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   875,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
       0,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,     0,   541,   542,
    2683,   544,   545,   546,   547,   548,   877,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   565,     0,   566,   567,     0,  4555,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   878,   879,
       0,     0,   578,   579,     0,   581,     0,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,     0,   596,   597,   598,   599,   600,
       0,   880,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     858,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   627,   628,   629,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     859,   260,   860,   861,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   862,   863,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   864,   865,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,     0,   339,   340,   341,   342,     0,     0,   344,     0,
     345,   346,   347,   867,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,     0,
       0,     0,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,     0,   385,   386,
     387,   388,   868,   869,     0,   870,     0,   392,   393,   394,
     395,   396,   871,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,     0,     0,   410,     0,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   872,   437,   873,   439,
     440,   441,   442,   443,   444,   445,  2841,     0,   448,     0,
     449,   450,   451,   452,     0,     0,   454,   874,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,     0,   467,   468,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,     0,   484,     0,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   875,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,     0,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   876,   544,   545,   546,
     547,   548,   877,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   878,   879,     0,     0,   578,   579,
       0,   581,     0,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,     0,   880,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   858,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   627,   628,   629,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   859,   260,   860,   861,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   862,   863,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,     0,   301,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   864,
     865,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,     0,   339,   340,
     341,   342,     0,     0,   344,     0,   345,   346,   347,   867,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,     0,     0,     0,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,     0,   385,   386,   387,   388,   868,   869,
       0,   870,     0,   392,   393,   394,   395,   396,   871,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,     0,     0,   410,     0,   412,   413,   414,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   872,   437,   873,   439,   440,   441,   442,   443,
     444,   445,  4351,     0,   448,     0,   449,   450,   451,   452,
       0,     0,   454,   874,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,     0,
     467,   468,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,     0,   484,     0,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   875,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,     0,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,     0,
     541,   542,   876,   544,   545,   546,   547,   548,   877,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   565,     0,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
     878,   879,     0,     0,   578,   579,     0,   581,     0,     0,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,     0,   596,   597,   598,
     599,   600,     0,   880,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   858,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   627,   628,   629,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,     0,   859,   260,   860,   861,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   862,   863,
     274,     0,   275,   276,   277,   278,     0,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,     0,   301,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   864,   865,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,     0,   339,   340,   341,   342,     0,     0,
     344,     0,   345,   346,   347,   867,   349,  5880,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,     0,     0,     0,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,     0,
     385,   386,   387,   388,   868,   869,     0,   870,     0,   392,
     393,   394,   395,   396,   871,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,     0,     0,   410,
       0,   412,   413,   414,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   872,   437,
     873,   439,   440,   441,   442,   443,   444,   445,     0,     0,
     448,     0,   449,   450,   451,   452,     0,     0,   454,   874,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,     0,   467,   468,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,     0,   484,     0,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     875,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,     0,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,     0,   541,   542,   876,   544,
     545,   546,   547,   548,   877,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   565,     0,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,   878,   879,     0,     0,
     578,   579,     0,   581,     0,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,     0,   596,   597,   598,   599,   600,     0,   880,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   858,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   627,
     628,   629,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   859,   260,
     860,   861,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   862,   863,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,   864,   865,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   866,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,     0,
     339,   340,   341,   342,     0,     0,   344,     0,   345,   346,
     347,   867,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,     0,     0,     0,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,     0,   385,   386,   387,   388,
     868,   869,     0,   870,     0,   392,   393,   394,   395,   396,
     871,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,     0,     0,   410,     0,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   872,   437,   873,   439,   440,   441,
     442,   443,   444,   445,     0,     0,   448,     0,   449,   450,
     451,   452,     0,     0,   454,   874,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,     0,   467,   468,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,     0,
     484,     0,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   875,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,     0,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,   876,   544,   545,   546,   547,   548,
     877,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   878,   879,     0,     0,   578,   579,     0,   581,
       0,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,     0,   880,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   858,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   627,   628,   629,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   859,   260,   860,   861,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     862,   863,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,     0,   291,   292,   293,   294,   295,   296,     0,
     297,   298,   299,   300,     0,     0,     0,   301,     0,     0,
       0,   302,   303,   304,   305,   306,   307,   864,   865,   310,
       0,   311,     0,   312,   313,   314,   315,   316,   317,   318,
       0,   319,   320,   321,   322,     0,     0,   323,   324,   866,
     326,   327,     0,   328,   329,   330,     0,   331,   332,   333,
       0,   334,   335,   336,   337,     0,   339,   340,   341,   342,
       0,     0,   344,     0,   345,   346,   347,   867,   349,     0,
     350,     0,   351,   352,   353,     0,   354,   355,   356,   357,
     358,     0,   359,     0,     0,     0,   362,   363,     0,   364,
     365,   366,   367,  1134,   369,   370,   371,   372,   373,     0,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,     0,   385,   386,   387,   388,   868,   869,     0,   870,
       0,   392,   393,   394,   395,   396,   871,     0,     0,     0,
       0,     0,     0,   404,   405,   406,   407,   408,   409,     0,
       0,   410,     0,   412,   413,   414,     0,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     872,   437,   873,   439,   440,   441,   442,   443,   444,   445,
       0,     0,   448,     0,   449,   450,   451,   452,     0,     0,
     454,   874,   456,   457,   458,     0,   459,   460,     0,     0,
     461,   462,   463,     0,     0,   464,   465,     0,   467,   468,
     469,     0,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     0,   481,   482,     0,   484,     0,   486,   487,
     488,     0,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   875,   500,   501,   502,   503,     0,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,     0,   517,   518,   519,   520,   521,   522,   523,   524,
       0,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,     0,   541,   542,
     876,   544,   545,   546,   547,   548,   877,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   565,     0,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   878,   879,
       0,     0,   578,   579,     0,   581,     0,     0,   583,   584,
     585,   586,   587,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,     0,   596,   597,   598,   599,   600,
       0,   880,     0,   603,   604,   605,   606,   607,   608,     0,
       0,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     858,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   627,   628,   629,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     859,   260,   860,   861,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   862,   863,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,     0,   291,
     292,   293,   294,   295,   296,     0,   297,   298,   299,   300,
       0,     0,     0,   301,     0,     0,     0,   302,   303,   304,
     305,   306,   307,   864,   865,   310,     0,   311,     0,   312,
     313,   314,   315,   316,   317,   318,     0,   319,   320,   321,
     322,     0,     0,   323,   324,   866,   326,   327,     0,   328,
     329,   330,     0,   331,   332,   333,     0,   334,   335,   336,
     337,     0,   339,   340,   341,   342,     0,     0,   344,     0,
     345,   346,   347,   867,   349,     0,   350,     0,   351,   352,
     353,     0,   354,   355,   356,   357,   358,     0,   359,     0,
       0,     0,   362,   363,     0,   364,   365,   366,   367,  1166,
     369,   370,   371,   372,   373,     0,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,     0,   385,   386,
     387,   388,   868,   869,     0,   870,     0,   392,   393,   394,
     395,   396,   871,     0,     0,     0,     0,     0,     0,   404,
     405,   406,   407,   408,   409,     0,     0,   410,     0,   412,
     413,   414,     0,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   872,   437,   873,   439,
     440,   441,   442,   443,   444,   445,     0,     0,   448,     0,
     449,   450,   451,   452,     0,     0,   454,   874,   456,   457,
     458,     0,   459,   460,     0,     0,   461,   462,   463,     0,
       0,   464,   465,     0,   467,   468,   469,     0,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,     0,   481,
     482,     0,   484,     0,   486,   487,   488,     0,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   875,   500,
     501,   502,   503,     0,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,     0,   517,   518,
     519,   520,   521,   522,   523,   524,     0,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,     0,   541,   542,   876,   544,   545,   546,
     547,   548,   877,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   565,
       0,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   878,   879,     0,     0,   578,   579,
       0,   581,     0,     0,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
       0,   596,   597,   598,   599,   600,     0,   880,     0,   603,
     604,   605,   606,   607,   608,     0,     0,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   858,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   627,   628,   629,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   859,   260,   860,   861,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   862,   863,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,     0,   291,   292,   293,   294,   295,
     296,     0,   297,   298,   299,   300,     0,     0,     0,   301,
       0,     0,     0,   302,   303,   304,   305,   306,   307,   864,
     865,   310,     0,   311,     0,   312,   313,   314,   315,   316,
     317,   318,     0,   319,   320,   321,   322,     0,     0,   323,
     324,   866,   326,   327,     0,   328,   329,   330,     0,   331,
     332,   333,     0,   334,   335,   336,   337,     0,   339,   340,
     341,   342,     0,     0,   344,     0,   345,   346,   347,   867,
     349,     0,   350,     0,   351,   352,   353,     0,   354,   355,
     356,   357,   358,     0,   359,     0,     0,     0,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,     0,   385,   386,   387,   388,   868,   869,
       0,   870,     0,   392,   393,   394,   395,   396,   871,     0,
       0,     0,     0,     0,     0,   404,   405,   406,   407,   408,
     409,     0,     0,   410,     0,   412,   413,   414,     0,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   872,   437,   873,   439,   440,   441,   442,   443,
     444,   445,     0,     0,   448,     0,   449,   450,   451,   452,
       0,     0,   454,   874,   456,   457,   458,     0,   459,   460,
       0,     0,   461,   462,   463,     0,     0,   464,   465,     0,
     467,   468,   469,     0,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,     0,   481,   482,     0,   484,     0,
     486,   487,   488,     0,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   875,   500,   501,   502,   503,     0,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,     0,   517,   518,   519,   520,   521,   522,
     523,   524,     0,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,     0,
     541,   542,  2683,   544,   545,   546,   547,   548,   877,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   565,     0,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
     878,   879,     0,     0,   578,   579,     0,   581,     0,     0,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,     0,   596,   597,   598,
     599,   600,     0,   880,     0,   603,   604,   605,   606,   607,
     608,     0,     0,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   858,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   627,   628,   629,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,     0,   859,   260,   860,   861,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   862,   863,
     274,     0,   275,   276,   277,   278,     0,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
       0,   291,   292,   293,   294,   295,   296,     0,   297,   298,
     299,   300,     0,     0,     0,   301,     0,     0,     0,   302,
     303,   304,   305,   306,   307,   864,   865,   310,     0,   311,
       0,   312,   313,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   322,     0,     0,   323,   324,   866,   326,   327,
       0,   328,   329,   330,     0,   331,   332,   333,     0,   334,
     335,   336,   337,     0,   339,   340,   341,   342,     0,     0,
     344,     0,   345,   346,   347,   867,   349,     0,   350,     0,
     351,   352,   353,     0,   354,   355,   356,   357,   358,     0,
     359,     0,     0,     0,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,     0,
     385,   386,   387,   388,   868,   869,     0,   870,     0,   392,
     393,   394,   395,   396,   871,     0,     0,     0,     0,     0,
       0,   404,   405,   406,   407,   408,   409,     0,     0,   410,
       0,   412,   413,   414,     0,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   872,   437,
     873,   439,   440,   441,   442,   443,   444,   445,     0,     0,
     448,     0,   449,   450,   451,   452,     0,     0,   454,   874,
     456,   457,   458,     0,   459,   460,     0,     0,   461,   462,
     463,     0,     0,   464,   465,     0,   467,   468,   469,     0,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
       0,   481,   482,     0,   484,     0,   486,   487,   488,     0,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     875,   500,   501,   502,   503,     0,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,     0,
     517,   518,   519,   520,   521,   522,   523,   524,     0,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,     0,   541,   542,     0,   544,
     545,   546,   547,   548,   877,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   565,     0,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,   878,   879,     0,     0,
     578,   579,     0,   581,     0,     0,   583,   584,   585,   586,
     587,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,     0,   596,   597,   598,   599,   600,     0,   880,
       0,   603,   604,   605,   606,   607,   608,     0,     0,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   858,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   627,
     628,   629,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,     0,   260,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,     0,     0,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,     0,   291,   292,   293,
     294,   295,   296,     0,   297,   298,   299,   300,     0,     0,
       0,   301,     0,     0,     0,   302,   303,   304,   305,   306,
     307,     0,     0,   310,     0,   311,     0,   312,   313,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   322,     0,
       0,   323,   324,   325,   326,   327,     0,   328,   329,   330,
       0,   331,   332,   333,     0,   334,   335,   336,   337,     0,
     339,   340,   341,   342,     0,     0,   344,     0,   345,   346,
     347,     0,   349,     0,   350,     0,   351,   352,   353,     0,
     354,   355,   356,   357,   358,     0,   359,     0,     0,     0,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,     0,   385,   386,   387,   388,
       0,     0,     0,     0,     0,   392,   393,   394,   395,   396,
       0,     0,     0,     0,     0,     0,     0,   404,   405,   406,
     407,   408,   409,     0,     0,   410,     0,   412,   413,   414,
       0,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,     0,   439,   440,   441,
     442,   443,   444,   445,     0,     0,   448,     0,   449,   450,
     451,   452,     0,     0,   454,     0,   456,   457,   458,     0,
     459,   460,     0,     0,   461,   462,   463,     0,     0,   464,
     465,     0,   467,   468,   469,     0,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     0,   481,   482,     0,
     484,     0,   486,   487,   488,     0,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,     0,   500,   501,   502,
     503,     0,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,     0,   517,   518,   519,   520,
     521,   522,   523,   524,     0,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,     0,   541,   542,     0,   544,   545,   546,   547,   548,
       0,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   565,     0,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,     0,     0,     0,     0,   578,   579,     0,   581,
       0,     0,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,     0,   596,
     597,   598,   599,   600,     0,     0,     0,   603,   604,   605,
     606,   607,   608,     0,     0,   609,     0,     0,   610,   611,
     612,   613,   614,   615,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   627,   628,   629
};

static const yytype_int16 yycheck[] =
{
       6,     0,     0,     0,     0,    44,   211,     0,     0,    56,
       0,     0,     0,     0,     0,     0,   206,     0,     0,     0,
    1029,     0,     0,    21,   214,    36,  1020,   217,     0,     0,
     211,    21,   992,  1207,   778,   779,   780,   822,    22,   819,
     784,     8,   921,   189,    28,    51,  1146,   876,    15,   665,
    1635,  1508,  1022,   644,  1480,   915,   846,   917,  2724,  1009,
     720,  1570,   993,   895,  1554,   864,   865,   197,   812,   697,
    2665,  1254,  1018,  1547,   734,   874,  2017,  1024,  2666,  3369,
    1559,  3371,  1095,  1241,  3082,   216,  1875,   829,  3044,  3462,
     879,   742,    45,  3192,  2042,  2935,   738,  1554,  3017,   230,
    3664,   933,  2006,  2687,  2688,  2043,   697,  1226,   845,  3876,
    3860,  1230,  4203,     6,  1233,  1234,  1703,  3029,  3557,  1069,
     646,  1547,  2078,  1073,  3421,  1600,  1601,    23,  1078,  1604,
    3887,  2025,  3584,  3610,   191,  3612,  3472,  3909,  1088,  4750,
      36,   992,   191,  3812,  2040,  2041,  4246,   175,   733,  2045,
    1001,   743,  1102,   744,  4520,  1888,  2054,  4488,  1947,  2913,
    1011,  1670,  1671,  1437,     2,  4250,  4543,  4526,  5228,  4329,
    2545,  4531,  1537,  3415,  2549,  4766,  3436,  4768,  5250,   958,
      35,  5062,  5013,  1133,  5358,  1664,   225,    42,  2582,    50,
    3328,   197,   959,  2650,  3323,   718,  2652,   825,   721,  4530,
     206,   207,  3235,  5070,   983,  3482,   797,   944,   214,   988,
     216,   217,  1691,  3420,  5270,  3422,    41,  5406,  3874,  4815,
    4225,   918,   942,     0,   230,    21,     0,  5057,  3470,  5641,
    5061,   918,  1597,    22,   825,  2629,    11,    11,     6,    28,
    5394,     0,    13,     0,     0,    21,     6,    15,    16,  1614,
    1520,  5625,    13,    38,  4692,    29,     6,  5313,   146,   850,
       6,    54,  1029,   983,   852,    63,  5320,  5321,   988,   862,
     863,  3025,     6,     6,    45,    63,    63,    47,    25,  2012,
     873,     0,    15,    16,    35,   168,     6,   198,     6,   153,
      63,     6,    11,    25,     6,   119,  1033,    15,    16,    94,
     121,     6,     6,     6,    43,   174,     6,    78,    63,     3,
      29,    32,     6,    29,     6,     6,   174,     6,     6,  1063,
     126,   912,   174,    51,   124,    63,   175,     6,   112,     5,
     112,     3,  1500,     5,     6,    11,    85,  1084,  2982,    11,
    2984,  2985,   174,   174,    80,  2989,  2990,  2991,    43,  2993,
    2994,  2995,    11,  1100,    80,    91,    37,    21,  4621,  4622,
    4623,    91,  4625,  4626,  4627,  4628,  4629,   198,   160,   152,
      21,   186,     5,  5345,   175,   292,    63,   112,    11,  1854,
     174,    63,   232,   303,  4544,   119,    15,   174,    29,   318,
     121,   300,   139,   318,    13,    36,   332,   174,    29,   298,
     174,   318,   223,   168,    27,    36,   337,   139,   124,    63,
     354,   329,   283,   213,  5894,   174,  5828,   174,   174,    51,
     114,   198,    47,  1459,   198,   301,    45,    50,   278,   119,
      80,   374,   174,    78,  1085,  1381,  1449,   313,  1029,   198,
     174,   198,   198,   344,  5274,  5819,  1393,   119,   345,   387,
      13,   339,   123,   262,   429,   174,   388,   364,    47,    78,
     665,   282,  2871,   278,  6154,   114,   429,  1437,    39,   463,
      13,   149,    58,  1272,  1273,   369,   352,    29,   352,   198,
     415,   356,    45,  5539,    36,  4851,   151,   313,     6,  5643,
     340,   287,   223,  1153,  1441,   257,   190,   213,   313,   119,
      32,  1300,   356,     5,    80,    32,    15,    16,   300,    11,
     715,   287,   387,   431,  5395,    78,   317,   452,    80,   340,
     282,   515,  1311,   417,    13,  6215,   352,    59,   472,    91,
      80,    80,   663,   387,    80,   200,   174,   352,   669,   181,
     390,   190,   128,  2952,   519,   452,   218,   181,   168,   220,
     681,   282,   496,    91,  1214,   429,   519,   475,   129,  5971,
     358,   458,   357,   121,   465,  1225,   313,   245,   262,   378,
     358,   265,   515,   181,   191,   519,   248,    37,   477,   515,
     451,   519,  1242,   515,   515,   358,   515,   374,   464,   354,
     515,   214,   393,  1181,  1331,  1187,   516,   287,   515,   519,
     124,   451,  1549,   358,   468,   352,   515,   390,   519,   340,
     291,   135,  1379,   262,   181,  5587,   265,  1384,  1385,  1247,
     358,    10,   141,   287,  1361,  5216,   124,   515,    17,    18,
      19,   359,   515,   417,   355,   417,   287,   437,   644,  1438,
     387,   472,   457,    51,   436,  5355,   515,   453,   369,  6061,
     371,   451,   650,   650,   650,   387,  1247,   663,   650,   119,
    4329,   519,   650,   669,   380,   650,   515,   519,  1261,  1262,
    1838,   358,  1523,  5827,   413,   681,   358,   464,   429,  6159,
    1630,   505,   417,  1633,   378,  6059,  4355,   519,   458,   404,
     405,   697,   373,   429,   443,   429,   702,   744,   519,   429,
      23,   707,  1295,   429,   358,   711,   712,  1701,  1702,   456,
    1641,  5765,   718,   434,   720,   721,   462,  6129,   413,   451,
     748,   519,   515,   519,   519,   519,  5164,   733,   734,   378,
     515,   519,   506,   507,  1585,   451,   496,   497,   744,   514,
     511,   518,  1330,   519,   518,   743,   519,   515,  1376,  4499,
     511,   790,  2022,  1699,  5635,   515,   397,  6169,  1525,   518,
    1402,   518,   518,   513,   519,   515,   397,   517,  1535,   515,
    1467,   505,  4539,   515,   758,   921,   760,   458,   762,   429,
    1467,   519,   515,   517,   768,  1376,  5975,   506,   507,  4794,
    4540,   797,  1621,  1384,  1385,   515,   490,   515,  4362,   518,
    4252,  1975,  4254,   515,  4368,   772,  1585,   846,  5962,  5639,
     515,   515,   515,   819,   820,   515,  5990,   496,   497,   825,
    1408,  1414,  1415,   515,   515,  1545,   515,   515,   355,  1708,
     506,   507,   519,   458,   506,   507,   515,   519,  1043,   472,
     429,   490,    23,   303,   850,   397,   852,   506,   507,  1949,
    1040,  5907,   909,   429,  1044,  1622,  1046,  1604,  1625,  1626,
     909,  5124,  1043,   496,  5920,   519,  1836,   429,   513,   458,
     876,  4168,   517,   506,   507,  4544,   505,   519,  1598,   429,
     429,   519,  1982,   429,   513,   519,  1474,   926,   517,   508,
     509,   510,   511,   899,  1994,  1615,   434,   455,   515,  4037,
    4038,  3485,   941,  3487,  1034,   472,   912,  1654,  1655,  6063,
     299,   519,   911,   911,   911,   911,  4045,   119,   911,   911,
    5516,   911,   911,   911,   911,   911,   911,   451,   911,   911,
     911,   254,   911,   911,  4590,  3847,   935,  4179,    25,   911,
     911,  4183,  5823,   506,   507,   508,   509,   510,   511,   468,
    3704,  3705,   519,   451,   112,  3709,    63,   124,     6,  5826,
    4167,  4238,  4169,   506,   507,   508,   509,   510,   511,   758,
      88,   760,   219,   762,  6128,  5806,  1592,   168,  6034,   768,
     769,   770,  4120,  3559,  3441,     6,  3442,   278,  4021,  3383,
     248,  5822,   853,   119,  1520,  6067,  6068,  4449,   823,    25,
     297,  5862,   827,   124,     3,    31,  2042,  2043,    10,  4448,
     203,    13,  5378,   131,  1020,  1021,  1022,   289,  2054,   508,
     509,   510,   511,  1029,   174,    23,  5736,  2063,  1034,   152,
    6204,  5741,  5742,  1039,  1040,     6,     6,   186,  1044,    25,
    1046,   186,   111,    45,  1050,   505,   213,   311,  2042,     3,
      52,  1818,   139,   513,  5385,   515,   516,   517,   185,   519,
    1066,     6,    30,  5576,   165,  5578,    35,   162,   176,  5582,
    5583,    10,    13,   254,    13,   707,    78,  2024,    17,    18,
      19,    88,  5963,   174,    98,   174,   114,    29,    23,   135,
    3844,    90,   213,   260,   186,  4355,    35,   420,  3473,  6171,
     313,   733,   210,    98,  1110,  5972,  1112,  1113,  1855,   311,
       3,  5702,   202,   139,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   118,   131,    76,   449,  5287,  2075,   278,
     303,   292,  2102,  6193,    87,    40,  4575,    78,  4511,   352,
    1884,    28,   997,   998,   143,   147,  3790,  1153,   183,    54,
     245,   474,    23,   139,   152,   297,   282,   318,   153,   119,
      23,  5246,   190,   298,    68,   119,   180,   213,    64,   427,
     959,    10,   273,   102,    13,  1181,    72,   292,    17,    18,
      19,   453,  6242,   176,   153,   119,   278,   235,   278,  1187,
     259,   193,   515,   374,   263,   459,   198,    90,   316,    38,
     491,   124,  6069,   318,    91,   110,  1991,  1992,  1214,   301,
    1801,   164,   339,    10,   301,   175,    13,  1223,   515,  1225,
      17,    18,    19,  1190,   417,  1192,   384,  1194,  3812,  1196,
    6091,  1198,  1199,  1200,   262,    52,  1242,   265,  1205,   420,
    1029,  1247,   244,   370,   876,  3821,   214,  5607,   374,    23,
     143,   358,   251,  1259,   183,    10,  5622,   459,    13,  1919,
    6127,  2687,    17,    18,    19,  5631,   287,   390,   449,   356,
     357,  6138,   519,  1933,  5633,  5606,  5653,  5637,  2757,   429,
    1118,   472,   221,  1330,   451,  5052,  1946,   313,     3,   176,
     213,  1297,    23,   474,  4250,  3028,  5046,   299,  2788,   707,
     387,  3249,  5059,  6170,   422,  5636,   299,   212,   457,   316,
    1952,  5083,   457,   515,   313,  5681,   287,   287,  3902,   254,
    1326,  1327,  1328,   283,  1330,   733,   352,  1912,   282,   364,
     451,  6198,  5523,   287,   515,  2072,  5849,   472,   429,  1981,
     429,     0,   287,  1985,   295,  1351,   519,  2621,  1990,   278,
     378,  1993,   248,   348,   515,  6222,  2835,  4809,   251,  1944,
     299,   387,    21,  3261,  3262,   457,   298,  1959,  3266,  1397,
    1376,   369,    25,   278,   278,    90,   193,   311,  1384,  1385,
     322,   198,   221,   254,  2971,   380,   298,  1592,  1020,   298,
     392,   254,   390,  1916,  6005,  1452,  1453,    56,  1455,   176,
     515,   198,  1408,  1452,  1453,    25,  1455,  1039,  1931,  3307,
    3308,  1934,  2777,   406,  5514,   422,   505,    23,  1050,  3375,
     313,   420,   417,   422,   221,   134,    23,   244,   517,   144,
    1469,  1437,  1471,    42,  1066,  2023,  2052,  2025,    63,   374,
     382,  1601,  5808,  2031,  1604,    88,   380,   334,  1454,  2037,
    2038,   278,  1458,  1459,  4751,   348,  4792,   380,  2046,   352,
     299,  1984,   490,   356,   459,  1988,  1989,  2055,  1474,   292,
     369,   376,   374,  2061,  1480,   176,  3061,   472,    80,   421,
     254,   423,   303,   417,   371,   420,   139,   515,   131,    91,
     205,   463,   494,   453,   387,   318,  2022,   426,   167,   312,
     132,   496,   299,   374,   506,   507,   508,   509,   510,   511,
     142,   374,   112,  4755,   449,   313,    72,   648,  4760,   139,
     515,  4763,   299,   254,   170,   459,   453,   420,   451,   422,
     198,   149,   191,  5010,  5982,    91,   190,   177,   472,   474,
     472,  1547,  5982,   515,   299,   432,  2623,   434,  5739,   420,
      23,   438,  2546,   297,   352,    72,  4512,   420,  4556,   371,
     472,   153,   496,   472,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   282,   387,   392,    38,   469,   449,   472,
     515,   515,  1588,   515,    72,   417,   449,   196,   515,   387,
    1379,  1223,    91,  5959,   150,  1384,  1385,   121,    60,   217,
     374,  2548,   119,   474,  2640,   320,  3080,  1606,   262,   740,
      29,   474,  1611,   515,   170,  1621,   515,  5384,  5287,   121,
     119,  1660,   434,  1412,   134,   168,   136,   519,  6076,   329,
     457,  1039,  1421,   334,  1423,   312,  6076,   180,  1427,  5396,
    5725,   232,  1050,   374,   515,  1434,   420,  5738,   254,   111,
    3076,  2621,   515,   278,  3080,   198,   325,   254,  1066,   124,
     313,   178,   150,   123,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   316,   139,   449,    69,    70,   278,  4519,
    1686,   313,   170,   814,   352,   303,  1685,   278,   356,   420,
    1689,  6057,   515,   313,  1854,  1701,  1702,  1703,   519,   352,
     474,    29,  2711,  5968,  5969,   369,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   134,   286,   515,   449,   387,
     352,   223,  1927,  1928,   378,   177,   282,  1917,   368,   444,
    6178,   431,   352,   358,   387,   375,  1525,   452,  6178,   201,
     455,   515,   382,   474,   258,  4329,  1535,  1928,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   162,  6124,  4513,
     220,   113,   387,   287,   453,   282,   387,   387,   374,   513,
     287,  4355,   282,   517,   330,   475,  1906,   374,   418,   422,
     282,   254,   429,   282,   515,   119,   744,   451,   380,   312,
    1579,  1580,  4748,  4437,   282,  1801,   312,   259,  4442,   390,
     440,   263,   313,   387,   472,   357,   134,  1813,   380,  4475,
     371,  5284,  5903,   330,   420,  1223,   278,    25,  1824,   362,
     387,   387,   156,   420,   394,   417,   515,   445,   496,   346,
    1836,   121,   175,  1622,  1840,   387,  1625,  1626,   340,   797,
     245,   352,   330,   449,   505,   417,   121,  2052,  1480,  2819,
     312,   203,   449,  1859,  2683,  5328,   517,   191,   505,    23,
     451,  1867,   327,   515,   387,  6130,   209,   459,   474,  1875,
     517,   387,   153,   434,  5624,  2845,   387,   474,  2663,   387,
     472,   224,    90,   335,  5651,  5642,   472,   459,  1894,   294,
     446,   122,   850,   168,   396,   357,   162,  1903,   519,   242,
    1906,   374,   168,  1909,   496,   234,  1912,  1913,   165,   515,
    1916,  1917,   313,  1919,  1920,  1547,   368,   207,   515,   381,
       5,  2881,   472,   515,   132,  1931,    11,  1933,  1934,   446,
     382,   139,   207,   519,   142,   519,  2787,  1943,  1944,   401,
    1946,  1947,    10,   515,  2711,    13,   496,   420,   282,    17,
      18,    19,   519,   519,   912,   122,  1588,   174,   446,   282,
    4544,  1959,  2001,   194,   287,    10,   418,  3044,    13,   519,
    5212,   515,    17,    18,    19,  2945,   449,   179,  1984,   245,
     237,   198,  1988,  1989,  5423,   278,   387,  6072,   278,  1621,
      35,   650,   282,  2040,  1961,   369,  1963,   371,  1965,   168,
    1967,   474,  1969,   278,  2015,  3105,  1973,   282,  2006,  2006,
    2006,   519,  2600,   431,  2006,   338,  5115,  2023,  2006,  2025,
     363,  2006,   374,   192,  2030,  2031,  3967,   194,   294,  1818,
    2881,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,  2045,
    2046,  3011,   515,  2049,  3985,  2051,   248,  2053,  2054,  2055,
    2056,  2057,  2058,  5820,   516,  2061,  3482,  2063,  2064,   352,
     434,  2067,   472,   415,  5821,   417,  3492,  5839,  2919,  1701,
    1702,  1703,   518,   344,  4022,  2081,  2082,  2083,  2084,  4027,
    5036,    33,    34,   303,   743,   744,  2965,  2966,  2967,  6174,
     254,   162,   472,  5012,  2100,    25,  2102,   168,  4036,   380,
    3574,    31,    25,  2954,  3689,   313,    93,  4001,    31,   519,
     381,  3294,     0,   122,   179,  2859,  1606,  2861,  2885,  5031,
    2711,  1611,  2018,   313,  2861,  2785,  2893,  5417,  5605,  2896,
    4026,   431,  5051,   519,  4030,  4031,   417,   149,   313,   519,
     348,  5240,   344,  5242,   352,  4853,   417,  3097,  3574,   136,
     162,    35,  4860,   221,  3943,  2934,   168,   377,  4056,  4057,
    4058,  4059,   352,   344,  4062,  4063,  4064,  4065,  4066,  4067,
    4068,  4069,  4070,  4071,   245,   475,   221,   352,   459,   387,
    1588,  1813,  3769,   248,  2931,   194,   394,  3662,  3775,   352,
      48,   472,  1824,   258,   465,  1685,   332,   387,  3168,  1689,
     381,   134,   352,   136,  5656,   217,   169,  5964,  1840,   139,
     374,   434,   387,    71,   311,   496,   139,   472,   369,   421,
     374,   423,   313,   294,   387,  3261,  3262,   160,  4126,  4127,
    3266,   299,  3711,   245,   515,   313,   417,   387,  2244,  5678,
     472,   496,   205,    99,  2033,  2034,  5000,   449,  5002,   403,
     909,   402,   911,   291,   299,  4159,   420,  5630,  2047,  2048,
     515,   352,  1894,   465,   496,   356,   421,  2909,   423,  2911,
     348,  3307,  3308,  2915,   352,   377,  5232,  1909,   313,  3758,
    1912,  1913,   294,   380,   465,   449,   340,  2293,  2077,   168,
    5246,   303,   225,  3476,    13,  5585,   387,  1598,   258,   353,
     168,  3048,  3049,  3050,  3051,  6062,  3053,    80,   465,   387,
     474,  1943,  1944,   192,  1615,  3285,   235,   352,    91,   175,
     417,  3291,   282,  6073,   192,   516,    45,  3071,   519,   383,
    4974,  3078,  4976,  4977,  4978,  3412,  5900,   134,  3415,   136,
    2346,   274,   275,   276,   277,   472,   272,   515,   281,   282,
     111,   515,   387,   209,   287,  5541,   421,   261,   423,    78,
    5546,  5547,   459,   160,   434,   429,     5,    27,   224,   496,
     296,  1135,    11,   515,  3883,   472,  1857,  1141,    10,  3030,
      19,    13,   987,   313,   449,  3462,   242,  1151,  3155,   453,
      50,  1155,   354,  3470,     5,  1159,  1877,  1161,    37,   496,
      11,  1006,   514,  1167,  1009,  1813,   514,   519,   169,  1173,
    2042,   519,  1176,    45,   270,   513,  1824,   515,   515,   517,
      52,  2053,   352,  6230,  2056,  6232,   297,   377,   225,   496,
     497,   302,  1840,   445,  5724,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   205,  6252,    78,   297,   515,  2081,
    5406,  6201,   302,  5905,  5906,   496,   497,   387,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   513,   510,   516,
     258,   517,   519,   515,   515,   517,   508,   274,   275,   276,
     277,   513,    22,   515,   281,   517,  1894,   508,    28,   258,
     287,  3370,   513,    95,   515,    99,   517,  3234,   259,    33,
      34,  1909,   263,   436,  1912,  1913,   983,   363,   203,   516,
    3152,   988,   519,  5469,   447,   147,   192,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,   516,  2533,  1187,   519,
     516,   149,   510,   519,   261,  1943,  1944,   515,  2544,   517,
    2546,    87,   516,  2748,   162,   519,   377,   760,   761,   762,
     168,   434,   765,   766,   767,   516,   465,  2747,   519,  2749,
    2750,   193,   775,    59,    98,   516,   198,  2748,   519,  4467,
    3274,   175,  3276,  3277,   516,  6027,   516,   519,  2584,   519,
     516,   235,  2588,   519,   118,  2591,   515,  2593,   516,   516,
    2596,   519,   519,  2583,  2600,   516,  1255,  3716,   519,   217,
      29,   274,   275,   276,   277,   209,  3395,  3396,   516,  3376,
     463,   519,   244,    38,  2744,  2621,  1275,  2623,   516,   153,
     224,   519,   516,   516,    11,   519,   519,   245,   415,  3560,
     516,  3373,   297,   519,  2640,    60,   374,  2065,   242,   436,
    2068,   519,   516,  2649,  2650,   519,   516,   369,   370,   519,
     447,  3483,   515,  2784,    83,  3586,   516,    86,   515,   519,
    5658,   149,  4603,    92,  6116,   516,   270,   299,   519,    59,
    2676,  1330,  2668,  2081,   162,  3263,   294,  2683,  4619,   465,
     168,  2687,  2688,   369,   370,   303,   111,  3275,  2694,  5333,
    3427,   120,  2698,   297,  3493,   421,  2702,   423,  3872,   515,
    4648,   517,  2713,  5287,  2715,  2711,  4654,  4655,   516,   516,
    3561,   519,   519,   513,  3330,   515,  4301,  2756,  3665,   496,
     497,   284,   516,  3311,  2730,   519,   515,  2733,   517,   217,
    2623,  6021,  4521,   516,   516,   492,   519,   519,  2744,  2870,
    2746,  2747,   516,  2749,  2750,   519,  2752,    10,   516,   178,
      13,   519,    48,   178,    17,    18,    19,   245,  2764,   363,
     392,   223,   191,   516,  5518,   516,   519,  3355,   519,  5725,
     517,   516,  5526,  5527,   519,   204,   201,   516,  2784,  2785,
     519,   516,   300,    72,   519,  3376,  3637,  2793,   516,    78,
    4299,   519,  4301,  1452,  1453,   472,  1455,   474,  4277,  5898,
     516,  4291,    91,   519,   516,   516,   294,   519,   519,  2815,
    2816,   297,  4238,  2819,   348,   303,  2855,   380,   516,   168,
    2951,   519,  2611,  2612,   297,  5409,  3984,   445,  2617,   472,
     119,   474,   121,   516,   259,   492,   519,  2843,   263,  2845,
    3853,  3811,   516,  2849,    48,   519,   380,  3507,  3508,   453,
     369,   370,   516,   278,   417,   519,  4335,  2863,   369,   370,
    2649,  2650,   494,     3,  2870,  3815,   300,  2873,  3510,  5825,
    2614,  2615,  2616,  2879,   506,   507,   508,   509,   510,   511,
     421,   516,   423,   417,   519,  6175,    26,   312,   516,   178,
     223,   519,   516,  2899,    10,   519,   459,    13,   421,  2905,
     423,    17,    18,    19,   516,   492,  2912,   519,   516,   472,
    3538,   519,   508,  5501,  2546,   472,  3660,   474,   207,    35,
    2926,  3665,  2711,   516,  2908,   459,   519,   516,   516,   463,
     519,   519,   357,   496,  2940,  5253,  5254,   516,   472,  2945,
     519,   516,   173,  6233,   519,  2951,   516,  3538,   516,   519,
      90,   519,   515,   516,   519,   518,   381,   445,   221,   134,
     515,   136,   496,  2969,  2970,  2971,  5693,  5694,   516,  2975,
      99,   519,  5868,  5869,   403,  1188,   401,   406,  1191,    38,
    1193,   515,  1195,   516,  1197,   462,   519,   516,  1201,   516,
     519,   515,   519,   282,  3654,   326,  3002,  3003,   287,   516,
    4036,    60,   519,   516,   144,  3011,   519,  2796,   515,  3199,
     516,  3201,  3202,   519,   516,   516,  3676,   519,   519,  5975,
    4056,  4057,  4058,  4059,  4533,    37,  4062,  4063,  4064,  4065,
    4066,  4067,  4068,  4069,  4070,  4071,   299,   515,  3044,  5958,
    4223,   330,   516,    59,   516,   519,   175,   519,    54,    55,
     516,  2683,   111,   519,  4090,  2687,  2688,   346,   198,   516,
     516,   516,  3809,   519,   519,   205,  3196,  3063,   516,   516,
    3076,  4528,   519,   516,  3080,  4549,   519,  4251,   516,  4253,
     209,   519,  4256,   516,   516,   516,   519,   519,   519,   516,
    4126,  4127,   519,   174,   219,   224,  2885,  3841,   516,   219,
     516,   519,  4179,   519,  2893,   221,  4183,  2896,   516,   516,
    6066,   519,   519,   242,  2746,   516,  6072,   515,   519,  2908,
    2752,   515,  4092,  4549,    10,  3330,  5721,    13,   472,   517,
     474,    17,    18,    19,   516,  4171,   516,   519,   476,   519,
     516,   270,   201,   519,   516,   516,   515,   519,   519,    35,
     516,  3044,  4099,   519,   515,   352,   516,   446,  1922,   519,
    3166,  2793,  3168,   516,   516,   518,  1930,   519,   297,   516,
     198,   518,  3832,  4250,  3834,   516,   154,  3183,   519,  3185,
     320,  3971,   516,   299,   516,   519,  3192,   519,   515,  3817,
    3196,  3819,  3198,  3199,   517,  3201,  3202,  3203,   154,   516,
     259,   380,   519,   516,   263,  3211,   519,  4153,   297,  4150,
    3216,  4152,  4739,  4184,  4741,  4186,  3263,  3859,  6174,   278,
    1469,  5194,  1471,  5196,   364,  3992,  3817,  3233,  3819,   198,
     352,  3436,   297,   154,   363,   154,   198,   154,   417,   297,
     503,   504,   505,   506,   507,   508,   509,   510,   511,  4196,
     168,   352,  5150,   312,   154,  3261,  3262,  3263,   243,   121,
    3266,   453,   297,    54,  3311,   515,   291,   168,  3274,  3275,
    3276,  3277,   516,  3901,   414,    72,    38,   282,   282,  3285,
     459,   476,  4867,   515,  3290,  3291,  4233,  3293,   297,  3295,
     282,    48,    48,   472,   282,   439,   282,    90,   357,   313,
    1959,  3307,  3308,   465,   444,  3311,   465,    87,   434,   100,
    3901,  5977,   452,   168,  3956,   455,   333,   496,   154,   154,
     154,   515,   381,   154,   283,   284,  3332,  3987,  3334,   476,
    3336,   154,   154,   519,   125,   221,   515,   154,  2746,  2971,
     154,   154,   401,   154,  2752,   154,   154,  2006,   168,  3355,
    4300,   154,   143,   154,   154,  4845,   147,   297,  4328,   154,
    4330,   417,   154,   515,   149,    38,  3155,   243,  3415,   168,
    3376,  3003,   168,   297,   515,     6,     6,   162,   169,   515,
     515,  2040,   173,   168,  4354,  2793,   168,   503,   504,   505,
     506,   507,   508,   509,   510,   511,     0,   188,  4572,     6,
     515,  2060,   515,   515,   515,   515,  3412,   515,     6,  3415,
    3363,  3364,  3365,   299,     6,   515,   515,   515,   515,  3466,
     515,   380,  3428,   515,   515,   515,     6,  3433,   515,   515,
      62,  4467,   217,   515,  4511,  4512,  4235,  4269,   515,    43,
     515,   515,  3448,   515,  3076,   515,   515,   515,  3080,   289,
     473,   515,   515,   515,   515,   515,  3462,   309,   417,   163,
     245,   515,   515,  4051,  3470,    97,   515,   219,   519,    91,
      10,   519,  2623,    13,    38,   102,  3482,   243,    38,  3485,
      37,  3487,   515,   427,   427,   515,  3492,   513,   429,   513,
     429,  5432,  4423,   429,    98,  4445,   287,  4085,   429,   174,
     459,  3507,  3508,   168,   519,    45,  6172,  3513,   294,   294,
     168,   292,    52,   472,   149,   387,    68,   429,   303,  3412,
     429,   374,  3415,   429,   429,   374,   158,   162,   517,  3535,
     464,   429,  3538,   168,   429,  3541,   374,   496,    78,   245,
     429,    79,   429,  3549,  5442,   149,   429,   338,  4136,    91,
     505,  3183,   154,   374,  4433,   297,   515,   179,   162,   240,
     379,   429,   429,   195,   168,   287,  3198,   452,  3574,  3462,
     174,  3203,   127,   429,  5472,   420,   180,  3470,   318,   183,
     297,   203,   217,   187,   292,  3374,   369,  3376,  4355,   515,
    2249,   191,   429,   515,    91,  3003,   429,   127,   313,   519,
     154,  3233,   198,  3392,  3610,  3611,  3612,  3812,   240,   453,
     245,   453,   127,   217,   429,   219,   127,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   248,   429,   113,  3635,
      59,   429,    59,   267,   301,  4605,   337,   337,  3644,   429,
    3646,   245,   429,   337,   420,   429,   278,   318,  3654,   318,
     282,  3440,  3441,   193,   429,   429,  5082,  4693,   198,   294,
     445,   429,   429,    47,   429,   429,   429,   439,   303,   429,
    3676,  4748,   519,   516,   429,   429,   429,   221,  4755,   429,
     302,   313,   314,  4760,   429,   429,  4763,   221,   429,   297,
     294,   520,   221,   297,   221,   221,   221,   221,   221,   303,
      10,   221,   221,    13,   244,   429,   297,    17,    18,    19,
     515,    38,   154,   297,   154,   282,   119,   453,   154,   154,
     352,   464,   154,   297,   356,    38,   282,   168,   513,   361,
     251,   516,   517,   282,  3740,    45,   282,   515,   370,    38,
     235,   154,    52,   376,   515,   515,   154,   379,   453,   154,
     453,   429,   154,   286,   291,   387,   360,   174,  3764,   299,
     267,   468,   267,  3769,   515,    13,   429,   399,    78,  3775,
     519,   183,   308,   519,   431,  3183,   408,   515,  3784,   516,
     412,   515,   515,   492,   191,   191,   516,   513,   516,   516,
    3198,   516,   378,   492,   265,  3203,   516,   469,   217,   421,
     519,   423,   390,   519,   232,  3811,  3812,   298,   453,   413,
     445,  3817,   434,  3819,    38,   453,   306,  2581,    59,   516,
     464,   374,   515,   232,   446,  3233,  3832,   449,  3834,   453,
    4597,   287,   232,  4493,  4494,   467,   287,   287,   515,   429,
    4787,   445,   429,   168,   429,   297,    48,  5021,  3854,   287,
    3482,  3890,   392,  3485,   297,  3487,   282,   396,   243,   369,
    3492,   243,   243,   261,   297,   469,   429,   471,   472,   420,
     127,   519,   297,   297,  3880,  4704,   198,   519,   513,   297,
     352,   387,   517,   193,   192,   384,   429,   340,   198,   493,
    3886,   472,   303,  3044,   429,  3901,  3902,   516,    38,   235,
     221,   154,   336,   453,   505,   453,   292,   168,    38,  3541,
    4770,   170,   516,   292,   518,   519,   418,  3549,  3924,   384,
     465,   337,   515,   154,   154,   154,  3922,   282,    38,   282,
    2589,   453,  3971,  5390,   244,   297,   515,  3943,    27,   297,
     472,   235,  3574,   292,   189,   189,   168,    38,   169,  4591,
    4592,  4593,  4594,  4595,   494,   235,  3962,   168,   297,  5036,
    3966,   384,   282,   198,  2623,   198,   506,   507,   508,   509,
     510,   511,   198,   198,    59,   198,   476,   174,   519,   264,
     429,  3987,   297,   472,   291,   174,   517,   303,  4134,   299,
     493,   519,   458,   360,   174,   309,   134,  4003,   515,   281,
    4006,   519,  4782,   519,   516,   519,  4012,   516,   516,  2668,
     319,   515,  3644,   514,  3646,  5524,   492,   174,   516,   429,
    4026,   469,   516,  3812,  4030,  4031,   519,   519,   516,   516,
    4036,   515,  4982,   516,   516,   516,   516,   516,   516,   516,
    4046,   516,  4048,   258,   514,  4051,  3835,   515,   515,  4055,
    4056,  4057,  4058,  4059,   515,   515,  4062,  4063,  4064,  4065,
    4066,  4067,  4068,  4069,  4070,  4071,   496,   183,   515,  4075,
    4076,  4077,   516,   519,  4080,   495,   451,   253,   469,  4085,
     297,   459,   392,   505,  4090,  4132,  4092,    59,  4094,   297,
     300,  4858,   297,   154,   515,   203,  4102,   429,   429,  4105,
     515,  4107,  4690,   429,   211,   287,   157,   282,  3740,   154,
    6008,  6009,   429,   406,  5150,   387,   515,  4123,   154,   379,
    4126,  4127,   154,   379,  4329,  4131,  4132,   379,   243,   203,
    4136,   157,  4138,  3541,   297,  5212,   505,  3769,   429,   157,
     374,  3549,   453,  3775,   245,   469,   320,   320,   450,   157,
    4355,   429,  3784,   429,   403,  5232,   429,  4773,   429,   255,
     255,  4159,  4159,  4159,    25,  4171,  5202,  4159,   255,  5246,
      31,  4159,   127,  4179,  4159,   429,   374,  4183,   429,   429,
    3812,   374,  4842,   429,   494,   282,   429,   374,   374,  4142,
    4143,  4144,  4145,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   429,  3992,   387,   154,    47,    47,   514,  4215,
     429,   429,   516,   429,   221,    76,    38,   429,   516,   516,
     221,   186,   301,   519,   516,   439,  4232,   516,     3,   168,
      48,   112,  4238,  5659,   168,   516,  3644,   516,  3646,    38,
      62,   515,   519,   154,  4250,   429,   154,   505,  3880,   168,
     292,   186,   515,   453,   453,   154,   374,  5001,   384,   152,
     374,  3412,   374,   374,  3415,   374,  4272,   152,   221,   221,
    3902,   132,  4932,   221,   221,    97,   221,   519,   139,   221,
     221,   142,   145,   221,   221,   513,  4179,   446,   446,   225,
    4183,   297,  3924,   297,    59,   297,   516,   297,    13,  4941,
    4942,   174,  4944,   516,   309,   281,   224,   516,   169,   464,
    5189,  3462,   519,   516,   307,   516,   419,  4323,   224,  3470,
     516,   516,  4328,  4329,  4330,   519,   516,   304,   516,  5406,
    3094,   516,  3740,   514,    59,  3099,   158,  3101,   515,  4544,
     187,   360,   426,  5222,   205,   515,   515,  3111,  4354,  4355,
    3114,   515,  3116,  3117,   458,  5940,  3120,  4250,    89,   439,
    3124,   168,  3126,    38,   235,  3129,   429,   453,  5338,  5029,
     453,    59,   211,   195,  4006,   154,  3784,   420,    86,   403,
     178,   439,   379,   429,   157,  4369,   374,   374,   429,   429,
     429,   429,  5469,   516,  4400,   516,  4380,  4403,   352,   516,
     472,    59,   515,   420,  3063,   459,  5442,   168,   297,   515,
      78,   154,   112,   235,   439,   221,   516,   278,   240,   221,
     221,   282,   515,  4055,   221,   515,   206,   232,   476,  3193,
     429,   292,   297,   515,    38,   516,  5472,   295,   318,     3,
     301,   519,   297,   519,   515,   439,   519,    44,  4080,   429,
     515,   384,   313,   180,   516,   181,   112,   174,   221,   516,
     282,  4467,  5562,   143,  5564,   233,   233,   516,   287,   516,
     287,   287,  3880,   287,    59,   174,   309,   224,   470,   516,
     470,   516,   516,   318,   292,   516,   519,  4493,  4494,   516,
     471,  4497,   314,   515,   355,   356,   426,   174,  4504,   515,
     515,   429,   505,    38,   472,  4511,  4512,   439,    78,   205,
     192,   192,    59,   287,   505,  4521,  3924,   287,   420,   429,
      72,   519,   429,   519,  5698,   429,   387,    62,   154,   157,
     516,   429,   221,   515,   356,   126,   176,   119,  4544,   361,
    4329,  4537,    38,  4549,  4550,  4551,   278,   198,   370,   515,
     292,    38,   384,  5630,   282,  4561,   453,   379,   170,   384,
     472,  5735,    97,  5205,  5573,   387,  4355,    59,  4773,   292,
      84,   420,   472,    38,  5216,   174,   297,   399,   168,   519,
    4369,   347,  5367,   208,   515,   219,   408,   300,   174,   516,
     412,  4380,   516,   516,   515,   456,  4602,   400,  4006,  4605,
     516,   458,    59,    38,  3263,   377,  4238,  5781,  5782,    81,
     432,   516,   515,    91,   515,   135,   199,   346,  4511,  4512,
     516,   297,    38,   158,   154,  4631,   154,   515,  5288,   429,
     168,  5247,   515,   429,    38,   287,   515,   515,   515,   515,
     205,  4647,   453,   256,   516,   467,   515,  4055,  5725,   471,
     384,   515,  3311,   154,   112,    38,  4662,   516,   301,   174,
     195,   439,   398,   398,   516,   168,   202,  4456,  4457,  5705,
     516,   111,  4080,   515,   519,   519,  3335,   515,   515,    38,
     468,   458,   420,  5299,  4690,   515,   515,  4693,   168,   191,
     420,   453,  3351,   203,   515,  4701,  4702,  4329,  4704,   297,
     235,   516,  4708,  4709,     6,   240,   161,  4713,   370,   370,
      72,   515,  4718,   300,    72,  4721,  4722,   476,   135,   472,
     472,   140,  4728,  4355,   518,   458,   516,   468,   165,   165,
     519,   515,   515,   457,   387,    35,  5706,   420,   257,   287,
     174,   343,  4748,   297,   297,   384,   420,   282,  5825,  4755,
      38,   515,    38,  3412,  4760,  4544,  3415,  4763,  4764,  5933,
    3524,   300,   176,   300,  5773,  4771,   515,   199,   176,   515,
     150,   153,    59,   369,    59,   304,  4782,    38,   353,   314,
     425,    59,   429,   407,  4790,   124,   451,     6,  4784,  4785,
     384,   140,    35,   287,   516,   515,  4807,   516,   425,   515,
      24,  5771,   369,  3462,  4810,   515,  5573,  3466,  4597,   369,
     519,  3470,   519,    81,   305,   283,   387,   174,   429,   283,
     515,   356,   153,  4829,   398,   398,   361,  6001,  6002,     6,
    5790,  3595,   519,  3597,   472,   370,  4842,   119,  5480,  5875,
     459,   472,   515,   458,   379,   453,   176,   176,   515,   459,
     516,   458,   387,  5416,   998,  4748,   911,   951,  1688,  2919,
    5448,  3376,  4755,  4869,   399,  4497,   997,  4760,  4852,  2828,
    4763,  4328,  1385,   408,  5462,  3586,  4303,   412,  4862,  5924,
    4886,  3000,  3803,  2946,  5341,  4891,  5771,  6042,  4491,  5390,
    4301,  4301,  4898,  4991,  5366,  5483,  5591,   432,  5975,  3514,
    3142,  5904,  5490,  5246,  6030,  5800,  5799,  5944,  4914,  6066,
    5036,     6,  4544,  4512,  4538,  4921,  3519,  4549,  4523,  5745,
    4481,  3014,  3014,  4323,  5566,  3611,  4932,  3851,    23,   993,
      25,  5030,   467,  4507,    29,  5373,   471,  4574,  3895,    34,
      35,    36,  5671,    38,  6139,  6245,    41,    42,  6227,    44,
    5357,    46,  3811,  4546,  5956,  5301,  1848,  4963,    53,    54,
      55,  5544,  5754,  5304,    18,    28,  3960,   646,  5559,  5557,
    5558,  5513,  6008,  6009,  4602,  3739,  1215,  3030,  4605,  6135,
    2688,  3745,  5573,  4989,  1892,  4549,  3492,  1889,  1903,  6066,
    3906,  5416,  5659,   698,  1927,  6072,  5740,  3743,  2945,  5005,
    4354,  5982,  3662,  6178,  5010,  4578,   840,  2976,  1504,  2630,
    4580,    10,  1801,   731,    13,  6195,  4230,  4786,    17,    18,
      19,  5510,  5897,  5029,  1401,  1362,    40,    62,  4179,    40,
    5036,  4647,  4183,  6042,  3433,  3448,    35,  2640,  5885,  5718,
    3415,  4185,  5247,  4168,  5213,  3412,    45,  5469,  1462,  5468,
    3412,  4231,  5048,    52,  6156,  5879,  6012,  1461,  5705,  1418,
    5446,  4094,    97,  4852,  5719,  3353,  5720,  1464,  2538,  4858,
    2539,  3335,  4704,  4862,  2056,  3212,  5082,  3333,  5084,    78,
    2975,  3247,  5287,  3323,  2544,  4029,   899,    -1,    -1,  4497,
    2628,    -1,    -1,    -1,  5299,    -1,    -1,  6174,    -1,  4250,
    4889,  4890,   197,   198,   199,  4894,  4895,   202,  5298,  5115,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,  5299,   214,
      -1,  5737,   217,   158,    -1,   220,  5714,   222,  5716,    -1,
     225,    -1,    -1,    -1,   229,    -1,   231,    -1,    -1,    -1,
      -1,  5147,    -1,  5036,  5150,    -1,    -1,  5153,  5154,  5155,
      -1,    -1,    -1,  5343,    -1,    -1,    -1,    -1,    -1,    -1,
     195,    -1,    -1,    -1,    -1,    -1,    -1,  3931,    -1,  3933,
      -1,  3935,  5178,  5179,    -1,    -1,  5182,    -1,    -1,    -1,
      -1,    -1,  5773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   193,    -1,  5202,  4829,    -1,   198,
      -1,    -1,  5208,    -1,    -1,   240,  5212,    -1,    -1,    -1,
      -1,  6181,  5218,  5219,    -1,    -1,    -1,    -1,    -1,    -1,
    6214,    -1,   221,   222,    -1,    -1,  5232,  3886,    -1,  5235,
      -1,    -1,    -1,    -1,  5240,    -1,  5242,  4869,    -1,    -1,
    5246,    -1,    -1,   278,    -1,   244,    -1,   282,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6227,  5225,  4891,
      -1,    -1,    -1,  3922,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6245,    -1,    -1,   313,   314,
      -1,  5287,  5288,    -1,    -1,    -1,   285,    -1,    -1,    -1,
      -1,    -1,  5298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     299,    -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   352,    -1,  5212,
      -1,   356,    -1,    -1,    -1,    -1,   361,    -1,     6,    -1,
      -1,  4963,  5338,  5924,    -1,   370,    -1,  5343,    -1,  5232,
      -1,    -1,    -1,    -1,   379,    -1,    -1,    -1,    -1,  6228,
      -1,    -1,   387,  5246,    -1,    -1,    -1,    -1,    -1,    -1,
    4511,  4512,    -1,    -1,   399,    -1,  5405,    -1,    -1,    -1,
      -1,    -1,    -1,   408,    -1,  5371,    -1,   412,  6122,  6123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,
    5406,    -1,    -1,  5409,    -1,    -1,  5402,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5416,  5416,  5416,
    5416,  4829,    -1,  5416,  5416,    -1,  5416,  5416,  5416,  5416,
    5416,  5416,   467,  5416,  5416,  5416,  5442,  5416,  5416,    -1,
    5446,    -1,  5448,  5490,  5416,  5416,    -1,    -1,    -1,    -1,
    5082,  6042,  5084,    -1,    -1,    -1,  5462,    -1,    -1,    -1,
      -1,  4869,    -1,  5469,    -1,    -1,  5472,    -1,    -1,    -1,
      -1,    -1,    -1,  4132,    -1,    -1,    -1,  5483,    -1,    -1,
      -1,    -1,    -1,  4891,  5490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,  5287,    -1,
    4159,    -1,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,  5406,    -1,    -1,    -1,    -1,    -1,   197,
    4179,   520,    -1,    -1,  4183,    -1,    -1,    -1,   206,    -1,
      -1,  6119,  5737,    -1,    -1,  5541,   214,    -1,    -1,   217,
    5546,  5547,    -1,    -1,    -1,  5551,    -1,    -1,    -1,    -1,
     645,  5557,  5558,  5559,    -1,  4963,   651,    -1,   653,    -1,
     655,    -1,    -1,   658,    -1,    -1,    -1,  5573,    -1,    -1,
     665,    -1,    -1,    -1,    -1,   670,  5469,   672,    -1,    -1,
      -1,    -1,    -1,   678,    -1,    -1,  5218,  5593,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5602,  4748,    -1,  5605,
      25,    -1,    -1,    -1,  4755,    -1,    31,   702,    -1,  4760,
      -1,    -1,  4763,    -1,    -1,    -1,   711,    -1,    -1,    -1,
     715,    46,    -1,   718,  5630,    -1,   721,    -1,    -1,    -1,
      -1,  6219,    -1,    -1,    -1,    -1,  5632,    -1,    -1,    -1,
      -1,    -1,   737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    76,    -1,  5659,  5660,  5287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5084,  5683,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5692,  5693,  5694,    -1,
      -1,    -1,    -1,    -1,    -1,   790,    -1,    -1,    -1,  5705,
    5706,    -1,    -1,  5709,   799,   130,    -1,   132,  5714,    -1,
    5716,    -1,  5718,    -1,   139,    -1,    -1,   142,    -1,  5725,
      -1,  5911,    -1,    -1,   819,   820,  5722,   822,   823,    -1,
      -1,    -1,   827,    -1,    -1,    -1,    -1,  5630,    -1,    -1,
    5746,    -1,    -1,    -1,   169,    -1,   841,    -1,    -1,    -1,
      -1,   846,    -1,    -1,    -1,    -1,    -1,   852,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5771,    -1,  5773,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5409,    -1,    -1,
     205,    -1,    -1,    -1,  5573,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5983,  5984,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   899,    -1,    -1,    -1,    -1,    -1,
    5218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   913,  5825,
      -1,    -1,  4586,    -1,    -1,  4589,    -1,    -1,    -1,    -1,
      -1,   926,  5725,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   941,    -1,    -1,    -1,
      -1,    -1,  4511,   278,  4618,    -1,  5862,   282,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   960,    -1,   292,    -1,  5875,
     965,   966,    -1,    -1,    -1,    -1,   301,    -1,  4537,  5885,
      -1,    -1,    -1,    -1,    -1,  5036,    -1,    -1,   313,  5895,
      -1,    -1,  5898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   997,   998,    -1,  5911,    -1,    -1,    -1,  5541,
      -1,    -1,    -1,    -1,  5546,  5547,    -1,    -1,  5924,    -1,
      -1,    -1,    -1,    -1,    -1,  1020,  1021,   352,    -1,    -1,
     355,   356,  5825,    -1,    -1,    -1,    -1,    -1,    -1,  1034,
      -1,  1036,    -1,   207,    -1,  1040,    -1,    -1,  1043,  1044,
      -1,  1046,   216,    -1,    -1,    -1,  1051,    -1,    -1,  5965,
      -1,  5957,   387,    -1,    -1,    -1,   230,    -1,    -1,  5975,
      -1,    -1,    -1,    -1,  5763,    -1,    -1,  5983,  5984,    -1,
    1075,    -1,    -1,  5989,  5982,  5982,  5982,  1082,  1083,    -1,
      -1,    -1,    -1,    -1,  5982,    -1,    -1,  5982,    -1,    -1,
      -1,    -1,  6008,  6009,    -1,    -1,    -1,    -1,    -1,  1104,
    1105,  1106,    -1,  1108,    -1,  1110,    -1,  1112,  1113,    -1,
      -1,    -1,    -1,     0,   702,    -1,    -1,  5659,  5660,  6076,
      -1,   456,    -1,   711,    -1,    -1,  6042,    -1,    -1,    -1,
     718,    -1,    -1,   721,    -1,  6235,  6236,    -1,    -1,    -1,
      -1,  1146,    -1,  1148,  1149,    -1,    -1,    -1,    -1,    -1,
    6066,  5212,    -1,  4827,    -1,    -1,  6072,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5709,  6076,  6076,
    6076,  5232,  5975,    -1,  6090,  6091,  1181,    -1,  6076,    -1,
      -1,  6076,    -1,    -1,    -1,  5246,  4755,     0,    -1,  6105,
      -1,  4760,    -1,    -1,  4763,    -1,  4870,  4871,    -1,    -1,
      -1,    -1,  1207,  6119,  1209,    -1,    -1,    -1,  1213,    -1,
    1215,    98,    -1,    -1,    -1,  4784,  4785,    -1,    -1,    -1,
      -1,    -1,    -1,  5541,    -1,    -1,    -1,    -1,  5546,  5547,
      -1,    -1,    -1,    -1,  1239,    -1,  1241,    -1,  6154,    -1,
    1245,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1259,    -1,    -1,    -1,  6174,    -1,
      -1,    -1,   149,  6066,    -1,  6181,    -1,    -1,    -1,  6072,
    6178,  6178,  6178,    -1,    -1,   162,    -1,    45,    -1,    38,
    6178,   168,    -1,  6178,    52,    98,    -1,   174,    -1,    -1,
    4964,  4965,  1297,   180,    -1,    -1,   183,    -1,  6214,  6215,
     187,    60,    -1,  6219,    -1,    -1,    -1,  6223,    -1,    -1,
      78,  6227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6235,
    6236,  1326,  1327,  1328,    -1,  1330,    -1,    86,    -1,  6245,
     217,    -1,    -1,    -1,    -1,    -1,   149,    -1,    -1,    -1,
      -1,    -1,  5660,    -1,    -1,  5406,  1351,    -1,    -1,   162,
      -1,    -1,   111,   112,    -1,   168,    -1,    -1,   245,    -1,
     119,   174,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,
     183,  6174,    -1,    -1,   187,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,    -1,  1390,    -1,    -1,    -1,    -1,
      -1,  5709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1408,   217,    -1,    -1,   294,  5469,    -1,
     297,    -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,   178,
    5094,    -1,    -1,  5097,  5098,   193,    -1,    -1,    -1,    -1,
     198,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   201,  5117,    -1,    -1,  1034,    -1,    -1,  1454,
      -1,    -1,  1040,  1458,  1459,    -1,  1044,    -1,  1046,    -1,
      -1,    -1,    -1,    -1,  1469,  1470,  1471,  1472,    -1,  1474,
      -1,    -1,    -1,   360,    -1,    -1,   244,    -1,    -1,  5048,
      -1,   294,  6181,    -1,   297,    -1,    -1,    -1,    -1,   663,
     303,    -1,  1497,    -1,    -1,   669,    -1,    -1,    -1,    -1,
     259,    -1,    -1,    -1,   263,    -1,    -1,   681,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,
      -1,    -1,  1110,   282,  1112,  1113,    -1,  1532,  6227,    -1,
     417,   299,  1537,    -1,    -1,  1540,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6245,   360,  1553,  1554,
      -1,    -1,    -1,   312,    -1,    -1,    -1,  1562,   445,    -1,
    1565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5630,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   469,    -1,   471,   472,    -1,  1592,    -1,  1594,
      -1,    -1,  1597,    -1,    -1,  1600,  1601,    -1,   357,  1604,
      -1,    -1,    -1,    -1,   417,    -1,   493,    -1,    -1,  1614,
      10,    -1,  1617,    13,    -1,  1620,    -1,    17,    18,    19,
      -1,    -1,   381,    -1,   392,    -1,   513,    -1,    -1,   516,
     517,   518,   445,    -1,    -1,    35,    -1,  1642,    -1,    -1,
      -1,    -1,   401,  5212,   403,    45,    -1,   406,    -1,    -1,
      -1,    -1,    52,    -1,    -1,  1660,   469,    -1,   471,   472,
      -1,    -1,    -1,    -1,  5725,    -1,    -1,  1672,  1673,  1674,
    1675,  1676,  6214,    -1,    -1,    -1,    -1,    -1,    78,    -1,
     493,    -1,    -1,    -1,    -1,  1690,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1701,  1702,  1703,    -1,
     513,    -1,    -1,   516,   517,   518,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,
     508,   509,   510,   511,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,    -1,   515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5825,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   193,    -1,  1800,    -1,    -1,   198,    -1,
      -1,    45,  5371,    -1,    -1,    -1,  1811,    -1,    52,    -1,
      -1,    -1,    -1,    -1,  1819,  1820,    -1,    -1,    -1,    -1,
      -1,   221,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1835,    -1,    -1,  5402,    78,    -1,    10,    -1,    -1,    13,
      -1,  5515,    -1,    -1,   244,    -1,   147,  5416,  1853,  1854,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1869,  1870,  1871,  1872,    -1,    -1,
      -1,    45,    -1,  1878,    -1,    -1,    -1,    -1,    52,    -1,
    1885,    -1,    -1,  1888,    -1,   285,    -1,    -1,    -1,    -1,
      -1,    -1,   193,    -1,  5568,    -1,    -1,   198,  1903,   299,
      -1,  1906,   302,   147,    78,    -1,    -1,    -1,    -1,    -1,
      -1,  1916,  1917,    -1,  5975,    -1,    -1,    -1,    -1,    -1,
      -1,  5490,  1927,  1928,    -1,    -1,  1931,    -1,    -1,  1934,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,  1949,  1950,    -1,    -1,    -1,   193,
      -1,  1956,    -1,  1958,   198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1975,    -1,    -1,   147,    -1,    -1,    -1,  1982,    -1,  1984,
      -1,    -1,  1987,  1988,  1989,    -1,  1991,  1992,    -1,  1994,
      -1,    -1,   392,    -1,    -1,    -1,  2001,    -1,   299,    -1,
     244,    -1,    -1,  2008,    -1,  6066,  2011,  2012,  5682,    -1,
    2015,  6072,    -1,  2018,  2019,    -1,    -1,    -1,  2023,   193,
    2025,    -1,    -1,    -1,   198,  2030,  2031,    -1,    -1,    -1,
      -1,    -1,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,
    2045,  2046,    -1,    -1,  2049,    -1,  2051,  2052,  2053,  2054,
    2055,  2056,  2057,  2058,    -1,   299,  2061,    -1,  2063,  2064,
      -1,  5630,  2067,  5632,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,  2082,  2083,  2084,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   392,    -1,    -1,   494,  2100,    -1,    -1,     0,    -1,
      -1,    -1,    -1,   503,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,  6174,    -1,    -1,   516,    -1,    20,   519,
      -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,    31,
      -1,    33,    34,    -1,    -1,  2140,     0,    -1,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    26,   392,    51,
      -1,    -1,    -1,  5722,    -1,    -1,    -1,    -1,    -1,    61,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,    -1,
      82,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,    96,    -1,    98,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,   115,    -1,    -1,   118,    -1,   392,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   133,    -1,   135,    98,    -1,    -1,   139,    -1,  2244,
      -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,
     494,   153,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,
     162,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,
      -1,    -1,    -1,    -1,    -1,   149,    -1,    -1,  2293,    -1,
      -1,    -1,    -1,    -1,    -1,   197,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,  1903,   180,    -1,  1906,   183,
     494,    -1,    -1,   187,    -1,    -1,    -1,    -1,  1916,  1917,
      -1,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,  2346,    -1,  1931,   246,   247,  1934,    -1,    -1,    -1,
     252,  6025,    -1,   217,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,   284,    -1,    -1,    -1,    -1,    -1,  5957,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1984,    -1,    -1,    -1,
    1988,  1989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5982,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,   328,    -1,    -1,    31,
     294,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,   303,
     342,    -1,    -1,    -1,    46,    -1,   348,   349,    -1,   351,
      -1,    -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,
     362,    -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,
     372,    -1,    -1,    -1,    76,    -1,    -1,   379,   380,    -1,
      -1,    -1,    -1,    -1,    -1,   387,    -1,    -1,    -1,   391,
      -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,    -1,   401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6076,    -1,    -1,
      -1,    -1,  1686,    -1,    -1,   417,    -1,    -1,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,    -1,  2533,    -1,
     132,    -1,    -1,    -1,    -1,   437,    -1,   139,  2543,  2544,
     142,  2546,    -1,    -1,    -1,    -1,   448,    -1,  2553,    -1,
      -1,    -1,   454,   417,    -1,    -1,    -1,   459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   169,    -1,    -1,
     472,    -1,    -1,    -1,    -1,    -1,    -1,  2582,    -1,  2584,
      -1,   445,  2587,  2588,    -1,    -1,  2591,    -1,  2593,    -1,
      -1,  2596,    -1,    -1,   496,  2600,   498,   499,   500,   501,
     502,    -1,    -1,   205,    62,   469,    -1,   471,   472,  6178,
      -1,    -1,    -1,   515,    -1,    -1,   518,    -1,  2623,    -1,
      -1,    -1,    -1,    -1,  2629,  2630,    -1,    -1,    -1,   493,
      -1,    -1,    -1,    -1,    -1,  2640,    -1,    -1,    -1,    97,
      -1,    -1,    -1,    -1,  2649,  2650,    -1,    -1,    -1,   513,
      -1,    -1,   516,   517,   518,    -1,    -1,    -1,  2663,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2671,    -1,  2673,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   278,    -1,    -1,    -1,
     282,    -1,    -1,    -1,    -1,  1859,    -1,    -1,    -1,    -1,
     292,    -1,    -1,  1867,    -1,    -1,    -1,    -1,    -1,   301,
     158,  1875,    -1,    -1,    -1,    -1,    -1,    -1,  2713,    -1,
    2715,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2733,     0,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,  2744,
      -1,    -1,  2747,  2748,  2749,  2750,  1920,    -1,  2753,    20,
     352,  2756,    -1,   355,   356,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    33,    34,    -1,    -1,    -1,    -1,   647,    -1,
      -1,    -1,  2777,  1947,    -1,    -1,    -1,    -1,    -1,    -1,
      51,    -1,   240,  2788,    -1,   387,    -1,    25,    -1,    -1,
      61,  2796,  2797,    31,    -1,    -1,    -1,    -1,  2803,    -1,
      38,    -1,    73,    -1,    75,    76,    -1,  2812,    -1,    -1,
      -1,    82,    -1,    84,    -1,    -1,    -1,    -1,   697,   698,
      -1,    -1,    60,    -1,   282,    96,    -1,    98,    -1,  2834,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,   118,    -1,    -1,
    2855,    -1,    -1,    -1,   456,    -1,   314,    -1,    -1,    -1,
      -1,    -1,   133,  2868,   135,    -1,    -1,    -1,   139,    -1,
      -1,    -1,    -1,   111,   145,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   153,    -1,   155,    -1,  2891,    -1,    -1,  2894,
      -1,   162,    -1,    -1,   132,    -1,    -1,    -1,   356,    -1,
     358,   139,    -1,   361,   142,    -1,    -1,    -1,    -1,   180,
      -1,    -1,   370,    -1,   793,  2920,  2921,    -1,    -1,    -1,
      -1,   379,    -1,    -1,    -1,    -1,   197,    -1,    -1,   387,
    2935,   169,  2937,  2938,   813,    -1,    -1,    -1,    -1,    -1,
      -1,   399,   821,    -1,    -1,   824,   825,   826,    -1,    -1,
     408,    -1,    -1,    -1,   412,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   201,  2969,  2970,  2971,   205,    -1,    -1,
    2975,    -1,    -1,    -1,    -1,   246,   247,    -1,  2983,    -1,
      -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2996,    -1,    -1,    -1,   266,    -1,  3002,    -1,  3004,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
      -1,    -1,  3017,   284,    -1,    -1,    -1,  3022,    -1,    -1,
      -1,   259,    -1,  3028,    -1,   263,  3031,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2623,    -1,    -1,  3043,  3044,
     278,    -1,    -1,    -1,   282,    -1,    -1,    -1,    -1,  3054,
      -1,    -1,    -1,    -1,   292,    -1,    -1,   328,    -1,  3064,
      -1,  3066,    -1,   301,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   342,    -1,    -1,   312,   313,    -1,   348,   349,    -1,
     351,    -1,    -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,
      -1,   362,    -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,
    3105,   372,  3107,    -1,  3109,    -1,    -1,    -1,   379,   380,
      -1,    -1,    -1,    -1,   352,    -1,   387,   355,   356,   357,
     391,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
     401,    -1,    17,    18,    19,    -1,    -1,  3142,    -1,    -1,
      -1,    -1,    -1,   381,    -1,    -1,   417,    -1,    -1,   387,
    1029,    -1,    -1,    -1,    -1,    -1,  2744,    -1,    -1,  2747,
      45,  2749,  2750,   401,    -1,    -1,   437,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
      -1,    -1,    -1,   454,    25,    -1,    -1,    -1,   459,    -1,
      31,  3196,  3197,    78,  3199,    -1,  3201,  3202,    -1,  3204,
      -1,   472,    -1,    -1,    -1,    46,  3211,    -1,    -1,    -1,
      -1,  3216,    -1,    -1,    -1,    -1,    -1,    -1,   456,    -1,
      -1,    -1,    -1,    -1,    -1,   496,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    62,   515,    -1,    -1,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3261,  3262,  3263,    -1,
      -1,  3266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3274,
    3275,  3276,  3277,    -1,    -1,    -1,    -1,    -1,    97,    -1,
      -1,    -1,    -1,    -1,    -1,  3290,    -1,    -1,  3293,   130,
    3295,   132,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,
      -1,   142,  3307,  3308,    -1,    -1,  3311,    -1,   193,    -1,
      -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3330,    -1,  3332,   169,  3334,
      -1,  3336,    -1,    -1,    -1,    -1,   221,   222,    -1,   158,
      -1,  1220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3355,    -1,    -1,  3358,    -1,    -1,    -1,  3362,    -1,   244,
      -1,    -1,    10,    -1,   205,    13,    -1,    -1,  1247,    17,
      18,    19,    -1,    -1,    -1,    -1,   195,    -1,  3383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
     285,    -1,    -1,    -1,    52,    -1,    -1,  3412,    -1,    -1,
    3415,  3416,    -1,    -1,   299,  3420,  3421,  3422,    -1,    -1,
      -1,   240,    -1,  3428,    -1,    -1,    -1,    -1,  3433,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,   278,    -1,    -1,
      -1,   282,    -1,  3448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   292,    -1,  1332,    -1,    -1,  3044,  3462,    -1,   278,
     301,  3466,  1341,   282,  3469,  3470,    -1,  3472,    -1,    -1,
      -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,  1357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   313,   314,    -1,  1376,    -1,    -1,
    1379,  1380,  2676,    -1,    -1,  1384,  1385,   392,  3513,    -1,
      -1,   352,    -1,  3518,   355,   356,    -1,    -1,    -1,    -1,
    2694,    -1,    -1,    -1,  2698,    -1,    -1,    -1,  2702,    -1,
      -1,    -1,    -1,   352,    -1,    -1,    -1,   356,    -1,  3544,
    3545,    -1,   361,    -1,    -1,   193,   387,    -1,    -1,    -1,
     198,   370,    -1,    -1,    -1,    -1,  2730,    -1,    -1,    -1,
     379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   387,    -1,
      -1,    -1,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,
     399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   408,
    2764,    -1,    -1,   412,    -1,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3196,   494,
    2784,  3199,    -1,  3201,  3202,   456,    -1,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,
      -1,    -1,  2816,    -1,    -1,    -1,    -1,  3652,   467,    -1,
      -1,   299,    -1,    10,   302,    -1,    13,  3662,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,  2843,
      -1,    -1,    -1,    -1,    -1,  2849,    -1,    -1,    35,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,  2863,
      -1,    -1,    -1,    -1,    -1,    52,  2870,    -1,    -1,  2873,
      -1,    10,    -1,    -1,    13,  2879,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    -1,    -1,    -1,  2899,    35,    -1,    -1,    -1,
      -1,  2905,    -1,    -1,    -1,    -1,    45,    -1,  2912,    -1,
      -1,    -1,    -1,    52,   392,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1639,    -1,    -1,    -1,  3769,    -1,  2940,    -1,  1647,    78,
    3775,    -1,    -1,    -1,    -1,    -1,    -1,  2951,    -1,    -1,
      -1,  3786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3823,  3824,
    3825,    -1,    -1,    35,  3412,    -1,    -1,  3415,    -1,    -1,
      -1,    -1,    -1,    45,    -1,  3840,   193,    -1,    -1,    -1,
      52,   198,    -1,    -1,    -1,    -1,   494,    -1,    -1,  3854,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   221,   222,    78,  3872,  3873,  3874,
      -1,   519,    -1,  3878,  3462,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3470,    -1,   193,  3890,    -1,   244,    -1,   198,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,   198,
     199,    -1,    -1,   202,    -1,    -1,    -1,    -1,   285,    -1,
      -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,
      -1,  3946,   299,   222,    -1,   302,    -1,    -1,    -1,    -1,
     229,    -1,    -1,    -1,    -1,  3960,  3961,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3971,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,  3984,
      -1,   193,    -1,  1862,    -1,    -1,   198,  1866,    -1,    -1,
     299,    -1,  3166,   302,    -1,    -1,    -1,    -1,  4003,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4012,    -1,   221,
     222,  3185,    -1,    -1,    -1,    -1,    -1,    -1,  3192,    -1,
      -1,  4026,    -1,    -1,    -1,  4030,  4031,    -1,    -1,    -1,
      -1,  4036,   244,    -1,    -1,   392,    -1,    -1,    -1,    -1,
      -1,  4046,    -1,  4048,    -1,    -1,  4051,    -1,    -1,    -1,
      -1,  4056,  4057,  4058,  4059,    -1,    -1,  4062,  4063,  4064,
    4065,  4066,  4067,  4068,  4069,  4070,  4071,    -1,    -1,    -1,
    4075,  4076,  4077,   285,    -1,    -1,    -1,    -1,    -1,    -1,
    4085,    -1,    -1,   392,    -1,  4090,    -1,   299,    -1,  4094,
     302,    -1,    -1,    -1,    -1,    -1,    -1,  4102,    -1,    -1,
    4105,    -1,  4107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4123,    -1,
      -1,  4126,  4127,    -1,    -1,    -1,  4131,  4132,    -1,    -1,
      -1,  4136,    -1,  4138,  4139,    -1,    -1,   494,    -1,    -1,
      -1,    -1,  4147,  4148,  4149,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,    -1,  2036,    -1,   516,
      -1,    -1,  4167,  4168,  4169,    -1,  4171,  4172,    -1,    -1,
    4175,    -1,    -1,    -1,  4179,    -1,    -1,    -1,  4183,    -1,
     392,    -1,    -1,    -1,  4189,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,   516,    -1,    -1,
    4215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4230,    -1,  4232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4250,  4251,    -1,  4253,    -1,
      -1,  4256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,    -1,    -1,    -1,  4291,  4292,    -1,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,  4310,    -1,   519,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,  4363,    52,
      -1,  3535,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    -1,    -1,   653,    -1,   655,    -1,    -1,   658,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    10,
      -1,    -1,    13,   672,    -1,    -1,    17,    18,    19,   678,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4418,    35,    76,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4451,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,
    4465,  3635,  4467,    -1,    -1,    -1,    -1,    -1,    -1,  4474,
      -1,   132,    -1,    -1,    -1,  4480,    -1,    -1,   139,    -1,
      -1,   142,    -1,    -1,    -1,    -1,  4491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     193,  4506,    -1,    -1,    -1,   198,  4511,  4512,   169,    -1,
      -1,    -1,    -1,    -1,  4519,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4528,    -1,    -1,    -1,    -1,   221,   222,
      -1,    -1,    -1,  4538,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   205,  4550,  4551,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,    -1,  4561,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4572,  4573,    -1,
      -1,    -1,   193,    -1,    -1,    -1,    -1,   198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4590,    -1,    -1,    -1,    -1,
    3764,  4179,   285,    -1,    -1,  4183,    -1,    -1,    -1,    -1,
     221,   222,    -1,    -1,    -1,    -1,   299,    -1,    -1,   302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,    -1,    -1,
      -1,   282,    -1,   244,    -1,    -1,  4631,    -1,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
     301,    13,  4647,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,   313,    -1,    -1,    -1,    -1,  4662,    -1,    -1,
      -1,    -1,  4250,    35,   285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,   299,    -1,
      52,   302,    -1,    -1,  2563,  4690,   965,   966,  4693,    -1,
      -1,   352,    -1,    -1,   355,   356,  4701,  4702,    -1,   392,
      -1,    -1,    -1,  4708,  4709,    -1,    78,    -1,  4713,    -1,
      -1,    -1,    -1,  4718,    -1,    -1,  4721,  4722,    -1,    -1,
      -1,    -1,    -1,  4728,    -1,    -1,   387,  4732,  4733,  4734,
    4735,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4748,    -1,    -1,  4751,    -1,    -1,    -1,
    4755,    -1,    -1,    -1,    -1,  4760,    -1,  1036,  4763,  4764,
      -1,  4766,    -1,  4768,    -1,    -1,  4771,    -1,  4773,  3943,
      -1,   392,  1051,    -1,    -1,    -1,    -1,  4782,    -1,    -1,
      -1,  4786,    -1,    -1,    -1,  4790,    -1,  4792,  3962,    -1,
      -1,    -1,  3966,    -1,    -1,   456,    -1,    -1,    -1,    -1,
      -1,   494,  4807,  1082,  1083,  4810,    -1,    -1,    -1,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
      -1,   193,    -1,   516,    -1,    -1,   198,    -1,    -1,  1108,
      -1,    -1,  2711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4845,    -1,    -1,    -1,  4849,    -1,    -1,    -1,    -1,   221,
     222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1148,
    1149,    -1,   244,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,  2771,    -1,    25,   516,    -1,    -1,    -1,    -1,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4914,
      -1,    -1,    -1,   285,    -1,    -1,  4921,    -1,    -1,    -1,
      -1,    -1,    -1,  4511,  4512,    -1,    -1,   299,    -1,    -1,
     302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4943,    -1,
      -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4958,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4989,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2875,    -1,    -1,    -1,
    5005,   132,    -1,    -1,    -1,    -1,    -1,  5012,   139,    -1,
      -1,   142,    -1,    -1,    -1,    -1,  5021,    -1,    -1,    -1,
     392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5036,    -1,    -1,    -1,    -1,    -1,    -1,   169,    -1,
      -1,    -1,    -1,    -1,  5049,    -1,  5051,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2939,    -1,    -1,    -1,  2943,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5077,    -1,   205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5088,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,  4272,    -1,
      -1,  2980,    -1,  2982,    -1,  2984,  2985,    -1,    -1,    -1,
    2989,  2990,  2991,    -1,  2993,  2994,  2995,    -1,    -1,    -1,
      -1,    45,   494,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,  5147,    -1,   516,  5150,    -1,   278,  5153,  5154,
    5155,   282,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,
    4748,   292,    -1,    -1,    -1,    -1,    -1,  4755,  3047,    -1,
     301,    -1,  4760,  5178,  5179,  4763,  4764,  5182,    -1,    -1,
      -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3072,    -1,    -1,    -1,  5202,    -1,    -1,
      -1,    -1,    -1,  5208,    -1,    -1,    -1,  5212,    -1,    -1,
      -1,  5216,    -1,    -1,  5219,    -1,  5221,    -1,    -1,    -1,
      -1,   352,    -1,    -1,   355,   356,  4400,  5232,    -1,  4403,
    5235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5246,  5247,  5248,    -1,  5250,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,   387,    17,    18,    19,
      -1,  1540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,
      -1,    -1,    -1,    -1,   198,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,  1565,    -1,    -1,    -1,
      -1,    -1,    52,  5298,  5299,    -1,    -1,   221,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
     244,    -1,    -1,    -1,    -1,   456,    -1,    -1,    -1,    -1,
    4504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5343,    -1,
      -1,    23,    -1,    -1,    -1,    -1,    28,  4521,    -1,    -1,
      -1,    -1,  5357,    -1,    -1,    -1,    -1,  5362,    -1,    -1,
      -1,   285,  5367,  1642,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5376,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,  5386,    -1,    -1,    -1,  5390,    -1,    -1,  5393,    -1,
      -1,    -1,    -1,  1672,  1673,  1674,  1675,    79,    80,  5404,
    5405,  5406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    95,    -1,    -1,    -1,  5005,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4602,    -1,
      -1,   113,    -1,   193,    -1,    -1,    -1,  5442,   198,    -1,
      -1,  5446,    -1,  5448,    -1,    -1,    -1,    -1,  5036,    -1,
      -1,    -1,    -1,    -1,    -1,   137,    -1,  5462,    -1,    -1,
      -1,   221,   222,    -1,  5469,    -1,   148,  5472,   392,    -1,
      -1,  5476,    -1,    -1,    -1,   157,    -1,    -1,  5483,    -1,
      -1,    -1,    -1,    -1,   244,  5490,    -1,    -1,   170,    -1,
      -1,    -1,    -1,    -1,   176,    -1,    -1,  3376,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5525,   203,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,
    1819,  1820,   302,    -1,    -1,    -1,  5551,    -1,    -1,    -1,
      -1,    -1,  5557,  5558,   236,    -1,  1835,  5562,  5563,  5564,
    5565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     494,    -1,    -1,    -1,    -1,    -1,   258,    -1,    -1,   503,
     504,   505,   506,   507,   508,   509,   510,   511,  5593,    -1,
    1869,  1870,  1871,  1872,    -1,    -1,    -1,  5602,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,  5627,    -1,  5212,  5630,    -1,    -1,    -1,    -1,
      -1,    -1,   392,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5232,    -1,    45,    -1,    -1,    -1,
    5655,   333,   334,    52,    -1,   337,    -1,    -1,  5246,  3538,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1950,    -1,    -1,    -1,    -1,    -1,  1956,  5683,    78,
      -1,    -1,   364,    -1,    -1,   367,    -1,  5692,  5693,  5694,
      -1,    -1,   374,  5698,    -1,    -1,    -1,  5702,    -1,   381,
    5705,    -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,  5714,
    5298,  5716,  4886,  5718,  5719,    -1,    -1,    -1,    -1,    -1,
    5725,   403,    -1,    -1,  4898,    -1,    -1,    -1,   410,    -1,
    5735,    -1,  5737,    -1,   494,   417,    -1,  3616,   420,    -1,
      -1,  5746,   424,   503,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,  5343,   516,   439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5781,  5782,    -1,    -1,
      -1,    -1,    -1,   465,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   193,  3674,    -1,    -1,    -1,   198,
      10,    -1,    -1,    13,    -1,    -1,  5811,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5406,    -1,
    5825,    -1,   221,   222,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,   244,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5862,    -1,    -1,
      -1,  2140,    -1,  3742,    -1,    -1,    -1,    -1,    78,    -1,
    5875,    -1,    -1,    -1,  5879,    -1,    -1,    -1,    -1,    -1,
    5885,  5469,    -1,    -1,    -1,    -1,   285,    -1,    -1,  5894,
    5895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     299,    -1,    -1,   302,    -1,    -1,  5911,    -1,    -1,    -1,
      -1,  3790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5926,    -1,  3802,  3803,     8,    -1,    -1,  5933,    -1,
      -1,    14,    15,  3812,    -1,    -1,    -1,    20,  3817,    22,
    3819,  5115,    -1,    -1,    -1,    28,    -1,    30,    -1,    -1,
      -1,    -1,    -1,  5958,    -1,    -1,    -1,    -1,    -1,    -1,
    5965,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,
    5975,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5983,  5984,
    5985,    -1,    -1,   193,  5989,    -1,  3865,    -1,   198,    -1,
      -1,    -1,    -1,   392,    -1,    -1,  6001,  6002,  6003,    -1,
      -1,    -1,    -1,  6008,  6009,    -1,    -1,    -1,    -1,  6014,
      -1,   221,   222,    -1,  5602,    -1,    -1,    -1,    -1,    -1,
      -1,  3900,  3901,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,  6036,    13,    -1,   244,    -1,    17,    18,    19,    -1,
      -1,    -1,  5630,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,
      -1,  6066,  6067,  6068,    45,    -1,  5240,  6072,  5242,    -1,
      -1,    52,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6090,  6091,    -1,    -1,   299,
      -1,    -1,   302,    -1,    -1,   494,    -1,    78,    -1,    -1,
    6105,    -1,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,  6119,   514,    -1,   200,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    25,    -1,    -1,    -1,   212,
      -1,    31,   215,    -1,    -1,   218,   219,  5725,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,    -1,  6152,  6153,  6154,
    6155,  6156,    -1,    -1,  6159,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6171,    -1,    -1,  6174,
      -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,
      -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6214,
    6215,    -1,   193,    -1,  6219,    -1,    -1,   198,  6223,    -1,
      -1,    -1,  4101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6235,  6236,   132,    -1,  6239,    -1,    -1,  5825,    -1,   139,
     221,   222,   142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,   494,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,   503,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,    35,   285,   205,   516,    -1,  2587,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,   299,    -1,
      52,   302,    -1,  5911,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,   278,    -1,
      -1,    -1,   282,    -1,    45,    -1,    -1,  5975,    -1,    -1,
      -1,    52,   292,    -1,    -1,  5983,  5984,    -1,    -1,    10,
      -1,   301,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,   392,    -1,   313,    -1,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4329,    -1,   352,    -1,    -1,   355,   356,    -1,    -1,    -1,
      -1,   193,    -1,    -1,    -1,    -1,   198,    78,    -1,    -1,
      -1,    -1,    -1,    -1,  2753,    -1,  4355,    -1,  6066,    -1,
      -1,    -1,    -1,    -1,  6072,    -1,    -1,   387,    -1,   221,
     222,  4370,    -1,    -1,  4373,    -1,  4375,    -1,    -1,    -1,
      -1,    -1,  6090,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,   244,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   193,    -1,    -1,   516,    -1,   198,    -1,    -1,
      -1,    -1,  4421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   285,    -1,    -1,   456,    -1,  4437,    -1,
     221,   222,   645,  4442,    -1,    -1,  6154,   299,    -1,    -1,
     302,    -1,    -1,   656,    -1,    -1,    -1,   660,    -1,    -1,
      -1,    -1,   193,   244,   667,   668,  6174,   198,   671,    -1,
     673,   674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   688,    -1,    -1,    -1,    -1,
     221,   222,  2891,    -1,    -1,  2894,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   706,   285,    -1,    -1,  6215,    -1,    -1,
      -1,    -1,    -1,   244,    -1,  6223,    -1,    -1,   299,    -1,
      -1,   302,    -1,    -1,   727,    -1,   729,  6235,  6236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   739,    -1,    -1,    -1,
     392,    -1,  4541,    -1,   325,  4544,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,   772,
      -1,   302,    -1,    51,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,  2983,    17,    18,    19,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    31,    -1,  2996,    -1,    -1,
      -1,    -1,    -1,    35,  5898,  3004,    -1,    -1,    -1,    -1,
      -1,   392,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      52,  4620,  4621,  4622,  4623,    -1,  4625,  4626,  4627,  4628,
    4629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      76,    -1,   494,    -1,  3043,    -1,    78,    -1,    -1,    -1,
     853,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   392,    -1,    -1,   516,  3064,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   132,    35,    -1,    -1,
      -1,    -1,    -1,   139,    -1,    -1,   142,    45,  3107,    -1,
    3109,    -1,    -1,   494,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,   169,    -1,   938,    -1,    -1,    -1,    -1,
      78,  4740,    -1,  4742,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,   193,    -1,   494,    -1,    -1,   198,    -1,    -1,   205,
      -1,    35,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    45,    -1,    -1,    -1,   516,    -1,    -1,    52,   221,
     222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3197,    -1,
      -1,    -1,    -1,    -1,    -1,  3204,    -1,    -1,    -1,  1012,
      -1,    -1,   244,    -1,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,  1037,    -1,    17,    18,    19,    -1,
      51,    -1,   278,    -1,    -1,    -1,   282,    -1,    -1,  1052,
      -1,  1054,    -1,   285,    35,   193,   292,    -1,    -1,    -1,
     198,  1064,    -1,    -1,    45,   301,    -1,   299,  1071,    -1,
     302,    52,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,
      -1,    -1,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
      -1,  1114,    -1,  1116,    -1,    -1,   352,    -1,    -1,   355,
     356,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,   193,
      -1,    17,    18,    19,   198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,    35,
      -1,   387,    -1,    -1,    -1,    -1,    -1,   221,   222,    45,
     392,   299,  4961,  4962,   302,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4974,    -1,  4976,  4977,  4978,
     244,    -1,    -1,    -1,    -1,    -1,    -1,  1190,    -1,  1192,
      -1,  1194,    78,  1196,    -1,  1198,  1199,  1200,    -1,    -1,
      -1,    -1,  1205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,    -1,  1217,    -1,    -1,   198,    -1,    -1,
     456,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,   302,    -1,
     221,   222,    -1,  5042,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,   244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,  5081,    -1,   516,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   285,    -1,    -1,   193,    -1,    -1,
      -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,   299,    -1,
      -1,   302,    -1,    -1,    -1,  5124,    -1,    -1,   392,    -1,
      -1,    -1,    -1,    -1,    23,   221,   222,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,  3544,  3545,    -1,    -1,    -1,
      -1,    -1,   206,   207,    -1,    -1,   494,    -1,   244,    -1,
     214,    -1,   216,   217,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,   230,    66,   516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,  1401,   285,
      -1,    -1,    91,    -1,    -1,    -1,    95,    -1,    -1,    -1,
      -1,   392,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    10,   707,
     494,    13,    -1,    -1,    -1,    17,    18,    19,    -1,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   137,    -1,
      -1,    -1,   516,    35,    -1,   733,    -1,    -1,    -1,   148,
      -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,   157,    -1,
      52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   170,    -1,    -1,    -1,    -1,    -1,   176,  5287,    25,
      -1,    -1,    -1,    -1,    -1,    31,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   203,    -1,    -1,    -1,  1521,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,  5333,   516,    -1,    -1,    -1,    -1,
      76,    -1,    -1,  5342,    -1,    -1,    -1,   236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3786,    -1,    -1,
    1593,    -1,    -1,    -1,    -1,    -1,   132,    -1,   876,    -1,
      -1,    -1,    -1,   139,    -1,    -1,   142,    -1,   494,    -1,
     299,   193,    -1,    -1,    -1,    -1,   198,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
     516,    -1,    -1,   169,   323,    -1,    -1,    -1,    -1,   221,
     222,    -1,    -1,    -1,   333,   334,    -1,    -1,   337,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,    -1,    10,    -1,    -1,    13,    -1,   205,
      -1,    17,    18,    19,    -1,   364,    -1,    -1,   367,    -1,
      -1,    -1,   371,    23,    -1,   374,    -1,    -1,    28,    35,
      -1,    -1,   381,    -1,    -1,   384,   707,    -1,    -1,    45,
      -1,    -1,    -1,   285,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   403,    -1,    -1,   299,    -1,    -1,
     302,   410,   733,    -1,    -1,    -1,    66,    -1,   417,    -1,
      -1,   420,    78,    -1,    -1,   424,    -1,    -1,    -1,    79,
      -1,    -1,   278,   432,    -1,   434,   282,  3946,    -1,    -1,
     439,    -1,    -1,    -1,    -1,    95,   292,    -1,    -1,    -1,
      -1,  1039,    -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,
      -1,    -1,  1050,   113,  5573,    -1,   465,   313,  5577,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1066,    -1,
     644,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1809,    -1,   148,   663,
     392,    -1,    -1,    -1,    -1,   669,   352,   157,    -1,   355,
     356,    -1,    -1,    -1,    -1,    -1,    -1,   681,    -1,    -1,
     170,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,
      -1,  1844,    -1,   697,    -1,    -1,    -1,   193,    -1,    -1,
      -1,   387,   198,    -1,    -1,    -1,    -1,   711,   712,    -1,
      -1,    -1,    -1,   203,   718,   876,   720,   721,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,    -1,
     734,    -1,    -1,    -1,    -1,    -1,    -1,  1890,    -1,    -1,
     744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1910,    -1,    -1,
      -1,    -1,   494,    -1,    -1,    -1,    -1,    -1,   258,    -1,
     456,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,  1936,   516,  1938,    -1,    -1,    -1,   285,
      -1,    -1,    -1,   797,    -1,  1223,    -1,    -1,    -1,    -1,
    1953,    -1,  1955,   299,    -1,    -1,   302,    -1,  1961,   299,
    1963,    -1,  1965,    -1,  1967,    -1,  1969,    -1,    -1,    -1,
    1973,   825,    -1,    -1,  5773,    -1,    -1,    -1,  5777,    -1,
    5779,    -1,    -1,    10,  5783,  5784,    13,    -1,    -1,    -1,
      17,    18,    19,   333,   334,    -1,   850,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,    35,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,    -1,    -1,    -1,   364,    52,    -1,   367,  1039,    -1,
      -1,    -1,    -1,    -1,   374,    -1,    -1,    -1,    -1,  1050,
      -1,   381,    -1,    -1,   384,    -1,   392,    -1,    -1,    -1,
      -1,    78,    -1,    -1,    -1,  1066,    -1,    -1,   912,    -1,
      -1,    -1,    -1,   403,    -1,    25,    -1,    -1,    -1,    -1,
     410,    31,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
     420,    -1,    25,    -1,   424,    -1,    -1,    -1,    31,    -1,
      -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,   439,
      -1,  1379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   207,    -1,    -1,    76,    -1,    -1,    -1,
      -1,    -1,   216,    -1,    -1,   465,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    76,    -1,    -1,   230,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   193,    -1,  1022,    -1,
     516,   198,   132,    -1,    -1,  1029,    -1,    -1,    -1,   139,
      -1,    -1,   142,    -1,    -1,    -1,  1040,    -1,    -1,   132,
    1044,    -1,  1046,    -1,   221,   222,   139,    -1,    -1,   142,
      -1,    -1,  1480,    -1,    -1,    -1,    -1,    -1,    -1,   169,
      -1,    10,  1223,    -1,    13,    -1,    -1,   244,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,  6042,    -1,   205,    45,    -1,    -1,    -1,
      -1,    -1,  4451,    52,    -1,    -1,    -1,    -1,   285,    -1,
      -1,    -1,   205,    -1,    -1,    -1,  4465,    -1,    -1,  1547,
      -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,    -1,
      -1,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,    -1,    -1,   278,    -1,    -1,    -1,   282,
      -1,   301,    -1,  1621,    -1,    -1,    -1,    -1,    -1,   292,
      -1,    -1,    -1,   313,    -1,    -1,    -1,    -1,   301,    -1,
    1214,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,
     313,  1225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6181,    -1,    -1,    -1,  6185,    -1,  1242,    -1,
      -1,    -1,   352,  1247,   193,   355,   356,    -1,    -1,   198,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   352,
      -1,    -1,   355,   356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,   222,    -1,    -1,    -1,   387,  6227,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   387,   244,  6245,    -1,    -1,  6248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,  1480,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   285,    -1,    -1,   516,
      -1,    -1,    -1,    -1,    -1,    -1,   456,    -1,    -1,    -1,
     299,    -1,    10,   302,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,   456,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1376,    -1,    -1,    -1,    -1,    35,    -1,    -1,
    1384,  1385,    -1,    -1,    -1,  1813,  1547,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,  1824,    -1,    -1,    -1,
     644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1840,    -1,    -1,    -1,    -1,    -1,    -1,   663,
      78,    -1,    -1,    -1,    -1,   669,    -1,  1588,    -1,    -1,
      -1,    -1,    -1,  1437,    -1,    -1,    -1,   681,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   697,    -1,    -1,    -1,    -1,    -1,    -1,
    1621,    -1,    -1,    -1,    -1,    -1,  1894,    -1,   712,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   720,    -1,    -1,    -1,
      -1,  1909,    -1,    -1,  1912,  1913,    -1,    -1,    -1,    -1,
     734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1943,  1944,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2677,  2678,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,
     198,    -1,    -1,  2696,  2697,   494,  2699,  2700,    -1,    -1,
      -1,  2704,  2705,   797,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   221,   222,    -1,  2719,   516,    -1,    -1,
      -1,    -1,    -1,    -1,  2727,    -1,    -1,    -1,  2731,  2732,
      -1,   825,  2735,  2736,    -1,    -1,   244,    -1,    -1,  2742,
      -1,    -1,    -1,    -1,  4943,    -1,    -1,    -1,    -1,    -1,
      -1,  2754,    -1,    -1,    -1,    -1,   850,    -1,    -1,  4958,
      -1,    -1,    -1,  2766,    -1,    -1,    -1,    -1,  2771,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,
      -1,    -1,    -1,  2786,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   299,  2795,    -1,   302,  2798,    -1,  2800,  2801,  2802,
      -1,    -1,  1813,  2081,  2807,  2808,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1824,  2817,    -1,    -1,    -1,   912,    -1,
    2823,    -1,    -1,    -1,  2827,    -1,    -1,    -1,    -1,  1840,
      -1,    -1,  1686,    -1,    -1,    -1,  2839,  2840,    -1,    -1,
      -1,  2844,    -1,    -1,    -1,    -1,    -1,  2850,  2851,    -1,
    5049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2864,    -1,    -1,  2867,    -1,    -1,    -1,    -1,    -1,
      -1,  2874,  2875,    -1,    -1,    -1,    -1,  2880,    -1,    -1,
      -1,    -1,    -1,  1894,   392,    -1,    -1,    -1,    -1,  2892,
      -1,    -1,  2895,    -1,    -1,    -1,    -1,  2900,  1909,    -1,
      -1,  1912,  1913,  2906,  2907,    -1,    -1,    -1,    -1,    -1,
      -1,  2914,    -1,    -1,    -1,  2918,    -1,    -1,    -1,  2922,
    2923,  2924,  2925,    -1,  2927,    -1,    -1,    -1,  1022,    -1,
      -1,    -1,  1943,  1944,    -1,  1029,    -1,    -1,  2941,  2942,
      -1,  2944,    -1,    -1,    -1,    -1,    -1,  1801,    -1,    -1,
      -1,    -1,  2955,  2956,  2957,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1836,    -1,    -1,    10,   494,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,  1859,    -1,    -1,   516,  3012,
      35,    -1,    -1,  1867,    -1,    -1,    -1,  3020,    -1,    -1,
      45,  1875,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3039,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,  5248,
      13,  5250,    -1,    78,    17,    18,    19,    -1,    -1,  1153,
      -1,    -1,  1916,  1917,    -1,  1919,  1920,    -1,    -1,    -1,
    2081,    -1,    35,    -1,    -1,    -1,    -1,  1931,    -1,  1933,
    1934,    -1,    45,    -1,    -1,    -1,  3089,    -1,    -1,    52,
      -1,    -1,  1946,  1947,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3108,    -1,  3110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
    1214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1984,  1225,    -1,    -1,  1988,  1989,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    51,    -1,    10,  1242,    -1,
      13,    -1,    -1,  1247,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,
      -1,    -1,    35,   198,    -1,    -1,    39,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,
      -1,    -1,  3205,    -1,    -1,  5404,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     193,    -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,   222,
     285,    -1,    -1,    -1,    -1,    -1,   129,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,
      -1,   244,  1376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1384,  1385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     193,    -1,    -1,    -1,    -1,   198,   299,    -1,    -1,   302,
      -1,    -1,    -1,  1437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,   222,
      -1,    -1,    -1,    -1,  5563,    -1,  5565,   392,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2683,    -1,    -1,    -1,  2687,
    2688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    51,    -1,    -1,    -1,    -1,   299,    -1,    -1,   302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2746,   494,
      -1,    -1,    -1,    -1,  2752,    -1,    -1,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,   516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3515,    -1,    -1,  2793,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,   494,    -1,  3536,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
    3553,    -1,    -1,   516,  3557,    -1,    -1,    -1,    -1,  3562,
    3563,  3564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     453,    -1,  1686,    -1,    -1,  3598,  3599,  3600,  3601,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3628,    -1,    -1,    -1,    -1,
      -1,   494,    -1,  3636,    -1,  3638,  3639,  3640,    -1,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2683,    -1,    -1,    -1,  2687,  2688,    51,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,  1801,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3003,    35,  5926,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2746,    45,    -1,    -1,    -1,
      -1,  2752,  1836,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3756,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3765,    -1,    -1,  1859,    -1,  2621,    -1,    78,
      -1,    -1,    -1,  1867,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1875,  2793,    -1,    -1,    -1,    -1,    -1,  3791,  3792,
      -1,    -1,    -1,  3796,    -1,    -1,    -1,    -1,  3076,    -1,
      -1,   707,  3080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3818,    -1,    -1,    -1,    -1,
      -1,    -1,  2676,    -1,    -1,  1919,  1920,   733,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6036,    -1,  1933,
    2694,    -1,    -1,    -1,  2698,    -1,    -1,    -1,  2702,    -1,
      -1,    -1,  1946,  1947,    -1,    -1,    -1,  2711,    -1,   168,
      -1,    -1,    -1,    -1,    -1,   174,    -1,  3870,  6067,  6068,
      -1,    -1,  3875,    -1,    -1,    -1,  2730,    -1,  3881,    -1,
      -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,    -1,   198,
      -1,    -1,    -1,  2747,    -1,  2749,  2750,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3183,    -1,    -1,  3911,    -1,
    2764,    -1,   221,   222,    -1,    -1,    -1,    -1,    -1,    -1,
    3198,    -1,    -1,    -1,    -1,  3203,    -1,    -1,    -1,    -1,
    2784,  2785,    -1,    -1,    -1,   244,    -1,  3940,    -1,  3942,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3233,    -1,    -1,    -1,    -1,
      -1,  2815,  2816,    -1,    -1,  2819,    -1,    -1,    -1,    -1,
     876,    -1,  6171,    -1,    -1,    -1,   285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2843,
     299,  2845,  3003,   302,    -1,  2849,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2102,  2863,
      -1,    -1,    -1,    -1,    -1,    -1,  2870,    -1,    -1,  2873,
      -1,    -1,    -1,    -1,    -1,  2879,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2899,    -1,    -1,    -1,    -1,
      -1,  2905,    -1,    10,    -1,    -1,    13,    -1,  2912,    -1,
      17,    18,    19,    -1,    -1,  3076,    -1,    -1,    -1,  3080,
      -1,    -1,  2926,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      -1,    -1,    -1,   392,    -1,    -1,  2940,   707,    45,    -1,
      -1,  2945,    -1,    -1,    -1,    52,    -1,  2951,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   733,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1039,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1050,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3011,    -1,    -1,
    1066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,    -1,  3198,    -1,    -1,
      -1,    -1,  3203,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,  3482,    -1,    -1,  3485,    -1,  3487,
      -1,    -1,    -1,    -1,  3492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,
      -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4255,    -1,    -1,  4258,   876,  4260,    -1,    -1,
      -1,    -1,    -1,  3541,   221,   222,    -1,    -1,    -1,    -1,
    4273,  3549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4285,    -1,    -1,    -1,  4289,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3574,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4308,    -1,    -1,    -1,    -1,
      -1,    -1,  3166,    -1,  3168,    -1,    -1,  1223,    -1,    -1,
      -1,    -1,    -1,  4326,    -1,    -1,    -1,    -1,   285,  4332,
      -1,  3185,    -1,    -1,   707,    -1,    -1,    -1,  3192,    -1,
      -1,    -1,   299,    -1,    -1,  3199,    -1,  3201,  3202,    -1,
      -1,    -1,    -1,    -1,  4357,    -1,    -1,    -1,  4361,    -1,
     733,    -1,    -1,    -1,    -1,    -1,  3644,    -1,  3646,    -1,
      -1,    -1,    -1,  4376,  4377,  4378,  4379,    -1,    -1,    -1,
      -1,    -1,    -1,  4386,  4387,  4388,  4389,    -1,    -1,    -1,
      -1,    -1,  4395,  4396,    -1,    -1,    -1,    -1,  4401,  4402,
      -1,  4404,  4405,  4406,  4407,  4408,  4409,  4410,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4420,    -1,  1039,
      -1,  4424,  4425,  4426,  4427,    -1,    -1,    -1,    -1,    -1,
    1050,  3285,    -1,    -1,    -1,   392,    -1,  3291,    -1,    -1,
      -1,    -1,    -1,    -1,    10,  4448,  1066,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    51,    -1,    -1,    -1,    -1,
      -1,    -1,  3740,  4466,    -1,    -1,    -1,    -1,    -1,    35,
      -1,  3482,    -1,    -1,  3485,    -1,  3487,    -1,    -1,    45,
      -1,  3492,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   876,    -1,    -1,  3784,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3376,    -1,    -1,    -1,    -1,  2621,    -1,    -1,
    3541,    -1,    -1,    -1,  3812,    -1,    -1,   494,  3549,  4542,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3574,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4575,    -1,  1480,    -1,    -1,    -1,    -1,  4582,
      -1,  4584,  2676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2694,    -1,  3880,  1223,  2698,    -1,    -1,    -1,  2702,  4612,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2711,    -1,    -1,
      -1,    -1,    -1,    -1,  3902,    -1,    -1,   193,    -1,    -1,
      -1,    -1,   198,  3644,    -1,  3646,  2730,    -1,    -1,    -1,
      -1,  1547,    -1,    -1,    -1,    -1,  3924,    -1,    -1,    -1,
      -1,    -1,    -1,  3507,  3508,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1039,    -1,    -1,    -1,
    2764,    -1,    -1,    -1,    -1,    -1,    -1,  1050,   244,    -1,
      -1,  3535,  1588,    -1,  3538,    -1,    -1,    -1,    -1,    -1,
    2784,  2785,    -1,  1066,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1621,    -1,    -1,    -1,   285,
      -1,  2815,  2816,    -1,    -1,  2819,    -1,    -1,  4006,  3740,
      -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2843,
      -1,  2845,    -1,    -1,    -1,  2849,  3610,  3611,  3612,    -1,
      -1,   327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2863,
      -1,    -1,    -1,  3784,    -1,    -1,  2870,  4055,    -1,  2873,
      -1,  3635,    -1,    -1,    -1,  2879,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3654,  3812,  4080,    -1,    -1,  2899,    -1,    -1,    -1,    -1,
      -1,  2905,    -1,    -1,    -1,    -1,    -1,    -1,  2912,    -1,
      -1,    -1,  3676,    -1,    -1,    -1,   392,  4830,  4831,  4832,
      -1,    -1,  2926,  4836,  4837,  4838,  4839,    -1,    -1,    -1,
    4843,    -1,    -1,   409,    -1,    -1,  2940,    -1,    -1,    -1,
    1223,  2945,    -1,    -1,    -1,    -1,    -1,  2951,    -1,    -1,
    1480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3880,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4881,  4882,
    4883,  4884,  4885,    -1,  4887,  4888,    -1,    -1,    -1,    -1,
      -1,  3902,    -1,    -1,    -1,    -1,  4899,  4900,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1813,    -1,    -1,
    3764,    -1,    -1,  3924,    -1,    -1,    -1,  3011,  1824,    25,
      -1,    -1,    -1,    -1,    -1,    31,    -1,  1547,   494,    -1,
    4933,    -1,    38,    -1,  1840,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    60,    -1,    -1,  3811,    -1,    -1,
    4238,    -1,    -1,  3817,    -1,  3819,    -1,    -1,  1588,    -1,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3832,    -1,
    3834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1894,    -1,
      -1,    -1,    -1,    -1,    -1,  4006,    -1,    -1,    -1,    -1,
      -1,  1621,    -1,  1909,    -1,   111,  1912,  1913,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   132,    -1,    -1,    -1,
      -1,    -1,  5035,   139,    -1,    -1,   142,  1943,  1944,    -1,
      -1,    -1,    -1,    -1,  4055,    -1,    -1,  3901,    -1,    -1,
      -1,  4329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   169,    -1,    -1,    -1,    -1,    -1,  4080,
      -1,    -1,  3166,    -1,  3168,    -1,    -1,  4355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3943,
      -1,  3185,    -1,    -1,    -1,   201,    -1,  5100,  3192,   205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1480,  3962,    -1,
      -1,   707,  3966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5132,
      -1,    -1,    -1,  3987,    -1,    -1,    -1,   733,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   278,    -1,  1547,  2081,   282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,  3285,    -1,  1813,    -1,   301,    -1,  3291,    -1,    -1,
      -1,    -1,    -1,    -1,  1824,   208,   312,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1588,    -1,   220,    -1,  4497,
    1840,    -1,  5225,    -1,    -1,    -1,    -1,  4238,   231,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4092,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   352,    -1,  1621,   355,
     356,   357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    51,  4544,    -1,    -1,    -1,
      -1,  4549,    -1,    -1,  1894,   381,    -1,    -1,    -1,    -1,
     876,   387,  3376,    -1,    -1,    -1,  5289,    -1,    -1,  1909,
      -1,    -1,  1912,  1913,    10,   401,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,  5308,    -1,    -1,    -1,    -1,
      -1,  5314,  5315,    -1,    -1,    -1,    -1,    -1,  4329,    35,
      -1,  5324,    38,  1943,  1944,    -1,    -1,    -1,  5331,    45,
      -1,    -1,    10,    -1,    -1,    13,    52,    -1,    -1,    17,
      18,    19,    -1,    -1,  4355,    -1,    -1,    -1,    -1,    -1,
     456,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    78,    -1,    -1,  5368,  5369,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,  5381,    -1,
    5383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5398,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3507,  3508,    -1,    -1,    -1,  4272,    -1,
    5423,    -1,    -1,    -1,    -1,    -1,  4704,    -1,  5431,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1813,  3535,    -1,  1039,  3538,    -1,    -1,    -1,    -1,    -1,
      -1,  1824,    -1,    -1,  1050,    -1,    -1,    -1,    -1,    -1,
      -1,  2081,    51,    -1,    -1,    -1,    -1,  1840,    -1,  4323,
    1066,    -1,    -1,    -1,  4328,    -1,  4330,   193,    -1,    -1,
      -1,    -1,   198,    -1,    -1,    -1,  4497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4354,    -1,  5505,    -1,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,  3610,  3611,  3612,    -1,
     198,  1894,    -1,    -1,    -1,    -1,  5529,    -1,   244,    -1,
      -1,    -1,    -1,  4544,    -1,    -1,  1909,  5540,  4549,  1912,
    1913,  3635,    -1,   221,   222,    -1,  4400,    -1,    -1,  4403,
      -1,  4829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3654,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,   285,
    1943,  1944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3676,   299,    -1,    -1,   302,    10,    -1,    -1,
      13,  4869,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5608,    -1,   285,    -1,    -1,
      -1,    -1,    35,  4891,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   299,    45,    -1,   302,    -1,    -1,  1223,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4493,
    4494,    -1,   645,    -1,    -1,    -1,    -1,    -1,   651,    -1,
    4504,    -1,    -1,    -1,    10,    78,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,  4521,    -1,    -1,
    3764,    -1,    -1,    -1,    -1,  5678,   392,    -1,    -1,    35,
      -1,    -1,    38,    -1,    -1,  4963,    -1,    -1,    -1,    45,
      -1,    -1,    -1,  4704,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2081,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,  3811,    -1,    -1,
      -1,    -1,    78,  3817,    -1,  3819,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3832,    -1,
    3834,  5744,    -1,    -1,    -1,    -1,    -1,    -1,  4602,    -1,
      -1,  4605,    -1,    -1,    -1,  5758,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     193,    -1,    -1,    -1,    -1,   198,    -1,  2683,   494,    -1,
      -1,  2687,  2688,    -1,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,   221,   222,
      -1,    -1,    -1,    -1,    -1,    -1,  5084,  3901,    -1,    -1,
      -1,    -1,    -1,  5816,    -1,   493,   494,    -1,  4829,   822,
      -1,   244,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,    10,   193,   841,    13,
    2746,    -1,   198,    17,    18,    19,  2752,    -1,    -1,  3943,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4869,    -1,
      -1,    35,   285,    -1,    -1,   221,   222,    -1,  3962,    -1,
      -1,    45,  3966,    -1,    -1,    -1,   299,    -1,    52,   302,
    4891,    -1,    -1,    -1,  1480,    -1,    -1,  2793,   244,    -1,
      -1,    -1,    -1,  3987,    -1,    -1,    -1,    -1,   321,    -1,
      -1,    -1,    -1,    -1,    78,    -1,    -1,  5910,    -1,    -1,
     913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   707,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5942,
    5218,    -1,    -1,   299,    -1,    -1,   302,   733,    -1,    -1,
    5953,  1547,  4963,    -1,    -1,    -1,    -1,   960,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4842,    -1,
      -1,    -1,  1588,    -1,    -1,    -1,    -1,    -1,  4092,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,
      -1,    -1,    -1,    -1,   198,  1621,    -1,    -1,    -1,    -1,
      -1,    -1,  4886,    -1,    -1,    -1,   392,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4898,    -1,    -1,   221,   222,    -1,
      -1,    -1,    -1,  6056,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2683,    -1,    -1,    -1,  2687,  2688,    -1,
     244,   494,  1075,  5084,    -1,    -1,    -1,    -1,  4932,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     876,    -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,    -1,
      -1,  1104,  1105,  1106,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,   707,    -1,
      -1,    -1,    -1,    -1,    -1,   299,  2746,    -1,   302,    -1,
      -1,  5409,  2752,    -1,    -1,    -1,    -1,    -1,   494,    -1,
      -1,    -1,    -1,    -1,   733,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,  5010,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
    3076,    -1,    -1,  2793,  3080,  5029,    -1,    -1,  4272,    -1,
      -1,    -1,    35,    -1,    -1,    38,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5218,    -1,    -1,
    1213,    -1,    -1,    -1,    -1,    -1,    -1,  1813,   392,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,  1824,  4323,
      -1,    -1,    -1,    -1,  4328,    -1,  4330,    -1,  1241,    -1,
      -1,    -1,    -1,    -1,  1840,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1039,    -1,    -1,    -1,    -1,    -1,    -1,
    4354,  5115,    -1,  5541,  1050,    -1,    -1,    -1,  5546,  5547,
      -1,    -1,    -1,    -1,    -1,    -1,  5287,  3183,    -1,    -1,
    1066,    -1,    -1,    -1,    -1,    -1,    -1,   876,    -1,    -1,
      -1,    -1,  3198,    -1,    -1,    -1,    -1,  3203,  1894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4400,    -1,    -1,  4403,
    2683,    -1,    -1,  1909,  2687,  2688,  1912,  1913,    -1,    -1,
     494,    -1,    -1,    -1,    -1,    -1,    -1,  3233,    -1,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,    -1,
     193,    -1,    -1,    -1,    -1,   198,    -1,  1943,  1944,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,   222,
      -1,    -1,    -1,  2746,    -1,    -1,    -1,    -1,    -1,  2752,
      -1,    -1,  5660,  3003,    -1,    -1,  5240,  1390,  5242,    -1,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,  5409,  4493,
    4494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2793,    -1,    -1,    -1,    -1,    -1,    -1,  4521,    -1,    -1,
      -1,  5709,   285,    -1,  5288,    -1,    -1,  1223,    -1,    -1,
      -1,    -1,    -1,    -1,  5298,    -1,   299,    -1,    -1,   302,
    1039,    -1,    -1,    -1,    -1,    -1,  3076,    -1,    -1,    -1,
    3080,  1050,    -1,    -1,    -1,    -1,    -1,  1470,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1066,    -1,    -1,
      -1,    -1,    -1,    -1,  5338,  2081,    -1,    -1,    -1,  5343,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4602,    -1,
      -1,  4605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5541,    -1,    -1,    -1,    -1,  5546,  5547,    -1,    -1,   392,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1562,
      -1,    -1,    -1,  3183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3482,    -1,  3198,  3485,
      -1,  3487,    -1,  3203,    -1,    -1,  3492,    -1,    -1,    -1,
      -1,  1594,    -1,    -1,    -1,    -1,    -1,  1600,  1601,    -1,
      -1,  1604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3233,  1617,    -1,    -1,  1620,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3003,    -1,    -1,    -1,  1223,  3541,    -1,    -1,    -1,    -1,
      -1,   494,    -1,  3549,    -1,    -1,    -1,    -1,    -1,  5660,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3574,    -1,
      -1,    -1,    -1,  1676,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1690,    -1,    -1,
      -1,    -1,    -1,    -1,  1480,    -1,    -1,    -1,  5709,    -1,
      -1,    -1,    -1,  3076,    -1,  5559,    -1,  3080,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5573,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,  3644,    -1,
    3646,    -1,    -1,    -1,    -1,    -1,    -1,    35,  4842,    -1,
      -1,  5605,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,  1547,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,  4886,    -1,    -1,    -1,    -1,  1800,    -1,    -1,
      -1,    -1,  1588,    -1,  4898,    -1,    -1,    -1,  1811,    -1,
    3183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3198,    -1,    -1,    -1,    -1,
    3203,    -1,    -1,    -1,  3740,  1621,    -1,    -1,  4932,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1853,  1854,  5706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3233,    -1,  3482,    -1,    -1,  3485,    -1,  3487,    -1,    -1,
      -1,    -1,  3492,    -1,    -1,  1878,    -1,    -1,  3784,    -1,
      -1,    -1,  1885,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   193,  3812,    -1,    -1,    -1,
     198,    -1,    -1,    -1,    -1,    -1,  5010,  5771,    -1,  5773,
      -1,  3541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3549,
      -1,    -1,    -1,   221,   222,  5029,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3574,  1958,   244,    -1,  1547,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3880,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1991,  1992,
      -1,    -1,    -1,    -1,    -1,    -1,  3902,   285,    -1,  1588,
      -1,    -1,    -1,    -1,    -1,  2008,    -1,    -1,  2011,    -1,
      -1,   299,    -1,    -1,   302,    -1,    -1,    -1,  3924,    -1,
      -1,  5115,    -1,    -1,  3644,    -1,  3646,  1813,    -1,    -1,
      -1,    -1,  1621,    -1,    -1,    -1,    -1,    -1,  1824,    -1,
      -1,    -1,    -1,    -1,  5898,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1840,    -1,    -1,  5911,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2683,    -1,    -1,
      -1,  2687,  2688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4006,    -1,    -1,    -1,   392,    -1,    -1,    -1,  1894,  3482,
      -1,    -1,  3485,    -1,  3487,    -1,    -1,    -1,    -1,  3492,
    3740,    -1,    -1,  1909,    -1,    -1,  1912,  1913,    -1,  5983,
    5984,    -1,    -1,    -1,    -1,    -1,    -1,   425,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5240,    -1,  5242,  4055,
    2746,    -1,    -1,    -1,    -1,    -1,  2752,  1943,  1944,    -1,
      -1,    -1,    -1,    -1,  3784,    -1,    -1,    -1,  3541,    -1,
      -1,    -1,    -1,    -1,  4080,    -1,  3549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6042,    -1,
      -1,    -1,  3812,    -1,  5288,    -1,    -1,  2793,    -1,    -1,
      -1,  3574,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,  1813,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,  1824,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,  5338,    -1,    -1,    -1,    -1,    -1,
      -1,  1840,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,
    3880,    38,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,  3644,    -1,  3646,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,  3902,    10,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,  2081,    -1,    -1,    -1,    -1,
      -1,    78,    -1,    -1,  3924,  1894,    -1,    -1,    35,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
    1909,    -1,    -1,  1912,  1913,    52,    -1,  6181,    -1,    -1,
      -1,    -1,  4238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    -1,    -1,  1943,  1944,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3740,    -1,    -1,
      -1,    -1,    -1,  6227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6235,  6236,    -1,    -1,    -1,  4006,    -1,    -1,    -1,
      -1,  6245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,    -1,    -1,
      -1,  3784,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,
      -1,   198,    -1,  4329,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4055,    -1,    -1,    -1,  3812,
      -1,    -1,    -1,    -1,   221,   222,    -1,   174,    -1,  4355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4080,    -1,    -1,    -1,    -1,  5559,   193,   244,    -1,    -1,
      -1,   198,    -1,    -1,    10,    -1,    -1,    13,    -1,  5573,
    3076,    17,    18,    19,  3080,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2081,    -1,   221,   222,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3880,   285,    45,
      -1,  5605,    -1,    -1,    -1,    -1,    52,   244,    -1,    -1,
      -1,    -1,   299,    -1,    -1,   302,    -1,    10,    -1,  3902,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
    2543,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2553,  3924,    35,    -1,    -1,    -1,    -1,    -1,   285,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,  2582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3183,    -1,    -1,
      -1,  4497,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      -1,    -1,  3198,    -1,    -1,    -1,    -1,  3203,    -1,    -1,
      -1,    -1,  5706,    -1,    -1,   392,    -1,    -1,  4238,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2629,  2630,    -1,    -1,
      -1,    -1,   168,  4006,    -1,    -1,    -1,  3233,  4544,    -1,
      -1,    -1,    -1,  4549,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,
    2663,    -1,   198,    -1,    -1,   392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5771,    -1,  5773,
      -1,    -1,  4055,    -1,    -1,   221,   222,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4080,   244,  4329,
     193,    -1,    -1,    -1,    -1,   198,    -1,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,  4355,    -1,    -1,   221,   222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,   299,    -1,    -1,   302,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2797,    -1,    -1,    -1,  4704,    -1,
      -1,    -1,   285,    10,  5898,    -1,    13,    -1,    -1,  2812,
      17,    18,    19,    -1,    -1,    -1,   299,    -1,    -1,   302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,
    5924,  2834,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4238,    -1,    -1,    -1,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    -1,  4497,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3482,    -1,    -1,  3485,
      -1,  3487,    -1,    -1,    -1,    -1,  3492,  2683,    -1,    -1,
      -1,  2687,  2688,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2920,  2921,    -1,
      -1,    -1,    -1,  4829,  4544,    -1,    -1,    -1,    -1,  4549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,  3541,    -1,    -1,  6042,    -1,
      -1,    -1,    -1,  3549,    -1,    -1,  4329,    -1,   494,    -1,
    2746,    -1,    -1,  4869,    -1,    -1,  2752,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,  3574,    -1,
      -1,    -1,  4355,    -1,    -1,  4891,   193,    -1,    -1,    -1,
      -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2793,    -1,    -1,
      -1,   494,    -1,    -1,   221,   222,    -1,    -1,    -1,  3022,
     503,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,  3644,    -1,
    3646,    17,    18,    19,    -1,    -1,    -1,  4963,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   285,    45,
      -1,    -1,    -1,    -1,  4704,    -1,    52,  6181,    -1,    -1,
      -1,    -1,   299,    -1,  2683,   302,    -1,    -1,  2687,  2688,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3740,    -1,    -1,    -1,    -1,    -1,
      -1,  6245,    -1,    -1,    -1,    -1,    -1,  2746,    -1,    -1,
      -1,   819,   820,  2752,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4544,    -1,    -1,    -1,    -1,  4549,    -1,  5084,    -1,
      -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,  3784,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2793,    -1,    -1,    -1,    -1,  4829,
      -1,    -1,    -1,    -1,    -1,    -1,  3812,  3003,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,
      -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4869,
      -1,    -1,    -1,    -1,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,  1343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4891,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,  3880,    -1,    -1,   494,    -1,    -1,
    3076,    -1,    -1,    -1,  3080,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,  3902,    -1,    -1,    -1,
      -1,    -1,  5218,    -1,    -1,    -1,    -1,  1398,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3924,    -1,
      -1,  4704,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,
      -1,    -1,    -1,  4963,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3362,
      -1,    -1,  1020,  1021,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3383,  5287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4006,    -1,  3198,    -1,  3003,    -1,    -1,  3203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3233,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4829,    -1,    -1,  4055,
      -1,    -1,    -1,    -1,  5084,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4080,    -1,    -1,  3076,    -1,    -1,
      -1,  3080,    -1,    -1,    -1,    -1,  4869,    -1,    -1,    -1,
      -1,    -1,   468,  5409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4891,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,   494,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4963,    -1,    78,    -1,  3183,    -1,    -1,    -1,  5218,    -1,
      -1,  1259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3198,
      -1,    -1,    -1,    -1,  3203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1707,    -1,    -1,    -1,
    1711,    -1,    -1,    -1,    -1,  5541,    -1,    -1,    -1,  1297,
    5546,  5547,  4238,    -1,  3233,    -1,    -1,    -1,    -1,  3652,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3662,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5287,  1326,  1327,
    1328,    -1,  1330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1351,    -1,    -1,  3482,    -1,    -1,  3485,
      -1,  3487,    -1,    -1,    -1,    -1,  3492,   193,    -1,    -1,
      -1,  5084,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4329,    -1,   221,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5660,  3541,    -1,    -1,   244,  4355,
      -1,    -1,    -1,  3549,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3574,  5409,
      -1,    -1,    35,    -1,    -1,    -1,  1454,    -1,    -1,   285,
    1458,  1459,    45,  5709,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,
    3823,  3824,  3825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,  3840,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5218,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3644,    -1,
    3646,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3873,  3874,    -1,    -1,    -1,  3878,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3482,    -1,    -1,  3485,    -1,  3487,    -1,
      -1,  4497,    -1,  3492,    -1,    -1,   392,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5287,    -1,    -1,    -1,    -1,    -1,
      -1,  5541,    -1,    -1,    -1,    -1,  5546,  5547,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2028,  4544,    -1,
     193,    -1,  3541,  4549,  3740,   198,    -1,    -1,    -1,    -1,
    3549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2050,
      -1,    -1,    -1,  2054,    -1,    -1,    -1,    -1,   221,   222,
      -1,  3984,    -1,    -1,    -1,  3574,    -1,    -1,  2069,  2070,
    2071,    -1,  2073,    -1,    -1,    -1,    -1,    -1,  3784,    -1,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,  3812,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5409,    -1,    -1,    -1,
    5660,    -1,   285,  1701,  1702,  1703,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3644,   299,  3646,    -1,   302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5709,
      -1,    -1,    -1,    -1,  3880,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4704,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3902,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3924,    -1,
      -1,    -1,    -1,    -1,  4147,  4148,  4149,    -1,    -1,   392,
      -1,  3740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5541,    -1,
      -1,    -1,    -1,  5546,  5547,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3784,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4006,    -1,    -1,  3812,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    23,  4829,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      41,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,  4055,
      -1,    -1,    -1,  4869,    -1,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5660,    79,    -1,
      -1,  3880,    -1,    -1,  4080,  4891,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3902,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,  3924,  5709,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   157,  4963,    -1,    -1,
      -1,    -1,  2030,    -1,    -1,    -1,    -1,    -1,    -1,   170,
      -1,  2039,  2040,  2041,  2042,  2043,  2044,  2045,   179,    -1,
      -1,  2049,   183,  2051,    -1,  2053,    -1,    -1,  2056,  2057,
    2058,    -1,    -1,    -1,    -1,    -1,  2064,    -1,    -1,  2067,
      -1,    -1,   203,    -1,    -1,    -1,    -1,  4006,    -1,    -1,
      -1,    -1,    -1,    -1,  2082,  2083,  2084,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4238,    -1,    -1,    -1,    -1,   248,    -1,  2540,
      -1,    -1,    -1,    20,    -1,    -1,  4055,   258,    -1,    -1,
      -1,  4474,    -1,    -1,    31,    -1,    33,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5084,    -1,
      -1,  4080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4506,    61,    -1,    -1,    -1,   299,    -1,
      -1,   302,    -1,    -1,    -1,    -1,    73,    -1,    75,    76,
      -1,    -1,    -1,    -1,    -1,    82,    -1,    84,    -1,    -1,
      -1,    -1,   323,    -1,    -1,  4538,    -1,    -1,    -1,    96,
      -1,    98,    -1,  4329,    -1,    -1,   337,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,  2636,    -1,    -1,   115,    -1,
      -1,   118,    -1,    -1,    -1,    -1,    -1,  2648,    -1,  4355,
    4573,    -1,  2653,   364,    -1,    -1,   133,    -1,   135,    -1,
      -1,    -1,   139,   374,    -1,    -1,  2244,  4590,   145,    -1,
     381,    -1,    -1,   384,    -1,    -1,   153,    -1,   155,    -1,
      -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,   410,
      -1,    -1,  5218,   180,    -1,    -1,   417,    -1,    -1,   420,
     421,    -1,   423,   424,    -1,  2293,    -1,    -1,    -1,    -1,
     197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   439,  4238,
      -1,    -1,    -1,    -1,    -1,   446,    -1,    -1,   449,    -1,
      -1,   452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   465,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2346,   246,
     247,  5287,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,  4497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,    -1,  4732,
    4733,  4734,  4735,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4544,    -1,
      -1,    -1,    -1,  4549,    -1,    -1,  4355,    -1,    -1,    -1,
      -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   342,    -1,    -1,    -1,    -1,
      -1,   348,   349,    -1,   351,    -1,    -1,    -1,    -1,   356,
      -1,    -1,   359,    -1,    -1,   362,    -1,    -1,   365,    -1,
      -1,    -1,    -1,  5409,    -1,   372,    -1,    -1,    -1,    -1,
      -1,    -1,   379,   380,    -1,    -1,    -1,    -1,    -1,    -1,
     387,    -1,    -1,    -1,   391,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   401,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,    -1,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,    -1,  2533,    -1,    -1,    -1,    -1,
     437,    -1,    -1,    -1,    -1,    -1,  2544,    -1,  2546,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,
      -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,  4497,    -1,
      -1,    -1,    -1,    -1,    -1,   472,    -1,    -1,  4704,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2584,    -1,    -1,    -1,
    2588,    -1,    -1,  2591,    -1,  2593,    -1,    -1,  2596,   496,
      -1,    -1,    -1,    -1,    -1,  5541,    -1,    -1,    -1,    -1,
    5546,  5547,    -1,    -1,    -1,  4544,    -1,    -1,   515,    -1,
    4549,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2649,  2650,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4829,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5660,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,  5077,  2733,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4869,    -1,  5088,    -1,    -1,    -1,    -1,
      -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   148,    -1,  4891,    -1,    -1,    -1,    -1,
      -1,    -1,   157,  5709,    -1,  4704,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,   176,    -1,  3214,    -1,    -1,    -1,    -1,   183,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,  3240,
      -1,    -1,    -1,    -1,    -1,  3246,    -1,  3248,    -1,    -1,
      -1,    -1,  3253,  3254,    -1,  3256,    -1,  4963,    -1,    -1,
    3261,  3262,    -1,  3264,    -1,  3266,    -1,    -1,    -1,  3270,
      -1,    -1,  3273,    -1,    -1,    -1,    -1,  3278,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3287,    -1,    -1,    -1,
      -1,  3292,    -1,   258,    -1,    -1,    -1,    -1,  3299,  3300,
    3301,  3302,    -1,    -1,    -1,    -1,  3307,  3308,    -1,  3310,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3329,    -1,
    3331,    -1,    -1,    -1,   299,    -1,    -1,  3338,  3339,  3340,
    3341,  3342,  3343,  3344,  3345,  3346,  3347,   312,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,
    4869,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,   334,
      -1,    -1,   337,    -1,    -1,    28,    -1,    -1,  5084,    -1,
      -1,    -1,  4891,  3384,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2969,  2970,  2971,    -1,    -1,    -1,  2975,    -1,   364,
      -1,    -1,   367,    -1,    -1,    -1,   371,    -1,    -1,   374,
      -1,    -1,    -1,    -1,    -1,    -1,   381,    -1,    -1,   384,
      -1,    -1,    -1,    -1,  3002,    -1,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   403,  5362,
      -1,    -1,    95,    -1,  5367,   410,    -1,    -1,    -1,    -1,
      -1,    -1,   417,    -1,  4963,   420,    -1,    -1,    -1,   424,
     113,    -1,    -1,  5386,    -1,    -1,   119,   432,    -1,   434,
      -1,    -1,    -1,    -1,   439,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   137,    -1,    -1,   452,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,
     465,    -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5218,    -1,    -1,    -1,    -1,   170,    -1,    -1,
      -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,  3529,    -1,
     183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5084,    -1,    -1,    -1,    -1,
      -1,  5287,    -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5525,    -1,    -1,   258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3211,    -1,    -1,    -1,    -1,  3216,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     333,   334,    -1,    -1,   337,  3263,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3274,    -1,  3276,  3277,
      -1,    -1,    -1,  5409,  5627,    -1,    -1,    -1,    -1,  5218,
      -1,   364,  3290,    -1,   367,  3293,    -1,  3295,   371,    -1,
      -1,   374,    -1,    -1,    -1,    -1,    -1,    -1,   381,    -1,
      -1,   384,  5655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     403,    -1,    -1,    -1,  3332,    -1,  3334,   410,  3336,    -1,
      -1,    -1,   415,    -1,   417,    -1,    -1,   420,    -1,    -1,
      -1,   424,  3773,  3774,    -1,    -1,    -1,  3778,  5287,    -1,
      -1,   434,    -1,    -1,    -1,    -1,   439,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,
      -1,    -1,    -1,    -1,    -1,    -1,  3807,    -1,    -1,    -1,
      -1,    -1,   465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5541,    -1,    -1,    -1,    -1,
    5546,  5547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3428,    -1,    -1,    -1,    -1,  3433,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3513,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5660,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4002,    -1,  5709,    -1,    -1,    -1,  4008,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5541,    -1,    -1,    -1,    -1,  5546,  5547,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4052,  4053,    -1,    -1,  4056,  4057,  4058,  4059,    -1,
      -1,  4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,
    4071,  4072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4095,    -1,    -1,  4098,    -1,  4100,
      -1,    -1,  4103,  4104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4125,  4126,  4127,  4128,    -1,  4130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3769,    -1,    -1,    -1,    -1,  4197,  3775,    -1,    -1,
    5709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3854,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4003,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4012,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4026,    -1,
      -1,    -1,  4030,  4031,    -1,    -1,    -1,    -1,  4036,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4467,    -1,  4046,    -1,
    4048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4075,  4076,  4077,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4510,
      -1,    -1,    -1,    -1,    -1,    -1,  4094,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4102,    -1,    -1,  4105,    -1,  4107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4131,  4132,    -1,    -1,    -1,    -1,    -1,
    4138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4632,    -1,    -1,    -1,  4636,    -1,  4215,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4232,    -1,    -1,  4658,  4659,    -1,
      -1,    -1,    -1,  4664,  4665,  4666,  4667,    -1,    -1,    -1,
    4671,  4672,  4673,  4674,  4675,  4676,  4677,  4678,  4679,  4680,
    4681,  4682,  4683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4707,    -1,    -1,  4710,
      -1,  4712,    -1,    -1,    -1,  4716,    -1,    -1,  4719,  4720,
      -1,    -1,  4723,  4724,    -1,    -1,    -1,    -1,  4729,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4795,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4550,  4551,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4561,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4631,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4647,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5079,  5080,
      -1,    -1,    -1,    -1,  4662,    -1,  5087,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4701,  4702,    -1,    -1,    -1,    -1,  5130,
    4708,  4709,    -1,    -1,    -1,  4713,    -1,    -1,    -1,    -1,
    4718,    -1,    -1,  4721,  4722,    -1,    -1,    -1,  5149,  5150,
    4728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5168,    -1,  5170,
      -1,    -1,    -1,  5174,  5175,  5176,  5177,    -1,    -1,  5180,
    5181,    -1,    -1,    -1,    -1,  5186,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4771,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5202,    -1,    -1,  4782,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4790,    -1,    -1,    -1,    -1,    -1,    -1,  5220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4810,  5234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5309,    -1,
    5311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4914,    -1,    -1,    -1,
      -1,    -1,    -1,  4921,    -1,  5346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5439,    -1,
    5441,  5442,  5443,  5444,  5445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5458,  5459,  5460,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5472,    -1,    -1,  5475,    -1,    -1,    -1,  5479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5147,
      -1,    -1,    -1,    -1,    -1,  5153,  5154,  5155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5178,  5179,    -1,    -1,  5182,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5684,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5703,    -1,  5705,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5757,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5858,    -1,    -1,
      -1,    -1,    -1,    -1,  5865,    -1,    -1,    -1,  5446,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5909,    -1,
      -1,    -1,  5490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5551,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6008,  6009,    -1,
      -1,    -1,    -1,    -1,    -1,  5593,    -1,    -1,    -1,    -1,
      -1,  6022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6064,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6089,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6100,
    6101,    -1,    -1,    -1,    -1,  5683,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5692,  5693,  5694,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6157,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5746,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5862,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5885,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5895,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5965,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6091,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,     5,     6,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,  6214,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,   507,   508,    -1,    -1,    -1,
      -1,    -1,    -1,   515,   516,     3,    -1,     5,     6,    -1,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,   464,   465,   466,   467,
      -1,    -1,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,   516,     3,
      -1,     5,     6,    -1,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   515,   516,     3,    -1,     5,     6,    -1,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   515,   516,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
     516,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,    -1,   286,    -1,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,    -1,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,    -1,    -1,   418,
      -1,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,    -1,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,   156,   157,   158,    -1,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,    -1,
     242,   243,   244,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,    -1,   281,
      -1,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,    -1,   325,    -1,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,    -1,   414,   415,    -1,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,    -1,   434,    -1,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,
     492,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,   516,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,   156,   157,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,    -1,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,    -1,   281,    -1,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,    -1,
     325,    -1,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,    -1,   434,
      -1,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,    -1,     3,    -1,     5,     6,    -1,
       8,     9,    10,    11,    12,   490,   491,   492,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,   516,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,   464,   465,   466,   467,
      -1,    -1,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,
      -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,    -1,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,   464,   465,   466,   467,    -1,    -1,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,    -1,   496,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,
      -1,     3,    -1,     5,     6,   515,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,     3,
      -1,     5,     6,   515,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    36,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,
       6,   515,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      36,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,   171,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,    -1,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,   464,   465,   466,   467,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,
      -1,    -1,    -1,    -1,    -1,   513,   514,   515,     3,    -1,
       5,     6,    -1,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   507,   508,    -1,    -1,     3,    -1,     5,     6,
     515,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,
     507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,
      -1,    -1,     3,    -1,     5,     6,   515,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,
       3,    -1,     5,     6,   515,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,
       5,     6,   515,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,
     515,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,
     507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,
      -1,    -1,     3,    -1,     5,     6,   515,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,
       3,    -1,     5,     6,   515,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,
       5,     6,   515,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,
     515,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,
     507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,
      -1,    -1,     3,    -1,     5,     6,   515,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,
       3,    -1,     5,     6,   515,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,   507,    -1,    -1,    -1,     3,    -1,
       5,     6,   515,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   507,    -1,    -1,    -1,     3,    -1,     5,     6,
     515,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,
     507,    -1,    -1,    -1,     3,    -1,     5,     6,   515,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,     3,
      -1,     5,     6,    -1,     8,     9,   515,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   506,   507,     3,    -1,     5,     6,    -1,     8,
       9,   515,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,     5,     6,    -1,     8,     9,    -1,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,   515,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,
      -1,     8,     9,    -1,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,   515,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,   298,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,    -1,    -1,   496,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,   298,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     515,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   515,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   515,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
       5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,   506,   507,   508,    -1,    -1,    -1,    -1,    -1,    -1,
     515,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,    -1,    -1,   496,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   515,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   515,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,    -1,   286,
      -1,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
      -1,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,    -1,   464,   465,   466,
     467,    -1,    -1,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,    -1,   496,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,    -1,   286,    -1,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,   298,   299,   300,
     301,    -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,    -1,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     515,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,    -1,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,    -1,    -1,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,    -1,   243,    -1,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,    -1,   286,    -1,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,    -1,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,    -1,    -1,   418,
      -1,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,    -1,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   515,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   515,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,    -1,   286,
      -1,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
      -1,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,    -1,
      -1,   418,    -1,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,    -1,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,    -1,
      -1,    -1,    10,    11,    -1,    -1,    -1,    -1,   515,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    -1,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,    -1,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,
     508,   509,   510,   511,     3,    -1,     5,     6,    -1,    -1,
      -1,    10,    11,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    -1,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,    -1,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,   232,   233,   234,   235,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,   505,   506,   507,   508,
     509,   510,   511,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    -1,
      -1,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,    -1,   184,   185,   186,    -1,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,    -1,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,   464,   465,   466,   467,   468,    -1,
     470,    -1,    -1,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
      -1,   491,   492,    -1,   494,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,   504,   505,   506,   507,   508,   509,
     510,   511,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,    -1,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,    -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,    -1,   286,    -1,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,    -1,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    -1,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,   171,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,    -1,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,    -1,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,    -1,    -1,   240,   241,
      -1,   243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,    -1,   286,    -1,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,    -1,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,    -1,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,   448,   449,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,    -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
      -1,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,    -1,
     243,    -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,    -1,   286,    -1,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,    -1,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,    -1,    -1,   418,    -1,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
      -1,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    -1,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,   147,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,   171,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,    -1,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,    -1,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,    -1,   243,
      -1,    -1,   246,   247,   248,    -1,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,    -1,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,    -1,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,    -1,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,    -1,    -1,   418,    -1,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,    -1,
     464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
     504,   505,   506,   507,   508,   509,   510,   511,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,    -1,
     286,    -1,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,    -1,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
      -1,    -1,   418,    -1,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,    -1,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,    -1,    -1,    -1,   176,
     177,   178,   179,    -1,   181,   182,    -1,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,    -1,   286,
      -1,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
      -1,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,    -1,
      -1,   418,    -1,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,    -1,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,   506,
     507,   508,   509,   510,   511,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,   156,   157,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,    -1,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,    -1,   281,    -1,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,    -1,
     325,    -1,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,    -1,   434,
      -1,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,   508,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
     156,   157,   158,    -1,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,    -1,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,    -1,   281,    -1,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
      -1,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,    -1,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,    -1,   434,    -1,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   490,   491,   492,     3,    -1,     5,
       6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,   508,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     3,    -1,     5,
       6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     3,    -1,     5,
       6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     3,    -1,     5,
       6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,    -1,   174,    -1,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,    -1,
     286,    -1,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,    -1,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
      -1,    -1,   418,    -1,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,    -1,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,
     106,    -1,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,   171,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,    -1,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
      -1,    -1,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,   448,   449,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     3,    -1,
       5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
       5,     6,    -1,     8,     9,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
     105,   106,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
     105,   106,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
     105,   106,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
     105,   106,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
     105,   106,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
     105,   106,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
     105,   106,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
     105,   106,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
     105,   106,    -1,    -1,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,   298,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,   298,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,   298,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,   298,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,   298,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,    -1,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,    -1,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,    -1,    -1,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,   241,    -1,   243,    -1,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,    -1,   283,   284,
      -1,   286,    -1,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,    -1,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,    -1,    -1,   418,    -1,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,    -1,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,   156,   157,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,    -1,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,    -1,   281,    -1,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,    -1,
     325,    -1,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,    -1,   434,
      -1,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,   156,   157,   158,
      -1,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,    -1,   242,   243,   244,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,    -1,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,    -1,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,    -1,   325,    -1,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,    -1,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,    -1,   434,    -1,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   490,   491,   492,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,    -1,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,    -1,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,    -1,   325,    -1,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
      -1,   434,    -1,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,   156,
     157,   158,    -1,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,    -1,
      -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,    -1,   242,   243,   244,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,    -1,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,    -1,   325,    -1,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,    -1,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,    -1,   434,    -1,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   490,   491,   492,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,   156,   157,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,    -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,
      -1,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
      -1,   242,   243,   244,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,    -1,
     281,    -1,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,    -1,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,    -1,   325,    -1,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,    -1,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,    -1,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,    -1,   434,    -1,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,   156,   157,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,    -1,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,    -1,   281,    -1,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,    -1,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,    -1,
     325,    -1,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,    -1,    -1,   431,   432,    -1,   434,
      -1,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,    -1,    -1,    -1,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,   156,   157,   158,
      -1,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,   171,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,    -1,    -1,    -1,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,    -1,   242,   243,   244,    -1,   246,   247,   248,
      -1,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,    -1,   281,    -1,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,    -1,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,    -1,   325,    -1,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,    -1,   414,   415,    -1,    -1,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
      -1,    -1,   431,   432,    -1,   434,    -1,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,   448,
     449,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,   465,   466,   467,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   490,   491,   492,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,   156,   157,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,   171,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,    -1,   242,
     243,   244,    -1,   246,   247,   248,    -1,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,    -1,   281,    -1,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,    -1,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,    -1,   325,    -1,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,    -1,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
      -1,   414,   415,    -1,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,    -1,    -1,   431,   432,
      -1,   434,    -1,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,   448,   449,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,   465,   466,   467,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,    -1,    -1,    -1,   106,
      -1,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,   156,
     157,   158,    -1,    -1,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,   171,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,   224,   225,    -1,
      -1,    -1,    -1,    -1,    -1,   232,   233,   234,   235,   236,
     237,    -1,    -1,   240,    -1,   242,   243,   244,    -1,   246,
     247,   248,    -1,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,    -1,   281,    -1,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,    -1,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,    -1,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,    -1,   325,    -1,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,    -1,   414,   415,    -1,
      -1,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,    -1,    -1,   431,   432,    -1,   434,    -1,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,   448,   449,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,   465,   466,
     467,    -1,    -1,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   490,   491,   492,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,   102,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,   156,   157,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
     171,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,    -1,    -1,    -1,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,    -1,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,
      -1,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
      -1,   242,   243,   244,    -1,   246,   247,   248,    -1,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,    -1,
     281,    -1,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,    -1,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,    -1,   325,    -1,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,    -1,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,    -1,   414,   415,    -1,    -1,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,    -1,    -1,
     431,   432,    -1,   434,    -1,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,   448,   449,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,   465,   466,   467,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    -1,    54,
      -1,    -1,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    -1,    -1,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,    -1,    -1,
      -1,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,    -1,    -1,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,   156,   157,   158,    -1,    -1,   161,    -1,   163,   164,
     165,    -1,   167,    -1,   169,    -1,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,    -1,   208,   209,    -1,   211,   212,   213,   214,
      -1,    -1,    -1,    -1,    -1,   220,   221,   222,   223,   224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,   233,   234,
     235,   236,   237,    -1,    -1,   240,    -1,   242,   243,   244,
      -1,   246,   247,   248,    -1,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,    -1,   281,    -1,   283,   284,
     285,   286,    -1,    -1,   289,    -1,   291,   292,   293,    -1,
     295,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,    -1,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,    -1,
     325,    -1,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,    -1,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,    -1,   414,
     415,    -1,    -1,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,    -1,    -1,    -1,    -1,   431,   432,    -1,   434,
      -1,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,   448,   449,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,    -1,    -1,   462,   463,   464,
     465,   466,   467,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   490,   491,   492
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    20,    31,    33,    34,    51,    61,    73,    75,    76,
      82,    84,    96,    98,   115,   118,   133,   135,   139,   145,
     153,   155,   162,   180,   197,   246,   247,   252,   266,   284,
     328,   342,   348,   349,   351,   356,   362,   365,   372,   379,
     380,   387,   391,   401,   417,   437,   448,   454,   459,   472,
     496,   498,   499,   500,   501,   502,   515,   522,   523,   524,
     525,   530,   531,   537,   538,   540,   541,   542,   543,   545,
     548,   560,   565,   566,   569,   570,   571,   589,   592,   593,
     608,   657,   660,   661,   664,   667,   668,   669,   677,   684,
     686,   687,   690,   693,   694,   698,   707,   711,   712,   713,
     716,   718,   719,   720,   721,   729,   731,   751,   755,   757,
     758,   768,   770,   777,   778,   781,   782,   783,   784,   785,
     794,   796,   798,   801,   805,   806,   816,   817,   822,   827,
     838,   870,   873,   874,   875,   880,   883,   885,   887,   889,
     890,   894,   895,   898,   900,   901,   905,   906,   907,   910,
     911,   912,   913,   914,   921,   923,   924,   925,   926,   932,
     934,   935,   941,   942,   943,   946,   947,   948,   949,   951,
     952,   954,   955,   957,   958,   960,   972,   974,   977,   979,
     980,   989,   991,   996,  1001,  1009,  1013,  1014,  1015,  1016,
    1017,  1018,  1024,  1060,   431,   475,   927,    28,    79,    95,
     113,   119,   137,   148,   157,   170,   176,   183,   203,   236,
     258,   299,   323,   333,   334,   337,   364,   367,   371,   374,
     381,   384,   403,   410,   415,   417,   420,   424,   434,   439,
     452,   465,   683,   927,     3,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    30,    31,    32,    40,    41,    42,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    58,    59,    60,    61,    62,    63,    64,
      67,    68,    69,    70,    71,    73,    74,    75,    76,    77,
      79,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    92,    93,    94,    95,    96,    97,    99,   100,   101,
     102,   106,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   120,   122,   123,   124,   125,   126,   127,   128,   130,
     131,   132,   133,   136,   137,   138,   139,   140,   142,   143,
     144,   146,   147,   148,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   161,   163,   164,   165,   166,   167,
     169,   171,   172,   173,   175,   176,   177,   178,   179,   181,
     182,   184,   185,   186,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   199,   200,   201,   202,   203,   204,
     205,   206,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   218,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     240,   241,   242,   243,   244,   246,   247,   248,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   283,
     284,   285,   286,   288,   289,   290,   291,   292,   293,   295,
     296,   299,   300,   301,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   322,   323,   324,   325,   326,   327,   328,   329,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   381,   382,   383,   384,
     385,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   414,   415,   418,   419,
     420,   421,   422,   423,   424,   426,   427,   428,   431,   432,
     433,   434,   435,   437,   438,   439,   440,   441,   442,   443,
     444,   447,   448,   449,   450,   451,   454,   455,   456,   457,
     458,   459,   460,   462,   463,   464,   465,   466,   467,   470,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
    1122,  1206,  1218,  1219,  1223,  1224,  1225,     3,    29,  1010,
    1203,  1218,  1223,   463,   515,   965,   297,   329,   927,    54,
     515,   600,    23,    41,    66,    79,   113,   119,   137,   148,
     157,   170,   179,   183,   248,   299,   302,   323,   337,   364,
     374,   384,   403,   410,   420,   421,   423,   424,   439,   446,
     449,   452,   609,   666,   773,   828,   839,    29,   328,  1203,
    1010,    29,   322,   382,   421,   423,     6,   235,   881,   882,
    1209,    23,    28,    66,    79,    95,   113,   137,   148,   157,
     170,   176,   183,   203,   258,   299,   312,   323,   334,   337,
     364,   367,   371,   374,   381,   384,   403,   410,   417,   420,
     424,   432,   434,   439,   452,   465,   683,   786,   788,   789,
     927,  1203,    98,   463,   515,   661,   664,   667,   960,   973,
     977,   980,   989,   996,  1001,  1009,  1013,    11,    22,    29,
      49,   165,   172,   174,   198,   237,   273,   331,   350,   506,
     507,   802,   803,  1010,  1208,  1210,    29,    31,    98,   346,
     380,   807,   808,   809,  1218,   170,  1218,  1205,  1209,   417,
    1027,   802,  1218,   431,  1203,   312,   258,   515,   893,   372,
    1218,    29,   385,   427,   431,   552,   561,   562,  1218,   180,
     807,   808,  1218,   329,   927,  1218,   234,    29,   134,  1029,
    1030,    67,    92,   248,   268,   364,   374,   385,   427,   431,
     478,   549,   550,   551,   552,    29,   385,   427,   431,   552,
     431,   298,  1072,  1073,  1201,  1218,  1027,   508,  1218,   175,
     515,   966,   515,   344,  1019,  1020,  1203,  1019,     3,    53,
      55,    56,    69,    70,   116,   117,   138,   166,   215,   216,
     218,   225,   269,   271,   290,   341,   389,   395,   427,   428,
     460,  1095,  1097,  1099,  1101,  1103,  1105,  1106,  1107,  1109,
    1110,  1111,  1113,  1114,  1118,  1219,  1223,  1029,  1030,  1031,
    1214,    12,  1215,  1216,  1218,  1215,  1215,  1014,  1015,  1018,
       0,   518,   515,   965,   149,   217,   303,   445,  1032,  1033,
    1014,  1016,  1017,   124,   213,   260,   451,   519,    35,   931,
     855,  1206,   791,  1218,   791,  1203,   332,   791,   434,  1203,
     112,   417,   843,  1206,  1218,  1225,     3,   105,   109,   386,
    1211,  1212,  1220,  1223,  1224,  1225,    29,   192,  1201,   291,
     465,    10,    17,    18,    19,    74,   161,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   877,   879,  1153,  1154,
    1218,   192,  1203,   843,  1203,    29,  1211,  1212,   843,  1203,
    1203,   192,  1201,  1203,   192,   791,  1203,   356,   387,    29,
     192,  1072,  1203,   377,  1203,   791,    29,   255,  1211,  1212,
     192,  1201,   235,   121,   223,   282,   340,   928,   929,   930,
     515,   513,   517,  1179,  1181,   493,   959,   960,   961,   962,
    1220,  1201,  1203,  1218,    28,    66,    80,    91,   113,   137,
     176,   203,   236,   299,   334,   364,   367,   410,   420,   432,
     439,   786,   787,   788,   789,  1209,   931,   976,   980,   989,
     996,  1001,  1013,  1201,   261,   791,   515,   192,   791,  1203,
     791,   434,   192,  1203,   112,   417,   421,   423,  1211,  1212,
     421,   423,    74,   161,   877,   354,  1203,  1203,  1211,   192,
     526,  1218,   192,  1203,   192,   527,   791,  1203,  1203,   377,
     791,   255,  1211,   344,   381,   417,   465,   258,    95,   203,
      28,    91,   176,   334,   371,   432,   434,   438,   678,    29,
    1203,  1011,   559,  1209,  1220,   882,   261,   192,   855,   856,
     192,   886,   192,  1203,   192,   793,  1095,   434,   112,   417,
     192,   842,   843,   192,  1212,  1213,    87,   465,    74,   161,
     192,   878,   879,    59,   192,   842,   192,  1213,   192,   842,
     192,  1203,   192,  1203,   377,   886,   192,   793,   192,   255,
    1213,   235,   192,   790,   791,   192,  1202,  1203,   192,  1203,
     931,   515,   978,   609,   973,   459,   959,   965,  1210,   803,
     804,    29,   804,  1210,   804,    29,   804,  1210,   804,   804,
     804,  1210,  1208,  1208,  1010,   804,   332,   515,   415,   515,
     634,   634,   634,   297,   429,   519,   634,   374,  1072,  1074,
     519,   922,  1209,   515,   975,    59,   465,   959,   113,   203,
     374,   415,   417,   891,   892,  1218,    48,   492,   223,   517,
     300,   297,   174,   300,  1209,   429,   931,   168,   799,   297,
       5,     8,     9,    10,    12,    37,    53,    55,    56,    65,
      66,    69,    70,    77,    79,   103,   104,   105,   106,   107,
     108,   109,   116,   117,   119,   154,   159,   160,   166,   182,
     184,   215,   216,   218,   225,   226,   227,   228,   229,   230,
     231,   241,   249,   250,   269,   271,   280,   282,   287,   288,
     290,   299,   310,   324,   341,   369,   386,   395,   411,   416,
     427,   428,   433,   435,   436,   446,   452,   460,   480,   481,
     482,   483,   485,   486,   487,   488,   494,   506,   507,   508,
     515,  1014,  1098,  1101,  1104,  1105,  1106,  1108,  1109,  1110,
    1113,  1114,  1118,  1119,  1121,  1122,  1123,  1125,  1149,  1150,
    1151,  1155,  1173,  1178,  1195,  1198,  1199,  1206,  1207,  1208,
    1209,  1218,  1197,  1198,  1209,    29,   567,  1200,  1201,   385,
     549,   119,   558,  1209,   559,  1209,    48,    71,   549,   492,
     396,   929,   300,   174,   429,   505,    48,   492,   223,   930,
     515,  1201,   508,  1181,  1074,   959,   173,   967,  1119,  1158,
    1019,   519,   515,   968,   462,  1112,  1112,  1112,   515,  1100,
    1100,   326,   515,  1102,    69,    70,  1112,  1100,  1097,   496,
     497,   515,  1115,   515,  1115,    37,  1096,   515,   114,   190,
     262,   265,   378,   490,   515,  1116,  1117,   517,   792,  1100,
    1197,  1182,   516,   516,   524,   959,   969,   970,   971,  1201,
      29,   134,  1028,  1028,    59,  1028,   162,   168,   245,   294,
    1036,  1038,  1039,  1054,  1056,  1057,  1058,  1032,  1033,   174,
     219,   219,  1072,  1075,   515,    68,   278,   313,   352,   387,
     515,   853,   313,   348,   352,   387,   792,   313,   352,   387,
       3,    90,   143,   251,   313,   348,   352,   387,   420,   422,
     472,   560,   563,   936,   937,   938,   939,   823,    25,   139,
     313,   352,   387,   456,   576,  1203,    25,   139,   387,   451,
     544,   476,   192,  1072,    62,    97,   158,   195,   240,   278,
     282,   313,   314,   352,   361,   370,   379,   387,   399,   408,
     412,   467,   560,   564,   859,   871,   899,   515,   840,  1181,
     352,   544,   198,   154,    25,    31,    46,    76,   132,   139,
     142,   169,   205,   278,   282,   292,   301,   313,   352,   355,
     356,   387,   456,   572,   574,   575,   701,   899,     5,   506,
     507,   675,  1210,    29,   192,  1201,   791,   791,   515,   876,
     313,   387,   517,   154,   297,   313,   352,   387,   871,   899,
      25,   139,   313,   352,   387,   198,   539,   352,   472,   496,
     532,   539,   313,   352,   387,   871,   899,   297,   313,   352,
     154,    38,    60,   111,   201,   259,   263,   278,   312,   352,
     357,   381,   387,   401,   572,   672,   673,   313,   352,   464,
     701,   709,   154,   313,   352,   387,    25,    90,   132,   139,
     142,   313,   348,   352,   387,   394,   562,   550,   552,   198,
     154,    46,   130,   278,   352,   387,   572,   573,   313,   352,
     356,   387,    88,   131,   316,   422,   297,    25,    31,   139,
     313,   352,   387,   590,   591,   539,   168,   352,   532,   539,
     154,   352,   387,   572,  1203,   243,   121,   298,   477,   519,
     928,    29,   134,   461,   508,   516,   848,  1119,  1159,  1160,
    1219,  1119,  1180,     3,    29,    33,    34,    35,    36,    37,
      38,    39,    43,    57,    65,    66,    72,    78,    80,    91,
      98,   103,   104,   105,   107,   108,   109,   119,   121,   129,
     134,   135,   141,   145,   149,   160,   162,   168,   170,   174,
     180,   183,   187,   198,   207,   217,   219,   238,   239,   245,
     249,   250,   282,   287,   294,   297,   298,   302,   303,   321,
     330,   346,   360,   380,   386,   397,   413,   416,   417,   425,
     429,   430,   436,   445,   446,   452,   453,   461,   468,   469,
     471,   472,   508,  1204,  1221,  1223,  1224,  1225,  1226,  1179,
     516,   519,   160,   297,   436,   556,   559,   675,   963,   453,
     956,   297,   855,   515,   791,  1203,  1095,   843,   291,    74,
     161,   879,   843,   843,   168,  1095,   791,  1203,  1203,   516,
     634,  1203,    72,  1095,   282,   174,   515,   759,   532,    38,
     950,  1203,   282,   532,   476,   192,  1201,   532,   791,   791,
     759,   449,   609,   297,   168,   472,   867,   532,   282,    48,
     546,   282,   439,   708,   282,   968,    90,   313,   685,    88,
     131,   316,   422,    38,   759,   168,   192,   532,   465,   192,
    1201,   192,   662,  1201,  1201,   465,   791,    87,   528,  1206,
     434,  1206,  1206,  1203,   168,  1203,   683,    40,    54,   110,
     212,   278,   376,   154,    63,   358,   519,   529,   154,   515,
     154,   532,   154,   519,   529,   476,   154,   519,   529,   154,
     519,   192,   790,   192,   791,   192,   791,   154,   519,   529,
    1213,   154,   529,   154,   154,   529,   154,   529,   154,    88,
     131,   316,   422,   168,   154,   529,   154,   168,   192,   154,
     519,   529,   154,   519,   529,   154,   297,  1158,   417,   516,
     973,   804,  1010,   804,  1010,   804,  1010,   804,  1010,   804,
    1010,  1010,  1010,   804,  1010,   515,   635,   636,  1218,   635,
      29,   113,   137,   170,   176,   235,   236,   315,   334,   367,
     374,   381,   417,   420,   439,   812,  1200,  1213,   809,  1203,
     198,   519,   992,  1209,  1095,  1162,    38,  1213,   528,   516,
     528,   528,   528,   243,  1218,   168,   812,  1213,   168,   372,
    1218,   559,   297,   515,  1182,   513,  1014,  1163,  1119,  1177,
     515,   515,   168,   515,   515,  1014,   515,   515,   515,   515,
     515,   515,   515,   515,   515,   515,   515,   515,   515,   515,
    1119,   515,   515,   515,   515,   515,   515,   515,   515,   289,
     625,   515,   515,   515,   515,   515,   515,   515,   515,  1119,
    1119,  1119,  1014,  1119,  1158,  1181,  1209,   515,  1209,     3,
      10,    13,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   164,   165,   166,   167,   169,   170,   171,   172,   173,
     175,   176,   177,   178,   179,   181,   182,   184,   185,   186,
     188,   189,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   218,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     263,   264,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     295,   296,   298,   299,   300,   301,   302,   304,   305,   306,
     307,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   463,   464,
     465,   466,   467,   468,   470,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     491,   492,   494,   503,   504,   505,   506,   507,   508,   509,
     510,   511,  1153,  1155,  1157,  1222,  1227,   473,  1136,   309,
    1119,   163,  1137,   219,   519,  1025,   515,  1209,  1181,  1025,
     122,   194,   568,   519,    71,   119,   559,    38,     3,   119,
     248,   557,   675,  1114,  1209,  1209,    93,   136,  1131,   102,
     119,   553,   554,   556,   675,   119,   553,   243,  1201,    94,
     357,   795,   516,   965,    35,    45,    52,    78,   193,   198,
     221,   244,   299,   302,   392,   516,   519,  1020,  1202,    38,
     515,  1158,  1208,  1112,  1112,    37,  1096,   427,   427,  1208,
    1208,   513,   513,  1208,   429,   429,   429,   515,   429,  1208,
    1204,   517,  1100,   174,  1061,    15,   505,  1179,  1217,   516,
     519,   968,  1016,  1016,  1034,  1035,  1119,  1016,   165,   273,
    1045,   232,   278,   340,   390,   451,    29,  1040,  1119,   506,
     507,  1041,  1042,  1119,  1121,  1054,  1055,  1039,  1038,  1036,
    1037,   168,  1057,   292,  1059,  1036,  1054,  1075,   981,  1201,
    1075,    38,  1218,   387,  1158,    68,   429,   429,   374,   198,
     210,   303,   306,   389,   461,   508,   846,   847,   848,   850,
     852,   854,  1095,  1219,   429,   464,   429,   374,   429,   429,
     374,   245,   429,    79,   429,   420,   549,   313,   936,   938,
     505,   940,   168,   180,   198,   362,   824,   825,    72,    91,
     150,   170,   282,   330,   446,   631,   632,    91,   119,   282,
     429,    91,   429,   119,   282,   374,    91,   132,   142,   313,
     352,   756,   374,   691,    28,    66,   137,   176,   299,   334,
     367,   432,   439,   786,   787,  1203,   154,   352,   387,   572,
     297,   675,   379,   240,   429,  1218,   429,   287,   675,   123,
     220,   374,   385,   431,   551,   791,   358,   387,   859,   872,
     127,   516,   841,   846,   429,   452,   420,  1201,    80,   150,
     192,   616,   631,  1218,    80,    91,   896,   318,   297,   369,
     371,   434,    91,   896,    32,   355,   369,   371,   434,   369,
    1201,   169,   205,   292,   791,   515,   429,   429,   191,   515,
     580,    23,   254,   420,   449,   474,   580,    91,   519,   127,
       5,     5,   313,   198,   154,   352,   387,   572,   899,   453,
     453,   279,  1095,   429,   374,   515,   877,  1203,  1201,   429,
     429,   374,   872,   127,   106,   417,   418,   908,   909,  1073,
    1201,  1218,   909,   429,   429,   759,   909,   113,   387,   563,
     429,   534,   563,   429,   429,   374,   872,   127,  1201,   429,
     429,  1201,  1097,   675,    59,   674,   675,   675,   111,   259,
     263,    59,   429,   532,   267,   374,   532,   278,   673,   429,
     429,   287,  1209,   701,   791,   429,   429,   374,   403,   337,
    1209,   337,   429,   337,   429,   337,   759,   759,   420,  1072,
     318,   318,    91,   429,   896,   374,   429,   429,   580,   580,
     791,   791,   791,   791,  1201,    47,   458,    47,    47,   458,
     429,    47,   429,   458,   374,   515,   519,   563,   452,   717,
    1212,   429,   534,   563,  1201,   429,   896,   374,   313,   352,
     340,   353,   383,   555,   928,  1159,  1159,  1160,   516,    15,
      16,   519,  1032,  1033,   514,   520,  1201,   961,  1203,  1201,
     221,  1095,   221,   297,   221,   221,   675,   791,   791,   221,
     221,   221,  1095,   221,   221,   221,   297,   429,   174,   429,
     594,   439,   515,    38,   154,   791,   760,   761,  1221,   936,
    1095,   297,   154,   688,  1203,   282,   318,   515,   533,   773,
     453,   344,   465,  1201,    29,   909,   759,   533,   154,  1212,
      98,   180,   547,   608,   668,   731,   805,   827,   932,   154,
    1209,   709,   710,   154,   297,  1209,  1212,   251,   791,   791,
     791,   791,   146,   339,   515,   717,   282,   533,  1201,   282,
     670,   672,   282,    38,   292,   318,   515,   634,   634,   192,
     665,  1201,   168,   192,   526,  1218,   515,   763,   853,  1203,
     515,   844,   844,    38,  1095,    27,    50,   214,   732,   235,
     472,   474,  1012,   376,   856,   855,  1095,  1203,   515,   793,
    1095,   842,   843,  1213,  1212,   154,   529,   154,   453,   154,
     453,   878,   879,   529,   842,  1213,   842,  1203,  1203,  1095,
     793,  1213,   717,   154,   790,   791,  1202,  1203,  1203,   791,
     516,   192,  1201,   973,  1010,  1010,  1010,  1010,  1010,  1010,
     635,   516,   519,   516,   177,   335,   368,   382,   418,  1202,
     790,   112,   384,   842,  1202,   291,   810,   811,  1218,   842,
     842,  1202,  1200,  1200,  1202,   790,   429,   181,   472,   821,
     149,   245,   714,   715,    23,   152,   369,   390,   993,  1072,
     286,   994,   516,   519,   976,   429,  1201,  1203,  1201,   526,
     807,   808,   174,   821,   808,  1218,    28,    80,   137,   176,
     236,   334,   367,   439,   786,   787,  1158,   514,  1158,  1163,
    1164,   468,  1174,  1175,  1119,  1158,   515,  1208,  1208,     3,
     114,   190,   262,   265,   378,   490,  1165,  1166,  1209,  1158,
    1158,  1119,  1184,   360,  1014,  1015,  1184,  1187,  1194,  1184,
    1119,  1121,  1159,  1187,  1190,  1191,  1119,  1191,  1119,  1184,
    1158,  1208,  1208,  1119,  1119,   877,  1119,  1159,  1161,  1168,
     369,   506,   507,   515,  1120,  1121,  1155,  1169,   516,  1158,
    1119,  1161,  1170,  1119,    57,   174,   239,   430,  1119,  1158,
    1171,   134,   282,  1014,  1158,   267,  1121,  1119,  1129,  1130,
    1131,   267,  1119,  1131,   516,   519,  1208,  1116,  1095,  1119,
    1119,  1119,  1119,  1221,   248,   427,    43,   413,  1183,   791,
    1119,   515,  1014,  1172,   134,   136,   160,   225,   274,   275,
     276,   277,   281,   282,   287,   436,   447,  1167,  1188,  1119,
     515,  1119,   429,    52,   193,   198,   244,   392,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,    29,    36,
     397,  1152,   183,  1137,   369,   515,  1149,   515,   308,  1141,
     179,   248,   417,   421,   423,   449,  1026,  1201,  1199,  1061,
    1159,  1061,  1201,   431,   515,  1209,   519,   516,   191,   191,
     529,   971,   960,   964,  1119,   516,   258,   282,  1021,  1158,
     516,   516,   513,   492,   492,   516,   516,  1208,   514,  1208,
     516,   190,   262,  1117,   262,  1117,  1117,  1208,   265,   516,
    1204,   225,   238,   370,   489,   515,  1014,  1062,  1063,  1064,
    1072,  1078,  1088,  1122,  1124,  1125,  1195,  1218,   469,  1083,
    1214,   971,   969,   519,    39,   129,   453,   836,   369,   370,
     506,   507,  1042,  1044,  1121,   390,   232,   298,   519,     5,
    1043,  1208,  1043,   369,   370,  1044,  1200,   286,   394,   995,
    1055,  1037,   453,   990,   119,   311,   515,   982,  1013,    38,
     453,  1218,   515,   997,   998,   999,  1218,   516,  1212,  1203,
    1203,   306,    59,  1219,   516,   848,   850,   847,   850,  1219,
     303,   516,   519,   792,  1212,  1203,  1203,  1212,  1203,  1203,
    1212,   464,  1203,  1203,   119,   556,   675,   364,   452,   807,
     374,   180,   807,   515,  1203,   453,   829,   232,   287,   232,
     453,   625,   656,   192,  1203,   287,  1212,  1203,  1203,  1119,
     287,  1203,  1203,    32,   355,   429,   429,  1203,   429,   692,
     855,   515,  1095,   843,    74,   161,   879,   843,   843,   168,
    1095,   791,  1203,   186,   278,   313,   352,   457,   695,   696,
     697,  1072,   429,   896,   374,   287,   123,   220,  1212,  1203,
     297,  1203,   297,   516,   519,  1211,  1213,  1203,   352,   572,
     192,   616,   282,  1095,  1203,  1208,  1218,  1201,  1203,   243,
    1203,    29,   452,  1203,   192,  1203,   192,  1218,   371,   434,
     371,   434,   243,  1203,    29,   452,  1203,   243,   369,  1201,
      25,   139,   387,   702,   703,   704,   705,  1221,  1212,  1203,
     119,   175,   283,   453,   579,   582,   583,  1221,   261,  1203,
      76,   295,  1203,   575,   297,   429,   420,  1201,   429,   896,
     374,   127,  1203,  1203,   519,   516,   519,  1212,  1203,   902,
     903,  1221,   297,   352,   429,   725,  1212,  1203,  1203,   297,
    1072,   198,   519,   634,   634,  1181,  1212,  1203,  1203,  1211,
       3,    90,   144,   205,   320,   444,   452,   455,   535,  1212,
    1203,  1203,   297,   352,  1212,  1203,   352,   387,   572,   672,
     675,   791,  1203,   675,   791,  1203,   675,  1212,  1203,   387,
    1212,  1203,  1203,  1210,  1202,  1202,  1212,   867,  1203,  1202,
    1203,   352,   387,   572,   573,  1201,  1201,  1203,  1203,  1203,
    1203,  1212,  1203,    25,    31,   139,   313,   352,   387,   313,
     352,   387,   759,   352,   387,   352,   387,   352,   899,  1087,
    1218,   192,   769,  1218,   192,  1218,  1209,  1212,  1203,  1203,
    1209,  1203,   902,    25,   139,   591,   384,  1211,   352,   387,
     572,  1203,  1203,  1203,   429,   429,    85,   443,   340,   519,
    1032,  1032,  1032,  1119,  1119,   461,  1160,   516,  1119,  1180,
     956,   287,   797,  1209,    38,   797,   137,   791,   797,   797,
     221,   453,   453,   797,   797,   797,   235,   797,   797,   797,
     791,   336,   595,   595,   203,   417,   730,  1119,  1095,   791,
     516,   519,   505,   622,  1221,  1203,    63,   174,   374,   464,
     689,   696,   697,   154,   292,   244,   610,   612,   614,   616,
     628,   631,    26,   198,   364,   414,   535,   536,   168,  1203,
     465,  1201,    38,   726,   418,   867,   526,  1218,   546,   609,
     839,  1203,   170,   791,   515,   658,   659,  1124,  1218,   337,
    1209,   759,   759,   759,   759,   515,   759,  1085,  1086,  1087,
     384,   154,   515,   154,   154,   153,  1013,   791,   292,   610,
    1218,   453,   651,   472,   581,   282,    38,   634,  1209,   282,
     297,     3,   764,   765,   759,    27,   516,   845,   846,   851,
      38,   235,   361,   432,   471,   857,   858,   859,   860,   857,
     297,   235,   292,   124,   213,   437,   451,   733,   734,  1203,
     189,   189,   168,   529,    38,   532,   169,   944,   945,   529,
     529,   790,   791,  1203,   791,  1203,   529,   529,   529,   529,
     235,   529,   384,   168,   529,   529,   297,   529,   282,   516,
     636,   198,   198,   198,   198,   198,   476,  1202,   675,   676,
     519,   517,   183,   813,   814,  1212,    59,   818,   819,  1221,
     429,   515,   174,   152,   390,   152,   390,   369,   451,   264,
    1095,  1212,   472,   663,   297,   813,   529,   174,   855,   791,
    1095,   843,   291,   843,   843,  1095,   791,  1203,   516,   514,
     514,   519,  1119,   141,  1175,  1176,    38,   516,  1119,   516,
     516,   516,   174,   516,   516,   493,  1185,  1186,   472,   474,
    1189,  1095,  1186,   516,    21,   287,   519,  1193,   303,  1196,
     520,   458,   516,   516,    21,   287,   519,  1192,  1192,   516,
    1187,   516,   516,   516,   516,   519,   519,   516,   321,   516,
     516,   515,  1120,  1120,  1158,    13,    17,    18,    19,   198,
     221,   299,   503,   504,   505,   506,   507,   508,   509,   510,
     511,  1155,  1120,   516,   516,   168,   174,   392,   516,   516,
      38,  1171,  1158,  1171,  1171,   174,   516,   134,   516,  1221,
     319,  1134,    38,   516,   519,  1119,  1221,   519,  1119,  1182,
    1119,   516,   492,  1120,  1120,   147,  1158,   174,    37,   291,
     373,   458,   134,   136,   160,   281,   287,   436,   447,  1167,
    1188,   281,  1189,   147,   877,  1119,   413,  1183,  1119,  1172,
    1119,   429,   515,  1014,   515,  1141,   515,  1158,   469,   515,
    1142,  1218,   421,   423,   421,   423,  1201,  1027,  1027,  1027,
    1083,  1032,  1083,   929,  1208,  1116,   554,   971,   258,   515,
     516,  1208,  1115,  1115,   514,   514,   516,  1014,  1078,  1088,
     174,   515,  1014,  1063,  1064,    38,  1065,  1066,  1218,   519,
      99,   175,   209,   224,   242,   270,   363,  1069,  1066,    38,
    1065,  1068,  1218,  1066,   496,  1082,  1181,  1119,   183,  1046,
    1035,   299,  1153,  1156,   495,   837,     5,  1208,  1044,   298,
     472,   451,  1041,   253,  1062,   469,  1084,   459,   415,   452,
     983,   984,   985,  1218,   297,   986,  1218,  1063,   999,  1000,
     519,  1061,   505,  1182,   854,   792,   850,   850,    59,   852,
     510,  1213,  1213,   297,  1202,   300,   297,  1119,   632,  1203,
     515,   515,  1218,   515,   656,   203,   515,   749,   154,   529,
     429,  1212,  1203,   559,  1095,   791,   791,  1095,   679,  1203,
     186,   457,   429,   429,   679,   695,   701,   352,   387,   572,
    1203,  1203,  1203,   211,   287,   157,   846,   312,   387,   429,
     282,   154,   406,   620,   621,   749,   387,    25,   139,   356,
     357,   387,   576,   584,   585,   701,   897,   379,   154,   529,
     154,   529,  1203,  1203,  1203,  1203,   379,   379,   243,   704,
     705,   704,   516,   519,   706,  1209,   203,   516,   519,   505,
     517,  1203,   157,  1212,  1203,   352,   387,   572,  1203,  1203,
    1203,   297,   313,   352,   387,    25,   139,   313,   352,   387,
    1095,   279,  1095,   516,   519,   505,  1201,   429,  1213,   453,
     722,   157,   634,   374,   908,   469,   641,   641,   634,   245,
     320,   287,  1209,   320,  1213,   450,   157,   429,   429,   374,
     403,   867,   867,   867,   312,   387,    91,   429,   896,   374,
     119,   168,   586,   164,   528,   429,   429,   255,   255,   255,
     429,   429,   374,   429,   429,   374,   429,   374,   429,   374,
     429,   127,   529,  1095,   282,  1209,   387,   897,   154,   529,
     429,   429,   516,  1203,   429,   896,   374,   429,  1212,  1203,
     516,   516,   516,  1160,   514,  1095,   791,   221,   797,  1203,
    1203,  1203,   221,   404,   405,   596,  1209,   596,   186,   516,
     516,   174,   759,   761,   279,   299,   506,   507,   675,   762,
     850,  1156,  1209,  1226,    72,    78,    91,   119,   121,   178,
     207,   282,   287,   330,   346,   446,   623,   624,   627,   153,
     468,   532,   559,  1203,   559,   301,   699,  1201,  1201,  1201,
     516,   519,  1213,   183,   364,  1213,  1208,   439,  1201,   634,
       3,   168,   727,   867,    48,   546,   417,   708,   112,   968,
    1119,   174,   519,  1202,   581,   766,   767,  1209,   516,   519,
    1203,   168,   635,  1201,   662,  1201,  1203,   663,   515,   611,
    1201,   516,  1203,   472,   474,   652,   580,    38,   154,  1013,
     651,   429,   154,  1072,   505,   516,   519,   733,   516,   519,
     119,   505,   861,  1209,   559,   417,   849,   850,   168,   866,
      51,   359,   862,   863,   860,   863,   124,   213,   380,   451,
     919,  1203,   292,   297,   302,   186,  1013,  1095,   515,   516,
     519,   529,   453,   529,   453,   529,  1203,  1203,   717,   791,
     154,   374,   374,   374,   374,   374,  1202,   519,   811,  1218,
    1212,   472,   519,   815,  1212,   519,   821,   160,   300,   436,
     820,  1074,   384,   152,   152,   112,   278,   812,   821,  1213,
     221,   221,   221,   221,   675,   221,   221,   221,   221,   221,
    1163,   425,  1119,   145,  1095,   516,  1119,   225,   446,   446,
     516,  1186,  1187,   297,   297,  1184,  1187,    59,  1193,  1184,
    1184,   297,   297,  1191,  1189,  1189,   516,  1167,  1119,  1119,
     516,  1158,   519,  1095,  1120,  1120,  1120,  1120,   134,   136,
     282,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,
    1120,  1119,  1119,  1119,  1095,   516,   516,   516,  1158,   516,
     519,    59,  1121,  1135,   516,  1221,  1130,   327,   409,  1133,
     516,   519,   464,  1126,    38,   516,  1209,  1119,    35,    35,
    1119,   516,  1119,   174,   281,  1189,  1119,   516,   147,  1120,
    1120,   147,   147,  1119,  1119,  1033,   516,  1158,   519,  1119,
    1143,  1218,  1027,  1027,  1027,  1027,  1201,  1201,  1201,  1046,
     516,  1046,   516,   976,   514,  1066,  1068,  1066,   515,   484,
    1121,   516,  1218,   515,  1063,   224,   307,  1070,  1063,  1070,
     224,  1069,  1070,   224,   419,  1076,   515,  1218,   515,   304,
      59,   187,  1053,   515,   837,   165,   237,   298,   472,   426,
     102,  1119,   360,   988,   458,   516,   519,  1182,    89,   988,
     297,   516,   519,   998,  1084,  1119,   516,   510,   854,   439,
     177,   368,   375,   382,   418,   440,   826,   168,   826,   516,
     515,   639,   640,   832,  1124,  1218,   635,   749,   635,   749,
    1203,   635,   121,   207,   278,   282,   750,  1203,  1203,    38,
     453,   453,   235,   792,  1212,  1203,   429,   896,   374,   429,
     211,  1203,    59,   420,  1203,   154,   616,   119,  1218,    86,
     618,   619,   403,   178,   156,   191,   282,   580,   532,   112,
     178,   282,   403,   580,   618,   620,   673,   387,   585,   439,
    1203,  1218,   379,   703,  1203,   583,   762,  1221,  1203,   312,
     387,   429,   896,   374,   429,   157,   429,   429,   374,   176,
     299,   406,   771,   772,   176,   299,   779,   780,   429,   429,
     374,   516,   516,   516,   903,   279,   675,   850,   904,  1156,
    1209,  1226,   352,  1203,   515,   472,   723,  1203,   641,   106,
    1218,   515,   641,  1210,  1209,  1209,  1209,  1203,  1203,  1203,
    1203,  1210,    59,   420,  1203,  1203,  1203,  1203,   459,  1203,
    1203,   168,   168,   354,   168,   192,  1212,  1203,  1203,  1212,
    1203,  1203,  1203,  1203,  1203,  1203,  1203,   297,    78,   577,
     154,    27,    50,   439,  1218,  1203,  1209,   701,  1203,  1203,
    1203,  1203,  1032,   516,   221,   797,   221,   221,   221,   797,
     532,   453,   601,   602,   679,   749,   472,   474,   791,   515,
     791,  1203,  1120,    32,    59,   626,   122,   194,   121,   287,
     232,  1201,   625,   176,   334,   745,   752,   753,  1218,   688,
     515,   318,   515,   611,   629,   206,   646,   614,  1213,  1213,
    1095,   515,   581,    29,   124,   213,   380,   451,   728,   429,
     724,  1212,   192,  1201,   710,   476,   297,   516,  1062,   659,
     867,   516,   519,  1087,   699,   717,   516,   670,    38,   292,
     318,   515,   978,   613,   615,   617,   631,  1218,   318,   647,
     648,   611,   646,   580,   295,   297,   653,  1013,   665,   663,
     581,  1209,  1203,   829,   762,     3,   765,   297,   851,  1119,
    1119,   519,   515,   857,   439,   519,    44,  1119,   429,   515,
     635,  1201,   734,   679,   516,   944,   945,  1203,  1203,   529,
     384,   529,  1202,  1202,  1202,  1202,  1202,   675,   180,   814,
     821,   819,   516,  1203,   112,   174,   529,   821,   287,   800,
    1209,   800,   800,   800,   221,   800,   800,   800,   800,   800,
    1119,   516,   143,   233,   233,   516,   287,   287,   516,  1034,
    1187,   287,   287,  1187,  1187,   516,   516,   174,   516,  1119,
     174,   134,   136,   174,   168,   147,   516,   479,  1128,  1158,
     345,   458,    59,  1135,  1121,   470,   470,   516,  1119,   278,
    1119,   519,  1127,  1097,  1119,  1119,  1119,  1119,    35,    35,
    1119,  1119,   147,   516,   516,   516,  1119,   516,   318,  1144,
    1201,  1201,  1201,  1201,  1053,  1209,  1053,  1209,   516,  1079,
    1080,  1124,   515,  1134,  1065,   515,  1202,  1063,   297,   453,
    1071,  1063,   224,  1063,  1206,  1086,   515,  1086,  1218,  1028,
    1119,   471,  1138,   877,   426,   292,  1198,  1013,   311,  1013,
     985,   297,   515,   987,  1119,   505,   999,   988,   439,   516,
     429,   807,   174,   749,  1119,   516,   519,   472,    78,   831,
     835,   831,   516,   516,   516,   122,   194,   205,   121,   455,
     529,  1095,  1203,  1203,  1203,  1203,  1203,  1203,  1203,  1213,
    1203,   616,   119,  1218,   699,  1210,   626,   192,   192,   287,
     675,   626,   287,  1210,  1095,   529,   529,   505,    59,   420,
    1203,  1203,  1203,  1203,  1203,  1212,  1203,  1203,  1208,  1208,
    1095,   519,  1208,  1208,   519,  1212,  1203,  1203,   429,  1119,
      72,  1119,  1213,  1203,   429,   429,   174,   198,   472,  1202,
    1202,   791,  1202,   154,   157,   791,  1209,  1209,  1095,   529,
     529,   429,   516,   221,   797,   797,   797,   797,   515,   597,
     598,   532,   126,   176,   210,   176,  1119,   282,   624,   119,
      38,   278,   633,   867,   634,   867,  1206,    35,   153,   198,
     700,   704,   292,   610,   586,   151,   200,   515,   384,   453,
     635,    38,  1213,   722,   546,   282,   515,   170,  1203,   658,
    1209,   384,   581,   153,  1013,   791,   292,   610,   663,   516,
     519,   472,   622,    59,   651,   586,   647,    84,   420,   654,
     472,   933,    38,   654,   174,   297,   515,  1201,  1209,   848,
     868,   869,  1219,   863,  1095,   168,   864,  1201,   174,   429,
     888,   347,   735,   208,   680,   529,   516,   529,   529,  1203,
     300,   219,   813,   529,   800,  1203,   516,   516,   516,  1119,
     516,  1120,   174,  1119,  1119,  1119,   515,   516,   519,   516,
    1135,   516,   458,   400,   516,   202,   278,  1132,  1119,  1119,
    1119,   516,    59,  1032,  1138,  1138,   377,  1022,   516,   519,
      38,  1081,   119,  1093,  1094,  1120,    81,  1202,   516,  1119,
     515,  1063,  1071,   515,   516,  1086,   516,   101,   184,   366,
     515,  1047,  1048,  1049,  1050,  1051,  1052,  1119,  1139,  1140,
    1218,  1032,   516,  1010,   983,    91,   830,   832,   135,   468,
    1002,  1003,  1119,   813,   297,   813,   516,   199,   637,   640,
     299,   877,   791,   527,   791,   346,   637,   637,   516,   429,
     387,   994,   622,    38,   154,   154,   577,   762,  1213,  1203,
     429,   515,   843,   877,   879,   772,   515,   515,   780,  1203,
     516,   515,   516,   387,   994,  1203,  1203,   515,   515,   515,
     472,   496,   953,   354,   953,   953,   168,  1203,   577,  1203,
     797,   603,   604,  1221,    54,   100,   125,   143,   147,   169,
     173,   188,   287,   338,   599,   597,  1209,   843,    38,   884,
     884,   516,   191,   515,   205,   453,   655,   256,   638,   655,
     515,   753,   745,   515,   516,   519,  1201,   516,   384,    29,
      83,    86,    92,   120,   178,   191,   204,   403,   406,   630,
     630,  1200,  1203,  1203,   516,  1013,   723,   154,   112,   699,
     174,  1203,    38,  1203,   663,   611,  1201,   516,   615,   301,
    1218,   652,   647,   651,   124,   139,   327,  1203,    64,    72,
     248,  1013,   791,  1072,   830,   174,   748,   850,   516,   519,
     439,   145,   525,   862,   865,  1083,   398,   398,   516,   272,
     296,   736,   737,   738,   168,   741,   679,   278,   457,   681,
     682,  1203,   821,   168,  1120,  1129,  1158,   278,   491,   202,
     516,  1158,   185,   339,   370,  1145,    58,   128,   111,  1023,
    1082,  1079,   515,  1120,   516,   519,    38,  1089,  1090,  1218,
     516,  1202,  1158,   516,   515,   388,   515,   516,   519,   519,
      38,  1037,   458,  1203,   516,   519,   283,   451,   257,   282,
    1003,   815,   826,   529,   831,   515,   867,   515,   836,   580,
    1201,   867,   867,  1203,   420,   191,   453,   578,   387,   994,
    1203,  1162,   168,   775,   775,  1162,  1162,  1119,   420,  1158,
    1158,   587,   588,  1220,   790,   791,   790,   791,  1202,   529,
     516,   519,   508,   515,   556,   605,   675,   950,  1209,   950,
     282,   287,   338,   950,   950,  1083,   884,    42,   196,   633,
     515,   671,  1119,   203,   175,   317,   393,   297,   642,   643,
     644,   516,  1206,     6,   754,   704,   611,   646,  1203,   516,
     699,   161,   774,   581,   933,  1201,   476,  1062,   699,  1013,
     978,   647,   611,   646,   622,   515,   653,   651,   652,   370,
     370,    72,   300,    72,   663,   829,   516,  1201,   749,   857,
     868,  1095,   518,   135,   472,   472,   737,   369,   417,   739,
     140,   742,   468,   744,   457,   679,   699,   529,  1119,   516,
     516,   458,    52,   102,   442,  1119,  1146,  1147,  1146,  1146,
     516,   165,   165,   635,  1086,   519,  1094,  1221,   516,   519,
     168,  1095,   516,   516,  1158,   515,  1158,  1048,  1140,  1142,
    1055,  1013,  1083,   832,   387,    35,  1004,   257,   174,   635,
     655,   877,   837,   836,   634,   655,   655,  1203,   671,  1119,
     420,   516,   303,   377,   343,   776,   776,   516,   516,   516,
    1203,   516,   516,   516,   519,  1208,   953,   604,   556,   606,
     607,  1209,  1209,   287,   508,   635,   508,   635,  1209,  1209,
     672,   516,   420,   124,   451,   297,   644,   297,   643,   515,
     516,   519,   586,   384,   699,   791,    38,    38,   515,  1203,
     933,   663,   651,   586,   647,   515,   649,   650,  1124,  1218,
     654,   652,   653,   300,   300,   515,   199,   833,   168,   863,
      30,   214,   920,   176,   176,   950,   369,   402,   743,   515,
     153,  1147,   369,   167,   325,   167,   325,   150,  1148,  1148,
    1148,    59,    59,   387,   516,  1121,  1090,   304,     3,   119,
     282,   287,  1091,  1092,    38,  1067,   353,  1077,   516,  1047,
     516,   997,  1119,   425,  1004,   813,   516,   641,   516,   837,
     638,   749,   749,   994,  1203,   843,    59,   994,   429,   587,
     791,   516,   519,   508,   635,   516,   407,  1203,    63,   278,
     358,   387,   645,   645,   516,     6,   384,  1203,   771,  1013,
     699,   652,   647,   651,  1119,   516,   519,   835,   835,   653,
     654,   830,   515,   625,   140,   283,   515,   915,   917,   921,
     980,   989,   996,  1013,  1024,   843,   843,   740,  1218,  1119,
     745,    35,   102,   183,   278,   426,   635,   635,  1218,  1134,
    1120,  1120,   287,  1092,  1218,   515,   516,  1083,   124,   135,
     451,  1005,  1006,   425,   529,   749,   642,   994,   791,   515,
     607,    24,   119,   287,  1203,   699,   933,   653,   651,   652,
     516,   650,   527,   527,   654,   516,   832,   834,   581,   369,
     916,   917,   918,  1014,  1015,   519,   519,   516,  1206,  1147,
     369,   305,   387,   387,   429,   453,    81,  1119,   283,   387,
     135,   213,  1007,   749,  1158,   634,   634,   699,   654,   652,
     653,   835,   833,   516,   519,   654,   744,   516,   518,   429,
     174,   515,  1218,  1218,   225,  1206,  1207,  1218,  1089,   516,
     997,   283,   119,   311,   459,   515,  1008,   516,   653,   654,
     527,   625,   832,  1083,   153,   918,   398,   398,     5,   746,
     747,  1208,  1209,  1221,   515,   119,   516,   459,   983,   515,
     984,   654,   581,   745,   472,   472,   516,   519,  1159,  1207,
     458,  1158,   516,   654,  1206,   176,   176,   747,  1032,   453,
    1008,   516,   311,  1008,  1083,   515,   843,   843,   516,  1218,
     983,   746,   458,   516,  1008
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   521,   522,   522,   522,   522,   522,   522,   523,   523,
     524,   524,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   525,   525,   526,   526,   527,
     527,   528,   528,   529,   529,   529,   530,   531,   532,   532,
     532,   533,   533,   534,   534,   535,   535,   535,   535,   535,
     535,   535,   535,   535,   536,   536,   536,   536,   536,   536,
     537,   538,   538,   539,   539,   540,   540,   540,   540,   541,
     541,   541,   541,   541,   541,   542,   543,   544,   544,   545,
     545,   545,   545,   546,   546,   547,   547,   547,   547,   547,
     547,   548,   548,   548,   549,   549,   549,   550,   550,   550,
     550,   551,   551,   551,   551,   551,   551,   551,   551,   551,
     551,   551,   552,   552,   553,   553,   554,   554,   555,   555,
     555,   555,   556,   556,   556,   556,   557,   557,   557,   557,
     557,   557,   557,   558,   558,   558,   559,   559,   560,   561,
     561,   561,   561,   562,   562,   563,   563,   564,   564,   565,
     565,   565,   565,   565,   566,   567,   567,   568,   568,   569,
     570,   570,   570,   570,   570,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   572,   572,   573,   573,
     573,   574,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   575,   575,   575,   575,   575,   575,   575,   575,
     575,   575,   576,   576,   577,   577,   578,   578,   579,   579,
     579,   579,   580,   581,   581,   582,   582,   583,   583,   583,
     583,   584,   584,   585,   585,   585,   585,   586,   586,   586,
     586,   587,   588,   588,   589,   590,   590,   591,   591,   591,
     591,   592,   592,   593,   593,   594,   594,   595,   595,   596,
     596,   596,   597,   597,   598,   598,   599,   599,   599,   599,
     599,   599,   599,   599,   599,   599,   599,   599,   599,   599,
     599,   600,   600,   601,   601,   602,   602,   603,   603,   604,
     605,   605,   605,   605,   605,   606,   606,   607,   608,   608,
     608,   608,   608,   608,   609,   609,   609,   609,   609,   609,
     609,   609,   610,   610,   611,   611,   612,   612,   613,   613,
     614,   614,   614,   615,   615,   616,   617,   617,   618,   618,
     619,   619,   620,   620,   621,   621,   622,   622,   623,   623,
     623,   623,   624,   624,   624,   624,   624,   624,   624,   624,
     624,   625,   625,   625,   626,   626,   627,   627,   627,   627,
     628,   629,   629,   629,   630,   630,   630,   630,   630,   630,
     630,   630,   630,   630,   631,   631,   632,   632,   632,   632,
     632,   632,   632,   632,   633,   633,   634,   634,   635,   635,
     636,   637,   637,   638,   638,   638,   638,   639,   639,   640,
     640,   641,   641,   642,   642,   642,   642,   642,   643,   644,
     645,   645,   645,   645,   645,   646,   646,   647,   647,   648,
     649,   649,   650,   650,   650,   651,   651,   652,   652,   652,
     653,   653,   653,   653,   654,   654,   655,   655,   656,   657,
     657,   658,   658,   659,   659,   659,   660,   660,   661,   661,
     662,   663,   663,   663,   664,   664,   665,   666,   666,   667,
     668,   668,   669,   669,   670,   670,   671,   671,   672,   672,
     673,   673,   673,   673,   673,   673,   673,   673,   673,   673,
     673,   673,   673,   673,   674,   674,   675,   675,   675,   675,
     676,   676,   677,   677,   678,   678,   679,   679,   680,   680,
     681,   681,   682,   682,   683,   683,   684,   685,   685,   686,
     686,   687,   687,   688,   688,   689,   689,   689,   689,   690,
     691,   691,   692,   693,   693,   693,   693,   693,   693,   693,
     693,   693,   693,   693,   693,   693,   694,   695,   695,   695,
     695,   696,   696,   697,   697,   698,   698,   699,   699,   700,
     700,   701,   702,   702,   703,   703,   703,   703,   704,   705,
     706,   707,   707,   708,   708,   709,   709,   710,   710,   711,
     711,   711,   712,   712,   712,   712,   713,   714,   714,   715,
     715,   716,   716,   717,   717,   718,   718,   719,   720,   721,
     722,   722,   723,   723,   724,   724,   725,   725,   726,   726,
     727,   727,   728,   728,   728,   728,   728,   729,   730,   730,
     731,   731,   732,   732,   732,   733,   733,   734,   734,   734,
     734,   734,   735,   735,   736,   736,   737,   738,   738,   739,
     739,   740,   741,   741,   742,   742,   743,   743,   744,   744,
     745,   745,   746,   746,   746,   747,   747,   747,   747,   748,
     748,   749,   749,   750,   750,   750,   750,   750,   750,   751,
     751,   752,   752,   753,   754,   754,   755,   756,   756,   756,
     756,   757,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   759,   760,
     760,   761,   761,   762,   762,   762,   762,   762,   762,   763,
     764,   764,   765,   766,   766,   767,   767,   768,   768,   768,
     768,   768,   769,   769,   770,   771,   771,   772,   772,   772,
     772,   772,   773,   773,   774,   774,   775,   775,   775,   776,
     776,   777,   778,   778,   779,   779,   780,   780,   781,   781,
     782,   782,   783,   784,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   786,   787,
     787,   787,   787,   787,   788,   788,   788,   788,   788,   788,
     788,   788,   789,   789,   789,   790,   790,   791,   791,   792,
     792,   793,   793,   794,   795,   795,   795,   796,   796,   796,
     796,   796,   796,   796,   796,   796,   796,   796,   796,   796,
     796,   796,   796,   796,   796,   797,   797,   798,   798,   798,
     798,   798,   798,   798,   798,   798,   798,   799,   799,   800,
     800,   801,   801,   802,   802,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   802,   802,   802,   802,   802,   803,
     803,   804,   804,   805,   806,   806,   807,   807,   807,   807,
     807,   808,   808,   809,   809,   809,   809,   809,   810,   810,
     811,   811,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   813,   813,   814,   814,   815,   815,   816,
     816,   817,   817,   818,   818,   819,   820,   820,   820,   821,
     821,   822,   823,   823,   824,   824,   824,   825,   825,   825,
     826,   826,   826,   826,   826,   826,   827,   827,   828,   828,
     829,   829,   830,   830,   831,   831,   832,   832,   832,   833,
     833,   834,   834,   835,   835,   836,   836,   836,   837,   837,
     837,   838,   838,   838,   838,   839,   839,   840,   840,   841,
     841,   842,   842,   843,   843,   843,   843,   844,   844,   845,
     845,   846,   846,   846,   846,   846,   847,   847,   847,   847,
     847,   848,   849,   850,   850,   850,   851,   851,   851,   852,
     853,   853,   853,   853,   854,   854,   855,   856,   856,   857,
     857,   858,   858,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     860,   860,   860,   860,   860,   861,   861,   862,   863,   863,
     863,   864,   864,   865,   865,   866,   866,   867,   867,   868,
     869,   869,   870,   870,   870,   871,   871,   872,   872,   873,
     873,   873,   873,   873,   873,   874,   874,   875,   875,   876,
     876,   876,   876,   877,   877,   878,   878,   879,   880,   881,
     881,   882,   882,   883,   883,   883,   884,   884,   884,   885,
     886,   886,   887,   888,   888,   888,   888,   889,   890,   890,
     890,   891,   891,   892,   892,   893,   893,   894,   894,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   896,   896,   897,   897,   898,   898,
     898,   898,   898,   898,   899,   899,   900,   900,   900,   900,
     900,   900,   900,   900,   900,   900,   900,   900,   900,   900,
     900,   900,   900,   900,   900,   900,   900,   900,   900,   900,
     900,   900,   900,   901,   902,   902,   903,   903,   903,   904,
     904,   904,   904,   904,   905,   906,   906,   906,   906,   906,
     906,   906,   906,   906,   906,   906,   906,   906,   906,   906,
     906,   906,   906,   906,   906,   906,   906,   906,   906,   907,
     907,   907,   908,   908,   908,   908,   908,   908,   908,   909,
     909,   910,   910,   910,   910,   911,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   913,   913,   914,   915,   915,
     915,   916,   916,   917,   917,   917,   917,   917,   918,   918,
     919,   919,   919,   919,   920,   920,   920,   921,   922,   922,
     923,   924,   924,   925,   925,   925,   925,   925,   925,   925,
     925,   925,   925,   925,   925,   926,   926,   927,   927,   927,
     928,   928,   928,   928,   928,   929,   929,   929,   930,   930,
     931,   931,   931,   932,   932,   932,   932,   933,   933,   933,
     933,   934,   935,   936,   936,   937,   937,   938,   938,   938,
     939,   939,   939,   939,   939,   939,   939,   940,   940,   941,
     941,   941,   941,   942,   943,   943,   943,   943,   944,   944,
     945,   946,   947,   947,   948,   949,   949,   949,   949,   949,
     949,   949,   950,   950,   951,   952,   952,   952,   952,   952,
     952,   953,   953,   954,   955,   955,   955,   955,   955,   956,
     956,   957,   957,   958,   958,   959,   959,   960,   960,   961,
     962,   962,   962,   963,   963,   963,   964,   964,   965,   965,
     966,   966,   967,   967,   968,   968,   969,   970,   970,   971,
     971,   972,   972,   972,   972,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   974,   975,   975,   976,   976,
     976,   976,   976,   977,   977,   977,   978,   978,   979,   979,
     979,   979,   980,   981,   981,   982,   982,   982,   982,   982,
     983,   983,   984,   984,   985,   986,   986,   986,   987,   987,
     987,   988,   988,   989,   990,   990,   991,   992,   992,   993,
     993,   993,   993,   993,   993,   993,   993,   994,   994,   995,
     995,   995,   996,   997,   997,   998,   998,   999,  1000,  1000,
    1001,  1002,  1002,  1003,  1003,  1003,  1003,  1003,  1004,  1004,
    1005,  1006,  1007,  1007,  1007,  1007,  1007,  1008,  1009,  1010,
    1011,  1011,  1011,  1011,  1011,  1011,  1012,  1012,  1012,  1013,
    1013,  1014,  1014,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1016,  1016,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1018,  1018,  1018,  1019,  1019,  1020,  1021,  1021,  1021,  1022,
    1022,  1022,  1023,  1023,  1023,  1024,  1024,  1025,  1025,  1026,
    1026,  1026,  1026,  1026,  1026,  1026,  1026,  1026,  1027,  1027,
    1028,  1028,  1028,  1029,  1029,  1030,  1030,  1031,  1031,  1032,
    1032,  1033,  1034,  1034,  1035,  1035,  1036,  1036,  1036,  1036,
    1037,  1037,  1038,  1038,  1038,  1038,  1038,  1038,  1039,  1039,
    1040,  1040,  1041,  1042,  1042,  1042,  1043,  1043,  1044,  1044,
    1045,  1045,  1046,  1046,  1047,  1047,  1048,  1048,  1048,  1048,
    1048,  1049,  1050,  1051,  1052,  1053,  1053,  1054,  1054,  1055,
    1055,  1056,  1056,  1057,  1058,  1058,  1058,  1058,  1059,  1059,
    1060,  1060,  1061,  1061,  1062,  1062,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1064,  1064,  1064,  1064,
    1064,  1064,  1065,  1065,  1065,  1065,  1066,  1066,  1067,  1067,
    1068,  1068,  1068,  1068,  1068,  1069,  1069,  1069,  1069,  1070,
    1070,  1071,  1071,  1072,  1072,  1073,  1073,  1073,  1074,  1074,
    1075,  1075,  1075,  1076,  1077,  1077,  1078,  1078,  1079,  1080,
    1080,  1081,  1081,  1082,  1082,  1083,  1083,  1084,  1084,  1084,
    1085,  1085,  1086,  1086,  1087,  1088,  1088,  1089,  1089,  1090,
    1090,  1090,  1091,  1091,  1092,  1092,  1092,  1092,  1093,  1093,
    1094,  1094,  1095,  1095,  1095,  1095,  1095,  1095,  1096,  1096,
    1096,  1097,  1097,  1097,  1097,  1097,  1097,  1097,  1097,  1098,
    1098,  1098,  1098,  1098,  1099,  1099,  1100,  1100,  1101,  1101,
    1101,  1101,  1101,  1101,  1101,  1101,  1101,  1101,  1101,  1102,
    1102,  1103,  1103,  1104,  1104,  1105,  1106,  1107,  1107,  1108,
    1108,  1109,  1110,  1111,  1111,  1111,  1111,  1111,  1111,  1112,
    1112,  1113,  1113,  1113,  1113,  1114,  1115,  1115,  1115,  1116,
    1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,  1116,
    1116,  1116,  1116,  1117,  1117,  1118,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1119,  1119,  1119,  1119,  1120,  1120,  1120,  1120,  1120,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,  1120,
    1120,  1120,  1120,  1120,  1120,  1120,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1123,  1123,  1123,
    1124,  1124,  1124,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,
    1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1125,  1126,
    1126,  1127,  1127,  1127,  1127,  1128,  1129,  1129,  1130,  1130,
    1131,  1131,  1132,  1132,  1132,  1133,  1133,  1133,  1134,  1134,
    1134,  1134,  1135,  1135,  1136,  1136,  1137,  1137,  1138,  1138,
    1139,  1139,  1140,  1141,  1141,  1141,  1142,  1143,  1143,  1144,
    1144,  1145,  1145,  1145,  1145,  1146,  1146,  1147,  1147,  1147,
    1147,  1147,  1148,  1148,  1148,  1148,  1148,  1149,  1149,  1149,
    1150,  1150,  1151,  1152,  1152,  1152,  1153,  1153,  1154,  1154,
    1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,
    1155,  1155,  1156,  1156,  1157,  1157,  1157,  1157,  1157,  1157,
    1158,  1158,  1159,  1159,  1160,  1160,  1160,  1161,  1161,  1162,
    1162,  1163,  1163,  1163,  1164,  1164,  1165,  1166,  1166,  1166,
    1166,  1166,  1166,  1166,  1166,  1167,  1167,  1167,  1167,  1168,
    1168,  1169,  1170,  1170,  1170,  1170,  1170,  1171,  1171,  1171,
    1172,  1172,  1173,  1174,  1174,  1175,  1176,  1176,  1177,  1177,
    1178,  1178,  1179,  1179,  1179,  1179,  1180,  1180,  1181,  1181,
    1182,  1182,  1183,  1183,  1184,  1185,  1185,  1186,  1186,  1187,
    1187,  1188,  1188,  1188,  1188,  1188,  1189,  1189,  1189,  1189,
    1189,  1190,  1190,  1191,  1191,  1192,  1192,  1192,  1193,  1193,
    1193,  1194,  1194,  1195,  1195,  1196,  1196,  1197,  1197,  1198,
    1198,  1199,  1199,  1199,  1199,  1200,  1200,  1201,  1201,  1202,
    1202,  1203,  1204,  1205,  1206,  1206,  1207,  1207,  1207,  1207,
    1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1208,
    1209,  1210,  1210,  1210,  1211,  1212,  1212,  1212,  1212,  1213,
    1213,  1214,  1215,  1216,  1216,  1217,  1217,  1218,  1218,  1218,
    1219,  1219,  1219,  1220,  1220,  1220,  1220,  1221,  1221,  1221,
    1221,  1221,  1222,  1222,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1224,  1224,  1224,  1224,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,
    1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1225,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,  1226,
    1226,  1226,  1226,  1226,  1226,  1226,  1226,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     2,
       3,     4,     3,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,     4,     6,    10,
      13,     4,     6,     4,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     5,     7,     1,     3,     4,     4,
       4,     3,     2,     5,     3,     6,     4,     6,     6,     5,
       7,     6,     6,     5,     5,     5,     5,     9,     4,     5,
       7,     6,     4,     8,     4,     2,     4,     3,     6,     4,
       3,     3,     3,     2,     2,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     4,     3,     2,     2,     3,     4,     4,     4,
       5,     1,     3,     2,     2,     0,     2,     0,     1,     1,
       1,     3,     3,     2,     0,     1,     3,     3,     1,     5,
       3,     1,     2,     1,     3,     2,     3,     6,     6,    10,
       1,     2,     1,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    11,     9,     1,     1,     1,     0,     1,
       1,     1,     1,     3,     2,     0,     1,     1,     3,     3,
       1,     1,     3,     3,     3,     3,     4,     4,     3,     3,
       2,     1,     0,     3,     0,     1,     0,     1,     3,     2,
       1,     1,     1,     3,     0,     1,     3,     1,    13,    16,
      12,    15,    14,    17,     1,     1,     2,     2,     2,     2,
       1,     0,     1,     0,     3,     0,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     6,     2,     4,     2,     2,
       1,     0,     2,     2,     1,     0,     2,     0,     3,     1,
       1,     2,     3,     1,     4,     4,     5,     2,     5,     7,
       5,     2,     3,     0,     1,     2,     1,     2,     2,     2,
       3,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     5,     4,     9,     3,
       9,     4,    10,    11,     2,     0,     3,     0,     1,     3,
       1,     4,     0,     2,     2,     2,     0,     1,     3,     3,
       6,     4,     0,     1,     1,     2,     2,     0,     3,     3,
       2,     1,     1,     3,     3,     4,     0,     1,     0,     6,
       1,     3,     3,     3,     5,     2,     0,     2,     2,     0,
       3,     4,     4,     0,     2,     0,     4,     0,     3,     8,
      11,     1,     3,     1,     1,     3,     6,     8,     7,    10,
       6,     2,     3,     0,     8,    11,     5,     1,     0,     6,
       5,     8,     4,     6,     1,     0,     3,     0,     1,     2,
       2,     2,     1,     2,     3,     2,     2,     2,     2,     3,
       3,     3,     1,     3,     1,     0,     1,     2,     2,     1,
       1,     3,     6,    10,     1,     0,     1,     2,     2,     0,
       2,     2,     1,     0,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     1,     5,
       2,     0,     2,     6,     6,     6,    10,     6,     6,     6,
       9,     9,     6,     6,     9,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     7,     6,     4,     0,     1,
       3,     4,     1,     3,     1,     2,     2,     2,     2,     1,
       1,    10,    13,     2,     0,     2,     2,     1,     0,     5,
       4,     4,    11,    14,    12,    15,    11,     2,     1,     4,
       0,     8,    11,     1,     1,     7,     9,     8,    10,     8,
       4,     0,     5,     0,     2,     0,     2,     0,     2,     0,
       2,     0,     1,     1,     1,     1,     1,     8,     1,     1,
      17,    21,     1,     1,     2,     1,     3,     1,     1,     1,
       3,     1,     2,     0,     1,     2,     4,     1,     1,     1,
       1,     1,     3,     0,     1,     0,     1,     1,     4,     0,
       1,     1,     1,     3,     0,     1,     1,     1,     1,     2,
       0,     0,     2,     2,     1,     2,     2,     2,     2,    11,
      13,     1,     3,     5,     1,     3,     5,     1,     2,     2,
       1,     8,     6,     5,     4,     4,     3,     7,     8,     6,
       6,     6,     6,     6,     4,     7,     5,     8,     3,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     3,     3,     1,     0,     1,     3,     7,     9,     9,
       8,     6,     3,     0,    13,     1,     3,     5,     5,     3,
       6,     2,     1,     0,     2,     0,     2,     4,     0,     1,
       0,     6,     8,     8,     1,     3,     5,     5,     7,     9,
       7,     9,     5,     6,     6,     4,     6,     4,     6,     8,
       4,     6,     4,     6,     5,     7,     1,     1,     1,     2,
       1,     2,     1,     1,     1,     3,     3,     3,     3,     1,
       1,     1,     1,     1,     2,     2,     1,     3,     2,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     2,     2,
       3,     1,     3,     5,     2,     2,     0,     6,     6,     6,
       6,     6,     6,     6,     6,     8,     9,     8,     6,     6,
       9,     9,     9,     7,    10,     1,     1,     8,     8,     8,
       8,     8,     8,     8,     9,     8,     8,     2,     0,     1,
       1,     2,     2,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     4,     4,     3,     4,     4,     1,
       1,     1,     0,     8,     8,    11,     1,     1,     2,     4,
       5,     1,     3,     2,     2,     2,     2,     2,     1,     3,
       1,     3,     1,     2,     2,     4,     3,     2,     2,     2,
       2,     2,     2,     3,     2,     2,     2,     2,     5,     5,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     5,
       7,     6,     9,     3,     1,     2,     1,     1,     1,     3,
       0,     5,     2,     0,     3,     3,     3,     7,     7,    10,
       1,     1,     1,     1,     1,     1,    16,    19,     1,     0,
       2,     0,     1,     3,     4,     5,     2,     2,     4,     4,
       0,     1,     3,     2,     0,     1,     1,     0,     2,     2,
       0,     9,    12,     7,     7,     2,     0,     3,     2,     1,
       3,     1,     3,     2,     1,     1,     2,     3,     2,     1,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     4,     5,     1,     3,     3,     1,
       3,     3,     5,     6,     1,     3,     2,     1,     3,     1,
       0,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     1,     2,     2,     2,     2,     1,     2,
       2,     2,     2,     1,     1,     1,     3,     2,     1,     4,
       0,     3,     0,     1,     1,     3,     5,     2,     0,     2,
       1,     3,     5,     5,     5,     1,     2,     1,     0,     4,
       6,     4,     6,     4,     6,     4,     6,     4,     6,     3,
       5,     5,     5,     1,     3,     1,     3,     2,     2,     1,
       2,     1,     2,    11,    10,    10,     2,     2,     0,     9,
       2,     0,    10,    11,    11,     5,     5,     8,     5,     5,
       5,     1,     1,     1,     1,     3,     0,     5,     5,     6,
       6,     6,     6,     6,     8,     8,     6,     6,     7,     9,
       9,     8,    10,     6,     6,     6,     6,     6,     6,     6,
       8,     6,     8,     6,     8,     7,     9,     6,     8,     7,
       9,     8,    10,     8,    10,     9,    11,     8,    10,     9,
      11,     8,     8,     7,     6,     6,     6,     6,     8,     8,
       8,     8,     6,     9,     1,     0,     2,     0,     8,     8,
       8,    10,     9,     8,     1,     0,     6,     6,     6,     6,
       6,     6,     6,     9,     9,     6,     6,     6,     8,     6,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       7,     9,     6,     7,     1,     3,     3,     3,     1,     1,
       1,     1,     1,     1,     7,     6,     6,     6,     6,     6,
       6,     7,     7,     6,     9,     9,     6,     6,     6,     6,
       6,     6,     8,     8,     8,     6,     7,     6,     6,     4,
       7,     6,     4,     4,     4,     3,     4,     3,     1,     1,
       3,     5,     5,     5,     5,     8,     5,     5,     6,     7,
       7,     7,     4,     4,     5,     4,     6,    13,     1,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     1,     0,     3,     2,     0,
       2,     2,     2,     3,     3,     3,     3,     2,     3,     2,
       5,     4,     3,     3,     3,     3,     3,     1,     1,     0,
       3,     2,     2,     1,     2,     1,     3,     2,     1,     0,
       2,     3,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     1,     0,     1,     2,     3,     3,     3,
       1,     2,     1,     1,     1,     1,     1,     1,     0,     5,
       4,     6,     6,     4,     3,     5,     7,     9,     1,     3,
       1,     5,     4,     4,     6,     4,     6,     6,     5,     7,
       9,     6,     1,     0,     6,    11,    11,    11,    13,     9,
      11,     1,     1,    10,     6,     4,     4,     2,     5,     2,
       0,     6,     5,     3,     5,     1,     3,     1,     1,     2,
       1,     1,     1,     1,     1,     0,     1,     0,     1,     0,
       1,     0,     1,     0,     3,     0,     2,     1,     3,     1,
       0,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     5,     3,     0,     1,     1,
       1,     1,     1,     3,     9,    12,     3,     0,     2,     3,
       2,     3,     7,     1,     3,     1,     4,     4,     7,     2,
       1,     1,     1,     3,     2,     8,     5,     0,     4,     3,
       0,     2,     0,     7,     2,     0,     5,     3,     0,     2,
       2,     2,     3,     1,     3,     1,     2,     1,     0,     1,
       2,     0,     8,     1,     3,     3,     5,     2,     1,     3,
       9,     1,     2,     5,     5,     6,     6,     7,     2,     0,
       3,     1,     2,     5,     5,     8,     3,     4,     7,     1,
       0,     3,     2,     2,     2,     2,     0,     2,     2,     1,
       1,     3,     3,     1,     2,     4,     4,     2,     3,     5,
       5,     1,     1,     9,     9,     1,     2,     4,     4,     4,
       2,     2,     3,     1,     3,     9,     1,     2,     0,     7,
       7,     0,    10,     6,     0,     1,     0,     2,     0,     3,
       3,     4,     4,     4,     4,     3,     2,     1,     1,     0,
       1,     1,     0,     1,     5,     1,     0,     1,     1,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     6,     4,     5,     2,     3,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     4,     0,     1,     3,     1,     1,     1,     1,
       1,     2,     4,     4,     5,     2,     0,     1,     3,     1,
       0,     1,     2,     3,     2,     4,     2,     3,     2,     0,
       4,     5,     2,     0,     1,     3,     2,     3,     2,     3,
       2,     3,     2,     3,     1,     4,     3,     4,     5,     4,
       5,     4,     5,     2,     4,     1,     1,     0,     2,     0,
       1,     4,     5,     4,     0,     2,     2,     2,     1,     1,
       0,     5,     2,     1,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     6,     4,     0,     2,     6,     2,     1,
       3,     4,     0,     2,     0,     2,     0,     2,     4,     0,
       1,     0,     1,     3,     3,     7,    12,     1,     3,     2,
       3,     3,     1,     2,     2,     2,     2,     1,     1,     3,
       3,     2,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     0,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     3,
       0,     1,     1,     1,     1,     5,     2,     1,     1,     1,
       1,     4,     1,     2,     2,     1,     3,     3,     2,     1,
       0,     5,     2,     5,     2,     1,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     1,     3,     3,     5,
       3,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     3,     3,     2,
       2,     3,     5,     4,     6,     3,     5,     4,     6,     4,
       6,     5,     7,     3,     2,     4,     2,     3,     3,     4,
       3,     4,     3,     4,     5,     6,     6,     7,     6,     7,
       3,     4,     4,     6,     3,     3,     4,     3,     4,     4,
       5,     4,     5,     1,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     5,     6,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     1,     4,
       3,     5,     6,     8,     6,     6,     4,     4,     3,     1,
       1,     1,     1,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     1,
       6,     4,     4,     6,     4,     4,     4,     4,     4,     6,
       5,     5,     5,     4,     6,     4,     4,     4,     4,     5,
       7,     7,     9,     5,     4,     6,     5,     7,     7,     8,
       4,     7,     4,     6,     6,     4,     5,     4,     5,     2,
       3,     3,     3,     4,     0,     4,     1,     3,     3,     1,
       1,     1,     1,     2,     0,     2,     2,     0,     2,     3,
       3,     4,     2,     2,     5,     0,     5,     0,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     3,     3,     3,     0,     1,     4,     2,     2,     2,
       2,     2,     3,     2,     2,     3,     0,     4,     3,     5,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     1,     4,     1,     4,     1,     2,     1,     2,
       1,     3,     1,     3,     1,     3,     3,     1,     0,     1,
       3,     3,     3,     2,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     7,
       5,     3,     5,     5,     3,     3,     5,     3,     2,     1,
       1,     3,     5,     1,     2,     4,     2,     0,     1,     0,
       1,     2,     2,     2,     3,     5,     1,     0,     1,     2,
       0,     2,     1,     0,     2,     4,     2,     1,     0,     3,
       0,     1,     2,     2,     2,     2,     3,     2,     3,     2,
       0,     1,     3,     3,     3,     3,     3,     0,     3,     3,
       0,     1,     3,     7,     7,     3,     0,     1,     0,     1,
       3,     3,     2,     1,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     6,     2,     3,     5,     1,     1,     1,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       3,    10,     4,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 901 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
				(void) yynerrs;		/* suppress compiler warning */
			}
#line 28805 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 906 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 28813 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 910 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), 0));
			}
#line 28822 "gram.c" /* yacc.c:1646  */
    break;

  case 5:
#line 915 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 28834 "gram.c" /* yacc.c:1646  */
    break;

  case 6:
#line 923 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 28846 "gram.c" /* yacc.c:1646  */
    break;

  case 7:
#line 931 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 28858 "gram.c" /* yacc.c:1646  */
    break;

  case 8:
#line 951 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 28874 "gram.c" /* yacc.c:1646  */
    break;

  case 9:
#line 963 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 28885 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1106 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28891 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1113 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28897 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1114 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28903 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1118 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28909 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1119 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28915 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1123 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 28921 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1124 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 28927 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1128 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 28933 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1129 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 28939 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1130 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 28945 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1140 "gram.y" /* yacc.c:1646  */
    {
					CallStmt   *n = makeNode(CallStmt);

					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *) n;
				}
#line 28956 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1156 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28969 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1178 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28975 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1179 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28981 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28987 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1184 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28993 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1189 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29002 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1194 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 29010 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1198 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29024 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1208 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 29036 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1216 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 29044 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1220 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 29052 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1224 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29060 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1229 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29068 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1233 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 29117 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1280 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 29123 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1283 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 29131 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1287 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29139 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1291 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29147 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1295 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 29155 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1299 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 29163 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1313 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29176 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1332 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 29189 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1341 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 29202 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1352 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29208 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1353 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29214 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1358 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29227 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1367 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29240 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1376 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29253 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1385 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 29266 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1407 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29278 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1415 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29290 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1423 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29302 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1431 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29314 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1439 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29326 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1447 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29338 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1465 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29351 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1484 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 29365 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1495 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 29371 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1496 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 29377 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1508 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29392 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1519 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29407 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1530 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29427 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1546 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29447 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1565 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 29457 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1571 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29463 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1599 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 29474 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1606 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 29485 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1613 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 29496 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1623 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29509 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1632 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29522 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1645 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29535 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1654 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 29548 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1663 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 29560 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1671 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 29572 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1681 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 29578 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1683 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 29590 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1692 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 29606 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1704 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 29618 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1712 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29631 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1721 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 29647 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1733 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29660 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1742 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29673 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1751 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 29685 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1759 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29698 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1769 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 29711 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1779 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29717 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1781 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 29723 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1784 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29729 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1785 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29735 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1789 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 29741 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1791 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 29747 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1794 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 29753 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1795 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 29759 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1796 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 29765 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1797 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 29771 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1801 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 29777 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1802 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 29783 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1803 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 29789 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1809 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29795 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1822 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 29803 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1826 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 29811 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1830 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					if ((yyvsp[0].list) != NIL)
					{
						A_Const	   *n = (A_Const *) linitial((yyvsp[0].list));

						if ((n->val.ival.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 29832 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1847 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 29844 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1854 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 29850 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1855 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29856 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1856 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29862 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1860 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29868 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1861 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29874 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1862 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29880 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1866 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29886 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1867 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29892 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1871 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 29898 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1875 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 29904 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1877 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 29916 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1885 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 29928 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1893 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 29940 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1904 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 29952 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1912 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 29963 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1922 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 29969 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1923 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 29975 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1928 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 29981 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1929 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 29987 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1935 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29998 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1942 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 30009 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1949 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 30020 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1956 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 30031 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1963 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 30042 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1974 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);

					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30054 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1984 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30060 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1985 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30066 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1989 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30072 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1990 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30078 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1999 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);

					(yyval.node) = (Node *) n;
				}
#line 30088 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2015 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 30099 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2022 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 30110 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2029 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 30121 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2036 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 30132 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2043 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 30143 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2063 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30157 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2073 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30171 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2083 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30185 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2093 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30199 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2103 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30215 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2115 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30231 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2127 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30245 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2137 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30259 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2147 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30273 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2157 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30289 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2169 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30305 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2181 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30319 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2191 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30333 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2201 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30347 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2211 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30361 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2221 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30375 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2231 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30389 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2241 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30405 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2253 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30421 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2265 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30435 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2275 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30449 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30455 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2288 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30461 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2294 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 30478 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2308 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 30495 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2321 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 30511 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2337 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 30528 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2354 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30541 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2364 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30554 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2374 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30567 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2384 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30580 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2394 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30593 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2404 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 30605 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2413 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 30617 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2422 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *) n;
				}
#line 30629 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2431 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30642 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2441 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *) n;
				}
#line 30655 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2451 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *) n;
				}
#line 30674 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2467 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30687 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2477 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30700 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2487 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 30713 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2497 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 30726 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2507 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *) n;
				}
#line 30746 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2524 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30759 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2534 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30772 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2544 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30785 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2554 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30799 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2565 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30813 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2579 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 30832 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2595 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30845 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2605 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30857 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2614 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 30876 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2630 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30888 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2639 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30902 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2650 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30916 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2661 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOids;
					(yyval.node) = (Node *) n;
				}
#line 30927 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2669 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30939 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2678 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 30951 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2687 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *) n;
				}
#line 30962 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2695 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *) n;
				}
#line 30973 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2703 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30985 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2712 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30997 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2721 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31009 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2730 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 31020 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2738 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 31031 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2746 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31043 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2755 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 31054 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2763 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 31065 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2771 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31077 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2780 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31089 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2789 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31101 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2798 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31113 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2807 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 31125 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2816 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 31137 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2825 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName   *def = makeTypeNameFromNameList((yyvsp[0].list));

					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *) n;
				}
#line 31151 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2836 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOf;
					(yyval.node) = (Node *) n;
				}
#line 31162 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2844 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 31174 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2853 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetAccessMethod;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31186 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2862 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31198 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2871 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31210 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2880 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31222 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2889 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31234 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2898 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31245 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2906 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31256 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2914 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31267 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2922 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 31278 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2929 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_GenericOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31290 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2939 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31296 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2940 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31302 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2945 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 31315 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2953 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31321 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2957 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31327 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2958 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31333 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2963 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31345 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2971 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31357 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2979 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31369 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2987 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31381 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31387 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31393 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3001 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31399 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31405 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 31411 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3012 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 31419 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3016 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 31427 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 31436 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3025 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 31444 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3032 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31450 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3034 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31456 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3039 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 31464 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3043 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 31472 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3047 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 31487 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3058 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 31495 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3066 "gram.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 31550 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3119 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 31565 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3132 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 31581 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3146 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 31594 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3158 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 31602 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3165 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 31610 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3169 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 31618 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3183 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *) n;
				}
#line 31632 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3195 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31638 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3196 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31644 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3202 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 31657 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3212 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31671 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3223 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31685 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3234 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 31705 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3261 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31716 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3268 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31727 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3304 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 31765 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3338 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *) n;
				}
#line 31789 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3360 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31795 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3361 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31801 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3365 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31807 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3366 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31813 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3375 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31819 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3376 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31825 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3377 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31831 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3380 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31837 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3381 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31843 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31849 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3387 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31855 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3392 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 31863 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3396 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 31871 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3400 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 31879 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3404 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 31887 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3408 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("csv"), (yylsp[0]));
				}
#line 31895 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3412 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 31903 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3416 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 31911 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3420 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 31919 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3424 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 31927 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3428 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 31935 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3432 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) (yyvsp[0].list), (yylsp[-3]));
				}
#line 31943 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3436 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) makeNode(A_Star), (yylsp[-3]));
				}
#line 31951 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 31959 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3444 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 31967 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3448 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 31975 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 31983 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3460 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 31989 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 31997 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3468 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 32003 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3479 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 32011 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3483 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 32019 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3490 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 32027 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3496 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32033 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3497 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 32039 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3498 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 32045 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3499 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 32051 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3500 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32057 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32065 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3509 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32073 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3516 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32079 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3530 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32101 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3550 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32123 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3570 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32146 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3591 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32169 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3612 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32192 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3633 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32215 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3664 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32221 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3665 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32227 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3666 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32233 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3667 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 32239 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3669 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 32250 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3676 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 32261 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3682 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 32267 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3683 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 32273 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3687 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32279 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3688 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32285 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3692 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32291 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32297 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32305 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3702 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32313 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32321 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3713 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32329 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3719 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32335 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3720 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32341 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3721 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32347 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3725 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32353 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3726 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32359 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3730 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->storage_name = (yyvsp[-3].str);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32385 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3754 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32408 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3773 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 32431 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3794 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32437 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3795 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 32443 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3799 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32449 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3800 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32455 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3804 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32461 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3805 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 32467 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3809 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32473 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3810 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32479 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3814 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 32485 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3815 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32491 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3820 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 32503 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3827 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32509 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3828 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32515 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3830 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32533 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3862 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-2]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 32548 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3873 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 32560 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3881 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-3]);
					n->nulls_not_distinct = !(yyvsp[-2].boolean);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32577 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3894 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32593 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3906 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 32610 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3919 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32624 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3929 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 32638 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3939 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *) n;
				}
#line 32666 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3963 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable = (yyvsp[-3].range);
					n->fk_attrs = NIL;
					n->pk_attrs = (yyvsp[-2].list);
					n->fk_matchtype = (yyvsp[-1].ival);
					n->fk_upd_action = ((yyvsp[0].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[0].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[0].keyactions))->deleteAction->cols;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 32687 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3982 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32693 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3983 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32699 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3984 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32705 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3988 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 32711 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3989 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 32717 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 4009 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 32729 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 4017 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32741 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 4025 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32753 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 4033 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32765 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 4045 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);

					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *) n;
				}
#line 32778 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 4056 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 32784 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 4057 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 32790 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 4058 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32796 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 4062 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 32802 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 4063 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 32808 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 4064 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 32814 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 4065 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 32820 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 4066 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 32826 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 4067 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 32832 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 4068 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 32838 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 4069 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 32844 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 4070 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 32850 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 4071 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 32856 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 4081 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 32868 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 4088 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32874 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 4093 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 32892 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 4107 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-3]);
					n->keys = list_make1(makeString((yyvsp[-1].str)));
					/* no NOT VALID support yet */
					processCASbits((yyvsp[0].ival), (yylsp[0]), "NOT NULL",
								   NULL, NULL, NULL,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 32910 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 4122 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-8]);
					n->nulls_not_distinct = !(yyvsp[-7].boolean);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32931 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 4139 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32951 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 4156 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32971 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 4172 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32991 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 4190 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method = (yyvsp[-8].str);
					n->exclusions = (yyvsp[-6].list);
					n->including = (yyvsp[-4].list);
					n->options = (yyvsp[-3].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-2].str);
					n->where_clause = (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33013 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 4209 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable = (yyvsp[-4].range);
					n->fk_attrs = (yyvsp[-7].list);
					n->pk_attrs = (yyvsp[-3].list);
					n->fk_matchtype = (yyvsp[-2].ival);
					n->fk_upd_action = ((yyvsp[-1].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[-1].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[-1].keyactions))->deleteAction->cols;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 33037 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 4230 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 33043 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4231 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 33049 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4235 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33055 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4236 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33061 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4240 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33067 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4241 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33073 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4245 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 33081 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33087 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4251 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33093 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4255 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 33101 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4259 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 33113 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4267 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 33121 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4271 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 33129 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4277 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33135 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4279 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33141 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4283 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 33149 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4288 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 33157 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4294 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 33163 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4295 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33169 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4300 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 33183 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4310 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 33197 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4320 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[-1].keyaction);
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 33209 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4328 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = (yyvsp[-1].keyaction);
					(yyval.keyactions) = n;
				}
#line 33221 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4336 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 33237 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4350 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].keyaction))->cols)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("a column list with %s is only supported for ON DELETE actions",
										((yyvsp[0].keyaction))->action == FKCONSTR_ACTION_SETNULL ? "SET NULL" : "SET DEFAULT"),
								 parser_errposition((yylsp[-2]))));
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 33251 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 33259 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4369 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_NOACTION;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 33271 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4377 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_RESTRICT;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 33283 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4385 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_CASCADE;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 33295 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4393 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETNULL;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 33307 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4401 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETDEFAULT;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 33319 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4410 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33325 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4411 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33331 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4415 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 33337 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4416 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 33343 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4420 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = parsePartitionStrategy((yyvsp[-3].str));
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 33357 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4431 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 33363 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 33369 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4436 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 33384 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4447 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 33399 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4458 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 33414 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4471 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33420 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4472 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33426 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4477 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33432 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4478 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33438 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4479 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33444 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4482 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 33450 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4483 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 33456 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4484 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 33462 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4485 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 33468 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4488 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33474 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4489 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33480 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4492 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33486 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4493 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33492 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4496 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33498 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4518 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33514 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4531 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33530 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4551 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 33536 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4552 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 33542 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4556 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 33552 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 33562 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4568 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 33572 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4585 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 33585 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4594 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 33598 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4616 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 33616 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4630 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 33634 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4648 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 33650 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4662 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33656 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4663 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33662 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4664 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33668 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4677 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 33686 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4691 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 33704 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4708 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 33720 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4721 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 33726 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4722 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 33732 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4735 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);

					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 33745 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4756 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33760 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4767 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33775 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4781 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 33788 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4790 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 33801 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4801 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33807 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4802 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33813 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33819 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4806 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33825 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4809 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33831 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4810 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33837 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4814 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].typnam), (yylsp[-1]));
				}
#line 33845 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4818 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 33853 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4822 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33861 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4826 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 33869 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 33877 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4834 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 33885 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4838 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 33893 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4842 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 33901 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4846 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 33909 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33917 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4854 "gram.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33926 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 33934 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4863 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 33942 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4867 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 33950 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4877 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 33956 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4878 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 33962 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4880 "gram.y" /* yacc.c:1646  */
    {
					Float	   *f = makeFloat((yyvsp[0].str));

					doNegateFloat(f);
					(yyval.node) = (Node *) f;
				}
#line 33973 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4886 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 33979 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4889 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33985 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4890 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33991 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4903 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *) n;
			}
#line 34011 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4920 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);

				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *) n;
			}
#line 34027 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4934 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34033 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4935 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34039 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4943 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34045 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4944 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 34051 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4948 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34057 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4949 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34063 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4953 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34069 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4954 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34075 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4958 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34081 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4959 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34087 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4975 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);

					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34101 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4986 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34107 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4987 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 34113 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 5001 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34125 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 5009 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 34137 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 5027 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34150 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 5036 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34163 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 5048 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34169 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 5050 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34175 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 5055 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34183 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 5059 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34191 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 5063 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 34202 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 5070 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 34210 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 5082 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34222 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 5093 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34228 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 5095 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34234 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 5100 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34242 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 5113 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 34256 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 5123 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34270 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 5133 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34284 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 5143 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 34298 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 5153 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 34312 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 5163 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34326 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 5173 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34340 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 5183 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 34354 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 5193 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 34368 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 5203 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34382 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 5213 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 34396 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 5223 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *) n;
				}
#line 34410 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 5233 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 34424 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 5252 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34437 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 5263 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 34443 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 5264 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 34449 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 5265 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 34455 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 5266 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 34461 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 5270 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34467 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 5271 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34473 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 5275 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34479 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 5276 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34485 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 5287 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34498 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 5296 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 34511 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 5308 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34517 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 5309 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34523 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 5314 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 34531 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 5318 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 34539 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34545 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5330 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 34553 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5334 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 34561 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5341 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 34569 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5345 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 34578 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5350 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 34587 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5355 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 34595 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 34603 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5368 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34609 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5373 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 34615 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5385 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34631 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5398 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34647 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5412 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34653 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5413 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34659 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5418 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34665 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5419 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34671 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5423 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34677 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5424 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34683 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5435 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 34697 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5445 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 34710 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5454 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34722 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5474 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34745 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5495 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34768 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5516 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34792 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5538 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34816 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5571 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);

				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 34832 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5585 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 34838 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5586 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 34844 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5591 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));

				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 34856 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5599 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 34867 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5615 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34881 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5625 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34895 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5637 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34901 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5638 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 34907 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5651 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34920 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5660 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 34933 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5678 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34946 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5705 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);

					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 34963 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5722 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);

					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 34978 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5735 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 34984 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5736 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 34990 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5740 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 34996 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5741 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35002 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5745 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35008 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5746 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 35014 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5750 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35020 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5751 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 35026 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5756 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
								 parser_errposition((yylsp[0]))));

				}
#line 35044 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5769 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35050 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5773 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35056 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5774 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 35062 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5778 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 35068 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5779 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 35074 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5780 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 35080 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5781 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 35086 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5782 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 35092 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5793 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);

					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 35105 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5804 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 35111 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5805 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 35117 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5819 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *) n;
				}
#line 35142 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5843 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported")));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *) n;
				}
#line 35172 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5871 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 35178 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5872 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 35184 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5873 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 35190 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5878 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35196 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5880 "gram.y" /* yacc.c:1646  */
    {
					int			events1 = intVal(linitial((yyvsp[-2].list)));
					int			events2 = intVal(linitial((yyvsp[0].list)));
					List	   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List	   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 35219 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5902 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 35225 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5904 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 35231 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5906 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 35237 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5908 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 35243 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5910 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 35249 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35255 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35261 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35267 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5920 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 35273 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5925 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);

					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *) n;
				}
#line 35286 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5936 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35292 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5937 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35298 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5941 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35304 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5950 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35310 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5954 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35316 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5959 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 35324 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5963 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 35336 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5978 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35342 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5979 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35348 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5983 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35354 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5984 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35360 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5993 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35366 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5994 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35372 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5995 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35378 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 6000 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 35386 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 6003 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35392 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 6004 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35398 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 6005 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35404 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 6009 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 35410 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 6010 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 35416 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 6015 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 35422 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 6017 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 35450 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 6043 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 35456 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 6044 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 35462 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 6045 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 35468 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 6046 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 35474 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 6047 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 35480 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 6048 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 35486 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 6063 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 35500 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 6075 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 35514 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 6088 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35520 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 6090 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35526 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 6095 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 35532 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 6100 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35538 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 6102 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 35544 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 6107 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);

					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 35556 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 6117 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 35562 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 6118 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 35568 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 6119 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 35574 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 6120 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 35580 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 6132 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 35592 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 6151 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35608 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 6163 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35625 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 6176 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35640 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 6187 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35655 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 6198 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *) n;
				}
#line 35671 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 6210 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35684 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 6219 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);

					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35696 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 6227 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);

					n->typeName = (yyvsp[-3].list);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35708 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 6235 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35722 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 6245 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35736 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 6255 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35750 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 6265 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35764 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 6275 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35778 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 6285 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35793 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 6296 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 35807 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 6306 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35822 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 6318 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35828 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 6321 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35834 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 6322 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35840 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 6326 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35848 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 6330 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 35856 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 6336 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 35862 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 6337 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 35868 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 6338 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 35874 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 6339 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 35880 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 6340 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35886 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 6341 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 35892 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 6344 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35898 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 6347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35904 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 6348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35910 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 6357 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35918 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 6363 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35924 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 6364 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35930 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 6368 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35936 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 6370 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 35942 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 6381 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 35958 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 6393 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 35974 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 6405 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 35990 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6417 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 36006 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6429 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * The following problems must be solved before this can be
				 * implemented:
				 *
				 * - There must be no instance of the target value in
				 *   any table.
				 *
				 * - The value must not appear in any catalog metadata,
				 *   such as stored view expressions or column defaults.
				 *
				 * - The value must not appear in any non-leaf page of a
				 *   btree (and similar issues with other index types).
				 *   This is problematic because a value could persist
				 *   there long after it's gone from user-visible data.
				 *
				 * - Concurrent sessions must not be able to insert the
				 *   value while the preceding conditions are being checked.
				 *
				 * - Possibly more...
				 */
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("dropping an enum value is not implemented"),
						 parser_errposition((yylsp[-2]))));
			}
#line 36037 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6457 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36043 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6458 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36049 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6476 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);

					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36065 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6490 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36071 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6491 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36077 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6496 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);

					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36094 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6510 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36108 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6520 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 36121 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6529 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36135 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6539 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 36147 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6548 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36153 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6549 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36159 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6552 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36165 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6553 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36171 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6556 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36177 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6557 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36183 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6558 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36189 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6562 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 36207 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6575 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36213 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6581 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);

					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36225 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6592 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36239 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6602 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36253 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6614 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36259 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6615 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36265 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6620 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36278 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6629 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36291 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6642 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36306 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6653 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36321 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6667 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36336 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6678 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36351 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6701 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);

					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 36363 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6712 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);

					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 36375 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6731 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36390 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6742 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36405 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6753 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36420 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6764 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36435 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6775 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36450 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6786 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36465 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6797 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36480 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6808 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36495 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6819 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36510 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6830 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 36525 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6841 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 36540 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6852 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 36555 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6866 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 36561 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6867 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 36567 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6868 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 36573 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6869 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 36579 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6870 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 36585 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6871 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 36591 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6872 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 36597 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6873 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 36603 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6874 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 36609 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6875 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 36615 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6876 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 36621 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6877 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 36627 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6878 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 36633 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6888 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = (yyvsp[0].objtype); }
#line 36639 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6889 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 36645 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6890 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 36651 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6891 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 36657 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6892 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 36663 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6896 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 36669 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6897 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 36675 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6898 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 36681 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6899 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 36687 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6900 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 36693 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6901 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 36699 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6902 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 36705 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6903 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 36711 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6908 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 36717 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6909 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 36723 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6910 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 36729 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 36735 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 36741 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6918 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36747 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 36753 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6923 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36759 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6925 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36765 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6929 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 36771 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6930 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 36777 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6942 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);

					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 36790 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6953 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36796 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6954 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36802 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6955 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36808 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6966 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36821 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6975 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36834 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6984 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36847 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6993 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36860 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 7002 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36873 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 7011 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36886 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 7020 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36899 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 7029 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36912 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 7038 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36925 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 7047 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36943 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 7061 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36956 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 7070 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36969 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 7079 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36982 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 7088 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 36995 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 7097 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37008 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 7106 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37021 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 7115 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37034 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 7124 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37047 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 7135 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37053 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 7136 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37059 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 7152 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37073 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 7163 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37087 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 7174 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37101 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 7185 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37115 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 7196 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37129 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 7207 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37143 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 7218 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37157 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 7229 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37171 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 7240 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37185 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 7251 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37199 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 7262 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37205 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 7263 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37211 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 7266 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37217 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 7267 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37223 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 7278 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = false;
					(yyval.node) = (Node *) n;
				}
#line 37234 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 7285 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = true;
					(yyval.node) = (Node *) n;
				}
#line 37245 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 7294 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37258 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 7303 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37271 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 7312 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37284 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 7321 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37297 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 7330 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37310 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 7339 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *) n;
				}
#line 37323 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 7348 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37336 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 7357 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37349 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 7366 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37362 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 7375 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 37375 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 7384 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37388 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 7393 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37401 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 7402 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 37414 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 7411 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 37427 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 7420 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 37440 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 7429 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 37453 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 7456 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37471 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 7474 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37490 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 7490 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37509 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 7517 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37515 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 7519 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37521 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 7521 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37527 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 7523 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 37539 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 7531 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 37551 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 7540 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 37557 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 7541 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 37563 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 7545 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37575 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 7553 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37587 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 7561 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37599 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 7569 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup("alter system");
				n->cols = NIL;
				(yyval.accesspriv) = n;
			}
#line 37610 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 7576 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 37622 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 7587 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1(makeString((yyvsp[0].str)));
			}
#line 37630 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 7591 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str)));
			}
#line 37638 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 7598 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = (yyvsp[0].str);
			}
#line 37646 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 7602 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
			}
#line 37654 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 7613 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37667 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 7622 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37680 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 7631 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37693 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 7640 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37706 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 7649 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37719 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 7658 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37732 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7667 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37745 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7676 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37758 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7685 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37771 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7694 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37784 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7703 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37797 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7712 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37810 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7721 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PARAMETER_ACL;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37822 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7729 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37835 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7738 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37848 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7747 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37861 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7756 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37874 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7765 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37887 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7774 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37900 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7783 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37913 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7792 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 37926 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7804 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 37932 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 37938 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7809 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 37944 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7810 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 37950 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7815 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37956 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7816 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37962 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7827 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-3].list);
					n->grantee_roles = (yyvsp[-1].list);
					n->opt = NIL;
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37977 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7838 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-5].list);
					n->grantee_roles = (yyvsp[-3].list);
					n->opt = (yyvsp[-1].list);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37992 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7852 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->opt = NIL;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38008 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7864 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					DefElem *opt;

					opt = makeDefElem(pstrdup((yyvsp[-7].str)),
									  (Node *) makeBoolean(false), (yylsp[-7]));
					n->is_grant = false;
					n->opt = list_make1(opt);
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38027 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7881 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 38033 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7882 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38039 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7887 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem(pstrdup((yyvsp[-1].str)), (yyvsp[0].node), (yylsp[-1]));
			}
#line 38047 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7893 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 38053 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7894 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 38059 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7895 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(false); }
#line 38065 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7898 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38071 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7899 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 38077 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7910 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);

					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38089 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7920 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38095 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7921 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38101 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7926 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38109 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7930 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38117 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7934 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38125 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7946 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 38142 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7960 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38160 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7975 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38178 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7991 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 38184 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7992 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 38190 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7993 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 38196 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7994 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 38202 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7995 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 38208 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7996 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 38214 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 8011 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-14].boolean);
					n->concurrent = (yyvsp[-12].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 38248 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 8043 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-17].boolean);
					n->concurrent = (yyvsp[-15].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 38282 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 8075 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38288 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 8076 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38294 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 8080 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38300 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 8081 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 38306 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 8084 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 38312 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 8085 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 38318 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 8091 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 38334 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 8103 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 38350 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 8122 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 38359 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 8127 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 38368 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 8132 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 38377 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 8138 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38383 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 8139 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38389 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 8142 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 38395 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 8143 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 38401 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 8146 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38407 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 8147 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38413 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 8151 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 38419 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 8152 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 38425 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 8153 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 38431 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 8156 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 38437 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 8157 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 38443 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 8158 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 38449 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 8176 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38466 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 8190 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38484 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 8205 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38501 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 8219 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38518 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 8234 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38524 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 8235 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38530 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 8238 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38536 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 8239 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38542 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 8243 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 38548 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 8244 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 38554 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 8248 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 38560 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 8250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 38566 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 8255 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					n->objfuncargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 38579 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 8269 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 38591 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 8277 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 38603 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 8285 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 38616 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 8300 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38622 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 8301 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38628 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 8305 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 38634 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 8307 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 38640 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 8322 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38654 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 8332 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38668 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 8342 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38682 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 8352 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38696 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 8362 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 38710 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 8374 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 38716 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 8375 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 38722 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 8376 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 38728 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 8377 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 38734 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 8378 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 38740 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 8389 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 38752 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 8403 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 38758 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 8405 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 38768 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 8411 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 38779 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 8421 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 38787 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 8425 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 38796 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 8430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 38805 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 8438 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_DEFAULT ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 38820 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 8480 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 38828 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 8484 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 38836 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 8488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 38844 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 8492 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 38853 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 8499 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 38859 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 8500 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 38865 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 8505 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					n->objfuncargs = (List *) linitial((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 38878 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 8516 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 38884 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 8518 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 38890 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 8523 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38896 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 8528 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38902 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 8529 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38908 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 8537 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(false), (yylsp[-3]));
				}
#line 38916 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 8541 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[-4]));
				}
#line 38924 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 8545 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 38932 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 8549 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("immutable"), (yylsp[0]));
				}
#line 38940 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 8553 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("stable"), (yylsp[0]));
				}
#line 38948 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 8557 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("volatile"), (yylsp[0]));
				}
#line 38956 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 8561 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-2]));
				}
#line 38964 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 8565 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-2]));
				}
#line 38972 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 8569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-1]));
				}
#line 38980 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 8573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 38988 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 8577 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 38996 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 8581 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 39004 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 8585 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 39012 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 8589 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 39020 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 8593 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39028 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 8597 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *) (yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 39037 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 8602 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39045 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 8609 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39053 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 8613 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39061 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8617 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39069 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8621 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39077 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8625 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 39085 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 39091 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8632 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 39099 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8638 "gram.y" /* yacc.c:1646  */
    {
					ReturnStmt *r = makeNode(ReturnStmt);

					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 39110 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8648 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39118 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8652 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 39132 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8662 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = NULL;
				}
#line 39140 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8669 "gram.y" /* yacc.c:1646  */
    {
					/* As in stmtmulti, discard empty statements */
					if ((yyvsp[-1].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 39152 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8677 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = NIL;
				}
#line 39160 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8688 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 39166 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8689 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 39172 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39178 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39184 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8698 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39198 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8711 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 39206 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8715 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 39214 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8730 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 39227 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8739 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 39240 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8748 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 39253 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8760 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39259 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8761 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39265 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8785 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39280 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8796 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39295 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8807 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39310 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8818 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39325 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8829 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39340 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8840 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39355 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8854 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39370 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8865 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39385 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8879 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39400 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8890 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39415 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8904 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 39427 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8912 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 39433 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 39439 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 39445 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8921 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 39451 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8923 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 39457 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8927 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39463 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8929 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39469 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8934 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 39481 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8953 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);

					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 39492 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8962 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39498 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8963 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39504 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8968 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 39512 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8972 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39520 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8985 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 39535 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8997 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 39550 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 9009 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *) n;
				}
#line 39565 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 9021 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 39571 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 9022 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 39577 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 9023 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 39583 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 9028 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 39598 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 9040 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39604 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 9041 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39610 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 9052 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);

					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 39625 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 9065 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 39633 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 9069 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 39641 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 9073 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 39649 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 9077 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 39657 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 9084 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39671 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 9106 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39688 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 9119 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = REINDEX_OBJECT_SCHEMA;
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39705 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 9132 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39722 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 9146 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 39728 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 9147 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 39734 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 9150 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 39740 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 9151 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 39746 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 9154 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39752 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 9155 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 39758 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 9166 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *) n;
				}
#line 39772 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 9176 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *) n;
				}
#line 39786 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 9194 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39800 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 9204 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39814 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 9214 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39828 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 9224 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39842 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 9234 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39856 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 9244 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 39870 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 9254 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39884 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 9264 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39898 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 9274 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39912 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 9284 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39926 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 9294 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39940 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 9304 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39954 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 9314 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39969 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 9325 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 39984 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 9336 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 39998 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 9346 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40012 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 9356 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40026 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 9366 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40040 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 9376 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40054 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 9386 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40068 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 9396 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40083 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 9407 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40098 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 9418 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40113 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 9429 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40128 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 9440 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40143 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 9451 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40158 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 9462 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40173 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 9473 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40188 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 9484 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40203 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 9495 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40218 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 9506 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40233 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 9517 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40248 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 9528 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40264 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 9540 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40280 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 9552 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40296 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 9564 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40312 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 9576 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40328 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 9588 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40344 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 9600 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40359 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 9611 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40374 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 9622 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40390 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 9634 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40406 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 9646 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40421 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 9657 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40436 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 9668 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 40449 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 9677 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40463 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 9687 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40477 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 9697 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40491 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 9707 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40505 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 9717 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40519 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 9727 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40533 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 9737 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40547 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 9747 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40561 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 9757 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40575 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 9767 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40592 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 9785 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 40598 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 9786 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40604 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 9797 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40618 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 9807 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40632 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 9817 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40646 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 9827 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40661 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 9838 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40675 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 9848 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40689 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 9859 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40695 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9860 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false;	}
#line 40701 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9871 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40715 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9881 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40729 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9891 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40743 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9901 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40757 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9911 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40771 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9921 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40785 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9931 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40799 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9941 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40813 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9951 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40827 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9961 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40841 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9971 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40855 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9981 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40869 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9991 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40883 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 10001 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40897 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 10011 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40911 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 10021 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40925 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 10031 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40939 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 10041 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40953 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 10051 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40967 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 10061 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40981 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 10071 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40995 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 10081 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41009 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 10091 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41023 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 10101 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41037 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 10111 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41051 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 10121 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41065 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 10131 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41079 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 10150 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);

					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41091 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 10159 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41097 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 10160 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 41103 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 10164 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 41109 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 10166 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 41115 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 10168 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0])); }
#line 41121 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 10173 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 41127 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 10174 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 41133 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 10175 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 41139 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 10176 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 41145 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 10177 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 41151 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 10190 "gram.y" /* yacc.c:1646  */
    {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);

					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41163 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 10206 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41176 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 10215 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41189 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 10224 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41202 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 10233 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41215 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 10242 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41228 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 10251 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41241 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 10260 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41254 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 10269 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].node);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41267 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 10278 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41280 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 10287 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41293 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 10296 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41306 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 10305 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41319 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 10314 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41332 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 10323 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41345 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 10332 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41358 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 10341 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41371 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 10350 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41384 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 10359 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41397 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 10368 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41410 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 10377 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41423 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 10386 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41436 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 10395 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41449 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 10404 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41462 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 10413 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 41475 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 10441 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41487 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 10449 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-4].str);
					n->options = (yyvsp[0].list);
					n->for_all_tables = true;
					(yyval.node) = (Node *) n;
				}
#line 41500 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 10458 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					n->pubobjects = (List *) (yyvsp[-1].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 41514 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 10484 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLE;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 41527 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 10493 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
					(yyval.publicationobjectspec)->name = (yyvsp[0].str);
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 41538 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 10500 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 41548 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 10506 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					/*
					 * If either a row filter or column list is specified, create
					 * a PublicationTable object.
					 */
					if ((yyvsp[-1].list) || (yyvsp[0].node))
					{
						/*
						 * The OptWhereClause must be stored here but it is
						 * valid only for tables. For non-table objects, an
						 * error will be thrown later via
						 * preprocess_pubobj_list().
						 */
						(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
						(yyval.publicationobjectspec)->pubtable->relation = makeRangeVar(NULL, (yyvsp[-2].str), (yylsp[-2]));
						(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
						(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					}
					else
					{
						(yyval.publicationobjectspec)->name = (yyvsp[-2].str);
					}
					(yyval.publicationobjectspec)->location = (yylsp[-2]);
				}
#line 41579 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 10533 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = makeRangeVarFromQualifiedName((yyvsp[-3].str), (yyvsp[-2].list), (yylsp[-3]), yyscanner);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					(yyval.publicationobjectspec)->location = (yylsp[-3]);
				}
#line 41593 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 10544 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 41606 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 10553 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 41616 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 10561 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].publicationobjectspec)); }
#line 41622 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 10563 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].publicationobjectspec)); }
#line 41628 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 10585 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41640 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 10593 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_AddObjects;
					(yyval.node) = (Node *) n;
				}
#line 41654 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 10603 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_SetObjects;
					(yyval.node) = (Node *) n;
				}
#line 41668 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 10613 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_DropObjects;
					(yyval.node) = (Node *) n;
				}
#line 41682 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 10632 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41696 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 10651 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41710 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 10661 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41724 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 10671 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41738 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 10681 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41753 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 10692 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41768 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 10703 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41783 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 10714 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(true), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 41798 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 10725 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(false), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 41813 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 10736 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SKIP;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41827 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 10754 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 41840 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 10763 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 41853 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 10782 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt   *n = makeNode(RuleStmt);

					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41870 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 10797 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41876 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 10798 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41882 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 10799 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41888 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 10805 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 41898 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 10811 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 41908 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 10827 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41914 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 10828 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41920 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 10831 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 41926 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 10832 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 41932 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 10833 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 41938 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 10834 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 41944 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 10838 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41950 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 10839 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41956 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 10840 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41962 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 10853 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);

					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41974 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 10863 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41980 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 10864 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 41986 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 10868 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41997 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 10878 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42008 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 10885 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42019 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 10905 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42033 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 10915 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42046 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 10924 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42060 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 10934 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42074 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 10944 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42087 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 10953 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42100 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 10962 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42113 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 10971 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42126 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 10980 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42139 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 10989 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42152 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 10998 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42165 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 11007 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42178 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 11019 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42191 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 11028 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42205 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 11046 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 42212 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 11049 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 42219 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 11052 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 42226 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 11055 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 42233 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 11058 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 42240 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 11065 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42246 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 11067 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 42252 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 11069 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 42258 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 11075 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42264 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 11079 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42270 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 11080 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42276 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 11081 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42282 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 11095 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 42299 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 11109 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 42316 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 11123 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 42338 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 11142 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 42360 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 11162 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 42366 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 11163 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 42372 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 11164 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 42378 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 11165 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 42384 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 11176 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt   *n = makeNode(LoadStmt);

					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42395 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 11193 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42407 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 11203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42413 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 11204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42419 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 11208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42425 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 11209 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 42431 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 11214 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42439 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 11218 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 42447 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 11222 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 42455 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 11239 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42461 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 11240 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 42467 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 11241 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42473 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 11242 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42479 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 11243 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42485 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 11244 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42491 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 11245 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 42497 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 11265 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 42509 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 11273 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 42521 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 11281 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *) makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *) n;
				 }
#line 42534 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 11290 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseRefreshCollStmt *n = makeNode(AlterDatabaseRefreshCollStmt);

					n->dbname = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				 }
#line 42545 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 11300 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);

					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 42557 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 11318 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42570 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 11327 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42583 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 11336 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42596 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 11345 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42609 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 11357 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 42617 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 11361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 42625 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 11372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 42633 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 11384 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);

					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 42644 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 11402 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 42655 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 11409 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 42666 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 11426 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);

					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 42680 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 11440 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 42693 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 11450 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 42705 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 11459 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 42717 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 11468 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 42730 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 11478 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42745 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 11490 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42760 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 11502 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42773 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 11525 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);

					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42785 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 11536 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 42801 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 11548 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 42817 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 11560 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 42833 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 11572 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 42849 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 11584 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42863 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 11594 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42877 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 11623 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);

				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *) n;
			}
#line 42892 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 11646 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 42905 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 11655 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42918 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 11665 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node *) n;
				}
#line 42933 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 11677 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 42948 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 11689 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42963 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 11702 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42969 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 11703 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 42975 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 11716 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 43000 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 11737 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 43013 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 11748 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 43029 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 11760 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 43042 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 11772 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 43050 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 11776 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 43058 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 11788 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 43066 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 11794 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43072 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 11795 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 43078 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 11796 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "format"; }
#line 43084 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 11800 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 43090 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 11801 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 43096 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 11802 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43102 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 11806 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43108 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 11807 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43114 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 11811 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43120 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 11812 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43126 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 11815 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43132 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 11816 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43138 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 11819 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43144 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 11820 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43150 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 11824 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43156 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 11825 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43162 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 11830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 43170 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 11837 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43176 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 11839 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 43182 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 11843 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43188 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 11844 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43194 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 11858 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 43206 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 11866 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 43221 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 11877 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 43233 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 11885 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 43245 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 11915 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);

					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43258 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 11925 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43264 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 11926 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43270 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 11945 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43282 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 11954 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 43303 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 11972 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 43324 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 11990 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43330 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 11991 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43336 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 12002 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 43349 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 12011 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 43362 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 12020 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 43375 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 12029 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 43388 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 12049 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 43400 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 12066 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 43408 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 12070 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 43417 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 12078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43427 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 12084 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43438 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 12091 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43448 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 12097 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 43459 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 12104 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 43469 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 12112 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 43475 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 12113 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 43481 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 12118 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 43487 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 12120 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 43493 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 12125 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 43505 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 12136 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 43518 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 12146 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 43531 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 12155 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 43539 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 12162 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 43551 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 12171 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 43563 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 12179 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 43571 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 12185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43577 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 12186 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43583 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 12199 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);

					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) n;
				}
#line 43598 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 12212 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43604 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 12213 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43610 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 12225 "gram.y" /* yacc.c:1646  */
    {
					LockStmt   *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 43623 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 12235 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 43629 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 12236 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 43635 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 12239 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 43641 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 12240 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 43647 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 12241 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 43653 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 12242 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 43659 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 12243 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 43665 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 12244 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 43671 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 12245 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 43677 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 12246 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 43683 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 12249 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43689 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 12250 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43695 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 12254 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 43701 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 12255 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 43707 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 12256 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 43713 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 12272 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);

					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *) n;
				}
#line 43729 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 12286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43735 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 12287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 43741 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 12292 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 43750 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 12297 "gram.y" /* yacc.c:1646  */
    {
					int			ncolumns = list_length((yyvsp[-3].list));
					int			i = 1;
					ListCell   *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget  *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 43775 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 12321 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 43787 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 12331 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 43793 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 12332 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 43799 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 12348 "gram.y" /* yacc.c:1646  */
    {
					MergeStmt  *m = makeNode(MergeStmt);

					m->withClause = (yyvsp[-8].with);
					m->relation = (yyvsp[-5].range);
					m->sourceRelation = (yyvsp[-3].node);
					m->joinCondition = (yyvsp[-1].node);
					m->mergeWhenClauses = (yyvsp[0].list);

					(yyval.node) = (Node *) m;
				}
#line 43815 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 12362 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43821 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 12363 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list),(yyvsp[0].node)); }
#line 43827 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 12368 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 43838 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 12375 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 43849 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 12382 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = false;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 43860 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 12389 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = true;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 43874 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 12399 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = false;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 43888 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 12411 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43894 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 12412 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43900 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 12417 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_UPDATE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[0].list);
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 43914 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 12430 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_DELETE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 43928 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 12443 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 43941 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 12452 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 43954 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 12461 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[-2].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 43967 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 12470 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = (yyvsp[-5].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 43980 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 12479 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;
					(yyval.mergewhen) = n;
				}
#line 43993 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 12491 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[-1].list);
				}
#line 44001 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 12503 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);

					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44015 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 12514 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44021 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 12517 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44027 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 12518 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 44033 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 12519 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 44039 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 12520 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 44045 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 12521 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 44051 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 12522 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 44057 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 12525 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44063 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 12526 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 44069 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 12527 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44075 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 12580 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44081 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 12581 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44087 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 12596 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44093 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 12598 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44104 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 12605 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44116 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 12613 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44128 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 12621 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 44140 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 12629 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44152 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 12637 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44164 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 12645 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44176 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 12655 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44182 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 12656 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44188 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 12691 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44206 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 12707 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44225 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 12721 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44231 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 12723 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef  *cr = makeNode(ColumnRef);
					ResTarget  *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *) cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *) n;
				}
#line 44254 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 12742 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 44262 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 12746 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 44270 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 12750 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 44278 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 12765 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 44289 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 12772 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 44300 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 12779 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 44311 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 12788 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44317 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 12789 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44323 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 12793 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);

				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 44340 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 12808 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 44346 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 12809 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 44352 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 12810 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 44358 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 12815 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 44372 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 12825 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 44386 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 12835 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 44394 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 12842 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 44410 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 12854 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 44426 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 12866 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 44434 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 12872 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 44440 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 12873 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 44446 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 12878 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 44461 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 12889 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 44467 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 12898 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44476 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 12903 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44485 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 12908 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44494 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 12913 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44503 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 12918 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44515 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 12926 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 44527 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 12934 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 44536 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 12939 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 44545 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 12944 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 44554 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 12955 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 44560 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 12956 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 44566 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 12957 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 44572 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 12964 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 44578 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 12965 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44584 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 12974 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44590 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 12975 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44596 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 12979 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44602 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 12980 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44608 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 12984 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44614 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 12988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 44620 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 12989 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 44626 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 12993 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 44639 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 13002 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 44652 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 13015 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 44661 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 13020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 44670 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 13025 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 44678 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 13029 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 44691 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 13040 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 44697 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 13041 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = NULL; }
#line 44703 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 13046 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 44716 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 13055 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 44729 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 13071 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 44742 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 13080 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 44755 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 13089 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 44768 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 13098 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 44781 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 13110 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44787 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 13113 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44793 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 13117 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44799 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 13119 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 44808 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 13126 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44814 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 13146 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44820 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 13148 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 44826 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 13150 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 44832 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 13154 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 44838 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 13155 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 44844 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 13159 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44850 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 13160 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44856 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 13163 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44862 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 13164 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44868 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 13190 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 44880 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 13198 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 44892 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 13208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44898 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 13209 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 44904 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 13213 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44910 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 13214 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44916 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 13215 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44922 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 13216 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44928 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 13217 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44934 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 13222 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 44942 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 13235 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44950 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 13242 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44958 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 13249 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 44966 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 13255 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44972 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 13256 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44978 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 13260 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44984 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 13261 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44990 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 13265 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44996 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 13266 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45002 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 13270 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45008 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 13271 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45014 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 13276 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);

					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 45027 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 13287 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 45033 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 13288 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 45039 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 13289 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 45045 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 13290 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 45051 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 13294 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45057 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 13295 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45063 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 13306 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 45074 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 13313 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);

					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 45085 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 13331 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45091 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 13332 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45097 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 13336 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45103 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 13337 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45109 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 13344 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 45118 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 13349 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);

					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 45131 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 13358 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 45143 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 13366 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 45156 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 13375 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45167 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 13382 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45179 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 13390 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45192 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 13399 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 45205 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 13408 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 45213 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 13412 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 45222 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 13438 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 45230 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 13442 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 45248 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 13456 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 45273 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 13477 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 45299 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 13499 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 45316 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 13512 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 45334 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 13529 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 45344 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 13535 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 45353 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 13540 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 45363 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 13546 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 45372 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 13552 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 45378 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 13553 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 45384 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 13564 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 45394 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 13569 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 45400 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 13578 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 45408 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 13582 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 45416 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 13586 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 45427 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 13593 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 45438 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 13600 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 45446 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 13605 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 45452 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 13606 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 45458 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 13607 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 45464 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 13608 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 45470 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 13629 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 45478 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 13633 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 45486 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 13641 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 45497 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 13648 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 45505 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 13655 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 45516 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 13662 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 45527 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 13669 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 45538 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 13679 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 45544 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 13680 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 45550 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 13694 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 45558 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 13698 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 45570 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 13706 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 45582 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 13720 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);

					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 45597 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 13733 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 45603 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 13734 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45609 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 13750 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 45624 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 13761 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 45639 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 13774 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 45645 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 13778 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 45651 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 13779 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 45657 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 13782 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45663 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 13783 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45669 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 13786 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 45675 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 13787 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 45681 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 13792 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45687 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 13793 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45693 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 13798 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45699 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 13800 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);

					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 45712 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 13808 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45718 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 13813 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45724 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 13814 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45730 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 13819 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 45738 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 13823 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 45746 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 13829 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 45769 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 13854 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 45784 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 13866 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *) n;
				}
#line 45799 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 13878 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45805 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 13879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45811 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 13884 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 45829 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 13898 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);
					ListCell   *option;
					bool		nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = boolVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 45890 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 13955 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 45905 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 13969 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 45911 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 13971 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 45917 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 13976 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 45923 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 13978 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 45929 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 13980 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(true), (yylsp[-1])); }
#line 45935 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 13982 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(false), (yylsp[0])); }
#line 45941 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 13987 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45947 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 13989 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 45953 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 13994 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 45965 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 14002 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 45977 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 14022 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 45986 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 14027 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 45996 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 14034 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 46005 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 14039 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 46015 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 14045 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 46024 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 14050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 46034 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 14059 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 46040 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 14061 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 46046 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 14063 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 46052 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 14067 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46058 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 14068 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46064 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 14069 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46070 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 14070 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46076 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 14071 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46082 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 14073 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 46091 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 14078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 46101 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 14083 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46107 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 14098 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46113 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 14099 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46119 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 14100 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46125 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 14101 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46131 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 14102 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46137 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 14114 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46147 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 14120 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 46157 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 14127 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 46163 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 14128 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46169 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 14135 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46178 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 14140 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46187 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 14145 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46196 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 14150 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46205 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 14155 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46214 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 14160 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46223 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 14165 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46232 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 14170 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46242 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 14176 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46252 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 14182 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46262 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 14188 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46271 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 14195 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 46296 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 14216 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 46304 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 14226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46312 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 14230 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46320 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 14238 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46328 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 14242 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 46337 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 14250 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 46350 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 14262 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46368 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 14283 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46376 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 14287 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46384 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 14293 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 46392 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 14297 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 46407 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 14310 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 46417 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 14318 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46429 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 14328 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46435 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 14330 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46441 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 14332 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 46447 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 14334 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46453 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 14336 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46459 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 14338 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 46465 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 14342 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 46471 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 14343 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46477 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 14351 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 46490 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 14360 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46502 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 14368 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 46515 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 14377 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 46527 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 14388 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46536 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 14395 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 46542 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 14396 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46548 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 14397 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46554 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 14402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 46560 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 14404 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 46566 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 14406 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 46572 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 14408 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 46578 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 14410 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 46584 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 14412 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46590 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 14414 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 46599 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 14419 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 46608 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 14424 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 46618 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 14430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 46630 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 14438 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 46639 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 14443 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 46650 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 14450 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 46660 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 14456 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46666 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 14461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 46674 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 14465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 46683 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 14473 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("json");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 46692 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 14507 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46698 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 14509 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 46704 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 14511 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 46717 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 14520 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 46728 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 14527 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   -1);
				}
#line 46739 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 14543 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 46745 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 14545 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 46751 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 14547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46757 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 14549 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46763 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 14551 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46769 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 14553 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46775 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 14555 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46781 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 14557 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46787 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 14559 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46793 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 14561 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46799 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 14563 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46805 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 14565 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46811 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 14567 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46817 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 14569 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46823 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 14572 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46829 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 14574 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 46835 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 14577 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46841 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 14579 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 46847 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 14581 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 46853 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 14583 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 46859 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 14586 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 46868 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 14591 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 46881 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 14600 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 46890 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 14605 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 46903 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 14614 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 46912 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 14619 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 46925 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 14628 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 46934 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 14633 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 46947 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 14643 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 46960 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 14652 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 46973 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 14661 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 46986 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 14670 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 46999 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 14689 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47012 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 14698 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47025 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 14707 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47038 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 14716 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47051 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 14725 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 47072 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 14742 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47085 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 14751 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47098 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 14760 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47111 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 14769 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47124 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 14778 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47137 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 14787 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47150 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 14796 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 47158 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 14800 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 47166 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 14804 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 47178 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 14812 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 47190 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 14820 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 47202 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 14828 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 47214 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 14836 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *) n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 47239 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 14857 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 47266 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 14880 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47282 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 14892 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 47293 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 14899 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-2]))));
				}
#line 47313 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 14915 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 47322 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 14920 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 47332 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 14926 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 47343 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 14933 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 47354 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 14940 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 47366 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 14948 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 47378 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 14957 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeJsonIsPredicate((yyvsp[-3].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-3]));
				}
#line 47388 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 14975 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeNotExpr(makeJsonIsPredicate((yyvsp[-4].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-4])), (yylsp[-4]));
				}
#line 47398 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 14992 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);

					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47417 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 15018 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47423 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 15020 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 47429 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 15022 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47435 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 15024 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 47441 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 15026 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47447 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 15028 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47453 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 15030 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47459 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 15032 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47465 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 15034 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47471 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 15036 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47477 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 15038 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47483 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 15040 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47489 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 15042 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47495 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 15044 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47501 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 15046 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47507 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 15048 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47513 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 15050 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47519 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 15052 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47525 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 15054 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 47533 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 15058 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 47541 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 15062 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 47550 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 15067 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 47560 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 15082 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47566 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 15083 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47572 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 15085 "gram.y" /* yacc.c:1646  */
    {
					ParamRef   *p = makeNode(ParamRef);

					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 47593 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 15102 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 47610 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 15115 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47616 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 15117 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47622 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 15119 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47638 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 15131 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink	   *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *) n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *) a;
				}
#line 47667 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 15156 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47683 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 15168 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47699 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 15180 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));

					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47711 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 15188 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 47726 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 15199 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 47741 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 15210 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);

				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *) g;
			  }
#line 47753 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 15220 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 47763 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 15226 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));

					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 47776 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 15235 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 47790 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 15245 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-7]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 47804 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 15255 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *) n;
				}
#line 47821 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 15268 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *) n;
				}
#line 47835 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 15278 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall   *n = makeFuncCall((yyvsp[-3].list), NIL,
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));

					n->agg_star = true;
					(yyval.node) = (Node *) n;
				}
#line 47858 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 15309 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = (FuncCall *) (yyvsp[-3].node);

					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 47898 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 15345 "gram.y" /* yacc.c:1646  */
    {
					JsonAggConstructor *n = IsA((yyvsp[-2].node), JsonObjectAgg) ?
						((JsonObjectAgg *) (yyvsp[-2].node))->constructor :
						((JsonArrayAgg *) (yyvsp[-2].node))->constructor;

					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) (yyvsp[-2].node);
				}
#line 47912 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 15355 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47918 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 15365 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47924 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 15366 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47930 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 15367 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47936 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 15375 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 47947 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 15382 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 47955 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 15386 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 47963 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 15390 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 47971 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 15394 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 47979 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 15398 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 47987 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 15402 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 47995 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 15406 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48003 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 15410 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 48011 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 15414 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48019 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 15418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 48027 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 15422 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 48035 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 15426 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 48043 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 15430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("system_user"),
											   NIL,
											   COERCE_SQL_SYNTAX,
											   (yylsp[0]));
				}
#line 48054 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 15437 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 48062 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 15441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 48070 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 15445 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 48078 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 15449 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 48084 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 15451 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48095 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 15458 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48106 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 15465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 48117 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 15472 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48128 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 15479 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 48143 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 15490 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48161 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 15504 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48175 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 15514 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 48190 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 15525 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 48210 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 15541 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48224 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 15551 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48235 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 15558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48246 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 15565 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48257 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 15572 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 48265 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 15576 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);

					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *) c;
				}
#line 48277 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 15584 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 48290 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 15593 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 48303 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 15602 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 48311 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 15606 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 48319 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 15610 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 48327 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 15614 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 48335 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 15618 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 48343 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 15622 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48356 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 15631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 48364 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 15635 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));

					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *) x;
				}
#line 48378 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 15645 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 48386 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 15649 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 48394 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 15653 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 48403 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 15658 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);

					n->xmloption = (yyvsp[-5].ival);
					n->expr = (yyvsp[-4].node);
					n->typeName = (yyvsp[-2].typnam);
					n->indent = (yyvsp[-1].boolean);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 48418 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 15669 "gram.y" /* yacc.c:1646  */
    {
					/* Support for legacy (non-standard) json_object() */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("json_object"),
											   (yyvsp[-1].list), COERCE_EXPLICIT_CALL, (yylsp[-3]));
				}
#line 48428 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 15678 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = (yyvsp[-4].list);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 48443 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 15689 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = NULL;
					n->absent_on_null = false;
					n->unique = false;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 48458 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 15704 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = (yyvsp[-3].list);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 48472 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 15719 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayQueryConstructor *n = makeNode(JsonArrayQueryConstructor);

					n->query = (yyvsp[-3].node);
					n->format = (JsonFormat *) (yyvsp[-2].node);
					n->absent_on_null = true;	/* XXX */
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 48487 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 15732 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = NIL;
					n->absent_on_null = true;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 48501 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 15742 "gram.y" /* yacc.c:1646  */
    {
					JsonParseExpr *n = makeNode(JsonParseExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->unique_keys = (yyvsp[-1].boolean);
					n->output = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 48515 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 15752 "gram.y" /* yacc.c:1646  */
    {
					JsonScalarExpr *n = makeNode(JsonScalarExpr);

					n->expr = (Expr *) (yyvsp[-1].node);
					n->output = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 48528 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 15761 "gram.y" /* yacc.c:1646  */
    {
					JsonSerializeExpr *n = makeNode(JsonSerializeExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 48541 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 15776 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48547 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 15778 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 48553 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 15782 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 48559 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 15784 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 48565 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 15786 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 48571 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 15788 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 48577 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 15791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 48583 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 15794 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 48589 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 15795 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 48595 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 15799 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 48607 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 15807 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 48619 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 15816 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 48625 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 15817 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 48631 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 15820 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48637 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 15821 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48643 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 15822 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48649 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 15825 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48655 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 15826 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48661 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 15827 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48667 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 15833 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 48675 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 15837 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 48683 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 15841 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 48691 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 15845 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 48699 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 15860 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 48705 "gram.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 15861 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 48711 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 15865 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 48717 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 15866 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 48723 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 15874 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 48729 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 15875 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 48735 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 15879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 48741 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 15881 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 48747 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 15886 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 48758 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 15895 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 48764 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 15897 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 48782 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 15911 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 48788 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 15916 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 48807 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 15942 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48813 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 15943 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 48819 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 15946 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 48825 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 15947 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 48831 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 15956 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 48843 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 15964 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 48855 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 15972 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 48867 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 15980 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 48880 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 15991 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 48902 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 16009 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n1 = (yyvsp[-2].windef);
					WindowDef  *n2 = (yyvsp[0].windef);

					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 48944 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 16055 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 48957 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 16064 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 48970 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 16073 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 48983 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 16082 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 48996 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 16091 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49009 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 16102 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 49015 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 16103 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 49021 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 16104 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 49027 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 16105 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 49033 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 16106 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 49039 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 16120 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49045 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 16121 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49051 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 16122 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 49057 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 16125 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49063 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 16126 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49069 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 16129 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 49075 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 16132 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 49081 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 16133 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 49087 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 16134 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 49093 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 16137 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49099 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 16138 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49105 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 16141 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 49111 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 16142 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 49117 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 16143 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 49123 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 16144 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 49129 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 16145 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 49135 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 16146 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 49141 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 16147 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 49147 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 16148 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 49153 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 16149 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 49159 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 16150 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 49165 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 16151 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 49171 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 16152 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 49177 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 16156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49183 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 16158 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49189 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 16163 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49195 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 16165 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49201 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 16170 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 49207 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 16172 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49213 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 16174 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 49219 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 16176 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 49225 "gram.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 16178 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 49231 "gram.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 16180 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 49237 "gram.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 16192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 49245 "gram.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 16196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 49253 "gram.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 16203 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 49261 "gram.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 16207 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 49269 "gram.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 16213 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49277 "gram.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 16217 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 49291 "gram.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 16227 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 49305 "gram.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 16238 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49311 "gram.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 16239 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49317 "gram.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 16242 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 49323 "gram.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 16243 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 49329 "gram.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 16247 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 49337 "gram.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 16251 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 49345 "gram.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 16255 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 49353 "gram.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 16260 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 49359 "gram.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 16261 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 49365 "gram.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 16267 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 49373 "gram.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 16276 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49379 "gram.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 16277 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 49385 "gram.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 16278 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 49391 "gram.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 16279 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 49397 "gram.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 16280 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 49403 "gram.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 16281 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 49409 "gram.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 16282 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 49415 "gram.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 16283 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49421 "gram.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 16287 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFC"; }
#line 49427 "gram.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 16288 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFD"; }
#line 49433 "gram.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 16289 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKC"; }
#line 49439 "gram.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 16290 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKD"; }
#line 49445 "gram.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 16296 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49454 "gram.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 16301 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49463 "gram.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 16309 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 49469 "gram.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 16331 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49477 "gram.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 16335 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 49486 "gram.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 16340 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49501 "gram.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 16351 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 49522 "gram.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 16368 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 49530 "gram.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 16373 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 49536 "gram.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 16374 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49542 "gram.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 16375 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49548 "gram.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 16379 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *) n;
				}
#line 49560 "gram.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 16386 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 49566 "gram.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 16397 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr   *c = makeNode(CaseExpr);

					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *) c;
				}
#line 49581 "gram.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 16411 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 49587 "gram.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 16412 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 49593 "gram.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 16417 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen   *w = makeNode(CaseWhen);

					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *) w;
				}
#line 49606 "gram.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 16428 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49612 "gram.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 16429 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49618 "gram.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 16432 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49624 "gram.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 16433 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49630 "gram.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 16437 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 49638 "gram.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 16441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 49646 "gram.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 16448 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 49654 "gram.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 16452 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 49662 "gram.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 16456 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 49675 "gram.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 16465 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 49688 "gram.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 16476 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49694 "gram.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 16477 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49700 "gram.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 16481 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 49706 "gram.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 16482 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 49712 "gram.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 16486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49718 "gram.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 16487 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 49724 "gram.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 16497 "gram.y" /* yacc.c:1646  */
    {
				/* formatted_expr will be set during parse-analysis. */
				(yyval.node) = (Node *) makeJsonValueExpr((Expr *) (yyvsp[-1].node), NULL,
												castNode(JsonFormat, (yyvsp[0].node)));
			}
#line 49734 "gram.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 16506 "gram.y" /* yacc.c:1646  */
    {
					int		encoding;

					if (!pg_strcasecmp((yyvsp[0].str), "utf8"))
						encoding = JS_ENC_UTF8;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf16"))
						encoding = JS_ENC_UTF16;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf32"))
						encoding = JS_ENC_UTF32;
					else
						ereport(ERROR,
								errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								errmsg("unrecognized JSON encoding: %s", (yyvsp[0].str)));

					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, encoding, (yylsp[-3]));
				}
#line 49755 "gram.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 16523 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, JS_ENC_DEFAULT, (yylsp[-1]));
				}
#line 49763 "gram.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 16530 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49771 "gram.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 16534 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
				}
#line 49779 "gram.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 16541 "gram.y" /* yacc.c:1646  */
    {
					JsonOutput *n = makeNode(JsonOutput);

					n->typeName = (yyvsp[-1].typnam);
					n->returning = makeNode(JsonReturning);
					n->returning->format = (JsonFormat *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 49792 "gram.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 16549 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49798 "gram.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 16563 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 49804 "gram.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 16564 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 49810 "gram.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 16565 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ARRAY; }
#line 49816 "gram.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 16566 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_OBJECT; }
#line 49822 "gram.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 16567 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_SCALAR; }
#line 49828 "gram.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 16576 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 49834 "gram.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 16577 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 49840 "gram.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 16578 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 49846 "gram.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 16579 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 49852 "gram.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 16580 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 49858 "gram.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 16585 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 49864 "gram.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 16587 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 49870 "gram.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 16597 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 49876 "gram.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 16600 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 49882 "gram.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 16605 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 49888 "gram.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 16606 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 49894 "gram.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 16607 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 49900 "gram.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 16611 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 49906 "gram.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 16612 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 49912 "gram.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 16613 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 49918 "gram.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 16617 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 49924 "gram.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 16618 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));}
#line 49930 "gram.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 16628 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectAgg *n = makeNode(JsonObjectAgg);

					n->arg = (JsonKeyValue *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->agg_order = NULL;
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 49947 "gram.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 16646 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayAgg *n = makeNode(JsonArrayAgg);

					n->arg = (JsonValueExpr *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->agg_order = (yyvsp[-3].list);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 49963 "gram.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 16660 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49969 "gram.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 16661 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49975 "gram.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 16670 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49981 "gram.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 16671 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49987 "gram.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 16675 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 49993 "gram.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 16676 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 49999 "gram.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 16680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 50011 "gram.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 16688 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 50023 "gram.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 16696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 50035 "gram.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 16704 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef  *n = makeNode(ColumnRef);

					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 50052 "gram.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 16726 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 50058 "gram.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 16727 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 50064 "gram.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 16739 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 50072 "gram.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 16743 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVarFromQualifiedName((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 50080 "gram.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 16749 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50086 "gram.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 16751 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 50092 "gram.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 16755 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50098 "gram.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 16757 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50104 "gram.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 16759 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50110 "gram.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 16770 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50116 "gram.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 16772 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 50125 "gram.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 16783 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 50133 "gram.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 16787 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50141 "gram.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 16791 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50149 "gram.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 16795 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50157 "gram.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 16799 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 50170 "gram.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 16808 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-1].list));

					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50182 "gram.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 16816 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell   *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50218 "gram.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 16848 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 50226 "gram.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 16852 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 50237 "gram.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 16859 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 50249 "gram.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 16867 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 50257 "gram.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 16871 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 50265 "gram.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 16875 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 50273 "gram.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 16880 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 50279 "gram.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 16881 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50285 "gram.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 16883 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 50291 "gram.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 16884 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 50297 "gram.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 16885 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 50303 "gram.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 16890 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec   *spc = (RoleSpec *) (yyvsp[0].rolespec);

					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 50346 "gram.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 16931 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * "public" and "none" are not keywords, but they must
					 * be treated specially here.
					 */
					RoleSpec   *n;

					if (strcmp((yyvsp[0].str), "public") == 0)
					{
						n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
						n->roletype = ROLESPEC_PUBLIC;
					}
					else if (strcmp((yyvsp[0].str), "none") == 0)
					{
						ereport(ERROR,
								(errcode(ERRCODE_RESERVED_NAME),
								 errmsg("role name \"%s\" is reserved",
										"none"),
								 parser_errposition((yylsp[0]))));
					}
					else
					{
						n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
						n->rolename = pstrdup((yyvsp[0].str));
					}
					(yyval.rolespec) = n;
				}
#line 50378 "gram.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 16959 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
				}
#line 50386 "gram.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 16963 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
				}
#line 50394 "gram.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 16967 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
				}
#line 50402 "gram.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 16973 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 50408 "gram.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 16975 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 50414 "gram.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 16992 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 50445 "gram.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 17025 "gram.y" /* yacc.c:1646  */
    {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50460 "gram.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 17037 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50466 "gram.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 17038 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 50472 "gram.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 17059 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50478 "gram.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 17060 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50484 "gram.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 17061 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50490 "gram.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 17066 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50496 "gram.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 17067 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50502 "gram.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 17068 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50508 "gram.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 17073 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50514 "gram.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 17074 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50520 "gram.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 17075 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50526 "gram.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 17076 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50532 "gram.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 17082 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50538 "gram.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 17083 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50544 "gram.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 17084 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50550 "gram.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 17085 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50556 "gram.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 17086 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50562 "gram.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 17092 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50568 "gram.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 17093 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 50574 "gram.c" /* yacc.c:1646  */
    break;


#line 50578 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 18069 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int			nfields = 0;
	ListCell   *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast   *n = makeNode(TypeCast);

	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.sval.type = T_String;
	n->val.sval.sval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node	   *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.ival.type = T_Integer;
	n->val.ival.ival = val;
	n->location = location;

   return (Node *) n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.fval.type = T_Float;
	n->val.fval.fval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBoolAConst(bool state, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.boolval.type = T_Boolean;
	n->val.boolval.boolval = state;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.bsval.type = T_BitString;
	n->val.bsval.bsval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeNullAConst(int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->isnull = true;
	n->location = location;

	return (Node *) n;
}

static Node *
makeAConst(Node *v, int location)
{
	Node	   *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(castNode(Float, v)->fval, location);
			break;

		case T_Integer:
			n = makeIntConst(castNode(Integer, v)->ival, location);
			break;

		default:
			/* currently not used */
			Assert(false);
			n = NULL;
	}

	return n;
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec   *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Integer	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
		if (limitClause->limitOption == LIMIT_OPTION_WITH_TIES && stmt->lockingClause)
		{
			ListCell   *lc;

			foreach(lc, stmt->lockingClause)
			{
				LockingClause *lock = lfirst_node(LockingClause, lc);

				if (lock->waitPolicy == LockWaitSkip)
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("%s and %s options cannot be used together",
									"SKIP LOCKED", "WITH TIES")));
			}
		}
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const	   *con = (A_Const *) n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (IsA(&con->val, Integer))
		{
			con->val.ival.ival = -con->val.ival.ival;
			return n;
		}
		if (IsA(&con->val, Float))
		{
			doNegateFloat(&con->val.fval);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Float *v)
{
	char	   *oldval = v->fval;

	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->fval = oldval+1;	/* just strip the '-' */
	else
		v->fval = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_DEFAULT &&
			p->mode != FUNC_PARAM_IN &&
			p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName   *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar   *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/*
 * Convert a relation_name with name and namelist to a RangeVar using
 * makeRangeVar.
 */
static RangeVar *
makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
							  core_yyscan_t yyscanner)
{
	RangeVar   *r;

	check_qualified_name(namelist, yyscanner);
	r = makeRangeVar(NULL, NULL, location);

	switch (list_length(namelist))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = name;
			r->relname = strVal(linitial(namelist));
			break;
		case 2:
			r->catalogname = name;
			r->schemaname = strVal(linitial(namelist));
			r->relname = strVal(lsecond(namelist));
			break;
		default:
			ereport(ERROR,
					errcode(ERRCODE_SYNTAX_ERROR),
					errmsg("improper qualified name (too many dotted names): %s",
						   NameListToString(lcons(makeString(name), namelist))),
						   parser_errposition(location));
			break;
	}

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node	   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*
 * Parse a user-supplied partition strategy string into parse node
 * PartitionStrategy representation, or die trying.
 */
static PartitionStrategy
parsePartitionStrategy(char *strategy)
{
	if (pg_strcasecmp(strategy, "list") == 0)
		return PARTITION_STRATEGY_LIST;
	else if (pg_strcasecmp(strategy, "range") == 0)
		return PARTITION_STRATEGY_RANGE;
	else if (pg_strcasecmp(strategy, "hash") == 0)
		return PARTITION_STRATEGY_HASH;

	ereport(ERROR,
			(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
			 errmsg("unrecognized partitioning strategy \"%s\"",
					strategy)));
	return PARTITION_STRATEGY_LIST;		/* keep compiler quiet */

}

/*
 * Process pubobjspec_list to check for errors in any of the objects and
 * convert PUBLICATIONOBJ_CONTINUATION into appropriate PublicationObjSpecType.
 */
static void
preprocess_pubobj_list(List *pubobjspec_list, core_yyscan_t yyscanner)
{
	ListCell   *cell;
	PublicationObjSpec *pubobj;
	PublicationObjSpecType prevobjtype = PUBLICATIONOBJ_CONTINUATION;

	if (!pubobjspec_list)
		return;

	pubobj = (PublicationObjSpec *) linitial(pubobjspec_list);
	if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
		ereport(ERROR,
				errcode(ERRCODE_SYNTAX_ERROR),
				errmsg("invalid publication object list"),
				errdetail("One of TABLE or TABLES IN SCHEMA must be specified before a standalone table or schema name."),
				parser_errposition(pubobj->location));

	foreach(cell, pubobjspec_list)
	{
		pubobj = (PublicationObjSpec *) lfirst(cell);

		if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
			pubobj->pubobjtype = prevobjtype;

		if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLE)
		{
			/* relation name or pubtable must be set for this type of object */
			if (!pubobj->name && !pubobj->pubtable)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid table name"),
						parser_errposition(pubobj->location));

			if (pubobj->name)
			{
				/* convert it to PublicationTable */
				PublicationTable *pubtable = makeNode(PublicationTable);

				pubtable->relation =
					makeRangeVar(NULL, pubobj->name, pubobj->location);
				pubobj->pubtable = pubtable;
				pubobj->name = NULL;
			}
		}
		else if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_SCHEMA ||
				 pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA)
		{
			/* WHERE clause is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->whereClause)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("WHERE clause not allowed for schema"),
						parser_errposition(pubobj->location));

			/* Column list is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->columns)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("column specification not allowed for schema"),
						parser_errposition(pubobj->location));

			/*
			 * We can distinguish between the different type of schema
			 * objects based on whether name and pubtable is set.
			 */
			if (pubobj->name)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
			else if (!pubobj->name && !pubobj->pubtable)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
			else
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid schema name"),
						parser_errposition(pubobj->location));
		}

		prevobjtype = pubobj->pubobjtype;
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
